# * You are only entitled to install this RPM if you bought the game
# * The "source" actually includes pre-built 32bit binaries
# * On 64bit systems the source RPM should be built as follows:
#    setarch i386 rpmbuild --target=i686 -ba <specfile>

# Ensure this RPM is not a dependency provider, as we do not want to any bundled
# items to provide dependencies, although we remove bundles where possible
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to filter some requires
%global    _use_internal_dependency_generator 0
%global    __find_requires %{_builddir}/%{name}-%{version}/filter-requires-%{name}.sh

# The software house
%global house kloonigames


Name:           CrayonPhysicsDeluxe
Version:        55.3
Release:        3
Summary:        Novelty drawing physics game
Group:          Amusements/Games
License:        Commercial
URL:            http://crayonphysics.com
# 03855655d3f4d6ef49ebd31b12476c80  crayon-physics-deluxe_55_i386.tar.gz
Source0:        crayon-physics-deluxe_55_i386.tar.gz
NoSource:       0
BuildRequires:  desktop-file-utils
BuildRequires:  ImageMagick
Requires:       pulseaudio-utils%{?_isa}
BuildArch:      i686


%description
A 2D physics puzzle / sandbox game, in which you get to experience what it
would be like if your drawings would be magically transformed into real
physical objects. Solve puzzles with your artistic vision and creative use of
physics.


%prep
%setup -qcn %{name}-%{version}

# Delete the following bundled libraries an extraneous files
rm -f lib32/lib{gcc_s.so.1,jpeg.so.62,mikmod.so.2,SDL-1.2.so.0,SDL_image-1.2.so.0,SDL_mixer-1.2.so.0,smpeg-0.4.so.0,\
stdc++.so.6,tiff.so.4,vorbisfile.so.3,vorbis.so.0}

rm -f install_shortcuts.sh uninstall_shortcuts.sh


%build
# Desktop file
cat >%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Crayon Physics Deluxe
GenericName=2D Physics Drawing Game
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;StrategyGame;
EOF


# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{name} >/dev/null
./launcher "\$@"
popd >/dev/null
EOF


# Create requires filter
cat >filter-requires-%{name}.sh <<EOF
#!/bin/sh
# Filter requires for libraries that are bundled

if [ -x /usr/lib/rpm/redhat/find-requires ] ; then
    FINDREQ=/usr/lib/rpm/redhat/find-requires
else
    FINDREQ=/usr/lib/rpm/find-requires
fi

\$FINDREQ \$* | sed -e '/libGLEW.so/d'
EOF

chmod 0755 ./filter-requires-%{name}.sh


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_datadir}/applications
cp -a autoexec.txt cache crayon crayon_playground.url data launcher lib32 update updates version.xml %{buildroot}%{_datadir}/%{name}

# Remove from build root
rm -f %{buildroot}%{_datadir}/%{name}/data/license.txt}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}

# Create Icon
convert data/gfx/big_star.png -resize 48x48\! %{buildroot}%{_datadir}/%{name}/%{name}.png


%files
%defattr(-,root,root,-)
%doc changelog.txt LGPL.txt LICENSE.txt log.txt README-CC.txt README-GLEW.txt README-QT.txt README-SDL.txt readme.html data/license.txt
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Sat Mar 24 2012 RPMBuilder <> 55.3-3
- Disable building a debuginfo package under any circumstances
- Convert defines to globals
- Added house global
- Fixed argument passing for the wrapper script. Was being filtered by RPM

* Thu Nov 10 2011 RPMBuilder <> 55.3-2
- Updated to latest tarball

* Thu Nov 10 2011 RPMBuilder <> 55.3-1
- Upgraded to 55.3

* Mon Nov 07 2011 RPMBuilder <> 55.2-3
- Use NoSource tag

* Sun Nov 06 2011 RPMBuilder <> 55.2-2
- Embed the requires filter into the SPEC
- Create the icon in the SPEC

* Sat Nov 05 2011 RPMBuilder <> 55.2-1
- Initial Release
