# You are only entitled to install this RPM if you bought the game

# Ensure this RPM is not a dependency provider, as we do not want to any bundled
# items to provide dependencies, although we remove bundles where possible
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# The software house
%global house kloonigames


Name:           CrayonPhysicsDeluxe
Version:        55.3
Release:        4
Summary:        2D physics puzzle and sandbox drawing game
Group:          Amusements/Games
License:        Commercial
URL:            http://crayonphysics.com
# 3f799bba4fbca02fcee4b866e17b193d  crayon_physics_deluxe-linux-release55.tar.gz
Source0:        crayon_physics_deluxe-linux-release55.tar.gz
NoSource:       0
BuildRequires:  chrpath
BuildRequires:  desktop-file-utils
Requires:       mesa-libGL%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686

%description
A 2D physics puzzle / sandbox game, in which you get to experience what it
would be like if your drawings would be magically transformed into real
physical objects. Solve puzzles with your artistic vision and creative use of
physics.


%prep
%setup -qn %{name}

# Strip the rpath. We still continue even if it fails because partly it's
# not critical but also because building the 32bit RPM on a 64bit system
# only has access to the 64bit version of chrpath, we cannot strip 32bit
# binaries. But in all other scenarios it should work without issue
chrpath -d launcher || :
chrpath -d update || :
chrpath -d crayon || :

# Delete the following bundled libraries an extraneous files
rm -rf lib32 install_shortcuts.sh uninstall_shortcuts.sh


%build
# Desktop file
cat >%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Crayon Physics Deluxe
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;StrategyGame;
EOF


# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{name} >/dev/null
./launcher "\$@"
popd >/dev/null
EOF


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{name} \
         %{buildroot}%{_datadir}/applications
cp -a autoexec.txt cache crayon crayon_playground.url data launcher update updates version.xml %{buildroot}%{_datadir}/%{name}

# Remove from build root
rm -f %{buildroot}%{_datadir}/%{name}/data/license.txt}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}

# Install icon
install -m0644 icon.png %{buildroot}%{_datadir}/%{name}/%{name}.png


%files
%defattr(-,root,root,-)
%doc changelog.txt LGPL.txt LICENSE.txt README-CC.txt linux_hotfix_notes.txt README-GLEW.txt README-QT.txt README-SDL.txt readme.html data/license.txt
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Sun Nov 11 2012 RPMBuilder <> 55.3-4
- Updated to the latest tarball
- No longer uses GLEW. Dropped filters
- Dropped ImageMagick BR as it now supplies an icon
- Added BR on chrpath

* Sat Mar 24 2012 RPMBuilder <> 55.3-3
- Disable building a debuginfo package under any circumstances
- Convert defines to globals
- Added house global
- Fixed argument passing for the wrapper script. Was being filtered by RPM

* Thu Nov 10 2011 RPMBuilder <> 55.3-2
- Updated to latest tarball

* Thu Nov 10 2011 RPMBuilder <> 55.3-1
- Upgraded to 55.3

* Mon Nov 07 2011 RPMBuilder <> 55.2-3
- Use NoSource tag

* Sun Nov 06 2011 RPMBuilder <> 55.2-2
- Embed the requires filter into the SPEC
- Create the icon in the SPEC

* Sat Nov 05 2011 RPMBuilder <> 55.2-1
- Initial Release
