# IMPORTANT NOTES
#
# 1. You are only entitled to install this RPM if you bought the game
# 2. The "source" actually includes pre-built 32bit binaries
# 3. On 64bit systems the source RPM should be built along the lines of:
#    setarch i386 rpmbuild --target=i686 -ba <specfile>

# We don't this RPM to be a provide of any libraries it may be bundled with
AutoProv: no

# Disable rpath checking. Little we can do with closed source
%define __arch_install_post /usr/lib/rpm/check-buildroot

# We need to filter some requires
%define    _use_internal_dependency_generator 0
%define    __find_requires %{_builddir}/%{name}-%{version}/filter-requires-crayon.sh

Name:           CrayonPhysicsDeluxe
Version:        55.2
Release:        3%{?dist}
Summary:        Novelty drawing physics game
Group:          Amusements/Games
License:        Commercial
URL:            http://crayonphysics.com
# 280c0a6a657b5de6729d8d4f6add4978  crayon_release55_2.tar.gz
Source0:        crayon_release55_2.tar.gz
NoSource:       0
BuildRequires:  desktop-file-utils
BuildRequires:  ImageMagick
BuildArch:      i686


%description
A 2D physics puzzle / sandbox game, in which you get to experience what it
would be like if your drawings would be magically transformed into real
physical objects. Solve puzzles with your artistic vision and creative use of
physics.


%prep
%setup -qcn %{name}-%{version}

# Delete the following bundled libraries as we do not need them
rm -f %{name}/lib32/lib{gcc_s.so.1,curl.so.4,mikmod.so.2,m.so.6,QtCore.so.4,QtGui.so.4,SDL-1.2.so.0,SDL_image-1.2.so.0,SDL_mixer-1.2.so.0,stdc++.so.6,tiff.so.4,X11.so.6}

# Move these for later
mv %{name}/{changelog.txt,LGPL.txt,LICENSE.txt,log.txt,README-CC.txt,README-GLEW.txt,README-QT.txt,README-SDL.txt} .


%build
# Desktop file
cat >%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Crayon Physics Deluxe
GenericName=2D Physics Drawing Game
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;StrategyGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Wrapper script to launch Crayon Physics Deluxe
pushd %{_datadir}/%{name} >/dev/null
./crayon $*
popd >/dev/null
EOF

# Create requires filter
cat >filter-requires-crayon.sh <<EOF
#!/bin/sh
# Filter requires for libraries that are bundled

if [ -x /usr/lib/rpm/redhat/find-requires ] ; then
FINDREQ=/usr/lib/rpm/redhat/find-requires
else
FINDREQ=/usr/lib/rpm/find-requires
fi

\$FINDREQ $* | sed -e '/libGLEW.so/d'
EOF

chmod 0755 ./filter-requires-crayon.sh


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}
mkdir -p %{buildroot}%{_datadir}/applications
cp -a %{name} %{buildroot}%{_datadir}

desktop-file-install --vendor kloonigames \
    --dir %{buildroot}%{_datadir}/applications \
    %{name}.desktop

install -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}

# Create Icon
convert %{name}/data/gfx/big_star.png -resize 48x48\! %{buildroot}%{_datadir}/%{name}/%{name}.png


%files
%defattr(-,root,root,-)
%doc changelog.txt LGPL.txt LICENSE.txt log.txt README-CC.txt README-GLEW.txt README-QT.txt README-SDL.txt
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/kloonigames-%{name}.desktop


%changelog
* Mon Nov 07 2011 RPMBuilder <> 55.2-3%{?dist}
- Use NoSource tag

* Sun Nov 06 2011 RPMBuilder <> 55.2-2%{?dist}
- Embed the requires filter into the SPEC
- Create the icon in the SPEC

* Sat Nov 05 2011 RPMBuilder <> 55.2-1%{?dist}
- Initial Release
