# You are only entitled to install this RPM if you bought the game

# We don't want this RPM to be a provider for anything it's bundled with,
# although we remove bundles where practical
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. Little we can do with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# Disable stripping as the comment note fields are (mis)used
%global __os_install_post %{nil}

# The software house
%global house amanita


Name:           Machinarium
Version:        0
Release:        2_unknown_0
Summary:        Point and click adventure game
Group:          Amusements/Games
License:        Commercial
URL:            http://machinarium.net
# 87c4f4aecfbb69c1aecbb7d92e60542d  Machinarium_full_en.tar.gz
Source0:        %{name}_full_en.tar.gz
NoSource:       0
BuildRequires:  desktop-file-utils
BuildRequires:  ImageMagick
Requires:       pulseaudio-libs%{?_isa}
Requires:       alsa-plugins-pulseaudio%{?_isa}
Requires:       libcurl%{?_isa}
ExclusiveArch:  i686

%description
A point and click adventure game from the makers of Samorost and Samorost2. The
goal of Machinarium is to solve a series of puzzles and brain teasers. The
puzzles are linked together by an overworld consisting of a traditional
"point and click" adventure story.


%prep
%setup -qcn %{name}-%{version}


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{name}
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;AdventureGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{name} >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/applications

cp -a %{name} %{buildroot}%{_datadir}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -m 0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}

# Create Icon
convert %{name}/10/00000100.101 -resize 48x48\! %{buildroot}%{_datadir}/%{name}/%{name}.png


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Sun May 20 2012 RPMBuilder <> 2-0_unknown_0
- Added dependency on alsa-plugins-pulseaudio (doesnt seem to matter what arch)
- Replaced GenericName with Comment and set it to summary for desktop file

* Sun Mar 25 2012 RPMBuilder <> 1-0_unknown_0
- Disable building a debuginfo package under any circumstances
- Convert defines to globals
- Added house global
- Fixed argument passing for the wrapper script. Was being filtered by RPM
- Dropped use of padsp, seems its not needed

* Sat Nov 12 2011 RPMBuilder <> 0-0_unknown_0
- Initial Release
