# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure this RPM is not a dependency provider, as we do not want to any bundled
# items to provide dependencies, although we remove bundles where possible
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# This package contains mixed binaries so set up some macros
%ifarch x86_64
%global namearch %{name}64
%else
%global namearch %{name}32
%endif

# The software house
%global house hemisphere


Name:           Osmos
Version:        1.6.1
Release:        1
Summary:        An indie ambient physics game
Group:          Amusements/Games
License:        Commercial
URL:            http://www.hemispheregames.com/osmos/
# ed2cb029c20c25de719c28062e6fc9cf  Osmos_1.6.1.tar.gz
Source0:        %{name}_%{version}.tar.gz
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686 x86_64

%description
Enter the ambient world of Osmos: elegant, physics-based gameplay, dreamlike
visuals, and a minimalist, electronic soundtrack.  Your objective is to grow
by absorbing other motes. Propel yourself by ejecting matter behind you. But
be wise: ejecting matter also shrinks you. Relax... good things come to those
who wait.  Progress from serenely ambient levels into varied and challenging
worlds. Confront attractors, repulsors and intelligent motes with similar
abilities and goals as you


%prep
%setup -qcn %{name}-%{version}

# Fix some EOL encodings
sed -i 's/\r//' %{name}/{eula.txt,readme.html}


%build
# Sane desktop file
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
%ifarch x86_64
Name=Osmos (64bit)
%else
Name=Osmod (32bit)
%endif
Comment=%{summary}
Exec=%{namearch}
Icon=%{namearch}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;StrategyGame;
EOF

# Create the wrapper for /usr/bin
cat >%{namearch}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{namearch} >/dev/null
./%{namearch} "\$@"
popd >/dev/null
EOF


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{namearch} \
         %{buildroot}%{_datadir}/applications \
         %{buildroot}%{_datadir}/icons/hicolor/{16x16,22x22,32x32,36x36,48x48,64x64,72x72,96x96,128x128,192x192,256x256}/apps

%ifarch x86_64
install -m0755 %{name}/%{name}.bin64 %{buildroot}%{_datadir}/%{namearch}/%{namearch}
%else
install -m0755 %{name}/%{name}.bin32 %{buildroot}%{_datadir}/%{namearch}/%{namearch}
%endif

cp -a %{name}/{Sounds,Textures,Fonts,*.loc,*.cfg} %{buildroot}%{_datadir}/%{namearch}

install -m 0644 %{name}/Icons/16x16.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/%{namearch}.png
install -m 0644 %{name}/Icons/22x22.png %{buildroot}%{_datadir}/icons/hicolor/22x22/apps/%{namearch}.png
install -m 0644 %{name}/Icons/32x32.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{namearch}.png
install -m 0644 %{name}/Icons/36x36.png %{buildroot}%{_datadir}/icons/hicolor/36x36/apps/%{namearch}.png
install -m 0644 %{name}/Icons/48x48.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{namearch}.png
install -m 0644 %{name}/Icons/64x64.png %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/%{namearch}.png
install -m 0644 %{name}/Icons/72x72.png %{buildroot}%{_datadir}/icons/hicolor/72x72/apps/%{namearch}.png
install -m 0644 %{name}/Icons/96x96.png %{buildroot}%{_datadir}/icons/hicolor/96x96/apps/%{namearch}.png
install -m 0644 %{name}/Icons/128x128.png %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/%{namearch}.png
install -m 0644 %{name}/Icons/192x192.png %{buildroot}%{_datadir}/icons/hicolor/192x192/apps/%{namearch}.png
install -m 0644 %{name}/Icons/256x256.png %{buildroot}%{_datadir}/icons/hicolor/256x256/apps/%{namearch}.png

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

install -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}


%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%defattr(-,root,root,-)
%doc %{name}/{eula.txt,readme.html}
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/%{house}-%{namearch}.desktop
%{_datadir}/icons/hicolor/16x16/apps/%{namearch}.png
%{_datadir}/icons/hicolor/22x22/apps/%{namearch}.png
%{_datadir}/icons/hicolor/32x32/apps/%{namearch}.png
%{_datadir}/icons/hicolor/36x36/apps/%{namearch}.png
%{_datadir}/icons/hicolor/48x48/apps/%{namearch}.png
%{_datadir}/icons/hicolor/64x64/apps/%{namearch}.png
%{_datadir}/icons/hicolor/72x72/apps/%{namearch}.png
%{_datadir}/icons/hicolor/96x96/apps/%{namearch}.png
%{_datadir}/icons/hicolor/128x128/apps/%{namearch}.png
%{_datadir}/icons/hicolor/192x192/apps/%{namearch}.png
%{_datadir}/icons/hicolor/256x256/apps/%{namearch}.png


%changelog
* Sat May 19 2012 RPMBuilder <> 1.6.1-1
- Initial RPM Release
