# You are only entitled to install this RPM if you bought the game
# The "source" actually includes pre-built 64bit binaries

# Ensure this RPM is not a dependency provider, as we do not want to any bundled
# items to provide dependencies, although we remove bundles where possible
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# The software house
%global house cipherprimestudios

# Regularised name
%global rname Splice


Name:           Splice32
Version:        1.0
Release:        1
Summary:        Microbial puzzle game
Group:          Amusements/Games
License:        Commercial
URL:            http://www.cipherprime.com/games/splice
#16c0ec755791fc5c031def28a0fdac74  Splice_Linux32.tar.gz
Source0:        %{rname}_Linux32.tar.gz
Source1:        %{name}.png
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       pulseaudio-utils%{?_isa}
BuildArch:      i686

%description
Enter a microbial miniverse where exploration and experimentation are key and
where structural awareness is crucial. Resequence, mutate, and splice your way
through this unique puzzler experience.


%prep
%setup -qcn %{name}-%{version}


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Splice (32bit)
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;StrategyGame;
EOF


# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{name} >/dev/null
./%{rname} "\$@"
popd >/dev/null
EOF


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/applications \
         %{buildroot}%{_datadir}/%{name}

cp -a Linux32/%{rname} Linux32/%{rname}_Data %{buildroot}%{_datadir}/%{name}
install -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/%{name}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -m 0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%files
%defattr(-,root,root,-)
%doc Linux32/README
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Sun Nov 11 2012 RPMBuilder <> 1.0-1
- Initial Release
