# You are only entitled to install this RPM if you bought the game

# Ensure this RPM is not a dependency provider, as we do not want to any bundled
# items to provide dependencies, although we remove bundles where possible
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# This package contains mixed binaries so set up some macros
%ifarch x86_64
%global namearch %{name}64
%else
%global namearch %{name}32
%endif

# The software house
%global house distractionware


Name:           VVVVVV
Version:        2.01
Release:        3
Summary:        2D Platform Game
Group:          Amusements/Games
License:        Commercial
URL:            http://thelettervsixtim.es
# 54d3679da69d92adb65fe9633f3c67d7  VVVVVV_2.01_Linux.tar.gz
Source0:        %{name}_%{version}_Linux.tar.gz
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686 x86_64

%description
A retro-style 2D platform game with Commodore 64 style graphics and sound


%prep
%setup -qcn %{name}-%{version}


%build
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
%ifarch x86_64
Name=VVVVVV (64bit)
%else
Name=VVVVVV (32bit)
%endif
Comment=%{summary}
Exec=%{namearch}
Icon=%{_datadir}/%{namearch}/data/icons/32_2.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF

# Create the wrapper for /usr/bin
cat >%{namearch}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{namearch} >/dev/null
./%{namearch} "\$@"
popd >/dev/null
EOF


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/%{namearch}
mkdir -p %{buildroot}%{_datadir}/applications
cp -a  %{name}/data %{buildroot}%{_datadir}/%{namearch}

%ifarch x86_64
install -m0755 %{name}/%{name}_64 %{buildroot}%{_datadir}/%{namearch}/%{namearch}
%else
install -m0755 %{name}/%{name}_32 %{buildroot}%{_datadir}/%{namearch}/%{namearch}
%endif

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

install -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}


%files
%defattr(-,root,root,-)
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/%{house}-%{namearch}.desktop


%changelog
* Sat Jun 03 2012 RPMBuilder <> 2.01-3
- Drop disttag

* Wed Feb 29 2012 RPMBuilder <> 2.01-2
- Disable building a debuginfo package under any circumstances
- Convert defines to globals
- Added house global
- Fixed argument passing for the wrapper script. Was being filtered by RPM

* Mon Nov 28 2011 RPMBuilder <> 2.01-1
- Initial Release
