# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# CAUTION: BUILDING THIS RPM REQUIRES A LARGE AMOUNT OF STORAGE. ENSURE YOU
# HAVE AT LEAST 10GB FREE WHERE YOUR RPMBUILD DIRECTORIES ARE LOCATED

# We don't want this RPM to be a provider for anything it's bundled with
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. Little we can do with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# This package contains mixed binaries so set up some macros
%ifarch x86_64
%global namearch %{name}64
%else
%global namearch %{name}32
%endif

# The software house
%global house thechineseroom


Name:           amnesia-amfp
Version:        1.0.0
Release:        1
Summary:        A Machine for Pigs. First person horror adventure game
Group:          Amusements/Games
License:        Commercial
URL:            http://aamfp.com
# bc92782fafc84475dff306906184e060  AmnesiaAMFP-1.0.0.sh
Source0:        AmnesiaAMFP-%{version}.sh
NoSource:       0
BuildRequires:  chrpath
BuildRequires:  desktop-file-utils
Requires:       libXcursor%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       libXinerama%{?_isa}
Requires:       libXScrnSaver%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
Requires:       xdg-utils
ExclusiveArch:  i686 x86_64

%description
A first-person horror game that drags you to the depths of greed, power and
madness. Wealthy industrialist Oswald Mandus wakes up in his bed, wracked with
fever and haunted by dreams of a dark and hellish engine. Tortured by visions
of a disastrous expedition to Mexico, broken on the failing dreams of an
industrial utopia, wracked with guilt and tropical disease, he wakes into a
nightmare. The house is silent, the ground beneath him shaking at the will of
an infernal machine — all he knows is that his children are in grave peril and
it's up to him to save them. 


%prep
%setup -Tqcn %{name}-%{version}
echo "YOU CAN INGORE THE WARNING: extra bytes at beginning or within zipfile"
true `unzip -qq %{SOURCE0}`

# Strip the rpath. We still continue even if it fails because 
# building the 32bit RPM on a 64bit system only has access to the 
# 64bit version of chrpath
%ifarch x86_64
chrpath -d data/x86_64/Launcher.bin.x86_64 || :
chrpath -d data/x86_64/AmnesiaAMFP.bin.x86_64 || :
%else
chrpath -d data/x86/Launcher.bin.x86 || :
chrpath -d data/x86/AmnesiaAMFP.bin.x86 || :
%endif

find data -type d -exec chmod 0755 '{}' \;
find data -type f -exec chmod 0644 '{}' \;

# Move for later
mv data/gamedata/*.pdf data

sed -i 's/\r//' data/EULA/*.txt data/EULA/pristine/*.txt


%build
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
%ifarch x86_64
Name=Amnesia: A Machine For Pigs (64bit)
%else
Name=Amnedia: A Machine For Pigs (32bit)
%endif
Comment=%{summary}
Exec=%{namearch}
Icon=%{_datadir}/%{namearch}/AmnesiaAMFP.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;AdventureGame;
EOF

# Create the wrapper for /usr/bin
cat >%{namearch}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{namearch} >/dev/null
%ifarch x86_64
./Launcher.bin.x86_64 "\$@"
%else
./Launcher.bin.x86 "\$@"
%endif
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/applications \
         %{buildroot}%{_datadir}/%{namearch}

%ifarch x86_64
install -p -m0755 data/x86_64/*.bin.x86_64 %{buildroot}%{_datadir}/%{namearch}
%else
install -p -m0755 data/x86/*.bin.x86 %{buildroot}%{_datadir}/%{namearch}
%endif

cp -a data/gamedata/* %{buildroot}%{_datadir}/%{namearch}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

install -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}

# Make appropriate relative symlinks
pushd %{buildroot}%{_datadir}/%{namearch}
ln -s ../doc/%{name}/Manual_br.pdf
ln -s ../doc/%{name}/Manual_cz.pdf
ln -s ../doc/%{name}/Manual_de.pdf
ln -s ../doc/%{name}/Manual_es.pdf
ln -s ../doc/%{name}/Manual_fr.pdf
ln -s ../doc/%{name}/Manual_hu.pdf
ln -s ../doc/%{name}/Manual_it.pdf
ln -s ../doc/%{name}/Manual.pdf
ln -s ../doc/%{name}/Manual_pl.pdf
ln -s ../doc/%{name}/Manual_ru.pdf
popd


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{house}-%{namearch}.desktop


%files
%defattr(-,root,root,-)
%doc data/{EULA,*.pdf}
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/%{house}-%{namearch}.desktop


%changelog
* Thu Nov 06 2014 RPMBuilder <> 1.0.0-1
- Initial Release