# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# CAUTION: BUILDING THIS RPM REQUIRES A LARGE AMOUNT OF STORAGE. ENSURE YOU
# HAVE AT LEAST 5GB FREE WHERE YOUR RPMBUILD DIRECTORIES ARE LOCATED

# We don't want this RPM to be a provider for anything it's bundled with
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. Little we can do with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# This package contains mixed binaries so set up some macros
%ifarch x86_64
%global namearch %{name}64
%else
%global namearch %{name}32
%endif

# The software house
%global house frictionalgames


Name:           amnesia-tdd
Version:        1.3.1
Release:        1
Summary:        The Dark Descent. First person horror adventure game
Group:          Amusements/Games
License:        Commercial
URL:            http://www.amnesiagame.com
Obsoletes:      amnesia
Provides:       amnesia
# cd17037da87675311600870b01cbb73b  amnesia_tdd_1.3.1.sh
Source0:        amnesia_tdd_%{version}.sh
NoSource:       0
BuildRequires:  chrpath
BuildRequires:  desktop-file-utils
Requires:       libXcursor%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       libXinerama%{?_isa}
Requires:       libXScrnSaver%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       mesa-libGL%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
Requires:       xdg-utils
ExclusiveArch:  i686 x86_64

%description
The last remaining memories fade away into darkness. Your mind is a mess and
only a feeling of being hunted remains. You must escape. Awake...
Amnesia: The Dark Descent, a first person survival horror. A game about
immersion, discovery and living through a nightmare. An experience that will
chill you to the core. You stumble through the narrow corridors as the distant
cry is heard. It is getting closer. Explore... Amnesia: The Dark Descent puts
you in the shoes of Daniel as he wakes up in a desolate castle, barely
remembering anything about his past. Exploring the eerie pathways, you must
also take part of Daniel's troubled memories. The horror does not only come
from the outside, but from the inside as well. A disturbing odyssey into the
dark corners of the human mind awaits. A sound of dragging feet? Or is your
mind playing tricks on you? Experience... By using a fully physically simulated
world, cutting edge 3D graphics and a dynamic sound system, the game pulls no
punches when trying to immerse you. Once the game starts, you will be in
control from the beginning to the end. There are no cut-scenes or time-jumps,
whatever happens will happen to you first hand. Something emerges out of the
darkness. It's approaching. Fast. Survive... Amnesia: The Dark Descent throws
you headfirst into a dangerous world where danger can lurk behind every corner.
Your only means of defense are hiding, running or using your wits.


%prep
%setup -Tqcn %{name}-%{version}
echo "YOU CAN INGORE THE WARNING: extra bytes at beginning or within zipfile"
true `unzip -qq %{SOURCE0}`

# Strip the rpath. We still continue even if it fails because 
# building the 32bit RPM on a 64bit system only has access to the 
# 64bit version of chrpath
%ifarch x86_64
chrpath -d data/x86_64/Launcher.bin.x86_64 || :
chrpath -d data/x86_64/Amnesia.bin.x86_64 || :
%else
chrpath -d data/x86/Launcher.bin.x86 || :
chrpath -d data/x86/Amnesia.bin.x86 || :
%endif

find data -type d -exec chmod 0755 '{}' \;
find data -type f -exec chmod 0644 '{}' \;

mv data/noarch/{*.rtf,*.pdf,*.txt} data
sed -i 's/\r//' data/EULA/*.txt


%build
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
%ifarch x86_64
Name=Amnesia: The Dark Descent (64bit)
%else
Name=Amnesia: The Dark Descent (32bit)
%endif
Comment=%{summary}
Exec=%{namearch}
Icon=%{_datadir}/%{namearch}/Amnesia.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;AdventureGame;
EOF

# Create the wrapper for /usr/bin
cat >%{namearch}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{namearch} >/dev/null
%ifarch x86_64
./Launcher.bin.x86_64 "\$@"
%else
./Launcher.bin.x86 "\$@"
%endif
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/applications \
         %{buildroot}%{_datadir}/%{namearch}

%ifarch x86_64
install -p -m0755 data/x86_64/*.bin.x86_64 %{buildroot}%{_datadir}/%{namearch}
%else
install -p -m0755 data/x86/*.bin.x86 %{buildroot}%{_datadir}/%{namearch}
%endif

cp -a data/noarch/* %{buildroot}%{_datadir}/%{namearch}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

install -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}

# Make appropriate relative symlinks
pushd %{buildroot}%{_datadir}/%{namearch}
ln -s ../doc/%{name}/EULA_de.rtf
ln -s ../doc/%{name}/EULA_en.rtf
ln -s ../doc/%{name}/EULA_es.rtf
ln -s ../doc/%{name}/EULA_fr.rtf
ln -s ../doc/%{name}/EULA_it.rtf
ln -s ../doc/%{name}/Manual_de.pdf
ln -s ../doc/%{name}/Manual_en.pdf
ln -s ../doc/%{name}/Manual_es.pdf
ln -s ../doc/%{name}/Manual_fr.pdf
ln -s ../doc/%{name}/Manual_it.pdf
ln -s ../doc/%{name}/Remember\ -\ Short\ Story\ Collection.pdf
ln -s /usr/bin/xdg-open
popd


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{house}-%{namearch}.desktop


%files
%defattr(-,root,root,-)
%doc data/*.pdf data/*.rtf data/EULA
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/%{house}-%{namearch}.desktop


%changelog
* Mon Mar 23 2015 RPMBuilder <> 1.3.1-1
- Upgraded to latest binary release

* Sun Dec 21 2014 RPMBuilder <> 1.3.0-1
- Upgraded to latest binary release

* Sat Dec 28 2013 RPMBuilder <> 1.2.1-4
- Modernize dependency filters
- Various minor cleanups

* Wed Feb 20 2013 RPMBuilder <> 1.2.1-3
- Include bundled libIL, libpng and libjpeg to fix a crashing bug with DevIL > 1.6.8.
  (http://www.frictionalgames.com/forum/thread-20368.html)

* Wed Feb 13 2013 RPMBuilder <> 1.2.1-2
- Replaced libGL with mesa-libGL to avoid bringing in 32bit deps

* Sun Sep 23 2012 RPMBuilder <> 1.2.1-1
- Initial Release