# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure this RPM is not a dependency provider
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# The software house
%global house brokenrules

# Regularised name
%global aname AndYetItMoves
%global rname andyetitmoves


Name:           %{rname}64
Version:        1.2.2
Release:        3
Summary:        Run, jump and turn the world upside-down with And Yet It Moves!
Group:          Amusements/Games
License:        Commercial
URL:            http://www.andyetitmoves.net
# 86544c86a117a653221c38ebfa58c68d  andyetitmoves-1.2.2-1_x86_64.tar.gz
Source0:        %{rname}-%{version}-1_x86_64.tar.gz
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       libXcursor%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       openal-soft%{?_isa}
Requires:       nss-mdns%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  x86_64

%description
And Yet It Moves is an award winning physics-based platform game where you run
and jump through a world made of paper. To aid in solving the twisted
mind-bending levels, you possess the unique ability to rotate the world at
will! Walls become floors, slides become platforms – but a harmless pile of
rocks becomes a hazardous danger when turned upside down!


%prep
%setup -qcn %{name}-%{version}
# Some EOL fixes
sed -i 's/\r//' %{aname}/Language/*.lang

# Some Permission fixes
find . -type d -exec chmod 0755 {} \;
find . -type f -exec chmod 0644 {} \;


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=And Yet It Moves (64bit)
Comment=%{summary}
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{name} >/dev/null

if [ -d \${HOME}/Broken\ Rules ] && [ -d \${HOME}/Broken\ Rules/And\ Yet\ It\ Moves ]; then
    if ! [ -e \${HOME}/.Broken\ Rules ]; then
        mv \${HOME}/Broken\ Rules \${HOME}/.Broken\ Rules
        mv \${HOME}/.Broken\ Rules/And\ Yet\ It\ Moves/common/commonConfig.xml \${HOME}/.Broken\ Rules/And\ Yet\ It\ Moves/common/commonConfig.xml.old
        cat \${HOME}/.Broken\ Rules/And\ Yet\ It\ Moves/common/commonConfig.xml.old | sed -e 's/<Company>Broken Rules/<Company>\.Broken Rules/' > \${HOME}/.Broken\ Rules/And\ Yet\ It\ Moves/common/commonConfig.xml
        rm \${HOME}/.Broken\ Rules/And\ Yet\ It\ Moves/common/commonConfig.xml.old
    fi
fi

./%{name} "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/applications \
         %{buildroot}%{_datadir}/%{name} \
         %{buildroot}%{_datadir}/icons/hicolor/{16x16,22x22,32x32,48x48,64x64,128x128}/apps

cp -a %{aname}/{common,game,Language,main.cs,mask.frag,NandIcon,project.t2dProj,resources,test.aym} %{buildroot}%{_datadir}/%{name}
install -p -m0755 %{aname}/lib/%{aname} %{buildroot}%{_datadir}/%{name}/%{name}
install -p -m0644 %{aname}/icons/16x16.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
install -p -m0644 %{aname}/icons/22x22.png %{buildroot}%{_datadir}/icons/hicolor/22x22/apps/%{name}.png
install -p -m0644 %{aname}/icons/32x32.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
install -p -m0644 %{aname}/icons/48x48.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
install -p -m0644 %{aname}/icons/64x64.png %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
install -p -m0644 %{aname}/icons/128x128.png %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/%{name}.png

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -p -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{house}-%{name}.desktop


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop
%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
%{_datadir}/icons/hicolor/22x22/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png


%changelog
* Thu Jan 23 2014 RPMBuilder <> 1.2.2-3
- Various minor cleanups

* Sun Mar 24 2013 RPMBuilder <> 1.2.2-2
- Clean up some file permissions
- Fix some EOL encodings
- Added missing dependency on openal-soft

* Sun Apr 22 2012 RPMBuilder <> 1.2.2-1
- Initial Release