# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure this RPM is not a dependency provider, as we do not want to any bundled
# items to provide dependencies, although we remove bundles where possible
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# The software house
%global house analgesic


Name:           anodyne
Version:        1.506
Release:        1
Summary:        2D puzzle adventure
Group:          Amusements/Games
License:        Commercial
URL:            http://www.anodynegame.com
# a0bd446900d7962821fcd6d1b332eea4  Anodyne_Linux_Flash_1381865418.zip
Source0:        Anodyne_Linux_Flash_1381865418.zip
Source1:        %{name}.png
Source2:        %{name}.html
NoSource:       0
BuildRequires:  desktop-file-utils
# Ensure at least one browser is installed. This game also requires a flash
# plugin but there's many ways to get flash so we leave it up to the
# browser to warn.
Requires:       webclient
Requires:       xdg-utils
BuildArch:      noarch

%description
Anodyne is a 2D puzzle-adventure game where you play as Young and explore his
uneasy subconsciousness. Armed with a good old broom, Young sets off to protect
the Briar from The Darkness. The game balances exploration with puzzle solving
as your broom goes from weapon to dust shifting device. Be sure to leave
nothing unturned as you travel through dark dungeons, dainty villages and vast
fields.


%prep
%setup -qcn %{name}-%{version}


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=Anodyne
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;LogicGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
#
# Launch the game in a browser. We use xdg-open so it uses the preferred
# browser. This can be overridden for this game by placing a variable in
# the file \${HOME}/.%{name}-browser of the form
# export BROWSER=<mybrowser>

if [ -f "\${HOME}/.%{name}-browser" ] ; then
    source "\${HOME}/.%{name}-browser"
fi

if [ -n "\${BROWSER}" ] ; then
    \${BROWSER} %{_datadir}/%{name}/%{name}.html &
else
    xdg-open %{_datadir}/%{name}/%{name}.html &
fi
EOF


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{house}-%{name}.desktop


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{name} \
         %{buildroot}%{_datadir}/applications

install -p -m0644 Anodyne_STANDALONE_1_506.swf %{buildroot}%{_datadir}/%{name}/%{name}.swf
install -p -m0644 %{SOURCE1} %{buildroot}%{_datadir}/%{name}
install -p -m0644 %{SOURCE2} %{buildroot}%{_datadir}/%{name}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -p -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Sat Oct 26 2013 RPMBuilder <> 1.506-1
- Initial RPM Release
