# IMPORTANT NOTES
#
# 1. You are only entitled to install this RPM if you bought the game
# 2. The "source" actually includes pre-built 32bit binaries
# 3. On 64bit systems the source RPM should be built along the lines of:
#    setarch i386 rpmbuild --target=i686 -ba <specfile>

# We don't want this RPM to be a provider for anything it's bundled with,
# although we remove bundles where practical
AutoProv: no

# Disable rpath checking. Little we can do with closed source
%define __arch_install_post /usr/lib/rpm/check-buildroot

Name:           aquaria
Version:        1.1.3
Release:        2%{?dist}
Summary:        Underwater exploration adventure game
Group:          Amusements/Games
License:        Commercial
URL:            http://www.bit-blot.com/aquaria/
# 8b24ddeeb553e028bbd501102f891cc2  aquaria-lnx-humble-bundle.mojo.run
Source0:        %{name}-lnx-humble-bundle.mojo.run
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       xdg-utils
BuildArch:      i686


%description
A massive ocean world, teeming with life and filled with ancient secrets. Join
Naija, a lone underwater dweller in search of her family, as she explores the
depths of Aquaria. She'll travel from hidden caves, shrouded in darkness, to
beautiful, sunlit oases, all lovingly handcrafted by its two creators.


%prep
%setup -Tqcn %{name}-%{version}

# We are actually unpacking a mojo setup binary here. We need to force a true
# result so rpm does not fail as zip warns about superfluous data at the
# start and returns a non-zero result. That warning can be ignored.
echo "YOU CAN INGORE THE WARNING: extra bytes at beginning or within zipfile"
true `unzip -qq %{SOURCE0}`

# Delete the following bundled libraries as we do not need them
rm -f data/lib{gcc_s.so.1,openal.so.1,SDL-1.2.so.0,stdc++.so.6}

# Remove these extraneous files
rm -f data/xdg-open


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Aquaria
GenericName=Underwater Fantasy Game
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;AdventureGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Wrapper script to launch Aquaria
pushd %{_datadir}/%{name} >/dev/null
./%{name} $*
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_datadir}/applications
cp -a data/* %{buildroot}%{_datadir}/%{name}

desktop-file-install --vendor bitblot \
    --dir %{buildroot}%{_datadir}/applications \
    %{name}.desktop

install -m 0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}

# Remove these from the buildroot as we use %%doc
rm -rf %{buildroot}%{_datadir}/%{name}/docs
rm -f %{buildroot}%{_datadir}/%{name}/README-linux.txt


%files
%defattr(-,root,root,-)
%doc data/{docs,README-linux.txt}
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/bitblot-%{name}.desktop


%changelog
* Mon Nov 07 2011 RPMBuilder <> 1.1.3-2%{?dist}
- Use NoSource tag
- Quieten some things

* Sat Nov 05 2011 RPMBuilder <> 1.1.3-1%{?dist}
- Initial Release
