# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure this RPM is not a dependency provider
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# The software house
%global house bitblot


Name:           aquaria
Version:        1.1.3
Release:        6
Summary:        Underwater exploration adventure game
Group:          Amusements/Games
License:        Commercial
URL:            http://www.bit-blot.com/aquaria/
# 21034394bcc550673080e5284c827e61  aquaria_1.1.3_i386.tar.gz
Source0:        %{name}_%{version}_i386.tar.gz
NoSource:       0
BuildRequires:  chrpath
BuildRequires:  desktop-file-utils
Requires:       libXcursor%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       mesa-libGL%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
Requires:       xdg-utils
ExclusiveArch:  i686

%description
A massive ocean world, teeming with life and filled with ancient secrets. Join
Naija, a lone underwater dweller in search of her family, as she explores the
depths of Aquaria. She'll travel from hidden caves, shrouded in darkness, to
beautiful, sunlit oases, all lovingly handcrafted by its two creators.


%prep
%setup -qcn %{name}-%{version}

# Strip the rpath.
chrpath -d Aquaria/%{name} || :

rm -f Aquaria/lib{gcc_s.so.1,openal.so.1,SDL-1.2.so.0,stdc++.so.6} Aquaria/xdg-open

# Move for later
mv Aquaria/{README-linux.txt,docs} .

# Fix some text files
sed -i 's/\r//' docs/style/aquaria.css


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=Aquaria
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;AdventureGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{name} >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{name} \
         %{buildroot}%{_datadir}/applications

cp -a Aquaria/* %{buildroot}%{_datadir}/%{name}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -p -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%files
%defattr(-,root,root,-)
%doc docs README-linux.txt
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Fri Jan 24 2014 RPMBuilder <> 1.1.3-6
- Various minor cleanups

* Sat Jun 03 2012 RPMBuilder <> 1.1.3-5
- Drop dist tag
- Added dependency on libGL

* Tue Feb 28 2012 RPMBuilder <> 1.1.3-4
- Disable building a debuginfo package under any circumstances
- Convert defines to globals
- Added house global
- Fixed argument passing for the wrapper script. Was being filtered by RPM
- Some minor changes for no reason than to quieten rpmlint further

* Sat Nov 26 2011 RPMBuilder <> 1.1.3-3
- Added pulse-audio-utils as a requirement
- Now uses aquaria_1.1.3_i386.tar.gz

* Mon Nov 07 2011 RPMBuilder <> 1.1.3-2
- Use NoSource tag
- Quieten some things

* Sat Nov 05 2011 RPMBuilder <> 1.1.3-1
- Initial Release
