# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# We don't want this RPM to be a provider for anything it's bundled with
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. Little we can do with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to exclude some requires as they are bundled.
%global __requires_exclude ^libcsfml-.*|^libsfml-.*|^libmono-2\\.0\\.so\\.1|^libMonoPosixHelper\\.so|^libpng12\\.so\\.0|^libtiff\\.so\\.3

# This package contains mixed binaries so set up some macros
%ifarch x86_64
%global namearch %{name}64
%else
%global namearch %{name}32
%endif

# The software house
%global house blendo


Name:           atomzombiesmasher
Version:        1.953
Release:        3
Summary:        Prevent the zombie apocalypse
Group:          Amusements/Games
License:        Commercial
URL:            http://blendogames.com/atomzombiesmasher/
# 6902c845a21e92c62f5b33b38715c797  atomzombiesmasher_v1_953-er.tar.gz
Source0:        %{name}_v1_953-er.tar.gz
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       gtk2%{?_isa}
Requires:       libgdiplus-devel%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       mesa-libGL%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
Requires:       webclient
Requires:       xdg-utils
ExclusiveArch:  i686 x86_64

%description
Build your mercenary army, kill zombies and prevent the zombie apocalypse


%prep
%setup -qcn %{name}-%{version}

# Fix some permissions
chmod 0644 %{name}/game/content/*/*

# Remove some bundled libs (libpng can be problematic, so keep bundled one)
rm -f %{name}/game/lib/lib{FLAC.so.8,gdiplus.so,gif.so.4,jpeg.so.62,openal.so.1}
rm -f %{name}/game/lib64/lib{FLAC.so.8,gdiplus.so,gif.so.4,jpeg.so.62,openal.so.1}


%build
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
%ifarch x86_64
Name=Atom Zombie Smasher (64bit)
%else
Name=Atom Zombie Smasger (32bit)
%endif
Comment=%{summary}
Exec=%{namearch}
Icon=%{_datadir}/%{namearch}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF

# Create the wrapper for /usr/bin
cat >%{namearch}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
export MONO_WINFORMS_XIM_STYLE=disabled
pushd %{_datadir}/%{namearch}/game >/dev/null
%ifarch x86_64
./AtomZombieSmasher.bin.x86_64 "\$@"
%else
./AtomZombieSmasher.bin.x86 "\$@"
%endif
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/applications \
         %{buildroot}%{_datadir}/%{namearch}

cp -a %{name}/game %{buildroot}%{_datadir}/%{namearch}

%ifarch x86_64
rm -f %{buildroot}%{_datadir}/%{namearch}/game/AtomZombieSmasher.bin.x86
rm -rf %{buildroot}%{_datadir}/%{namearch}/game/lib
%else
rm -f %{buildroot}%{_datadir}/%{namearch}/game/AtomZombieSmasher.bin.x86_64
rm -rf %{buildroot}%{_datadir}/%{namearch}/game/lib64
%endif

install -p -m0644 %{name}/game/content/textures/icon.png %{buildroot}%{_datadir}/%{namearch}/%{name}.png

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

install -p -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{house}-%{namearch}.desktop


%files
%defattr(-,root,root,-)
%doc %{name}/readme.html
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/%{house}-%{namearch}.desktop


%changelog
* Sat Dec 28 2013 RPMBuilder <> 1.953-3
- Modernize dependency filters
- Various minor cleanups

* Sun Sep 22 2013 RPMBuilder <> 1.953-2
- Added gtk2 dep

* Fri Apr 19 2013 RPMBuilder <> 1.953-1
- Initial Release