# You are only entitled to install this RPM if you bought the game
# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.

# CAUTION: BUILDING THIS RPM REQUIRES A LARGE AMOUNT OF STORAGE. ENSURE YOU
# HAVE AT LEAST 2.5GB FREE WHERE YOUR RPMBUILD DIRECTORIES ARE LOCATED

# Ensure this RPM is not a dependency provider
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# The software house
%global house ronimo


Name:           awesomenauts
Version:        1.19c
Release:        2
Summary:        Multiplayer cartoon action platformer
Group:          Amusements/Games
License:        Commercial
URL:            http://www.awesomenauts.com/nauts/genji.html
# 9ef95f7f8cbd4eda6e3f77226e6c0fff  Awesomenauts-Linux-2013-5-21-3.bin
Source0:        Awesomenauts-Linux-2013-5-21-3.bin
NoSource:       0
BuildRequires:  chrpath
BuildRequires:  desktop-file-utils
Requires:       libXcursor%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686

%description
Awesomenauts is awesomely awesome, oozing with character and colorful
cartoonish fun. This 3 vs. 3 multiplayer action platformer will have you
attacking your opponents and their turrets while also defending your own base
from attack across a variety of 2-D maps. Choose from a cast of vibrant
characters, each with its own unique set of abilities and theme song and unlock
hundreds of upgrades to customize your character’s abilities to each new battle.


%prep
%setup -Tqcn %{name}-%{version}
echo "YOU CAN INGORE THE WARNING: extra bytes at beginning or within zipfile"
true `unzip -qq %{SOURCE0}`

# Fix non standard dir permissions
find data -type d -exec chmod 0755 {} \;

chrpath -d data/Awesomenauts.bin.x86 || :
chrpath -d data/Settings.bin.x86 || :

# Fix some permissions
find data -type d -exec chmod 0755 '{}' \;
find data -type f -exec chmod 0644 '{}' \;


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=Awesomenauts
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF

cat >%{name}-settings.desktop <<EOF
[Desktop Entry]
Name=Awesomenauts Settings
Comment=%{summary}
Exec=%{name}-settings
Icon=%{_datadir}/%{name}/settings.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{name} >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF

# Create the wrapper for settings /usr/bin
cat >%{name}-settings.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}-settings
#
pushd %{_datadir}/%{name} >/dev/null
./settings "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{name} \
         %{buildroot}%{_datadir}/applications

cp -a data/Data  %{buildroot}%{_datadir}/%{name}

install -p -m0755 data/Awesomenauts.bin.x86 %{buildroot}%{_datadir}/%{name}/%{name}
install -p -m0755 data/Settings.bin.x86 %{buildroot}%{_datadir}/%{name}/settings
install -p -m0644 data/AwesomenautsIcon.png %{buildroot}%{_datadir}/%{name}/%{name}.png
install -p -m0644 data/Settings.png %{buildroot}%{_datadir}/%{name}/settings.png
pushd %{buildroot}%{_datadir}/%{name}
ln -s settings Settings.bin.x86
popd

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}-settings.desktop

install -p -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}
install -p -m0755 %{name}-settings.wrapper %{buildroot}%{_bindir}/%{name}-settings


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{house}-%{name}.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/%{house}-%{name}-settings.desktop


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_bindir}/%{name}-settings
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop
%{_datadir}/applications/%{house}-%{name}-settings.desktop


%changelog
* Fri Jan 24 2014 RPMBuilder <> 1.19c-2
- Various minor cleanups

* Mon Jun 03 2013 RPMBuilder <> 1.19c-1
- Initial Release
