# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure we do not become a provider of anything bundled in this RPM
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# This package contains mixed binaries so set up some macros
%ifarch x86_64
%global namearch %{name}64
%else
%global namearch %{name}32
%endif

# The software house
%global house luckyframe


Name:           badhotel
Version:        0.0
Release:        1
Summary:        Tower defense game based on a hotel
Group:          Amusements/Games
License:        Commercial
URL:            http://www.luckyframe.co.uk/badhotel/
# 30debb984ebfc18a6d6b7a3ec2c7850e  BadHotel_Linux_1387482286.tar.gz
Source0:        BadHotel_Linux_1387482286.tar.gz
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       systemd-libs%{?_isa}
Requires:       libXcursor%{?_isa}
Requires:       libXinerama%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       libXScrnSaver%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
Requires:       SDL2_image%{?_isa}
ExclusiveArch:  i686 x86_64

%description
Tarnation Tadstock is a mean, ugly brute and he'll do anything to sabotage your
hotel business! If you want your hotel to be a success then you'll have to
build quickly to fend off the incoming hordes of seagulls, rats, yetis and
more! Lucky Frame's newest title is a unique hybrid of procedurally generated
tunes and traditional tower defense, but it'll leave you puzzled and on the
edge of your seat, all at the same time! Presented in crisply drawn and
vibrantly colored blocks, it's a work of minimalist-art and a true challenge
for tower-defense lovers.


%prep
%setup -qcn %{name}-%{version}
# We are actually unpacking a mojo setup binary here. We need to force a true
# result so rpm does not fail as zip warns about superfluous data at the
# start and returns a non-zero result. That warning can be ignored.
echo "YOU CAN INGORE THE WARNING: extra bytes at beginning or within zipfile"
true `unzip -qq BadHotel-installer_4`

# Some permission cleanups
find data -type d -exec chmod 0755 '{}' \;
find data -type f -exec chmod 0644 '{}' \;
find data -name "*.DS_Store" -exec rm -f '{}' \;


%build
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
%ifarch x86_64
Name=Bad Hotel (64bit)
%else
Name=Bat Hotel (32bit)
%endif
Comment=%{summary}
Exec=%{namearch}
Icon=%{_datadir}/%{namearch}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;StrategyGame;
EOF

# Create the wrapper for /usr/bin
cat >%{namearch}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
# Game must be launched from the cwd
pushd %{_datadir}/%{namearch} >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{namearch} \
         %{buildroot}%{_datadir}/applications

cp -a data/badHotel_ %{buildroot}%{_datadir}/%{namearch}
rm -f %{buildroot}%{_datadir}/%{namearch}/badHotel_/TODO.txt

%ifarch x86_64
install -p -m0755 data/BadHotel.x86_64 %{buildroot}%{_datadir}/%{namearch}/%{name}
%else
install -p -m0755 data/BadHotel.x86 %{buildroot}%{_datadir}/%{namearch}/%{name}
%endif

install -p -m0644 data/%{name}.png %{buildroot}%{_datadir}/%{namearch}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

install -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{house}-%{namearch}.desktop


%files
%defattr(-,root,root,-)
%doc data/Linux.README data/badHotel_/TODO.txt
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/%{house}-%{namearch}.desktop


%changelog
* Wed Dec 25 2013 RPMBuilder <> - 0.0-1
- Initial Release
