# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# CAUTION: BUILDING THIS RPM REQUIRES A LARGE AMOUNT OF STORAGE. ENSURE YOU
# HAVE AT LEAST 5GB FREE WHERE YOUR RPMBUILD DIRECTORIES ARE LOCATED

# We don't want this RPM to be a provider for anything it's bundled with
AutoProv: no

# Disable any chance of generating a debuginfo package
%global debug_package %{nil}

# Disable rpath checking. Little we can do with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to exclude some requires as they are bundled.
%global __requires_exclude ^libmono-2\\.0\\.so\\.1|^libfmodex\\.so

# This package contains mixed binaries so set up some macros
%ifarch x86_64
%global namearch %{name}64
%else
%global namearch %{name}32
%endif

# The software house
%global house supergiantgames


Name:           bastion
Version:        1.2
Release:        3
Epoch:          1
Summary:        Action role-playing game
Group:          Amusements/Games
License:        Commercial
URL:            http://supergiantgames.com/?page_id=242
# aa6ccaead3b4b8a5fbd156f4019e8c8b  Bastion-HIB-2012-06-20.sh
Source0:        Bastion-HIB-2012-06-20.sh
NoSource:       0
Obsoletes:      Bastion
BuildRequires:  desktop-file-utils
BuildRequires:  xz-lzma-compat
Requires:       libXcursor%{?_isa}
Requires:       libXinerama%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       mesa-libGL%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686 x86_64

%description
Bastion is an original action role-playing game set in a lush imaginative
world, in which players must create and fight for civilization’s last refuge
as a mysterious narrator marks their every move.


%prep
%setup -Tqcn %{name}-%{version}
echo "NOTE: IT IS SAFE TO IGNORE THE TAR BUG : Not found in archive"
mkdir %{name}

# Rip the contents and binaries from the nixinstaller package
sh %{SOURCE0} --tar x --to-stdout ./instarchive_all | tar x --lzma -C %{name}

%ifarch x86_64
sh %{SOURCE0} --tar x --to-stdout ./instarchive_linux_x86_64 | tar x --lzma -C %{name}
%else
sh %{SOURCE0} --tar x --to-stdout ./instarchive_linux_x86 | tar x --lzma -C %{name}
%endif

rm -f %{name}/%{_lib}/libSDL-1.2.so.0
mv %{name}/README.linux .


%build
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
%ifarch x86_64
Name=Bastion (64bit)
%else
Name=Bastion (32bit)
%endif
Comment=%{summary}
Exec=%{namearch}
Icon=%{_datadir}/%{namearch}/Bastion.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF

cat >%{namearch}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{namearch} >/dev/null
%ifarch x86_64
./Bastion.bin.x86_64 "\$@"
%else
./Bastion.bin.x86 "\$@"
%endif
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/applications \
         %{buildroot}%{_datadir}/%{namearch}

cp -a %{name}/* %{buildroot}%{_datadir}/%{namearch}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

install -p -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{house}-%{namearch}.desktop


%files
%defattr(-,root,root,-)
%doc README.linux
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/%{house}-%{namearch}.desktop


%changelog
* Sat Oct 05 2013 RPMBuilder <> 1:2.2-3
- Fixed icon location
- Some SPEC clean ups

* Fri Sep 27 2013 RPMBuilder <> 1:1.2-2
- Added Epoch due to release change
- Added some missing deps
- Changed how mono is handled
- Renamed from Bastion to bastion

* Sun Sep 23 2012 RPMBuilder <> 1.2-20120620
- Initial Release