# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure this RPM is not a dependency provider
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to exclude some requires as they are bundled.
%global __requires_exclude ^liballegro.*|^libbass.*|^libjpeg\\.so.*|^libpng12\\.so\\.0.*

# The software house
%global house coldbeam


Name:           beat-hazard-ultra
Version:        1.67
Release:        2
Summary:        A shoot-em-up game powered by your music
Group:          Amusements/Games
License:        Commercial
URL:            http://www.coldbeamgames.com
# 79abdec2257bec523800f070287df91e  beathazard-installer_03-08-13
Source0:        beathazard-installer_03-08-13
NoSource:       0
BuildRequires:  chrpath
BuildRequires:  desktop-file-utils
Requires:       alsa-lib%{?_isa}
Requires:       alsa-plugins-pulseaudio%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686

%description
Experience your music collection as never before with this intense music driven
arcade shooter. Each of your songs will have its own unique ebb and flow based
on the music. Power up your spaceship and watch as the music boosts your
firepower. Unleash hell on the enemy ships when you max out with weapon
pickups! Beat Hazard seamlessly mixes the love of gaming and music. Together
they become greater than the sum of their parts. 


%prep
%setup -Tqcn %{name}-%{version}
echo "YOU CAN INGORE THE WARNING: extra bytes at beginning or within zipfile"
true `unzip -qq %{SOURCE0}`

# Strip the rpath. We still continue even if it fails because partly it's
# not critical but also because building the 32bit RPM on a 64bit system
# only has access to the 64bit version of chrpath, we cannot strip 32bit
# binaries. But in all other scenarios it should work without issue
chrpath -d data/all/BeatHazard_Linux2 || :


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=Beat Hazard Ultra
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ArcadeGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{name} >/dev/null
export LD_LIBRARY_PATH=\$LD_LIBRARY_PATH:%{_datadir}/%{name}/%{_lib}
./%{name} "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{name}/%{_lib} \
         %{buildroot}%{_datadir}/applications

install -p -m0755 data/all/BeatHazard_Linux2 %{buildroot}%{_datadir}/%{name}/%{name}
cp -a data/all/data %{buildroot}%{_datadir}/%{name}
# Probably only needs libbass* and libpng* libjpeg* bundled really.
install -p -m0755 data/all/hge_lib/lib*  %{buildroot}%{_datadir}/%{name}/%{_lib}
install -p -m0644 data/SmileLogo.png %{buildroot}%{_datadir}/%{name}/%{name}.png

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -p -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{house}-%{name}.desktop


%files
%defattr(-,root,root,-)
%doc data/Linux.README
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Sat Dec 28 2013 RPMBuilder <> 1.67-2
- Modernize RPM filters
- Various minor cleanups

* Fri Mar 22 2013 RPMBuilder <> 1.67-1
- Initial Release
