# * You are only entitled to install this RPM if you bought the game
# * The "source" actually includes pre-built 32bit binaries
# * On 64bit systems the source RPM should be built as follows:
#    setarch i386 rpmbuild --target=i686 -ba <specfile>

# Ensure this RPM is not a dependency provider, as we do not want to any bundled
# items to provide dependencies, although we remove bundles where possible
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# Disable stripping as the comment note fields are (mis)used
%global __os_install_post %{nil}

# The software house
%global house gaijin


Name:           bit-trip-runner32
Version:        1.0
Release:        2
Summary:        Retro arcade rhythm music game
Group:          Amusements/Games
License:        Commercial
URL:            http://bittripgame.com/bittrip-runner.html
#62bb8c0b411a0edba9f5d6d7ddc50962  bit.trip.runner_i386.tar.gz
Source0:        bit.trip.runner_i386.tar.gz
NoSource:       0
BuildRequires:  desktop-file-utils
BuildRequires:  ImageMagick
Requires:       pulseaudio-utils%{?_isa}
BuildArch:      i686


%description
BIT.TRIP RUNNER marks the first fully character-based adventure for
CommanderVideo with:
Rhythm-based Action Platforming!
Boss Battles Against Robotic Terrors!
50+ Challenges!
Classic NES-Style Controls!
A Pounding Chiptune-Inspired Soundtrack!
Special Chiptune Guest Star Anamanaguchi!
New Friends for CommanderVideo!


%prep
%setup -qcn %{name}-%{version}

# Fix some EOL encodings
sed -i 's/\r//' bit.trip.runner-1.0/{README,ThirdPartyLicenses.txt}


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Bit Trip Runner (32bit)
GenericName=Ryhthm Platform
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF


# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{name} >/dev/null
./bit.trip.runner "\$@"
popd >/dev/null
EOF


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -a bit.trip.runner-1.0/bit.trip.runner/* %{buildroot}%{_datadir}/%{name}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -m 0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}

# Create Icon
convert bit.trip.runner-1.0/bit.trip.runner/RUNNER.tga %{buildroot}%{_datadir}/%{name}/%{name}.png


%files
%defattr(-,root,root,-)
%doc bit.trip.runner-1.0/{README,README.html,ThirdPartyLicenses.txt}
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Wed Mar 07 2012 RPMBuilder <> 1.0-2
- Disable building a debuginfo package under any circumstances
- Convert defines to globals
- Added house global
- Fixed argument passing for the wrapper script. Was being filtered by RPM

* Mon Feb 20 2012 RPMBuilder <> 1.0-1
- Initial Release
