# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure this RPM is not a dependency provider
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# The software house
%global house gaijin


Name:           bit-trip-runner64
Version:        1.0
Release:        4
Summary:        Retro arcade rhythm music game
Group:          Amusements/Games
License:        Commercial
URL:            http://bittripgame.com/bittrip-runner.html
# 026712ac29972467f0b167a3eeaa3933  bit.trip.runner_1.0-4_amd64-1348702546.tar.gz
Source0:        bit.trip.runner_%{version}-4_amd64-1348702546.tar.gz
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       libXcursor%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  x86_64

%description
Bit.Trip Runner is the fourth installment of the Bit.Trip series. Runner
features over 50 levels. The gameplay involves players controlling Commander
Video and making him jump, slide, kick, and more through various obstacles in
his path. The special guest band Anamanaguchi provides menu and credits music.
Though it has over 50 levels, breaking the 3 level norm of the last games,
these levels are divided evenly amongst 3 zones, which each have their own
distinct background and musical feel; each zone houses twelve levels, including
a boss level. For every level (except boss levels) there is a retro challenge
awarded should the player collect all gold bars in the normal level. Each retro
challenge is harder than the normal level and usually has more gold bars. The
perfect completion of a retro challenge will award players with an exclamation
point beside the stage and the word "PERFECT" beside the score in the
scoreboard, but only if they have done everything "extra" in the level
beforehand.


%prep
%setup -qcn %{name}-%{version}
# Fix some EOL encodings
sed -i 's/\r//' bit.trip.runner-%{version}/ThirdPartyLicenses.txt


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=Bit.Trip Runner (64bit)
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ArcadeGame;
EOF


# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{name} >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/applications \
         %{buildroot}%{_datadir}/%{name}

cp -a bit.trip.runner-%{version}/bit.trip.runner/* %{buildroot}%{_datadir}/%{name}
mv %{buildroot}%{_datadir}/%{name}/bit.trip.runner %{buildroot}%{_datadir}/%{name}/%{name}
mv %{buildroot}%{_datadir}/%{name}/RUNNER.png %{buildroot}%{_datadir}/%{name}/%{name}.png

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -p -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{house}-%{name}.desktop


%files
%defattr(-,root,root,-)
%doc bit.trip.runner-%{version}/{README,README.html,ThirdPartyLicenses.txt}
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Sat Sep 29 2012 RPMBuilder <> 1.0-4
- Updated to new bin package bit.trip.runner_1.0-4_amd64-1348702546.tar.gz
- Some minor spec optimisations

* Sat Sep 22 2012 RPMBuilder <> 1.0-3
- Updated to new bin package bit.trip.runner-linux-1.0-3-1339460051-amd64.tar.gz
- Dropped ImageMagick BR as this update includes a PNG icon

* Wed Mar 07 2012 RPMBuilder <> 1.0-2
- Disable building a debuginfo package under any circumstances
- Convert defines to globals
- Added house global
- Fixed argument passing for the wrapper script. Was being filtered by RPM

* Mon Feb 20 2012 RPMBuilder <> 1.0-1
- Initial Release
