# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# We don't want this RPM to be a provider
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. Little we can do with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# This package contains mixed binaries so set up some macros
%ifarch x86_64
%global namearch %{name}64
%else
%global namearch %{name}32
%endif

# The software house
%global house swingswing


Name:           blocks-that-matter
Version:        1.1.0.3
Release:        1
Summary:        Indie game developers are in trouble. Save them!
Group:          Amusements/Games
License:        Commercial
URL:            http://www.swingswingsubmarine.com/games/blocks-that-matter/
# a3c8509ba8b3ffc52522a1eac3dc0f10  BlocksThatMatter_linux_1.1.0.3.zip
Source0:        BlocksThatMatter_linux_1.1.0.3.zip
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       java >= 1.7.0
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686 x86_64

%description
When indie game developers Alexey and Markus are in trouble, their only hope
comes from their creation.
You are the Tetrobot; a tiny robot that can drill blocks of matter one by one,
collect them, and recycle them into new pieces of 4 blocks. You also have the
possibility to destroy lines of 8+ blocks in a very "retro russian" game style.
Sand, wood, stone, obsidian, iron, diamond; each matter has its specific
behavior you'll have to use wisely and take advantage of them. So get ready to
use your brain and combine your platforming and puzzle-solving skills in this
incredible mashup!


%prep
%setup -qcn %{name}-%{version}
find "Blocks That Matter linux %{version}" -type d -exec chmod 0755 '{}' \;
find "Blocks That Matter linux %{version}" -type f -exec chmod 0644 '{}' \;

# Fullscreen is very bad on dual displays. Use windowed mode first
sed -i 's/fullscreen value="1/fullscreen value="0/' "Blocks That Matter linux %{version}/config/DisplayOptions.xml"

# Some encoding and EOL files
sed -i 's/\r//' "Blocks That Matter linux %{version}"/README/{ChangeLog.txt,README.txt,USER_DATAS_FILES.txt}
iconv -f iso8859-1 -t utf8 "Blocks That Matter linux %{version}"/README/ChangeLog.txt > "Blocks That Matter linux %{version}"/README/ChangeLog.txt.conv
iconv -f iso8859-1 -t utf8 "Blocks That Matter linux %{version}"/README/README.txt > "Blocks That Matter linux %{version}"/README/README.txt.conv
iconv -f iso8859-1 -t utf8 "Blocks That Matter linux %{version}"/README/USER_DATAS_FILES.txt > "Blocks That Matter linux %{version}"/README/USER_DATAS_FILES.txt.conv
mv -f "Blocks That Matter linux %{version}"/README/ChangeLog.txt.conv ChangeLog.txt
mv -f "Blocks That Matter linux %{version}"/README/README.txt.conv README.txt
mv -f "Blocks That Matter linux %{version}"/README/USER_DATAS_FILES.txt.conv USER_DATAS_FILES.txt


%build
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
%ifarch x86_64
Name=Blocks That Matter (64bit)
%else
Name=Blocks That Matter (32bit)
%endif
Comment=%{summary}
Exec=%{namearch}
Icon=%{_datadir}/%{namearch}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;StrategyGame;
EOF

# Create the wrapper for /usr/bin
cat >%{namearch}.wrapper <<EOF
#!/bin/bash
#
# Simple wrapper script for for %{name}
export LD_LIBRARY_PATH=\$LD_LIBRARY_PATH:%{_datadir}/%{namearch}

pushd %{_datadir}/%{namearch} > /dev/null
%ifarch x86_64
java -d64\\
%else
java -d32\\
%endif
    -Djava.library.path="." \\
    -Dorg.lwjgl.librarypath="%{_datadir}/%{namearch}" \\
    -jar BTM.jar -Xmx1024M -Xms512M "\$@"

popd > /dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/applications \
         %{buildroot}%{_datadir}/%{namearch}

pushd "Blocks That Matter linux %{version}"
cp -a "Blocks That Matter Save" BTM_lib Community config CreatorHelperDatas \
      custom_languages default_resources languages %{buildroot}%{_datadir}/%{namearch}
install -p -m0644 BTM.jar %{buildroot}%{_datadir}/%{namearch}
install -p -m0644 BTM.bftm %{buildroot}%{_datadir}/%{namearch}
install -p -m0644 BTM.png %{buildroot}%{_datadir}/%{namearch}/%{name}.png
%ifarch x86_64
install -p -m0755 libjinput-linux64.so liblwjgl64.so libopenal64.so %{buildroot}%{_datadir}/%{namearch}
%else
install -p -m0755 libjinput-linux.so liblwjgl.so libopenal.so %{buildroot}%{_datadir}/%{namearch}
%endif
popd

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

install -p -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{house}-%{namearch}.desktop


%files
%defattr(-,root,root,-)
%doc ChangeLog.txt README.txt USER_DATAS_FILES.txt
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/%{house}-%{namearch}.desktop


%changelog
* Tue Dec 16 2014 RPMBuilder <> 1.1.0.3-1
- Upgraded to latest binary release
- 32bit and 64bit now in same source

* Thu Jul 18 2013 RPMBuilder <> 1.0.0.8-2
- Drop the 'isa' portion of the openjdk dependency

* Sun Sep 30 2012 RPMBuilder <> 1.0.0.8-1
- Initial Release
