# IMPORTANT NOTES
#
# 1. You are only entitled to install this RPM if you bought the game
# 2. The "source" actually includes pre-built 32bit and 64bit binaries
# 3. rpmbuild -bb <specfile>

# We don't want this RPM to be a provider for anything it's bundled with,
# although we remove bundles where practical
AutoProv: no

# Disable rpath checking. Little we can do with closed source
%define __arch_install_post /usr/lib/rpm/check-buildroot

%ifarch x86_64
%define namearch %{name}64
%else
%define namearch %{name}
%endif

Name:           braid
Version:        0
Release:        1_build2_1%{?dist}
Summary:        Time bending puzzle platformer
Group:          Amusements/Games
License:        Commercial
URL:            http://www.braid-game.com
# f8933b7f7c77a234763cf73e2f9312a7  braid-linux-build2.run.bin
Source0:        braid-linux-build2.run.bin
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       pulseaudio-utils%{?_isa}
BuildArch:      i686 x86_64


%description
Braid is a platform game in a painterly style where you manipulated the flow of
time to solve puzzles.


%prep
%setup -Tqcn %{name}-%{version}

# We are actually unpacking a mojo setup binary here. We need to force a true
# result so rpm does not fail as zip warns about superfluous data at the
# start and returns a non-zero result. That warning can be ignored.
echo "YOU CAN INGORE THE WARNING: extra bytes at beginning or within zipfile"
true `unzip -qq %{SOURCE0}`

# Fix some permissions
chmod 0644 data/gamedata/data/*.zip


%build
# Sane desktop file
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
%ifarch x86_64
Name=Braid (64bit)
%else
Name=Braid (32bit)
%endif
GenericName=Puzzle Platformer
Comment=%{summary}
Exec=%{namearch}
Icon=%{_datadir}/%{namearch}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;AdventureGame;
EOF

# Create the wrapper for /usr/bin
cat >%{namearch}.wrapper <<EOF
#!/bin/bash
# Wrapper script to launch braid
pushd %{_datadir}/%{namearch} >/dev/null
./%{namearch} $*
popd >/dev/null
EOF


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/%{namearch}
mkdir -p %{buildroot}%{_datadir}/applications

%ifarch x86_64
cp -a data/amd64/%{name} %{buildroot}%{_datadir}/%{namearch}/%{namearch}
%else
cp -a data/x86/%{name} %{buildroot}%{_datadir}/%{namearch}/%{namearch}
%endif

cp -a data/gamedata/data %{buildroot}%{_datadir}/%{namearch}
install -m0644 data/gamedata/%{name}.png %{buildroot}%{_datadir}/%{namearch}

desktop-file-install --vendor numbernone \
    --dir %{buildroot}%{_datadir}/applications \
    %{namearch}.desktop

install -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}


%files
%defattr(-,root,root,-)
%doc data/gamedata/{README-linux.txt,licenses}
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/numbernone-%{namearch}.desktop


%changelog
* Thu Nov 10 2011 RPMBuilder <> 0-1_build2_1%{?dist}
- Build 2 of braid. Now also includes 64bit binaries

* Mon Nov 07 2011 RPMBuilder <> 0-0_unknown_2%{?dist}
- Use NoSource tag
- Quieten some things

* Sun Nov 06 2011 RPMBuilder <> 0-0_unknown_1%{?dist}
- Initial RPM Release