# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure this RPM is not a dependency provider, as we do not want to any bundled
# items to provide dependencies, although we remove bundles where possible
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# This package contains mixed binaries so set up some macros
%ifarch x86_64
%global namearch %{name}64
%else
%global namearch %{name}32
%endif

# The software house
%global house numbernone


Name:           braid
Version:        0
Release:        3_build2
Summary:        Time bending puzzle platformer
Group:          Amusements/Games
License:        Commercial
URL:            http://www.braid-game.com
# f8933b7f7c77a234763cf73e2f9312a7  braid-linux-build2.run.bin
Source0:        %{name}-linux-build2.run.bin
NoSource:       0
BuildRequires:  chrpath
BuildRequires:  desktop-file-utils
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686 x86_64

%description
Braid is a platform game in a painterly style where you manipulated the flow of
time to solve puzzles.


%prep
%setup -Tqcn %{name}-%{version}

# We are actually unpacking a mojo setup binary here. We need to force a true
# result so rpm does not fail as zip warns about superfluous data at the
# start and returns a non-zero result. That warning can be ignored.
echo "YOU CAN INGORE THE WARNING: extra bytes at beginning or within zipfile"
true `unzip -qq %{SOURCE0}`

# Strip the rpath. We still continue even if it fails because partly it's
# not critical but also because building the 32bit RPM on a 64bit system
# only has access to the 64bit version of chrpath, we cannot strip 32bit
# binaries. But in all other scenarios it should work without issue
%ifarch x86_64
chrpath -d data/amd64/%{name} || :
%else
chrpath -d data/x86/%{name} || :
%endif

# Fix some permissions
chmod 0644 data/gamedata/data/*.zip \
           data/gamedata/data/strings/* \
           data/gamedata/data/fonts/* 


%build
# Sane desktop file
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
%ifarch x86_64
Name=Braid (64bit)
%else
Name=Braid (32bit)
%endif
Comment=%{summary}
Exec=%{namearch}
Icon=%{_datadir}/%{namearch}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;AdventureGame;
EOF

# Create the wrapper for /usr/bin
cat >%{namearch}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
echo "Screen size must be larger than 1024x768 for Braid to work"
pushd %{_datadir}/%{namearch} >/dev/null
./%{namearch} "\$@"
popd >/dev/null
EOF


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{namearch} \
         %{buildroot}%{_datadir}/applications

%ifarch x86_64
cp -a data/amd64/%{name} %{buildroot}%{_datadir}/%{namearch}/%{namearch}
%else
cp -a data/x86/%{name} %{buildroot}%{_datadir}/%{namearch}/%{namearch}
%endif

cp -a data/gamedata/data %{buildroot}%{_datadir}/%{namearch}
install -m0644 data/gamedata/%{name}.png %{buildroot}%{_datadir}/%{namearch}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

install -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}


%files
%defattr(-,root,root,-)
%doc data/gamedata/{README-linux.txt,licenses}
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/%{house}-%{namearch}.desktop


%changelog
* Sat Mar 30 2013 RPMBuilder <> 0-3_build2
- Some minor permission fixes

* Sat Jun 03 2012 RPMBuilder <> 0-2_build2
- Drop disttag
- Replaced some defines with globals

* Wed Feb 29 2012 RPMBuilder <> 0-1_build2_2
- Disable building a debuginfo package under any circumstances
- Convert defines to globals
- Added house global
- Fixed argument passing for the wrapper script. Was being filtered by RPM
- Use chrpath if possible

* Thu Nov 10 2011 RPMBuilder <> 0-1_build2_1
- Build 2 of braid. Now also includes 64bit binaries

* Mon Nov 07 2011 RPMBuilder <> 0-0_unknown_2
- Use NoSource tag
- Quieten some things

* Sun Nov 06 2011 RPMBuilder <> 0-0_unknown_1
- Initial RPM Release