# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# CAUTION: BUILDING THIS RPM REQUIRES A LARGE AMOUNT OF STORAGE. ENSURE YOU
# HAVE AT LEAST 3.5GB FREE WHERE YOUR RPMBUILD DIRECTORIES ARE LOCATED

# Ensure we do not become a provider of anything bundled in this RPM
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to exclude some requires as they are bundled.
%global __requires_exclude ^libmono\\.so

# The software house
%global house mightyrabbit


Name:           breach-and-clear
Version:        2.1.1
Release:        1
Summary:        Special operations combat game
Group:          Amusements/Games
License:        Commercial
URL:            http://www.breachandclear.com
# 1af957ed95f9cb6b8c677dccaec0b60f  breachandclear_nix.tgz
Source0:        breachandclear_nix.tgz
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686

%description
The world of Special Operations is a tight knit, closed group populated by
incredibly knowledgeable and motivated individuals who answer to a life of
service. Breach & Clear allows you to take a peek at the world of Special
Operations as well as close quarters battles in this highly engaging and
detail-oriented tactical strategy title.
Working with members of this elite community and suppliers to the best of the
best, gamers will be able to customize and orient special operations teams from
around the world as you take on missions that have been planned out by members
of this highly selective community. Breach & Clear is the definition of
customization and strategy as you take a glimpse of a world so closed off from
the norm. 


%prep
%setup -qcn %{name}-%{version}
find nix -type d -exec chmod 0755 '{}' \;
find nix -type f -exec chmod 0644 '{}' \;
chmod 0755 nix/bnc_linux.x86 nix/bnc_linux_Data/Mono/x86/libmono.so


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=Breach & Clear
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
# Game must be launched from the cwd
pushd %{_datadir}/%{name} >/dev/null
./bnc_linux.x86 "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{name} \
         %{buildroot}%{_datadir}/applications

cp -a nix/bnc_linux_Data %{buildroot}%{_datadir}/%{name}
install -p -m0755 nix/bnc_linux.x86 %{buildroot}%{_datadir}/%{name}
install -p -m0644 nix/bnc_linux_Data/Resources/UnityPlayer.png \
                  %{buildroot}%{_datadir}/%{name}/%{name}.png

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -p -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{house}-%{name}.desktop


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Sun Jul 27 2014 RPMBuilder <> 2.2.1-1
- Initial Release
