# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# CAUTION: BUILDING THIS RPM REQUIRES A LARGE AMOUNT OF STORAGE. ENSURE YOU
# HAVE AT LEAST 4GB FREE WHERE YOUR RPMBUILD DIRECTORIES ARE LOCATED

# Ensure we do not become a provider of anything bundled in this RPM
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# This package contains mixed binaries so set up some macros
%ifarch x86_64
%global namearch %{name}64
%else
%global namearch %{name}32
%endif

# The software house
%global house revolution


Name:           broken-sword-stdc
Version:        1.0.800
Release:        1
Summary:        Point and click adventure game
Group:          Amusements/Games
License:        Commercial
URL:            http://www.revolution.co.uk/games/bs1dc/
# f4867d26cda9d8b06b617abcdd8bb1b7  BrokenSword1DirectorsCut_v1.0.800_Linux_1372464772.tar.gz
Source0:        BrokenSword1DirectorsCut_v%{version}_Linux_1372464772.tar.gz
NoSource:       0
BuildRequires:  chrpath
BuildRequires:  desktop-file-utils
BuildRequires:  ImageMagick
Requires:       libXcursor%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       mesa-libGL%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686 x86_64

%description
Take a trip to Paris in the acclaimed Broken Sword: Shadow of the Templars
 - Director's Cut! A remake of the original point and click adventure game, the
director's cut introduces a new narrative in addition to the classic story.
Join Nicole Collard, a nosy journalist who walks in on the carefully
orchestrated murder of statesman Pierre Carchon and George Stobbart, a tourist
who finds himself in the middle of a bistro bombing, as they team up to
investigate the conspiracy linking the two events. Embark on a whirlwind
journey as you explore France, crack codes and puzzles and be an all-around
sleuthing bad ass.


%prep
%setup -qcn %{name}-%{version}
# Strip the rpath. We still continue even if it fails because partly it's
# not critical but also because building the 32bit RPM on a 64bit system
# only has access to the 64bit version of chrpath, we cannot strip 32bit
# binaries. But in all other scenarios it should work without issue
%ifarch x86_64
chrpath -d bs1dc_linux_v%{version}/x86_64/bs1dc_x86_64 || :
%else
chrpath -d bs1dc_linux_v%{version}/i386/bs1dc_i386 || :
%endif


%build
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
%ifarch x86_64
Name=Broken Sword: Shadow of the Templars (64bit)
%else
Name=Broken Sword: Shadow of the Templars (32bit)
%endif
Comment=%{summary}
Exec=%{namearch}
Icon=%{_datadir}/%{namearch}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;AdventureGame;
EOF

# Create the wrapper for /usr/bin
cat >%{namearch}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
# Game must be launched from the parent dir
pushd %{_datadir}/%{namearch} >/dev/null
./bin/%{name} "\$@"
popd >/dev/null
EOF


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{namearch}/bin \
         %{buildroot}%{_datadir}/applications

cp -a bs1dc_linux_v%{version}/{font,movies,music} \
      %{buildroot}%{_datadir}/%{namearch}

install -m0644 bs1dc_linux_v%{version}/{*.dat,icon.bmp} \
               %{buildroot}%{_datadir}/%{namearch}

%ifarch x86_64
install -m0755 bs1dc_linux_v%{version}/x86_64/bs1dc_x86_64 \
               %{buildroot}%{_datadir}/%{namearch}/bin/%{name}
%else
install -m0755 bs1dc_linux_v%{version}/i386/bs1dc_i386 \
               %{buildroot}%{_datadir}/%{namearch}/bin/%{name}
%endif

convert bs1dc_linux_v%{version}/icon.bmp %{buildroot}%{_datadir}/%{namearch}/%{name}.png

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

install -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{house}-%{namearch}.desktop


%files
%defattr(-,root,root,-)
%doc bs1dc_linux_v%{version}/legal.txt
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/%{house}-%{namearch}.desktop


%changelog
* Sun Oct 27 2013 RPMBuilder <> - 1.0.800-1
- Initial Release
