# You are only entitled to install this RPM if you bought the game
# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.

# CAUTION: BUILDING THIS RPM REQUIRES A LARGE AMOUNT OF STORAGE. ENSURE YOU
# HAVE AT LEAST 25GB FREE WHERE YOUR RPMBUILD DIRECTORIES ARE LOCATED

# Ensure this RPM is not a dependency provider, as we do not want to any bundled
# items to provide dependencies, although we remove bundles where possible
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to filter some requires
%global    _use_internal_dependency_generator 0
%global    __find_requires %{_builddir}/%{name}-%{version}/filter-requires-%{name}.sh

# The software house
%global house doublefine


Name:           brutal-legend
Version:        0.0
Release:        1
Summary:        Console platform with storytelling and adventure
Group:          Amusements/Games
License:        Commercial
URL:            http://www.doublefine.com/brutallegend/
# fe60c82b707b36c2892830e58f41f05e  BrutalLegend-Linux-2013-05-07-setup.bin
Source0:        BrutalLegend-Linux-2013-05-07-setup.bin
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       pulseaudio-libs%{?_isa}
Requires:       mesa-libGL%{?_isa}
ExclusiveArch:  i686

%description
Brütal Legend is an action-adventure that marries visceral action combat with
open-world freedom. Set in a universe somewhere between Lord of the Rings and
Spinal Tap, it’s a fresh take on the action/driving genre, which in this case
is full of imitation cover bands, demons intent on enslaving humanity and
Heavy metal tunes.


%prep
%setup -Tqcn %{name}-%{version}

# We are actually unpacking a mojo setup binary here. We need to force a true
# result so rpm does not fail as zip warns about superfluous data at the
# start and returns a non-zero result. That warning can be ignored.
echo "YOU CAN INGORE THE WARNING: extra bytes at beginning or within zipfile"
true `unzip -qq %{SOURCE0}`

# Fix non standard dir permissions
find data -type d -exec chmod 0755 {} \;
chmod 0755 data/lib/*


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Brütal Legend
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{name} >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF

cat >filter-requires-%{name}.sh <<EOF
#!/bin/sh
# Filter requires for libraries that are bundled

if [ -x /usr/lib/rpm/redhat/find-requires ] ; then
    FINDREQ=/usr/lib/rpm/redhat/find-requires
else
    FINDREQ=/usr/lib/rpm/find-requires
fi

\$FINDREQ \$* | sed -e '/libfmodevent-4.42.16.so/d' | \
                sed -e '/libfmodeventnet-4.42.16.so/d' | \
                sed -e '/libfmodex-4.42.16.so/d' | \
                sed -e '/libSDL2-2.0.so.0/d' | \
                sed -e '/libsteam_api.so/d'
EOF

chmod 0755 filter-requires-%{name}.sh


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{name} \
         %{buildroot}%{_datadir}/applications

cp -a data/{Data,DFCONFIG,lib,Linux,OGL,Win} \
      %{buildroot}%{_datadir}/%{name}

install -m 0755 data/Buddha.bin.x86 %{buildroot}%{_datadir}/%{name}/%{name}
install -m 0644 data/Buddha.png %{buildroot}%{_datadir}/%{name}/%{name}.png

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}

%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Sun Jun 02 2013 RPMBuilder <> - 0.0-1
- Initial Release
