# You are only entitled to install this RPM if you bought the game
# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.

# Ensure this RPM is not a dependency provider, as we do not want to any bundled
# items to provide dependencies, although we remove bundles where possible
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# This package contains mixed binaries so set up some macros
%ifarch x86_64
%global namearch %{name}64
%else
%global namearch %{name}32
%endif

# We need to filter some requires
%global    _use_internal_dependency_generator 0
%global    __find_requires %{_builddir}/%{name}-%{version}/filter-requires-%{namearch}.sh

# The software house
%global house alientrap


Name:           capsized
Version:        0.0
Release:        2
Summary:        2D platformer with vast colorful landscapes
Group:          Amusements/Games
License:        Commercial
URL:            http://www.capsizedgame.com
# 9aa77fce5f3e99dcbac3665698d945ee  capsized-06102013-bin
Source0:        %{name}-06102013-bin
NoSource:       0
BuildRequires:  desktop-file-utils
BuildRequires:  ImageMagick
Requires:       mesa-libGL%{?_isa}
Requires:       openal-soft%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686 x86_64

%description
In a turn of unfortunate events, you've crashed on a strange alien planet.
Stranded, you'll need to use a variety of tools and weapons, including a
Jetpack, Energy Shield, and Quasar Array, to find the rest of your crew and
make it out alive. Capsized is a 2-D platformer filled with colorful detailed
landscapes and blood-thirsty monsters. With a campaign mode of 12 missions and
an arcade mode, you’ll find that being marooned on an unfamiliar world might
not be such a bad thing after all.


%prep
%setup -Tqcn %{name}-%{version}

# We are actually unpacking a mojo setup binary here. We need to force a true
# result so rpm does not fail as zip warns about superfluous data at the
# start and returns a non-zero result. That warning can be ignored.
echo "YOU CAN INGORE THE WARNING: extra bytes at beginning or within zipfile"
true `unzip -qq %{SOURCE0}`

# Some permission fixes
find data -type f -iname "*.dll" -exec chmod 0644 {} \;

# Move for later
mv data/Linux.README .


%build
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
%ifarch x86_64
Name=Capsized (64bit)
%else
Name=Capsized (32bit)
%endif
Comment=%{summary}
Exec=%{namearch}
Icon=%{_datadir}/%{namearch}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF

# Create the wrapper for /usr/bin
cat >%{namearch}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{namearch} >/dev/null
%ifarch x86_64
./NePlusUltra.bin.x86_64
%else
./NePlusUltra.bin.x86
%endif
popd >/dev/null
EOF

cat >filter-requires-%{namearch}.sh <<EOF
#!/bin/sh
# Filter requires for libraries that are bundled

if [ -x /usr/lib/rpm/redhat/find-requires ] ; then
    FINDREQ=/usr/lib/rpm/redhat/find-requires
else
    FINDREQ=/usr/lib/rpm/find-requires
fi

\$FINDREQ \$* | sed -e '/libSDL2-2.0.so.0/d' | \
                sed -e '/libSDL2_mixer-2.0.so.0/d' | \
                sed -e '/libtheoraplay.so/d' 
EOF

chmod 0755 filter-requires-%{namearch}.sh


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{namearch} \
         %{buildroot}%{_datadir}/applications\

# Don't rename exes as game is mono
cp -a data/*  %{buildroot}%{_datadir}/%{namearch}
rm -f %{buildroot}%{_datadir}/%{namearch}/Capsized
rm -f %{buildroot}%{_datadir}/%{namearch}/%{_lib}/lib{mono*,ogg*,openal*,theoradec*,libtheora.so,vorbis*}
convert data/Capsized.bmp %{buildroot}%{_datadir}/%{namearch}/%{name}.png

%ifarch x86_64
rm -rf  %{buildroot}%{_datadir}/%{namearch}/{lib,NePlusUltra.bin.x86}
%else
rm -rf  %{buildroot}%{_datadir}/%{namearch}/{lib64,NePlusUltra.bin.x86_64}
%endif

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

install -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}


%files
%defattr(-,root,root,-)
%doc Linux.README
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/%{house}-%{namearch}.desktop


%changelog
* Fri Jun 14 2013 RPMBuilder <> - 0.0-2
- Upgraded to latest binary release

* Wed Jun 05 2013 RPMBuilder <> - 0.0-1
- Initial Release
