# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure this RPM is not a dependency provider
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to exclude some requires as they are bundled.
%global __requires_exclude ^libmono-2\\.0\\.so\\.1|^libSDL2.*$|libtheoraplay\\.so

# This package contains mixed binaries so set up some macros
%ifarch x86_64
%global namearch %{name}64
%else
%global namearch %{name}32
%endif

# The software house
%global house alientrap


Name:           capsized
Version:        0.0
Release:        4
Summary:        2D platformer with vast colorful landscapes
Group:          Amusements/Games
License:        Commercial
URL:            http://www.capsizedgame.com
# 710a25b2dc5f948f0a1cf6c6fe39690f  capsized-06132013-bin
Source0:        %{name}-06132013-bin
NoSource:       0
BuildRequires:  desktop-file-utils
BuildRequires:  ImageMagick
Requires:       libXcursor%{?_isa}
Requires:       libXinerama%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       mesa-libGL%{?_isa}
Requires:       openal-soft%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686 x86_64

%description
In a turn of unfortunate events, you've crashed on a strange alien planet.
Stranded, you'll need to use a variety of tools and weapons, including a
Jetpack, Energy Shield, and Quasar Array, to find the rest of your crew and
make it out alive. Capsized is a 2-D platformer filled with colorful detailed
landscapes and blood-thirsty monsters. With a campaign mode of 12 missions and
an arcade mode, you'll find that being marooned on an unfamiliar world might
not be such a bad thing after all.


%prep
%setup -Tqcn %{name}-%{version}
echo "YOU CAN INGORE THE WARNING: extra bytes at beginning or within zipfile"
true `unzip -qq %{SOURCE0}`

# Some permission fixes
find data -type f -iname "*.dll" -exec chmod 0644 {} \;
find data -type d -exec chmod 0755 {} \;

# Move for later
mv data/Linux.README .


%build
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
%ifarch x86_64
Name=Capsized (64bit)
%else
Name=Capsized (32bit)
%endif
Comment=%{summary}
Exec=%{namearch}
Icon=%{_datadir}/%{namearch}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF

# Create the wrapper for /usr/bin
cat >%{namearch}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{namearch} >/dev/null
%ifarch x86_64
./NePlusUltra.bin.x86_64 "\$@"
%else
./NePlusUltra.bin.x86 "\$@"
%endif
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{namearch} \
         %{buildroot}%{_datadir}/applications

cp -a data/*  %{buildroot}%{_datadir}/%{namearch}
rm -f %{buildroot}%{_datadir}/%{namearch}/Capsized
rm -f %{buildroot}%{_datadir}/%{namearch}/%{_lib}/lib{ogg*,openal*,theoradec*,libtheora.so,vorbis*}
convert data/Capsized.bmp %{buildroot}%{_datadir}/%{namearch}/%{name}.png

%ifarch x86_64
rm -rf  %{buildroot}%{_datadir}/%{namearch}/{lib,NePlusUltra.bin.x86}
%else
rm -rf  %{buildroot}%{_datadir}/%{namearch}/{lib64,NePlusUltra.bin.x86_64}
%endif

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

install -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{house}-%{namearch}.desktop


%files
%defattr(-,root,root,-)
%doc Linux.README
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/%{house}-%{namearch}.desktop


%changelog
* Wed Oct 30 2013 RPMBuilder <> - 0.0-4
- Fixed 32/64bit simulatenously being installed
- Various SPEC clean ups
- Added some missing deps

* Sun Jun 30 2013 RPMBuilder <> - 0.0-3
- Upgraded to latest binary release

* Fri Jun 14 2013 RPMBuilder <> - 0.0-2
- Upgraded to latest binary release

* Wed Jun 05 2013 RPMBuilder <> - 0.0-1
- Initial Release
