# * You are only entitled to install this RPM if you bought the game
# * The "source" actually includes pre-built 32bit and 64bit binaries

# We don't want this RPM to be a provider for anything it's bundled with,
# although we remove bundles where practical
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. Little we can do with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# The software house
%global house studiopixel

%ifarch x86_64
%global namearch %{name}_64
%else
%global namearch %{name}_32
%endif


Name:           cavestory+
Version:        1324519044
Release:        2
Summary:        2D Platform Game
Group:          Amusements/Games
License:        Commercial
URL:            http://hp.vector.co.jp/authors/VA022293/
#af4ddd7457af307bf4567a955173e633  cavestoryplus-linux-1324519044.tar.gz
Source0:        cavestoryplus-linux-1324519044.tar.gz
NoSource:       0
BuildRequires:  chrpath
BuildRequires:  desktop-file-utils
BuildRequires:  ImageMagick
Requires:       pulseaudio-utils%{?_isa}
BuildArch:      i686 x86_64


%description
A retro-style 2D platform game. The game focuses on an amnesiac silent
protagonist who awakens in a cave. Through his explorations, he discovers a
plot by the Doctor, a megalomaniac who intends to force the inhabitants of the
cave to fight for him in his bid to conquer the world. The protagonist is
thrust into the position of savior as he endeavors to defeat the Doctor.


%prep
%setup -qcn %{name}-%{version}

# Strip the rpath. We still continue even if it fails because partly it's
# not critical but also because building the 32bit RPM on a 64bit system
# only has access to the 64bit version of chrpath we cannot strip 32bit
# binaries. But in all other scenarios it should work without issue

%ifarch x86_64
chrpath -d CaveStory+/CaveStory+_64 || :
%else
chrpath -d CaveStory+/CaveStory+ || :
%endif


%build
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
%ifarch x86_64
Name=CaveStory+ (64bit)
%else
Name=CaveStory+ (32bit)
%endif
Comment=%{summary}
Exec=%{namearch}
Icon=%{_datadir}/%{namearch}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF

# Create the wrapper for /usr/bin
cat >%{namearch}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{namearch} >/dev/null
./%{namearch} "\$@"
popd >/dev/null
EOF


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/%{namearch}
mkdir -p %{buildroot}%{_datadir}/applications
cp -a CaveStory+/data %{buildroot}%{_datadir}/%{namearch}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

install -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}

%ifarch x86_64
install -m0755 CaveStory+/CaveStory+_64 %{buildroot}%{_datadir}/%{namearch}/%{namearch}
%else
install -m0755 CaveStory+/CaveStory+ %{buildroot}%{_datadir}/%{namearch}/%{namearch}
%endif

# Create Icon
convert CaveStory+/data/icon.bmp -resize 48x48\! %{buildroot}%{_datadir}/%{namearch}/%{name}.png


%files
%defattr(-,root,root,-)
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/%{house}-%{namearch}.desktop


%changelog
* Sun Mar 25 2012 RPMBuild <> - 1324519044-2
- Disable building a debuginfo package under any circumstances
- Convert defines to globals
- Added house global
- Fixed argument passing for the wrapper script. Was being filtered by RPM

* Sun Feb 26 2012 RPMBuild <> - 1324519044-1
- Initial Release
