# You are only entitled to install this RPM if you bought the game

# Ensure this RPM is not a dependency provider, as we do not want to any bundled
# items to provide dependencies, although we remove bundles where possible
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# The software house
%global house lexaloffle


Name:           chocolate-castle
Version:        1.1
Release:        1
Summary:        Sliding puzzle game
Group:          Amusements/Games
License:        Commercial
URL:            http://www.lexaloffle.com/choc.php
# 199bcc788a063fea8015441833c8de67  chocolate-castle_1.1_i386.tar.gz
Source0:        %{name}_%{version}_i386.tar.gz
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686

%description
Chocolate Castle is a tricky sliding block puzzle game. The object of each
puzzle is to arrange blocks of chocolate into large connected regions so that
they can then be consumed by a team of hungry animals. Munch your way through
120 rooms of hand-designed puzzles, or design your own with the built-in
editor!

The object of Chocolate Castle is to eat all of the chocolate in each room.
There are four types of chocolate and four types of animals to eat them with.
To eat some chocolate, click and drag an animal into it and both of them will
disappear.

You can also click and drag chocolate to move it into an empty space. If you
put two pieces of the same color next to each other, they will stick together.
You can eat more chocolate with one animal by doing this, but be careful
because once they are connected, they can not be separated!

If you make a mistake, you can rewind to any previous move my pressing the UNDO
button. Replay moves by clicking REDO, or by pressing Enter.


%prep
%setup -qcn %{name}-%{version}

# Fix some EOL encodings
sed -i 's/\r//' %{name}/{license.txt,%{name}.txt}


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Chocolate Castle
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;LogicGame;
EOF


# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{name} >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/applications \
         %{buildroot}%{_datadir}/%{name}

install -m0755 %{name}/choc %{buildroot}%{_datadir}/%{name}/%{name}
install -m0644 %{name}/lexaloffle-choc.png %{buildroot}%{_datadir}/%{name}/%{name}.png
install -m0644 %{name}/choc.dat %{buildroot}%{_datadir}/%{name}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -m 0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%files
%defattr(-,root,root,-)
%doc %{name}/{license.txt,%{name}.txt}
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Wed Mar 28 2012 RPMBuilder <> 1.1-1
- Initial Release
