# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# We don't want this RPM to be a provider for anything
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. Little we can do with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# This package contains mixed binaries so set up some macros
%ifarch x86_64
%global namearch %{name}64
%else
%global namearch %{name}32
%endif

# The software house
%global house eyebrow


Name:           closure
Version:        1.1
Release:        1
Summary:        Puzzle platformer. Only what you see exists
Group:          Amusements/Games
License:        Commercial
URL:            http://closuregame.com
# a7c2f7fe17ff67f376da70611abdce97  Closure-Linux-1.1-2012-12-28.sh
Source0:        Closure-Linux-%{version}-2012-12-28.sh
NoSource:       0
BuildRequires:  chrpath
BuildRequires:  desktop-file-utils
BuildRequires:  xz-lzma-compat
Requires:       mesa-libGL%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686 x86_64

%description
In the dark and mysterious world of Closure, only what you see exists.
Manipulate lights to phase objects in and out of reality in this multiple award
winning puzzle game. Play as a strange spider-like demon who explores the
stories of three human characters through beautiful, eerie environments such as
a decrepit factory, a murky forest, an abandoned carnival, and the strange,
surreal realm that connects them together.


%prep
%setup -Tqcn %{name}-%{version}
mkdir %{name}

# Rip the contents from the nixinstaller package
sh %{SOURCE0} --tar x --to-stdout ./instarchive_all | tar x --lzma -C %{name}

# Rip the arch dependent binaries from the nixinstaller package
%ifarch x86_64
sh %{SOURCE0} --tar x --to-stdout ./instarchive_linux_x86_64 | tar x --lzma -C %{name}
%else
sh %{SOURCE0} --tar x --to-stdout ./instarchive_linux_x86 | tar x --lzma -C %{name}
%endif

# Strip the rpath. We still continue even if it fails because partly it's
# not critical but also because building the 32bit RPM on a 64bit system
# only has access to the 64bit version of chrpath, we cannot strip 32bit
# binaries. But in all other scenarios it should work without issue
%ifarch x86_64
chrpath -d %{name}/Closure.bin.x86_64 || :
%else
chrpath -d %{name}/Closure.bin.x86 || :
%endif

# Various cleanups
find %{name} -iname .ds_store -exec rm -f {} \;
rm -f %{name}/resources/shaders/defaultvert.cg~
sed -i 's/\r//' %{name}/resources/mods/ReadMe.txt
chmod 0644 %{name}/resources/mods/ReadMe.txt
mv %{name}/resources/mods/ReadMe.txt .


%build
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
%ifarch x86_64
Name=Closure (64bit)
%else
Name=Closure (32bit)
%endif
Comment=%{summary}
Exec=%{namearch}
Icon=%{_datadir}/%{namearch}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;LogicGame;
EOF

# Create the wrapper for /usr/bin
cat >%{namearch}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{namearch} >/dev/null
%ifarch x86_64
./%{name} "\$@"
%else
./%{name} "\$@"
%endif
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/applications \
         %{buildroot}%{_datadir}/%{namearch}

cp -a %{name}/resources %{buildroot}%{_datadir}/%{namearch}
install -p -m0644 %{name}/resource_location.txt %{buildroot}%{_datadir}/%{namearch}
install -p -m0644 %{name}/Closure.png %{buildroot}%{_datadir}/%{namearch}/%{name}.png

%ifarch x86_64
install -p -m0755 %{name}/Closure.bin.x86_64 %{buildroot}%{_datadir}/%{namearch}/%{name}
%else
install -p -m0755 %{name}/Closure.bin.x86 %{buildroot}%{_datadir}/%{namearch}/%{name}
%endif

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

install -p -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{house}-%{namearch}.desktop


%files
%defattr(-,root,root,-)
%doc %{name}/README.linux ReadMe.txt
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/%{house}-%{namearch}.desktop


%changelog
* Mon Feb 11 2013 RPMBuilder <> 1.1-1
- Initial Release