# IMPORTANT NOTES
#
# 1. You are only entitled to install this RPM if you bought the game
# 2. The "source" actually includes pre-built 32bit and 64bit binaries
# 3. rpmbuild -bb <specfile>

# We don't want this RPM to be a provider for anything it's bundled with,
# although we remove bundles where practical
AutoProv: no

# Disable rpath checking. Little we can do with closed source
%define __arch_install_post /usr/lib/rpm/check-buildroot

%ifarch x86_64
%define namearch %{name}64
%else
%define namearch %{name}
%endif

Name:           cogs
Version:        1.0.1
Release:        0_build_4%{?dist}
Summary:        A steampunk puzzle game
Group:          Amusements/Games
License:        Commercial
URL:            http://www.cogsgame.com/
# dbfb640b494ccaddd0d3553390720ad9  cogs-installer-build4
Source0:        %{name}-installer-build4
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       pulseaudio-utils%{?_isa}
BuildArch:      i686 x86_64


%description
Immersed in a steampunk world with stunning visual design, Cogs players build
an incredible variety of machines from sliding tiles. With 50 unique levels
and three gameplay modes, we've packed in hours of entertaining, addictive fun.


%prep
%setup -Tqcn %{name}-%{version}

# We are actually unpacking a mojo setup binary here. We need to force a true
# result so rpm does not fail as zip warns about superfluous data at the
# start and returns a non-zero result. That warning can be ignored.
echo "YOU CAN INGORE THE WARNING: extra bytes at beginning or within zipfile"
true `unzip -qq %{SOURCE0}`


%build
# Sane desktop file
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
%ifarch x86_64
Name=Cogs (64bit)
%else
Name=Cogs (32bit)
%endif
GenericName=Steampunk Puzzle Game
Exec=%{namearch}
Icon=%{_datadir}/%{namearch}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;LogicGame;
EOF

# Create the wrapper for /usr/bin
cat >%{namearch}.wrapper <<EOF
#!/bin/bash
# Wrapper script to launch cogs
pushd %{_datadir}/%{namearch} >/dev/null
./%{namearch} $*
popd >/dev/null
EOF


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/%{namearch}
mkdir -p %{buildroot}%{_datadir}/applications

%ifarch x86_64
install -m0755 data/Cogs-amd64 %{buildroot}%{_datadir}/%{namearch}/%{namearch}
%else
install -m0755 data/Cogs-x86 %{buildroot}%{_datadir}/%{namearch}/%{namearch}
%endif

cp -a data/data %{buildroot}%{_datadir}/%{namearch}
install -m0644 data/{%{name}-icon.bmp,%{name}.png} %{buildroot}%{_datadir}/%{namearch}

desktop-file-install --vendor lazy8 \
    --dir %{buildroot}%{_datadir}/applications \
    %{namearch}.desktop

install -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}


%files
%defattr(-,root,root,-)
%doc data/README-linux.txt
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/lazy8-%{namearch}.desktop


%changelog
* Fri Nov 11 2011 RPMBuilder <> 1.0.1-0_build_4%{?dist}
- Initial Release
