# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure this RPM is not a dependency provider, as we do not want to any bundled
# items to provide dependencies, although we remove bundles where possible
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

%ifarch x86_64
%global namearch %{name}64
%else
%global namearch %{name}32
%endif

# The software house
%global house lazy8


Name:           cogs
Version:        1.0.1
Release:        2
Summary:        A steam-punk puzzle game
Group:          Amusements/Games
License:        Commercial
URL:            http://www.cogsgame.com/
# d7617317c87bbf0a3f0497f28b5b7e8d  cogs_20110811_all.tar.gz
Source0:        %{name}_20110811_all.tar.gz
NoSource:       0
BuildRequires:  chrpath
BuildRequires:  desktop-file-utils
Requires:       mesa-libGL%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686 x86_64

%description
Immersed in a steam-punk world with stunning visual design, Cogs players build
an incredible variety of machines from sliding tiles. With 50 unique levels
and three gameplay modes, we've packed in hours of entertaining, addictive fun.


%prep
%setup -qcn %{name}-%{version}

# Strip the rpath. We still continue even if it fails because partly it's
# not critical but also because building the 32bit RPM on a 64bit system
# only has access to the 64bit version of chrpath, we cannot strip 32bit
# binaries. But in all other scenarios it should work without issue
%ifarch x86_64
chrpath -d %{name}/Cogs-amd64 || :
%else
chrpath -d %{name}/Cogs-x86 || :
%endif


%build
# Sane desktop file
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
%ifarch x86_64
Name=Cogs (64bit)
%else
Name=Cogs (32bit)
%endif
Comment=%{summary}
Exec=%{namearch}
Icon=%{_datadir}/%{namearch}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;LogicGame;
EOF

# Create the wrapper for /usr/bin
cat >%{namearch}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{namearch} >/dev/null
./%{namearch} "\$@"
popd >/dev/null
EOF


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{namearch} \
         %{buildroot}%{_datadir}/applications

%ifarch x86_64
install -m0755 %{name}/Cogs-amd64 %{buildroot}%{_datadir}/%{namearch}/%{namearch}
%else
install -m0755 %{name}/Cogs-x86 %{buildroot}%{_datadir}/%{namearch}/%{namearch}
%endif

cp -a %{name}/data %{buildroot}%{_datadir}/%{namearch}
install -m0644 %{name}/{%{name}-icon.bmp,%{name}.png} %{buildroot}%{_datadir}/%{namearch}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

install -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}


%files
%defattr(-,root,root,-)
%doc %{name}/README-linux.txt
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/%{house}-%{namearch}.desktop


%changelog
* Sat Mar 30 2013 RPMBuilder <> 1.0.1-2
- Added missing dependency on mesa-libGL
- Some minor SPEC clean ups

* Sat Mar 24 2012 RPMBuilder <> 1.0.1-1
- Disable building a debuginfo package under any circumstances
- Convert defines to globals
- Added house global
- Fixed argument passing for the wrapper script. Was being filtered by RPM
- Use chrpath if possible
- Now uses the tarball instead of the mojo installer

* Fri Nov 11 2011 RPMBuilder <> 1.0.1-0_build_4
- Initial Release
