# You are only entitled to install this RPM if you bought the game
# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.

# Ensure this RPM is not a dependency provider, as we do not want to any bundled
# items to provide dependencies, although we remove bundles where possible
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to exclude some requires as they are bundled.
%global __requires_exclude ^libfmode.*|^libsteam_api\\.so

# The software house
%global house doublefine


Name:           costume-quest
Version:        0.0
Release:        3
Summary:        Halloween based role playing game
Group:          Amusements/Games
License:        Commercial
URL:            http://www.doublefine.com/games
# 86e7b6289b3e4436d521fb1c484103cf  CostumeQuest-Linux-2013-06-04-setup.bin
Source0:        CostumeQuest-Linux-2013-06-04-setup.bin
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       libXcursor%{?_isa}
Requires:       libXinerama%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       libXScrnSaver%{?_isa}
Requires:       systemd-libs%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       mesa-libGL%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686

%description
Costume Quest is a Halloween adventure from Tim Schafer's Double Fine
Productions. In this charming role-playing game, choose your hero and
trick-or-treat through three beautiful environments full of Double
Fine humor and story.


%prep
%setup -Tqcn %{name}-%{version}
# We are actually unpacking a mojo setup binary here. We need to force a true
# result so rpm does not fail as zip warns about superfluous data at the
# start and returns a non-zero result. That warning can be ignored.
echo "YOU CAN INGORE THE WARNING: extra bytes at beginning or within zipfile"
true `unzip -qq %{SOURCE0}`

# Fix non standard dir permissions
find data -type d -exec chmod 0755 {} \;
find data -type f -exec chmod 0644 {} \;
chmod 0755 data/lib/*
rm -f data/lib/libSDL2-2.0.so.0


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=Costume Quest
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;AdventureGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{name} >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{name} \
         %{buildroot}%{_datadir}/applications

cp -a data/{Data,DFCONFIG,lib,Linux,OGL,Win} \
      %{buildroot}%{_datadir}/%{name}

install -p -m0755 data/Cq.bin.x86 %{buildroot}%{_datadir}/%{name}/%{name}
install -p -m0644 data/CostumeQuest.png %{buildroot}%{_datadir}/%{name}/%{name}.png

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -p -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{house}-%{name}.desktop


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Tue Dec 31 2013 RPMBuilder <> 0.0-3
- Modenized dependency filters
- Various minor cleanups
- Unbundled SDL2
- Added some missing dependencies

* Sun Jun 30 2013 RPMBuilder <> 0.0-2
- Updated to latest binary release

* Sun Jun 02 2013 RPMBuilder <> 0.0-1
- Initial Release
