# You are only entitled to install this RPM if you bought the game

# Ensure this RPM is not a dependency provider, as we do not want to any bundled
# items to provide dependencies, although we remove bundles where possible
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# The software house
%global house introversion

# Regularised name
%global rname darwinia


Name:           darwinia64
Version:        1.43
Release:        1
Summary:        Virtual themepark running inside a computer network
Group:          Amusements/Games
License:        Commercial
URL:            http://introversion.co.uk/darwinia/
# 3e6f7a3a8e1131334d2e0371dd9f7258  darwinia_1.43_amd64.tar.gz
Source0:        %{rname}_%{version}_amd64.tar.gz
NoSource:       0
BuildRequires:  chrpath
BuildRequires:  desktop-file-utils
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  x86_64

%description
The world of Darwinia is a virtual themepark, running entirely inside a
computer network and populated by a sentient evolving life form called
the Darwinians.  Unfortunately Darwinia has been overrun by a computer virus
which has multiplied out of control. Your task is to destroy the Viral
Infection and save the Darwinians from extinction.


%prep
%setup -qcn %{name}-%{version}

# Strip the rpath. We still continue even if it fails because partly it's
# not critical but also because building the 32bit RPM on a 64bit system
# only has access to the 64bit version of chrpath, we cannot strip 32bit
# binaries. But in all other scenarios it should work without issue
chrpath -d %{rname}/%{rname}.bin.x86_64 || :

# Fix some EOL encodings
sed -i 's/\r//' %{rname}/changes.txt


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Darwinia (64bit)
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;StrategyGame;
EOF


# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{name} >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/applications \
         %{buildroot}%{_datadir}/%{name}

install -m0755 %{rname}/%{rname}.bin.x86_64 %{buildroot}%{_datadir}/%{name}/%{name}
install -m0644 %{rname}/darwinian.png %{buildroot}%{_datadir}/%{name}/%{name}.png
install -m0644 %{rname}/{main.dat,sounds.dat,language.dat} %{buildroot}%{_datadir}/%{name}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -m 0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%files
%defattr(-,root,root,-)
%doc %{rname}/{changes.txt,license.txt,readme-linux.txt}
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Mon Mar 26 2012 RPMBuilder <> 1.43-1
- Initial Release
