# You are only entitled to install this RPM if you bought the game
# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.

# CAUTION: BUILDING THIS RPM REQUIRES A LARGE AMOUNT OF STORAGE. ENSURE YOU
# HAVE AT LEAST 4GB FREE WHERE YOUR RPMBUILD DIRECTORIES ARE LOCATED

# Ensure this RPM is not a dependency provider, as we do not want to any bundled
# items to provide dependencies, although we remove bundles where possible
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to exclude some requires as they are bundled.
%global __requires_exclude ^libtier0\\.so|^libMiles\\.so|^libvstdlib\\.so|^libtogl\\.so

# The software house
%global house thechineseroom


Name:           dearesther
Version:        1.6
Release:        2
Summary:        Explore a mysterious island landscape and beaches
Group:          Amusements/Games
License:        Commercial
URL:            http://dear-esther.com
# 951127a283c3caf2c76031c7611d431d  dearesther-linux-06082013-bin
Source0:        %{name}-linux-06082013-bin
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       systemd-libs%{?_isa}
Requires:       libXcursor%{?_isa}
Requires:       libXinerama%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       libXScrnSaver%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       mesa-libGL%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686

%description
Dear Esther isn't what you might consider your typical video game, but therein
lies the beauty of it. Instead, it's an experimental first-person adventure,
strongly driven by a fractured narrative. Let yourself wander the abandoned
island and its desolate and dreary beaches and get lost in the sounds of the
surf and wind as you try to piece together who you are and why you were brought
to the island


%prep
%setup -Tqcn %{name}-%{version}
echo "YOU CAN INGORE THE WARNING: extra bytes at beginning or within zipfile"
true `unzip -qq %{SOURCE0}`

# Fix some perms
find data -type d -exec chmod 0755 {} \;
find data -type f -exec chmod 0644 {} \;
find data -iname "*.so" -exec chmod 0755 {} \;
chmod 0755 data/%{name}_linux

# Some cleanups
rm -f data/Dear_Esther data/bin/libSDL2-2.0.so.0

# Move for later
mv data/README-linux.txt .


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=Dear Esther
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;AdventureGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
export LD_LIBRARY_PATH=%{_datadir}/%{name}/bin:\${LD_LIBRARY_PATH}
pushd %{_datadir}/%{name} >/dev/null
./%{name}_linux -game dearesther "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{name} \
         %{buildroot}%{_datadir}/applications

cp -a data/*  %{buildroot}%{_datadir}/%{name}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -p -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{house}-%{name}.desktop


%files
%defattr(-,root,root,-)
%doc README-linux.txt
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Fri Jan 03 2014 RPMBuilder <> 1.6-2
- Modernize dependency filters
- Various minor cleanups
- Unbunble SDL2

* Fri Jun 14 2013 RPMBuilder <> 1.6-1
- Initial Release
