# You are only entitled to install this RPM if you bought the game

# Ensure this RPM is not a dependency provider, as we do not want to any bundled
# items to provide dependencies, although we remove bundles where possible
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# The software house
%global house introversion

# Regularised name
%global rname defcon


Name:           defcon32
Version:        1.6
Release:        1
Summary:        Global thermonuclear warfare
Group:          Amusements/Games
License:        Commercial
URL:            http://introversion.co.uk/defcon/
# 231461515874c1d394e3bec0324ab32d  defcon_1.6-1_i386.tar.gz
Source0:        %{rname}_%{version}-1_i386.tar.gz
NoSource:       0
BuildRequires:  chrpath
BuildRequires:  desktop-file-utils
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686

%description
An online multiplayer simulation of global thermonuclear war. You play the role
of a military Commander hidden deep within an Underground bunker. Your mission
is to successfully exterminate your enemy's civilian population whilst
disabling their ability to attack your own. Start by launching your
battleships, subs and bombers in order to decimate your opponent's defenses.
Scramble together your alliances but remember only one can stand victorious.

Prepare your preemptive strike before one of your supposed allies gets the
same idea. Choose the perfect moment for betrayal, obliterating your opponents
with an apocalyptic thermonuclear barrage, but get it wrong and their
devastating counter attack will bring you to your knees!


%prep
%setup -qcn %{name}-%{version}

# Make lower case - we can use more macros
mv Defcon %{rname}

# Strip the rpath. We still continue even if it fails because partly it's
# not critical but also because building the 32bit RPM on a 64bit system
# only has access to the 64bit version of chrpath, we cannot strip 32bit
# binaries. But in all other scenarios it should work without issue
chrpath -d %{rname}/%{rname}.bin.x86 || :

# Fix some EOL encodings
sed -i 's/\r//' %{rname}/license.txt


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Defcon (32bit)
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;StrategyGame;
EOF


# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{name} >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/applications \
         %{buildroot}%{_datadir}/%{name}

install -m0755 %{rname}/%{rname}.bin.x86 %{buildroot}%{_datadir}/%{name}/%{name}
install -m0644 %{rname}/%{rname}.png %{buildroot}%{_datadir}/%{name}/%{name}.png
install -m0644 %{rname}/{main.dat,sounds.dat} %{buildroot}%{_datadir}/%{name}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -m 0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%files
%defattr(-,root,root,-)
%doc %{rname}/{license.txt,linux.txt,manual.pdf}
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Sun Mar 25 2012 RPMBuilder <> 1.6-1
- Initial Release
