# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# CAUTION: BUILDING THIS RPM REQUIRES A LARGE AMOUNT OF STORAGE. ENSURE YOU
# HAVE AT LEAST 20GB FREE WHERE YOUR RPMBUILD DIRECTORIES ARE LOCATED

# Ensure this RPM is not a dependency provider, as we do not want to any bundled
# items to provide dependencies, although we remove bundles where possible
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# The software house
%global house trendy


Name:           dungeon-defenders
Version:        7.48
Release:        2
Summary:        Action RPG and tower defense game
Group:          Amusements/Games
License:        Commercial
URL:            http://dungeondefenders.com
# 31c59c04366405c5d57665bcac219669  dundef-linux-03052013.mojo.run
Source0:        dundef-linux-03052013.mojo.run
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       systemd-libs%{?_isa}
Requires:       libXcursor%{?_isa}
Requires:       libXinerama%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       libXScrnSaver%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       mesa-libGL%{?_isa}
Requires:       openal-soft%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
Requires:       xdg-utils
ExclusiveArch:  i686

%description
Dungeon Defenders is a combination action RPG/tower defense game that lets you
(and 3 other friends!) take on the role of four different hero classes and
fend off an invasion of baddies. Strategically place various defenses and
traps throughout the battlefield and then dive into the action yourself.
Dungeon Defenders features a ton of loot, customizations, upgrades and comes
with a gigantic horde of DLC


%prep
%setup -Tqcn %{name}-%{version}
echo "YOU CAN INGORE THE WARNING: extra bytes at beginning or within zipfile"
true `unzip -qq %{SOURCE0}`

# Some clean ups
find data -type d -exec chmod 0755 '{}' \;
find data -type f -exec chmod 0644 '{}' \;
chmod 0755 data/UDKGame/Binaries/DungeonDefenders-x86
rm -f data/UDKGame/Binaries/{libopenal.so.1,xdg-open,libSDL2-2.0.so.0}


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=Dungeon Defenders
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;RolePlaying;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
export DUNDEF_DATA_PATH=%{_datadir}/%{name}/UDKGame/Binaries
pushd \$DUNDEF_DATA_PATH >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{name} \
         %{buildroot}%{_datadir}/applications

cp -a data/{Engine,UDKGame} %{buildroot}%{_datadir}/%{name}
mv %{buildroot}%{_datadir}/%{name}/UDKGame/Binaries/DungeonDefenders-x86 \
   %{buildroot}%{_datadir}/%{name}/UDKGame/Binaries/%{name}
install -p -m0644 data/DunDefIcon.png %{buildroot}%{_datadir}/%{name}/%{name}.png

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -p -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{house}-%{name}.desktop


%files
%defattr(-,root,root,-)
%doc data/README-linux.txt
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Sat Jan 04 2014 RPMBuilder <> 7.48-2
- Modernize dependency filters
- Various minior cleanups
- Unbundle SDL2

* Sat Mar 23 2013 RPMBuilder <> 7.48-1
- Updated to 7.48
- No longer need to bundle an icon

* Sat Feb 16 2013 RPMBuilder <> 7.46c-1
- Initial Release
