# You are only entitled to install this RPM if you bought the game

# CAUTION: BUILDING THIS RPM REQUIRES A LARGE AMOUNT OF STORAGE. ENSURE YOU
# HAVE AT LEAST 20GB FREE WHERE YOUR RPMBUILD DIRECTORIES ARE LOCATED

# Ensure this RPM is not a dependency provider, as we do not want to any bundled
# items to provide dependencies, although we remove bundles where possible
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to filter some requires
%global    _use_internal_dependency_generator 0
%global    __find_requires %{_builddir}/%{name}-%{version}/filter-requires-%{name}.sh

# The software house
%global house trendy


Name:           dungeon-defenders
Version:        7.46c
Release:        1
Summary:        Action RPG and tower defense game
Group:          Amusements/Games
License:        Commercial
URL:            http://dungeondefenders.com
# a74966a7e6c870134aa722a84613e5a2  dundef-linux-12182012.tar.bz2
Source0:        dundef-linux-12182012.tar.bz2
Source1:        %{name}.png
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       mesa-libGL%{?_isa}
Requires:       openal-soft%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
Requires:       xdg-utils
ExclusiveArch:  i686

%description
Dungeon Defenders is a combination action RPG/tower defense game that lets you
(and 3 other friends!) take on the role of four different hero classes and
fend off an invasion of baddies. Strategically place various defenses and
traps throughout the battlefield and then dive into the action yourself.
Dungeon Defenders features a ton of loot, customizations, upgrades and comes
with a gigantic horde of DLC


%prep
%setup -qcn %{name}-%{version}
# Some clean ups
rm -f DungeonDefenders/UDKGame/Binaries/{libopenal.so.1,xdg-open}


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Dungeon Defenders
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;RolePlaying;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
export DUNDEF_DATA_PATH=%{_datadir}/%{name}/UDKGame/Binaries
pushd \$DUNDEF_DATA_PATH >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF

cat >filter-requires-%{name}.sh <<EOF
#!/bin/sh
# Filter requires for libraries that are bundled

if [ -x /usr/lib/rpm/redhat/find-requires ] ; then
    FINDREQ=/usr/lib/rpm/redhat/find-requires
else
    FINDREQ=/usr/lib/rpm/find-requires
fi

\$FINDREQ \$* | sed -e '/libSDL2-2.0.so/d'
EOF

chmod 0755 filter-requires-%{name}.sh


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{name} \
         %{buildroot}%{_datadir}/applications

cp -a DungeonDefenders/{Engine,UDKGame} %{buildroot}%{_datadir}/%{name}
mv %{buildroot}%{_datadir}/%{name}/UDKGame/Binaries/DungeonDefenders-x86 \
   %{buildroot}%{_datadir}/%{name}/UDKGame/Binaries/%{name}
install -m0644 %{SOURCE1} %{buildroot}%{_datadir}/%{name}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -m 0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Sat Feb 16 2013 RPMBuilder <> 7.46c-1
- Initial Release
