# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure this RPM is not a dependency provider
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to exclude some requires as they are bundled.
%global __requires_exclude ^libsteam_api\\.so

# This package contains mixed binaries so set up some macros
%ifarch x86_64
%global namearch %{name}64
%else
%global namearch %{name}32
%endif

# The software house
%global house gaslamp


Name:           dungeons-of-dredmor
Version:        1.1.3
Release:        2
Summary:        Comic fantasy rouge-like crawler game
Group:          Amusements/Games
License:        Commercial
URL:            http://www.dungeonsofdredmor.com
# 281900e76dc7a378639c8b0c18353e6c  dungeonsofdredmor-linux-1.1.3.tgz
Source0:        dungeonsofdredmor-linux-%{version}.tgz
NoSource:       0
BuildRequires:  chrpath
BuildRequires:  desktop-file-utils
Requires:       libXcursor%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       mesa-libGL%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686 x86_64

%description
Long ago, the Dark Lord Dredmor was bound in the darkest dungeons beneath the
earth by great and mighty heroes. Centuries later, the magical bonds that hold
him in place are loosening and his power grows ever stronger. The land cries
out for a new hero, a powerful warrior or a mystic wizard like those spoken of
in the prophecies of yore. What they have, unfortunately, is you...
Step into the Dungeons of Dredmor! Embrace your destiny! Face evil of the likes
the world has never known - the terrifying Swarmies, the undulating Thrusties
and the adorable nest-building Diggles. Worship Inconsequentia, the Goddess of
Pointless Sidequests or try your luck as a devotee of the nameless Lutefisk
God. Cast powerful magic learned from the dark business warlocks of the school
of Necronomiconomics or summon the Viking Runes of your ancestors to blast your
foes with thunder and lightning! Discover the power that can be had by wielding
a bizarre armament of devastating weaponry such as the Interdimensional Axe,
the Plastic Ring and the Invisible Shield. Wield shoes decorated by the Dwarven
Glittersmiths, all of whom have now committed suicide because of their shame
and embrace the joys of destroying giant mustache-wielding brick demons with a
mace decorated with tawdry, delicious bacon.


%prep
%setup -qcn %{name}-%{version}
# Strip the rpath. We still continue even if it fails because partly it's
# not critical but also because building the 32bit RPM on a 64bit system
# only has access to the 64bit version of chrpath, we cannot strip 32bit
# binaries. But in all other scenarios it should work without issue
%ifarch x86_64
chrpath -d Dredmor-amd64 || :
%else
chrpath -d Dredmor-x86 || :
%endif


%build
# Sane desktop file
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
%ifarch x86_64
Name=Dungeons of Dredmor (64bit)
%else
Name=Dungeons of Dredmor (32bit)
%endif
Comment=%{summary}
Exec=%{namearch}
Icon=%{_datadir}/%{namearch}/%{namearch}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;RolePlaying;
EOF

# Create the wrapper for /usr/bin
cat >%{namearch}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#

%ifnarch x86_64
# 32bit edition needs to be told where linsteam_api is
export LD_LIBRARY_PATH=\${LD_LIBRARY_PATH}:%{_datadir}/%{namearch}/%{_lib}
%endif

pushd %{_datadir}/%{namearch} >/dev/null
./%{namearch} "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{namearch} \
         %{buildroot}%{_datadir}/applications

%ifarch x86_64
# 64bit currently does not use steam hence no dep on libsteam
install -p -m0755 Dredmor-amd64 %{buildroot}%{_datadir}/%{namearch}/%{namearch}
%else
mkdir -p %{buildroot}%{_datadir}/%{namearch}/%{_lib}
install -p -m0755 Dredmor-x86 %{buildroot}%{_datadir}/%{namearch}/%{namearch}
install -p -m0755 x86/libsteam_api.so %{buildroot}%{_datadir}/%{namearch}/%{_lib}
%endif

cp -a {achievements,dungeon,fonts,game,items,playLogs,sfx,skills,sprites,tilesets,tunes,ui} \
      %{buildroot}%{_datadir}/%{namearch}
install -p -m0644 items/helm_plump.png %{buildroot}%{_datadir}/%{namearch}/%{namearch}.png

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

install -p -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{house}-%{namearch}.desktop


%files
%defattr(-,root,root,-)
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/%{house}-%{namearch}.desktop


%changelog
* Sat Jan 04 2014 RPMBuilder <> 1.1.3-2
- Modernized RPM filters
- Various minor clean ups

* Tue Feb 05 2013 RPMBuilder <> 1.1.3-1
- Upgraded to 1.1.3
- Replaced pulseaudio-utils dep with pulseaudio-libs
- Added filters due to new dep on libsteam_api (only 32bit version uses steam)
- Added dep on libGL.so.1

* Sat Sep 22 2012 RPMBuilder <> 1.1.2-1
- Upgraded to 1.1.2

* Sun May 20 2012 RPMBuilder <> 0-0_unknown
- Initial RPM Release
