# * You are only entitled to install this RPM if you bought the game
# * The "source" actually includes pre-built 32bit and 64bit binaries

# Ensure this RPM is not a dependency provider, as we do not want to any bundled
# items to provide dependencies, although we remove bundles where possible
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# This package contains mixed binaries so set up some macros
%ifarch x86_64
%global namearch %{name}64
%else
%global namearch %{name}32
%endif

# The software house
%global house gaslamp


Name:           dungeons-of-dredmor
Version:        0
Release:        0_unknown
Summary:        Comic fantasy rouge-like crawler game
Group:          Amusements/Games
License:        Commercial
URL:            http://www.dungeonsofdredmor.com
# 91a3f1415745804ea0c29debcad8a920  dungeonsofdredmor.tar.bz2
Source0:        dungeonsofdredmor.tar.bz2
NoSource:       0
BuildRequires:  chrpath
BuildRequires:  desktop-file-utils
Requires:       pulseaudio-utils%{?_isa}
BuildArch:      i686 x86_64

%description
Long ago, the Dark Lord Dredmor was bound in the darkest dungeons beneath the
earth by great and mighty heroes. Centuries later, the magical bonds that hold
him in place are loosening and his power grows ever stronger. The land cries
out for a new hero, a powerful warrior or a mystic wizard like those spoken of
in the prophecies of yore. What they have, unfortunately, is you...

Step into the Dungeons of Dredmor! Embrace your destiny! Face evil of the likes
the world has never known - the terrifying Swarmies, the undulating Thrusties
and the adorable nest-building Diggles. Worship Inconsequentia, the Goddess of
Pointless Sidequests or try your luck as a devotee of the nameless Lutefisk
God. Cast powerful magic learned from the dark business warlocks of the school
of Necronomiconomics or summon the Viking Runes of your ancestors to blast your
foes with thunder and lightning! Discover the power that can be had by wielding
a bizarre armament of devastating weaponry such as the Interdimensional Axe,
the Plastic Ring and the Invisible Shield. Wield shoes decorated by the Dwarven
Glittersmiths, all of whom have now committed suicide because of their shame
and embrace the joys of destroying giant mustache-wielding brick demons with a
mace decorated with tawdry, delicious bacon.


%prep
%setup -qcn %{name}-%{version}

# Strip the rpath. We still continue even if it fails because partly it's
# not critical but also because building the 32bit RPM on a 64bit system
# only has access to the 64bit version of chrpath, we cannot strip 32bit
# binaries. But in all other scenarios it should work without issue
%ifarch x86_64
chrpath -d %{name}/Dredmor-amd64 || :
%else
chrpath -d %{name}/Dredmor-x86 || :
%endif


%build
# Sane desktop file
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
%ifarch x86_64
Name=Dungeons of Dredmor (64bit)
%else
Name=Dungeons of Dredmor (32bit)
%endif
Comment=%{summary}
Exec=%{namearch}
Icon=%{_datadir}/%{namearch}/%{namearch}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;RolePlaying;
EOF

# Create the wrapper for /usr/bin
cat >%{namearch}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{namearch} >/dev/null
./%{namearch} "\$@"
popd >/dev/null
EOF


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/%{namearch}
mkdir -p %{buildroot}%{_datadir}/applications

%ifarch x86_64
install -m0755 %{name}/Dredmor-amd64 %{buildroot}%{_datadir}/%{namearch}/%{namearch}
%else
install -m0755 %{name}/Dredmor-x86 %{buildroot}%{_datadir}/%{namearch}/%{namearch}
%endif

cp -a %{name}/{achievements,dungeon,fonts,game,items,playLogs,sfx,skills,sprites,tilesets,tunes,ui} \
      %{buildroot}%{_datadir}/%{namearch}
install -m0644 %{name}/items/helm_plump.png %{buildroot}%{_datadir}/%{namearch}/%{namearch}.png

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

install -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}


%files
%defattr(-,root,root,-)
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/%{house}-%{namearch}.desktop


%changelog
* Sun May 20 2012 RPMBuilder <> 0-0_unknown
- Initial RPM Release
