# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# We don't want this RPM to be a provider for anything
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. Little we can do with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to exclude some requires as they are bundled.
%global __requires_exclude ^libcurl\\.so\\.3

# This package contains mixed binaries so set up some macros
%ifarch x86_64
%global namearch %{name}64
%else
%global namearch %{name}32
%endif

# The software house
%global house hitboxteam


Name:           dustforce
Version:        1.0
Release:        3
Epoch:          1
Summary:        Filthy platform game
Group:          Amusements/Games
License:        Commercial
URL:            http://dustforce.com
# de52392cb583ac6367582d14eda3b838  Dustforce-Linux-2014-12-17.sh
Source0:        Dustforce-Linux-2014-12-17.sh
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       libXcursor%{?_isa}
Requires:       libXinerama%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       libXScrnSaver%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       mesa-libGL%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686 x86_64

%description
Dustforce is a platform game where fast-response timed actions are considered
necessary to complete the game. It is set in a world where filth has corrupted
the creatures that live in the area; the four-member Dustforce team of janitors
aims to clean up the mess and restore the world. An overworld provides access
to more than fifty levels, though about half are initially locked to the player


%prep
%setup -Tqcn %{name}-%{version}
echo "YOU CAN INGORE THE WARNING: extra bytes at beginning or within zipfile"
true `unzip -qq %{SOURCE0}`

find data -type d -exec chmod 0755 '{}' \;
find data -type f -exec chmod 0644 '{}' \;


%build
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
%ifarch x86_64
Name=Dustforce (64bit)
%else
Name=Dustforce (32bit)
%endif
Comment=%{summary}
Exec=%{namearch}
Icon=%{_datadir}/%{namearch}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF

# Create the wrapper for /usr/bin
cat >%{namearch}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{namearch} >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/applications \
         %{buildroot}%{_datadir}/%{namearch}/%{_lib}

cp -a data/noarch/content %{buildroot}%{_datadir}/%{namearch}
install -p -m0644 data/noarch/Dustforce.png %{buildroot}%{_datadir}/%{namearch}/%{name}.png

%ifarch x86_64
install -p -m0755 data/x86_64/Dustforce.bin.x86_64 %{buildroot}%{_datadir}/%{namearch}/%{name}
install -p -m0755 data/x86_64/%{_lib}/libcurl.so.3 %{buildroot}%{_datadir}/%{namearch}/%{_lib}
%else
install -p -m0755 data/x86/Dustforce.bin.x86 %{buildroot}%{_datadir}/%{namearch}/%{name}
install -p -m0755 data/x86/%{_lib}/libcurl.so.3 %{buildroot}%{_datadir}/%{namearch}/%{_lib}
%endif

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

install -p -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{house}-%{namearch}.desktop


%files
%defattr(-,root,root,-)
%doc data/README.upgrade data/noarch/README.linux
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/%{house}-%{namearch}.desktop


%changelog
* Tue Dec 23 2014 RPMBuilder <> 1:1.0-3
- Upgraded to latest binary release

* Sat Jan 04 2014 RPMBuilder <> 1:1.0-2
- Modernized dependency filters
- Various minor cleanups
- Added epoch due to sanitizing release

* Tue Sep 25 2012 RPMBuilder <> 1.0-1347954459
- Initial Release
