# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure this RPM is not a dependency provider, as we do not want to any bundled
# items to provide dependencies, although we remove bundles where possible
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to filter some requires
%global __requires_exclude ^libfmode.*

# The software house
%global house klei


Name:           eets-munchies64
Version:        0.0
Release:        3
Summary:        Family-friendly puzzle platformer
Group:          Amusements/Games
License:        Commercial
URL:            http://kleientertainment.com/games/eets-munchies/
# ee7694ca24aabb4c3890123f8cb2474e  eets2-64x_linux_1394496804.tar
Source0:        eets2-64x_linux_1394496804.tar
NoSource:       0
BuildRequires:  desktop-file-utils
BuildRequires:  ImageMagick
Requires:       libXcursor%{?_isa}
Requires:       libXinerama%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       libXScrnSaver%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
Requires:       xdg-utils
ExclusiveArch:  x86_64

%description
A platform game about robots, photos and adventure. A fantastic puzzle game
for the whole family, Eets Munchies is a beautiful reimagining of the game that
started Klei Entertainment. Featuring gorgeous animation, ridiculous creatures
and an amazing level editor, players help an adorable hungry creature devour
cake in increasingly devious puzzles.


%prep
%setup -qcn %{name}-%{version}
# Some permission clean-ups
find eets2 -type d -exec chmod 0755 {} \;
find eets2 -type f -exec chmod 0644 {} \;
rm -f eets2/bin/lib/libSDL2*
chmod 0755 eets2/bin/* eets2/bin/lib/*

# Some clean-ups
# Update only present in 32bit version and probs isn't usable with an
# rpm install. May need some additional consideration
rm -rf eets2/eets2 eets2/bin/eets2 eets2/updater


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=Eets Munchies (64bit)
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF

# Create the wrappers for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
export LD_LIBRARY_PATH=\$LD_LIBRARY_PATH:%{_datadir}/%{name}/%{_lib}
# Must be launched from directory above exe
pushd %{_datadir}/%{name} >/dev/null
./bin/%{name} "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/applications \
         %{buildroot}%{_datadir}/%{name}

cp -a eets2/* %{buildroot}%{_datadir}/%{name}/
mv %{buildroot}%{_datadir}/%{name}/bin/lib %{buildroot}%{_datadir}/%{name}/%{_lib}
mv %{buildroot}%{_datadir}/%{name}/bin/eets2-bin %{buildroot}%{_datadir}/%{name}/bin/%{name}

convert eets2/eets2.xpm %{buildroot}%{_datadir}/%{name}/%{name}.png

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -p -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{house}-%{name}.desktop


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Sat Mar 29 2014 RPMBuilder <> 0.0-3
- Upgraded to latest binary release

* Sun Jan 05 2014 RPMBuilder <> 0.0-2
- Modernized dependency filters
- Various minor clean ups
- Unbundle SDL2

* Tue Sep 24 2013 RPMBuilder <> 0.0-1
- Initial Release
