# You are only entitled to install this RPM if you bought the game
# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.

# Ensure this RPM is not a dependency provider, as we do not want to any bundled
# items to provide dependencies, although we remove bundles where possible
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# This package contains mixed binaries so set up some macros
%ifarch x86_64
%global namearch %{name}64
%else
%global namearch %{name}32
%endif

# The software house
%global house increpare


Name:           english-country-tune
Version:        1.9
Release:        1
Summary:        Geometric puzzle game
Group:          Amusements/Games
License:        Commercial
URL:            http://www.englishcountrytune.com
# 1097749402732c31348fd430b94e9350  EnglishCountryTune_Linux_1370040672.tar.gz
Source0:        EnglishCountryTune_Linux_1370040672.tar.gz
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686 x86_64

%description
Love a good challenge? Then you might be ready to take on English Country Tune,
a geometric puzzler that might just push you over the edge. With over 100
levels spread across 17 worlds, you'll be challenged relentlessly. Gameplay
varies from pushing blocks around using beams of light to cutting squares in
your card to match a template.


%prep
%setup -qcn %{name}-%{version}
# Some permission fixes
find English\ Country\ Tune/English\ Country\ Tune_Data -type d -exec chmod 0755 {} \;
find English\ Country\ Tune/English\ Country\ Tune_Data -type f -exec chmod 0644 {} \;


%build
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
%ifarch x86_64
Name=English Country Tune (64bit)
%else
Name=English Country Tune (32bit)
%endif
Comment=%{summary}
Exec=%{namearch}
Icon=%{_datadir}/%{namearch}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;LogicGame;
EOF

# Create the wrapper for /usr/bin
cat >%{namearch}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{namearch} >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{namearch} \
         %{buildroot}%{_datadir}/applications\

cp -a English\ Country\ Tune/English\ Country\ Tune_Data \
      %{buildroot}%{_datadir}/%{namearch}/%{name}_Data

install -m0644  English\ Country\ Tune/English\ Country\ Tune_Data/Resources/UnityPlayer.png \
                %{buildroot}%{_datadir}/%{namearch}/%{name}.png

%ifarch x86_64
install -m0755 English\ Country\ Tune/English\ Country\ Tune.x86_64 \
               %{buildroot}%{_datadir}/%{namearch}/%{name}
rm -rf English\ Country\ Tune/English\ Country\ Tune_Data/Mono/x86
%else
install -m0755 English\ Country\ Tune/English\ Country\ Tune.x86 \
               %{buildroot}%{_datadir}/%{namearch}/%{name}
rm -rf English\ Country\ Tune/English\ Country\ Tune_Data/Mono/x86_64
%endif

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

install -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}


%files
%defattr(-,root,root,-)
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/%{house}-%{namearch}.desktop


%changelog
* Sat Jun 08 2013 RPMBuilder <> - 1.9-1
- Initial Release
