# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# We don't want this RPM to be a provider for anything
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. Little we can do with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# This package contains mixed binaries so set up some macros
%ifarch x86_64
%global namearch %{name}64
%else
%global namearch %{name}32
%endif

# The software house
%global house omnisystems


Name:           eufloria-hd
Version:        1.0.1
Release:        2
Summary:        Ambient strategy game
Group:          Amusements/Games
License:        Commercial
URL:            http://www.eufloria-game.com
# 5de73e648d3cd75f9e974e1459d9a9da  EufloriaHD-Linux-1.0.1.sh
Source0:        EufloriaHD-Linux-1.0.1.sh
NoSource:       0
BuildRequires:  chrpath
BuildRequires:  desktop-file-utils
BuildRequires:  xz-lzma-compat
Requires:       mesa-libGL%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
Requires:       webclient
Requires:       xdg-utils
ExclusiveArch:  i686 x86_64

%description
An incredibly addictive ambient strategy game that anyone can play! Explore a
beautifully realized universe rendered in a style that is unique and
compelling. Experience space exploration, conquest, plant growth and bio
mechanical evolution. Conquer asteroids in deep space and use their resources
to grow and nurture semi-organic plants and creatures to do your bidding. Plan
your strategy against AI opponents that all vie for the same resources and
offer fierce opposition.


%prep
%setup -Tqcn %{name}-%{version}
mkdir %{name}

# Rip the contents from the nixinstaller package
sh %{SOURCE0} --tar x --to-stdout ./instarchive_all | tar x --lzma -C %{name}

# Rip the arch dependent binaries from the nixinstaller package
%ifarch x86_64
sh %{SOURCE0} --tar x --to-stdout ./instarchive_linux_x86_64 | tar x --lzma -C %{name}
%else
sh %{SOURCE0} --tar x --to-stdout ./instarchive_linux_x86 | tar x --lzma -C %{name}
%endif

# Strip the rpath. We still continue even if it fails because partly it's
# not critical but also because building the 32bit RPM on a 64bit system
# only has access to the 64bit version of chrpath, we cannot strip 32bit
# binaries. But in all other scenarios it should work without issue
%ifarch x86_64
chrpath -d %{name}/EufloriaHD.bin.x86_64 || :
%else
chrpath -d %{name}/EufloriaHD.bin.x86 || :
%endif

# Some EOL and encoding fixes
iconv -f windows-1252 -t utf8 %{name}/Licenses.txt > %{name}/Licenses.txt.conv
mv %{name}/Licenses.txt.conv %{name}/Licenses.txt
sed -i 's/\r//' %{name}/Licenses.txt
find %{name}/res -iname "*.lua" -exec chmod 0644 {} \;


%build
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
%ifarch x86_64
Name=Eufloria HD (64bit)
%else
Name=Eufloria HD (32bit)
%endif
Comment=%{summary}
Exec=%{namearch}
Icon=%{_datadir}/%{namearch}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;StrategyGame;
EOF

# Create the wrapper for /usr/bin
cat >%{namearch}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{namearch} >/dev/null
%ifarch x86_64
./%{name} "\$@"
%else
./%{name} "\$@"
%endif
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/applications \
         %{buildroot}%{_datadir}/%{namearch}

cp -a %{name}/res %{buildroot}%{_datadir}/%{namearch}
install -p -m0644 %{name}/EufloriaHD.png %{buildroot}%{_datadir}/%{namearch}/%{name}.png

%ifarch x86_64
install -p -m0755 %{name}/EufloriaHD.bin.x86_64 %{buildroot}%{_datadir}/%{namearch}/%{name}
%else
install -p -m0755 %{name}/EufloriaHD.bin.x86 %{buildroot}%{_datadir}/%{namearch}/%{name}
%endif

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

install -p -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{house}-%{namearch}.desktop


%files
%defattr(-,root,root,-)
%doc %{name}/Licenses.txt %{name}/ReadMe.pdf
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/%{house}-%{namearch}.desktop


%changelog
* Sat Mar 30 2013 RPMBuilder <> 1.0.1-2
- Some minor permission fixes
- Run chrpath on the binary
- Added webclient dependency

* Tue Nov 20 2012 RPMBuilder <> 1.0.1-1
- Upgraded to 1.0.1

* Fri Nov 16 2012 RPMBuilder <> 1.0-1
- Initial Release