# You are only entitled to install this RPM if you bought the game
# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.

# Ensure this RPM is not a dependency provider, as we do not want to any bundled
# items to provide dependencies, although we remove bundles where possible
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# This package contains mixed binaries so set up some macros
%ifarch x86_64
%global namearch %{name}64
%else
%global namearch %{name}32
%endif

# We need to filter some requires
%global __requires_exclude ^libmono-2\\.0\\.so\\.1

# The software house
%global house polytron


Name:           fez
Version:        1.10
Release:        3
Summary:        2D platformer
Group:          Amusements/Games
License:        Commercial
URL:            http://fezgame.com
# 4ac954101835311f3528f5369e1fecb7  fez-09152013-bin
Source0:        %{name}-09152013-bin
NoSource:       0
BuildRequires:  desktop-file-utils
BuildRequires:  ImageMagick
Requires:       systemd-libs%{?_isa}
Requires:       libXcursor%{?_isa}
Requires:       libXinerama%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       libXScrnSaver%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       mesa-libGL%{?_isa}
Requires:       openal-soft%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
Requires:       SDL2%{?_isa}
ExclusiveArch:  i686 x86_64

%description
You play as Gomez, a 2D creature living in what he believes is a 2D world.
Until a strange and powerful artifact reveals to him the existence of a
mysterious third dimension


%prep
%setup -Tqcn %{name}-%{version}
echo "YOU CAN INGORE THE WARNING: extra bytes at beginning or within zipfile"
true `unzip -qq %{SOURCE0}`

# Some permission fixes
find data -type f -iname "*.dll" -exec chmod 0644 {} \;

# Move for later
mv data/Linux.README .

# Some cleanups
rm -f data/FEZ data/%{_lib}/{libopenal.so.1,libSDL2-2.0.so.0}


%build
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
%ifarch x86_64
Name=FEZ (64bit)
%else
Name=FEZ (32bit)
%endif
Comment=%{summary}
Exec=%{namearch}
Icon=%{_datadir}/%{namearch}/%{name}.jpg
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF

# Create the wrapper for /usr/bin
cat >%{namearch}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{namearch} >/dev/null
%ifarch x86_64
./FEZ.bin.x86_64 "\$@"
%else
./FEZ.bin.x86 "\$@"
%endif
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{namearch} \
         %{buildroot}%{_datadir}/applications\

# Don't rename exes as game is mono
cp -a data/*  %{buildroot}%{_datadir}/%{namearch}
# Converting to png failes so try jpg
convert data/FEZ.bmp %{buildroot}%{_datadir}/%{namearch}/%{name}.jpg

%ifarch x86_64
rm -rf  %{buildroot}%{_datadir}/%{namearch}/{lib,FEZ.bin.x86}
%else
rm -rf  %{buildroot}%{_datadir}/%{namearch}/{lib64,FEZ.bin.x86_64}
%endif

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

install -p -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{house}-%{namearch}.desktop


%files
%defattr(-,root,root,-)
%doc Linux.README
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/%{house}-%{namearch}.desktop


%changelog
* Mon Jan 06 2014 RPMBuilder <> 1.10-3
- Modernize dependency filters
- Various minor cleanups
- Unbundle SDL2

* Sun Sep 22 2013 RPMBuilder <> 1.10-2
- Added some missing deps

* Sat Sep 21 2013 RPMBuilder <> 1.10-1
- Initial Release
