# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure this RPM is not a dependency provider
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# Don't require bundled libraries
%global __requires_exclude ^libmono-2\\.0\\.so\\.1|^libfmode.*

# This package contains mixed binaries so set up some macros
%ifarch x86_64
%global namearch %{name}64
%else
%global namearch %{name}32
%endif

# The software house
%global house subatomic


Name:           fieldrunners2
Version:        0.0
Release:        1
Summary:        Tower defense game
Group:          Amusements/Games
License:        Commercial
URL:            http://subatomicstudios.com/games/fieldrunners-2/
# 4b14440e8c43c177659826920f6498aa  Fieldrunners2-1.0-5.sh
Source0:        Fieldrunners2-1.0-5.sh
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       libXcursor%{?_isa}
Requires:       libXinerama%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       libXScrnSaver%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686 x86_64

%description
The massive sequel to the award winning tower defense game, Fieldrunners,
introduces more levels, more weapons, more enemies and more ways to play. With
all that content, Fieldrunners 2 is slated to be the ultimate tower defense
experience!


%prep
%setup -Tqcn %{name}-%{version}
echo "YOU CAN INGORE THE WARNING: extra bytes at beginning or within zipfile"
true `unzip -qq %{SOURCE0}`

# Fix non standard dir permissions
find data -type d -exec chmod 0755 {} \;
find data -type f -exec chmod 0644 {} \;

%ifarch x86_64
rm -f data/x86_64/%{_lib}/libSDL2-2.0.so.0
chmod 0755 data/x86_64/{%{_lib}/*,fieldrunners2-64}
%else
rm -f data/x86/%{_lib}/libSDL2-2.0.so.0
chmod 0755 data/x86/{%{_lib}/*,fieldrunners2-32}
%endif


%build
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
%ifarch x86_64
Name=Fieldrunners 2 (64bit)
%else
Name=Fieldrunners 2 (32bit)
%endif
Comment=%{summary}
Exec=%{namearch}
Icon=%{_datadir}/%{namearch}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;StrategyGame;
EOF

# Create the wrapper for /usr/bin
cat >%{namearch}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{namearch} >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{namearch} \
         %{buildroot}%{_datadir}/applications

cp -a data/noarch/* %{buildroot}%{_datadir}/%{namearch}

%ifarch x86_64
cp -a data/x86_64/%{_lib} %{buildroot}%{_datadir}/%{namearch}
install -m0755 data/x86_64/fieldrunners2-64 %{buildroot}%{_datadir}/%{namearch}/%{name}
%else
cp -a data/x86/%{_lib} %{buildroot}%{_datadir}/%{namearch}
install -m0755 data/x86/fieldrunners2-32 %{buildroot}%{_datadir}/%{namearch}/%{name}
%endif

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

install -p -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{house}-%{namearch}.desktop


%files
%defattr(-,root,root,-)
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/%{house}-%{namearch}.desktop


%changelog
* Sun Aug 03 2014 RPMBuilder <> - 0.0-1
- Initial Release
