# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure this RPM is not a dependency provider, as we do not want to any bundled
# items to provide dependencies, although we remove bundles where possible
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to filter some requires
%global __requires_exclude ^libbass\\.so|^libbassmix\\.so

# This package contains mixed binaries so set up some macros
%ifarch x86_64
%global namearch %{name}64
%else
%global namearch %{name}32
%endif

# The software house
%global house subsetgames


Name:           ftl
Version:        1.03.3
Release:        3
Summary:        Real-time spaceship simulation
Group:          Amusements/Games
License:        Commercial
URL:            http://www.ftlgame.com
# 56cc8a8c0f67c1bced27397d05f998f1  FTL.Linux.1.03.3.tar.gz
Source0:        FTL.Linux.1.03.3.tar.gz
NoSource:       0
BuildRequires:  desktop-file-utils
BuildRequires:  ImageMagick
Requires:       alsa-plugins-pulseaudio%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686 x86_64

%description
FTL is a spaceship simulation. Its aim is to recreate the atmosphere of running
a spaceship exploring the galaxy (like Firefly/Star Trek/BSG etc.) In any given
episode of those classic shows, the captain is always yelling “Reroute power to
shields!” or giving commands to the engineer now that their Warp Core is on
fire.  We wanted that experience, as opposed to the “dog fighting in space”
that most video games focus on.  We wanted a game where we had to manage the
crew, fix the engines, reroute power to shields, target the enemy life support,
and then figure out how to repel the boarders that just transported over!


%prep
%setup -qcn %{name}-%{version}
# Some EOL fixes
sed -i 's/\r//' FTL/data/licenses/{README-DevIL.txt,README-SDL.txt}
tr '\r' '\n' < FTL/data/licenses/README-zlib.txt > FTL/data/licenses/README-zlib.txt.conv
mv FTL/data/licenses/README-zlib.txt.conv FTL/data/licenses/README-zlib.txt

# Char encoding fixes
iconv -f iso8859-1 -t utf8 FTL/data/licenses/README-FreeType.txt > FTL/data/licenses/README-FreeType.txt.conv
mv -f FTL/data/licenses/README-FreeType.txt.conv FTL/data/licenses/README-FreeType.txt


%build
# Sane desktop file
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
%ifarch x86_64
Name=Faster Than Light (64bit)
%else
Name=Faster Than Light (32bit)
%endif
Comment=%{summary}
Exec=%{namearch}
Icon=%{_datadir}/%{namearch}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;Simulation;
EOF

# Create the wrapper for /usr/bin
cat >%{namearch}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{namearch} >/dev/null
export LD_LIBRARY_PATH="%{_datadir}/%{namearch}/%{_lib}"
./bin/%{namearch} "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{namearch}/bin \
         %{buildroot}%{_datadir}/%{namearch}/%{_lib} \
         %{buildroot}%{_datadir}/applications


%ifarch x86_64
install -p -m0755 FTL/data/amd64/bin/FTL %{buildroot}%{_datadir}/%{namearch}/bin/%{namearch}
install -p -m0755 FTL/data/amd64/lib/libbass.so %{buildroot}%{_datadir}/%{namearch}/%{_lib}
install -p -m0755 FTL/data/amd64/lib/libbassmix.so %{buildroot}%{_datadir}/%{namearch}/%{_lib}
%else
install -p -m0755 FTL/data/x86/bin/FTL %{buildroot}%{_datadir}/%{namearch}/bin/%{namearch}
install -p -m0755 FTL/data/x86/lib/libbass.so %{buildroot}%{_datadir}/%{namearch}/%{_lib}
install -p -m0755 FTL/data/x86/lib/libbassmix.so %{buildroot}%{_datadir}/%{namearch}/%{_lib}
%endif

cp -a FTL/data/resources %{buildroot}%{_datadir}/%{namearch}

# Create Icon
convert FTL/data/exe_icon.bmp %{buildroot}%{_datadir}/%{namearch}/%{name}.png

# The game also loads the BMP version
install -p -m0644 FTL/data/exe_icon.bmp %{buildroot}%{_datadir}/%{namearch}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

install -p -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{house}-%{namearch}.desktop


%files
%defattr(-,root,root,-)
%doc FTL/FTL_README.html FTL/data/licenses/{LGPL.txt,README-DevIL.txt,README-FreeType.txt,README-RapidXML.txt,README-SDL.txt,README-zlib.txt}
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/%{house}-%{namearch}.desktop


%changelog
* Mon Jan 06 2014 RPMBuilder <> 1.03.3-3
- Modernize dependency filters
- Various minor cleanups

* Fri Sep 27 2013 RPMBuilder <> 1.03.3-2
- Added dep on mesa-dri-drivers and libXrandr

* Mon Jun 03 2013 RPMBuilder <> 1.03.3-1
- Upgraded to 1.03.3

* Wed Feb 06 2013 RPMBuilder <> 1.03.1-1
- Upgraded to 1.03.1
- Replace pulseaudio-utils dep with pulseaudio-libs
- Added dep on alsa-plugins-pulseaudio

* Sat Dec 08 2012 RPMBuilder <> 1.02.6-1
- Initial RPM Release
