# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure we do not become a provider of anything bundled in this RPM
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to exclude some requires as they are bundled.
%global __requires_exclude ^liballeg\\.so\\.4\\.4|^alleg-alsadigi\\.so|^alleg-alsamidi\\.so|^alleg-dga2\\.so|^alleg-sdl2digi\\.so

# This package contains mixed binaries so set up some macros
%ifarch x86_64
%global namearch %{name}64
%else
%global namearch %{name}32
%endif

# The software house
%global house wadjeteyegames


Name:           gemini-rue
Version:        0.0
Release:        1
Summary:        Science fiction based adventure game
Group:          Amusements/Games
License:        Commercial
URL:            http://www.wadjeteyegames.com/games/gemini-rue/
# 06e70af3712d04568951000aa59c5d63  GeminiRue_linux_1387557938.sh
Source0:        GeminiRue_linux_1387557938.sh
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686 x86_64

%description
Gemini Rue threads together two seemingly unrelated stories of Azriel Odin, an
ex-assassin looking for his brother and Delta Six, an inmate who had his memory
wiped. This science-fiction dystopian adventure game set on the rainy planet of
Barracus has a riveting plot full of mysteries, deception, and lies to unravel.


%prep
%setup -Tqcn %{name}-%{version}
echo "YOU CAN INGORE THE WARNING: extra bytes at beginning or within zipfile"
true `unzip -qq %{SOURCE0}`


%build
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
%ifarch x86_64
Name=Gemini Rue (64bit)
%else
Name=Gemini Rue (32bit)
%endif
Comment=%{summary}
Exec=%{namearch}
Icon=%{_datadir}/%{namearch}/GeminiRue.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;AdventureGame;
EOF

# Create the wrapper for /usr/bin
cat >%{namearch}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
# Game must be launched from the cwd
pushd %{_datadir}/%{namearch} >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{namearch}/%{_lib} \
         %{buildroot}%{_datadir}/applications

install -p -m0644 data/noarch/* %{buildroot}%{_datadir}/%{namearch}

# This allegro has different compiled option's to Fedoras and needs to be bundled
%ifarch x86_64
install -p -m0755 data/x86_64/GeminiRue.bin.x86_64 %{buildroot}%{_datadir}/%{namearch}/%{name}
install -p -m0755 data/x86_64/%{_lib}/liballeg.so.4.4 %{buildroot}%{_datadir}/%{namearch}/%{_lib}
install -p -m0755 data/x86_64/%{_lib}/alleg-* %{buildroot}%{_datadir}/%{namearch}/%{_lib}
%else
install -p -m0755 data/x86/GeminiRue.bin.x86 %{buildroot}%{_datadir}/%{namearch}/%{name}
install -p -m0755 data/x86/%{_lib}/liballeg.so.4.4 %{buildroot}%{_datadir}/%{namearch}/%{_lib}
install -p -m0755 data/x86/%{_lib}/alleg-* %{buildroot}%{_datadir}/%{namearch}/%{_lib}
%endif

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

install -p -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{house}-%{namearch}.desktop


%files
%defattr(-,root,root,-)
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/%{house}-%{namearch}.desktop


%changelog
* Sat Dec 28 2013 RPMBuilder <> - 0.0-1
- Initial Release
