# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure this RPM is not a dependency provider
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# The software house
%global house chroniclogic

%ifarch x86_64
%global namearch %{name}64
%else
%global namearch %{name}32
%endif


Name:           gish
Version:        1.6.1
Release:        4
Summary:        2D Platform Game
Group:          Amusements/Games
License:        Commercial
URL:            http://www.chroniclogic.com/gish.htm
# c2c842b0a19353113069db5c8fe8bc07  gish_1.6.1_all.tar.gz
Source0:        %{name}_%{version}_all.tar.gz
NoSource:       0
BuildRequires:  desktop-file-utils
BuildRequires:  ImageMagick
Requires:       libXcursor%{?_isa}
Requires:       libXinerama%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686 x86_64

%description
Gish isn't your average hero; in fact he's not your average anything. You see,
Gish is a ball of tar. A Sunday stroll with his lady friend Brea goes awry when
a shadowy figure emerges from an open manhole and pulls Brea into the ground
below. Following Brea's calls for help, Gish suddenly finds himself in the
subterranean sewers of Dross, a long forgotten city filled with twisting
corridors, evil traps and some of the most demented creatures imaginable.

With his gelatinous structure as his only means of defense, Gish must follow
the echoing cries of his damsel in distress deep into the earth below. What
freakish creatures dwell in this subterranean land? Who is Brea's captor? And
just how far down does the rabbit hole go?

Life isn't easy when you're a 12 pound ball of tar...


%prep
%setup -qcn %{name}-%{version}
%ifarch x86_64
rm -f %{name}/%{name}_32
mv %{name}/%{name}_64 %{name}/%{namearch}
%else
rm -f %{name}/%{name}_64
mv %{name}/%{name}_32 %{name}/%{namearch}
%endif

# Fix some EOL encodings
sed -i 's/\r//' %{name}/*.txt

# Fix some encodings
iconv -f iso8859-1 -t utf8 %{name}/Patch_1_6.txt > %{name}/Patch_1_6.txt.conv
iconv -f iso8859-1 -t utf8 %{name}/README.txt > %{name}/README.txt.conv
mv -f %{name}/README.txt.conv %{name}/README.txt
mv -f %{name}/Patch_1_6.txt.conv %{name}/Patch_1_6.txt

# Move these for later
mv %{name}/{gisheditor.txt,gishmanual.html,manual3.swf,Patch_1_6.txt,README-SDL.txt,README.txt} .


%build
# Desktop file
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
%ifarch x86_64
Name=Gish (64bit)
%else
Name=Gish (32bit)
%endif
Comment=%{summary}
Exec=%{namearch}
Icon=%{_datadir}/%{namearch}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF

# Create the wrapper for /usr/bin
cat >%{namearch}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{namearch} >/dev/null
./%{namearch} "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{namearch} \
         %{buildroot}%{_datadir}/applications

cp -a %{name}/* %{buildroot}%{_datadir}/%{namearch}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

install -p -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}

# Create Icon
convert %{name}/%{name}.bmp -transparent white -resize 48x48\! %{buildroot}%{_datadir}/%{namearch}/%{name}.png


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{house}-%{namearch}.desktop


%files
%defattr(-,root,root,-)
%doc gisheditor.txt gishmanual.html manual3.swf Patch_1_6.txt README-SDL.txt README.txt
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/%{house}-%{namearch}.desktop


%changelog
* Mon Dec 15 2014 RPMBuilder <> 1.6.1-4
- Fixed typo preventing the RPM from building

* Wed Sep 25 2013 RPMBuilder <> 1.6.1-3
- Added some additional deps
- Various spec clean ups

* Sun Mar 25 2012 RPMBuilder <> 1.6.1-2
- Disable building a debuginfo package under any circumstances
- Convert defines to globals
- Added house global
- Fixed argument passing for the wrapper script. Was being filtered by RPM

* Fri Dec 02 2011 RPMBuilder <> 1.6.1-1
- Initial Release
