# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# CAUTION: BUILDING THIS RPM REQUIRES A LARGE AMOUNT OF STORAGE. ENSURE YOU
# HAVE AT LEAST 2GB FREE WHERE YOUR RPMBUILD DIRECTORIES ARE LOCATED

# We don't want this RPM to be a provider for anything it's bundled with
AutoProv: no

# Disable any chance of generating a debuginfo package
%global debug_package %{nil}

# Disable rpath checking. Little we can do with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to exclude some requires as they are bundled.
%global __requires_exclude ^libmono-\\.so

# This package contains mixed binaries so set up some macros
%ifarch x86_64
%global namearch %{name}64
%else
%global namearch %{name}32
%endif

# The software house
%global house fullbright


Name:           gone-home
Version:        1.1
Release:        1
Summary:        A story exploration video game
Group:          Amusements/Games
License:        Commercial
URL:            http://www.gonehomegame.com
# 756385355420bbcfd56525ae1088f095  GoneHome_v1.1.tar.gz
Source0:        GoneHome_v%{version}.tar.gz
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686 x86_64

%description
You arrive home after a year abroad. You expect your family to greet you, but
the house is empty. Something's not right. Where is everyone? And what's
happened here? Gone home is an interactive exploration simulator. Interrogate
every detail of a seemingly normal house to discover the story of the people
who live there. Open any drawer and door. Pick up objects and examine them to
discover clues. Uncover the events of one family's lives by investigating what
they've left behind. Go home again.


%prep
%setup -qcn %{name}-%{version}
# Some permission fixes
find GoneHome_Data -type d -exec chmod 0755 {} \;
find GoneHome_Data -type f -exec chmod 0644 {} \;

# Some clean ups
%ifarch x86_64
rm -rf GoneHome_Data/Mono/x86 GoneHome_Data/Plugins/x86
chmod 0755 GoneHome_Data/Mono/x86_64/*
%else
rm -rf GoneHome_Data/Mono/x86_64
chmod 0755 GoneHome_Data/Mono/x86/* GoneHome_Data/Plugins/x86/*
%endif

sed -i 's/\r//' readme.txt Attributions.txt Localization-howto.txt


%build
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
%ifarch x86_64
Name=Gone Home (64bit)
%else
Name=Gone Home (32bit)
%endif
Comment=%{summary}
Exec=%{namearch}
Icon=%{_datadir}/%{namearch}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;AdventureGame;
EOF

cat >%{namearch}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{namearch} >/dev/null
%ifarch x86_64
./GoneHome.x86_64 "\$@"
%else
./GoneHome.x86 "\$@"
%endif
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/applications \
         %{buildroot}%{_datadir}/%{namearch}

cp -a GoneHome_Data %{buildroot}%{_datadir}/%{namearch}
install -p -m0644 GoneHome_Data/Resources/UnityPlayer.png \
                  %{buildroot}%{_datadir}/%{namearch}/%{name}.png

%ifarch x86_64
install -p -m0755 GoneHome.x86_64 %{buildroot}%{_datadir}/%{namearch}
%else
install -p -m0755 GoneHome.x86 %{buildroot}%{_datadir}/%{namearch}
%endif

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

install -p -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{house}-%{namearch}.desktop


%files
%defattr(-,root,root,-)
%doc Attributions.txt Localization-howto.txt readme.txt
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/%{house}-%{namearch}.desktop


%changelog
* Sat Sep 27 2014 RPMBuilder <> 1.1-1
- Initial Release