# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure this RPM is not a dependency provider
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to filter some requires
%global __requires_exclude ^libcurl\\.so\\.3

# This package contains mixed binaries so set up some macros
%ifarch x86_64
%global namearch %{name}64
%else
%global namearch %{name}32
%endif

# The software house
%global house positech


Name:           gratuitous-space-battles
Version:        1.56.0
Release:        4
Summary:        Fast paced shooting game in space
Group:          Amusements/Games
License:        Commercial
URL:            http://positech.co.uk/gratuitousspacebattles/
# 221add4aefd4da39e965b987b9f57fb5  gsb1324679796.tar.gz
Source0:        gsb1324679796.tar.gz
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       evince
Requires:       gvfs
Requires:       libXcursor%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
Requires:       webclient
ExclusiveArch:  i686 x86_64

%description
GSB is the ultimate space strategy game from UK indie developer Positech Games.
It's a strategy / management / simulation game that does away with all the base
building and delays and gets straight to the meat and potatoes of
science-fiction games : The big space battles fought by huge spaceships with
tons of laser beams and things going 'zap!', 'ka-boom!' and 'ka-pow!'. In GSB
you put your ships together from modular components, arrange them into fleets,
give your ships orders of engagement and then hope they emerge victorious from
battle (or at least blow to bits in aesthetically pleasing ways).


%prep
%setup -qcn %{name}-%{version}


%build
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
%ifarch x86_64
Name=Gratuitous Space Battles (64bit)
%else
Name=Gratuitous Space Battles (32bit)
%endif
Comment=%{summary}
Exec=%{namearch}
Icon=%{_datadir}/%{namearch}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF

# Create the wrapper for /usr/bin
cat >%{namearch}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{namearch} >/dev/null
./%{namearch} "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{namearch}/%{_lib} \
         %{buildroot}%{_datadir}/applications

cp -a GSB/data %{buildroot}%{_datadir}/%{namearch}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

install -p -m0755 GSB/%{_lib}/libcurl.so.3 %{buildroot}%{_datadir}/%{namearch}/%{_lib}
install -p -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}
install -p -m0644 GSB/GSB.png %{buildroot}%{_datadir}/%{namearch}/%{name}.png

%ifarch x86_64
install -p -m0755 GSB/GSB.bin.x86_64 %{buildroot}%{_datadir}/%{namearch}/%{namearch}
%else
install -p -m0755 GSB/GSB.bin.x86 %{buildroot}%{_datadir}/%{namearch}/%{namearch}
%endif

# Create symlink so documentation loads from within the game
pushd %{buildroot}%{_datadir}/%{namearch}
%if 0%{?fedora} > 19
ln -sv ../doc/%{name}/GSBManual.pdf
%else
ln -sv ../doc/%{name}-%{version}/GSBManual.pdf
%endif
popd


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{house}-%{namearch}.desktop


%files
%defattr(-,root,root,-)
%doc GSB/{GSBManual.pdf,README.linux,version.txt}
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/%{house}-%{namearch}.desktop


%changelog
* Mon Jan 06 2014 RPMBuilder <> 1.56.0-4
- Modernize dependency filters
- Various minor cleanups
- Documentation fixes for Fedora 20

* Sat Mar 30 2013 RPMBuilder <> 1.56.0-3
- Fix opening the manual from within the game
- Some minor spec clean ups

* Sun Mar 25 2012 RPMBuilder <> 1.56.0-2
- Minor fix to the dependency filter

* Mon Feb 27 2012 RPMBuilder <> 1.56.0-1
- Initial Release
