# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# We don't want this RPM to be a provider for anything it's bundled with
AutoProv: no

# Disable any chance of generating a debuginfo package
%global debug_package %{nil}

# Disable rpath checking. Little we can do with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to exclude some requires as they are bundled.
%global __requires_exclude ^libmono-\\.so

# This package contains mixed binaries so set up some macros
%ifarch x86_64
%global namearch %{name}64
%else
%global namearch %{name}32
%endif

# The software house
%global house vanguard


Name:           greedcorp
Version:        0.0
Release:        1
Summary:        Realtime strategy game
Group:          Amusements/Games
License:        Commercial
URL:            http://www.vanguardgames.net/games/greed-corp/
# c1cffb847bf65caf8abd4c589813884a  greedcorp_linux.tar.gz
Source0:        %{name}_linux.tar.gz
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686 x86_64

%description
Redefine resourcefulness in Greed Corp, the tactical realtime strategy game
that challenges you to continue fighting your opponent without running out
of supplies. Unlike traditional realtime strategy games where you get stronger
the longer you play, Greed Corp ingeniously makes the ground you walk on the
finite resource needed to continue making cannons, turrets and troops. Each
block of walkway can be mined and drained of its minerals to make weapons or
troops, but soon after it crumbles into the amorphous abyss below. The more you
harvest resources, the less area and tactical options you have to choose from.


%prep
%setup -qcn %{name}-%{version}
# Some permission fixes
find GreedCorp/GreedCorp_Data -type d -exec chmod 0755 {} \;
find GreedCorp/GreedCorp_Data -type f -exec chmod 0644 {} \;

# Some clean ups
%ifarch x86_64
rm -rf GreedCorp/GreedCorp_Data/Mono/x86
chmod 0755 GreedCorp/GreedCorp_Data/Mono/x86_64/*
%else
rm -rf GreedCorp/GreedCorp_Data/Mono/x86_64
chmod 0755 GreedCorp/GreedCorp_Data/Mono/x86/*
%endif


%build
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
%ifarch x86_64
Name=Greedcorp (64bit)
%else
Name=Greedcorp (32bit)
%endif
Comment=%{summary}
Exec=%{namearch}
Icon=%{_datadir}/%{namearch}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;StrategyGame;
EOF

cat >%{namearch}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{namearch} >/dev/null
%ifarch x86_64
./GreedCorp.x86_64 "\$@"
%else
./GreedCorp.x86 "\$@"
%endif
popd >/dev/null
EOF


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/applications \
         %{buildroot}%{_datadir}/%{namearch}

cp -a GreedCorp/GreedCorp_Data %{buildroot}%{_datadir}/%{namearch}
install -m 0644 GreedCorp/GreedCorp_Data/Resources/UnityPlayer.png \
                %{buildroot}%{_datadir}/%{namearch}/%{name}.png

%ifarch x86_64
install -m0755 GreedCorp/GreedCorp.x86_64 %{buildroot}%{_datadir}/%{namearch}
%else
install -m0755 GreedCorp/GreedCorp.x86 %{buildroot}%{_datadir}/%{namearch}
%endif

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

install -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{house}-%{namearch}.desktop


%files
%defattr(-,root,root,-)
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/%{house}-%{namearch}.desktop


%changelog
* Sat Oct 26 2013 RPMBuilder <> 0.0-1
- Initial Release