# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure this RPM is not a dependency provider, as we do not want to any bundled
# items to provide dependencies, although we remove bundles where possible
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# The software house
%global house suspiciousdev


Name:           gunpoint
Version:        0.0
Release:        1
Summary:        A stealth puzzle game
Group:          Amusements/Games
License:        Commercial
URL:            http://www.gunpointgame.com
# 53eeb8817a532f48dd896b35bc9c54cd  GunpointLinux_170914_1410971363.tar.gz
Source0:        GunpointLinux_170914_1410971363.tar.gz
Source1:        %{name}.png
NoSource:       0
BuildRequires:  chrpath
BuildRequires:  desktop-file-utils
Requires:       libXcursor%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686

%description
A stealth puzzle game that lets you rewrite its levels to trick people.


%prep
%setup -qcn %{name}-%{version}
# Some permission fixes
find Gunpoint -type d -exec chmod 0755 {} \;
find Gunpoint -type f -exec chmod 0644 {} \;

rm -f Gunpoint/Scripts/*.txt

# Strip the rpath. We still continue even if it fails because partly it's
# not critical but also because building the 32bit RPM on a 64bit system
# only has access to the 64bit version of chrpath, we cannot strip 32bit
# binaries. But in all other scenarios it should work without issue
chrpath -d Gunpoint/Gunpoint || :


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=Gunpoint
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;StrategyGame;
EOF


# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{name} >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/applications \
         %{buildroot}%{_datadir}/%{name}

install -p -m0755 Gunpoint/Gunpoint %{buildroot}%{_datadir}/%{name}/%{name}
install -p -m0644 Gunpoint/Gunpoint.wad %{buildroot}%{_datadir}/%{name}
install -p -m0644 Gunpoint/steam_appid.txt %{buildroot}%{_datadir}/%{name}
install -p -m0644 %{SOURCE1} %{buildroot}%{_datadir}/%{name}
cp -a Gunpoint/{Levels,Scripts,Music} %{buildroot}%{_datadir}/%{name}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -p -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{house}-%{name}.desktop


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Sat Sep 27 2014 RPMBuilder <> 0.0-1
- Initial Release
