# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# We don't want this RPM to be a provider for anything it's bundled with,
# although we remove bundles where practical
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. Little we can do with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# The software house
%global house kranx

%ifarch x86_64
%global namearch %{name}64
%else
%global namearch %{name}32
%endif


Name:           hammerfight
Version:        1.005
Release:        2_build_2
Summary:        2D Physics Game
Group:          Amusements/Games
License:        Commercial
URL:            http://www.koshutin.com/
# 73b3824c3a199a646f19d5a952fc1c44  hf-linux-08122011-bin
Source0:        hf-linux-08122011-bin
NoSource:       0
BuildRequires:  chrpath
BuildRequires:  desktop-file-utils
Requires:       mesa-libGL%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
Requires:       webclient
Requires:       xdg-utils
ExclusiveArch:  i686 x86_64

%description
This is the story of the last emperor of Auregzid Dynasty and the young warrior
from the Home of Gaiar, was told by the honest Hymid-al-Rahim in the year 14
from the settlement of the world.


%prep
%setup -Tqcn %{name}-%{version}

# We are actually unpacking a mojo setup binary here. We need to force a true
# result so rpm does not fail as zip warns about superfluous data at the
# start and returns a non-zero result. That warning can be ignored.
echo "YOU CAN INGORE THE WARNING: extra bytes at beginning or within zipfile"
true `unzip -qq %{SOURCE0}`

# Strip the rpath. We still continue even if it fails because partly it's
# not critical but also because building the 32bit RPM on a 64bit system
# only has access to the 64bit version of chrpath, we cannot strip 32bit
# binaries. But in all other scenarios it should work without issue
%ifarch x86_64
chrpath -d data/Hammerfight-amd64 || :
%else
chrpath -d data/Hammerfight-x86 || :
%endif

# Fix some encodings
iconv -f iso8859-1 -t utf8 data/readme.txt > data/readme.txt.conv
mv data/readme.txt.conv data/readme.txt


%build
# Sane desktop file
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
%ifarch x86_64
Name=Hammerfight (64bit)
%else
Name=Hammerfight (32bit)
%endif
Comment=%{summary}
Exec=%{namearch}
Icon=%{_datadir}/%{namearch}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF

# Create the wrapper for /usr/bin
cat >%{namearch}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{namearch} >/dev/null
./%{namearch} "\$@"
popd >/dev/null
EOF


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/{%{namearch},applications}

%ifarch x86_64
install -m0755 data/Hammerfight-amd64 %{buildroot}%{_datadir}/%{namearch}/%{namearch}
%else
install -m0755 data/Hammerfight-x86 %{buildroot}%{_datadir}/%{namearch}/%{namearch}
%endif

cp -a data/{Data,Demo,Media,Objects,Saves} %{buildroot}%{_datadir}/%{namearch}
install -m0644 data/{hgeicon.bmp,%{name}.png,Config.ini,media.script,strings.txt} \
         %{buildroot}%{_datadir}/%{namearch}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

install -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}


%files
%defattr(-,root,root,-)
%doc data/{README-linux.txt,readme.txt}
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/%{house}-%{namearch}.desktop


%changelog
* Sat Mar 30 2013 RPMBuilder <> 1.005-2_build_2
- Added missing dependency on mesa-libGL
- Some minor spec clean ups

* Sun Mar 25 2012 RPMBuilder <> 1.005-1_build_2
- Disable building a debuginfo package under any circumstances
- Convert defines to globals
- Added house global
- Fixed argument passing for the wrapper script. Was being filtered by RPM
- Use chrpath if possible

* Sat Nov 12 2011 RPMBuilder <> 1.005-0_build_2
- Initial RPM Release
