# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure this RPM is not a dependency provider, as we do not want to any bundled
# items to provide dependencies, although we remove bundles where possible
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# The software house
%global house dennaton


Name:           hotline-miami
Version:        1.0.9a
Release:        2
Summary:        2D top-down fast past action game
Group:          Amusements/Games
License:        Commercial
URL:            http://hotlinemiami.com
# f68e5680f7f54f12b313cb533af53548  HotlineMiami_linux_1392944501.tar.gz
Source0:        HotlineMiami_linux_1392944501.tar.gz
Source1:        %{name}.png
NoSource:       0
BuildRequires:  chrpath
BuildRequires:  desktop-file-utils
Requires:       libXcursor%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686

%description
Think quick and strategically in Hotline Miami, a 2D top-down action game that
rewards caution, tactics and trial and error. You'll travel back to the 1980s
with the game's highly stylized neon graphics and 16-bit pixel art. With
instant death and no checkpoints, you'll need to start from the beginning every
time, but every run through provides a little bit more insight. Gore, rapid
action and sick music all come together in a highly stylized game that will
keep you on the edge of your seat.


%prep
%setup -qcn %{name}-%{version}
# Strip the rpath. We still continue even if it fails because partly it's
# not critical but also because building the 32bit RPM on a 64bit system
# only has access to the 64bit version of chrpath, we cannot strip 32bit
# binaries. But in all other scenarios it should work without issue
chrpath -d Hotline || :
chrpath -d hotline_launcher || :


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=Hotline Miami
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF

cat >%{name}-settings.desktop <<EOF
[Desktop Entry]
Name=Hotline Miami Settings
Comment=Settings for Hotline Miami
Exec=%{name}-settings
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{name} >/dev/null
./Hotline "\$@"
popd >/dev/null
EOF

# Create the wrapper for /usr/bin
cat >%{name}-settings.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name} settings
#
pushd %{_datadir}/%{name} >/dev/null
./hotline_launcher "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/applications \
         %{buildroot}%{_datadir}/%{name} \

install -m0755 Hotline %{buildroot}%{_datadir}/%{name}/
install -m0755 hotline_launcher %{buildroot}%{_datadir}/%{name}
install -m0644 HotlineMiami_GL.wad %{buildroot}%{_datadir}/%{name}
install -m0644 %{SOURCE1} %{buildroot}%{_datadir}/%{name}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}-settings.desktop

install -m 0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}
install -m 0755 %{name}-settings.wrapper %{buildroot}%{_bindir}/%{name}-settings


%files
%defattr(-,root,root,-)
%doc README
%{_bindir}/%{name}
%{_bindir}/%{name}-settings
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop
%{_datadir}/applications/%{house}-%{name}-settings.desktop


%changelog
* Sat Mar 22 2014 RPMBuilder <> 1.0.9a-2
- Upgraded to latest binary release

* Sun Jun 09 2013 RPMBuilder <> 1.0.9a-1
- Initial Release
