# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure this RPM is not a dependency provider, as we do not want to any bundled
# items to provide dependencies, although we remove bundles where possible
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# The software house
%global house northway

# Source name
%global sname Incredipede


Name:           incredipede
Version:        1.71
Release:        1
Summary:        A beautiful puzzle game about life and feet
Group:          Amusements/Games
License:        Commercial
URL:            http://www.incredipede.com
# ebd7997478dacf488b83d7b975adc4f8  Incredipede_linux_1381955152.tar.gz
Source0:        %{sname}_linux_1381955152.tar.gz
NoSource:       0
BuildRequires:  desktop-file-utils
# Ensure at least one browser is installed. This game also requires a flash
# plugin but there's many ways to get flash so we leave it up to the
# browser to warn.
Requires:       webclient
Requires:       xdg-utils
BuildArch:      noarch

%description
Incredipede is an inventive puzzler where you control Quozzle, the quirky and
lovable incredipede, as she journeys through nature on a quest to find her long
lost sisters. Choose to either play with pre-made Quozzles that each have
different capabilities and strengths or make your own creatures that swim, jump
and swing through the trees. It's up to you to master Quozzle's limbs, collect
fruit and complete each level.


%prep
%setup -qcn %{name}-%{version}
# Some permission fixes
find %{sname} -type d -exec chmod 0755 {} \;
find %{sname} -type f -exec chmod 0644 {} \;

# Fix some EOL encodings
sed -i 's/\r//' %{sname}/data/ReadMe.txt

# Move for later
mv %{sname}/data/ReadMe.txt .


%build
# Sane desktop file
cat >%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Incredipede
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;LogicGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
#
# Launch the game in a browser. We use xdg-open so it uses the preferred
# browser. This can be overridden for this game by placing a variable in
# the file \${HOME}/.%{name}-browser of the form
# export BROWSER=<mybrowser>

# This game works better with chrome's internal Flash plugin so we will
# launch in chrome if it's detected unless overridden by the user


if [ -f "\${HOME}/.%{name}-browser" ] ; then
    source "\${HOME}/.%{name}-browser"
fi

if [ -n "\${BROWSER}" ] ; then
    \${BROWSER} %{_datadir}/%{name}/%{sname}.html &
elif type google-chrome 1>/dev/null 2>&1; then
    google-chrome --ignore-gpu-blacklist %{_datadir}/%{name}/%{sname}.html
else
    xdg-open %{_datadir}/%{name}/%{sname}.html &
fi
EOF


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{house}-%{name}.desktop


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{name} \
         %{buildroot}%{_datadir}/applications

cp -a %{sname}/data/* %{buildroot}%{_datadir}/%{name}
install -m0644 %{sname}/data/northwaygames-incredipede.png \
               %{buildroot}%{_datadir}/%{name}/%{name}.png

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%files
%defattr(-,root,root,-)
%doc ReadMe.txt
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Sun Oct 27 2013 RPMBuilder <> 1.71-1
- Initial RPM Release
