# You are only entitled to install this RPM if you bought the game
# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.

# CAUTION: BUILDING THIS RPM REQUIRES A LARGE AMOUNT OF STORAGE. ENSURE YOU
# HAVE AT LEAST 6GB FREE WHERE YOUR RPMBUILD DIRECTORIES ARE LOCATED

# Ensure this RPM is not a dependency provider
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to exclude some requires as they are bundled.
%global __requires_exclude ^libfmode.*

# This package contains mixed binaries so set up some macros
%ifarch x86_64
%global namearch %{name}64
%else
%global namearch %{name}32
%endif

# The software house
%global house shadowplanetproductions


Name:           insanely-twisted-shadow-planet
Version:        0.0
Release:        2
Summary:        Enter the center of the shadow planet
Group:          Amusements/Games
License:        Commercial
URL:            http://www.gagneint.com/itsp/itsp_main.htm
# 76f4b08406758634ae730f2391de5f95  insanelytwistedshadowplanet.sh
Source0:        insanelytwistedshadowplanet.sh
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       libXcursor%{?_isa}
Requires:       libXinerama%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       libXScrnSaver%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686 x86_64

%description
Explore unique environments and battle bizarre creatures as you make your way
to the center of the mysterious Shadow Planet in this 2-D action-adventure
game. Featuring striking visuals by renowned artist Michel Gagné, Insanely
Twisted Shadow Planet combines rich worlds with a captivating backstory. Solve
complex puzzles and make your way through intense action with an upgradable
ship pieced together using alien technology. Looking to mix things up? Explore
the worlds with others using multiplayer mode! 


%prep
%setup -Tqcn %{name}-%{version}
echo "YOU CAN INGORE THE WARNING: extra bytes at beginning or within zipfile"
true `unzip -qq %{SOURCE0}`
find data -type f -exec chmod 0644 {} \;
find data -type d -exec chmod 0755 {} \;


%build
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
%ifarch x86_64
Name=Insanely Twisted Shadow Planet (64bit)
%else
Name=Insanely Twisted Shadow Planet (32bit)
%endif
Comment=%{summary}
Exec=%{namearch}
Icon=%{_datadir}/%{namearch}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;AdventureGame;
EOF

# Create the wrapper for /usr/bin
cat >%{namearch}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{namearch} >/dev/null
export LD_LIBRARY_PATH=\$LD_LIBRARY_PATH:%{_datadir}/%{namearch}/%{_lib}
./%{name} "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{namearch}/%{_lib} \
         %{buildroot}%{_datadir}/applications

%ifarch x86_64
install -p -m0755 data/noarch/%{_lib}/libfmode* %{buildroot}%{_datadir}/%{namearch}/%{_lib}
install -p -m0755 data/noarch/fcengine-bin64 %{buildroot}%{_datadir}/%{namearch}/%{name}
%else
install -p -m0755 data/noarch/lib32/libfmode* %{buildroot}%{_datadir}/%{namearch}/%{_lib}
install -p -m0755 data/noarch/fcengine-bin32 %{buildroot}%{_datadir}/%{namearch}/%{name}
%endif

install -p -m0644 data/noarch/{gamecontrollerdb.txt,ITSP.png} %{buildroot}%{_datadir}/%{namearch}
install -p -m0644 data/noarch/ITSP.png %{buildroot}%{_datadir}/%{namearch}/%{name}.png
cp -a data/noarch/data %{buildroot}%{_datadir}/%{namearch}/

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

install -p -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{house}-%{namearch}.desktop


%files
%defattr(-,root,root,-)
%doc data/noarch/README.txt
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/%{house}-%{namearch}.desktop


%changelog
* Sat Nov 15 2014 RPMBuilder <> 0.0-2
- Upgraded to latest binary release

* Tue Nov 04 2014 RPMBuilder <> 0.0-1
- Initial Release
