# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# We don't want this RPM to be a provider
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. Little we can do with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to filter some requires
%global __requires_exclude ^libboost_.*|^libPhysX.*|^libav.*|^libicu.*|^libNxC.*|^libGLEW\\.so|^libmikmod\\.so\\.2|^libSDL_sound-1\\.0\\.so\\.1|^libsmpeg-0\\.4\\.so\\.0

# The software house
%global house frozenbyte


Name:           jackclaw
Version:        0.7
Release:        3_beta3_1
Summary:        A dark 3D first person game
Group:          Amusements/Games
License:        Commercial
URL:            http://frozenbyte.com/jackclaw/
# 1d39719c784e91cedcae3706e8b3b556  clawBeta3.zip
Source0:        clawBeta3.zip
NoSource:       0
BuildRequires:  desktop-file-utils
BuildRequires:  ImageMagick
Requires:       libXcursor%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686

%description
Jack Claw is a dark 3D style FPS with a twist. Instead of a weapon you play the
role of Jack who possesses a large claw.


%prep
%setup -qcn %{name}-%{version}

# Some Permission fixes
find . -type d -exec chmod 0755 {} \;
find . -type f -exec chmod 0644 {} \;
chmod 0755 lib32/*

# Fix some EOL encodings. This does need to run twice
find . -name "*.dhs" -exec sed -i 's/\r//' {} \;
find . -name "*.dhs" -exec sed -i 's/\r//' {} \;

# Remove bundled libraries and extraneous files
rm -f lib32/lib{asound_module_pcm_pulse.so,asound.so.2,direct-1.0.so.0,directfb-1.0.so.0,expat.so.1,\
FLAC.so.8,fusion-1.0.so.0,gcc_s.so.1,gdbm.so.3,gmodule-2.0.so.0,gomp.so.1,ICE.so.6,jpeg.so.62,m.so.6,ogg.so.0,\
openal.so.1,pcre.so.3,png12.so.0,rt.so.1,SDL-1.2.so.0,SDL_image-1.2.so.0,SDL_ttf-2.0.so.0,selinux.so.1,SM.so.6,\
speex.so.1,stdc++.so.6,tiff.so.4,vga.so.1,vorbisfile.so.3,vorbis.so.0,X11.so.6,x86.so.1,Xau.so.6,\
xcb-render.so.0,xcb-render-util.so.0,xcb.so.1,xcb-xlib.so.0,Xcomposite.so.1,Xcursor.so.1,Xdamage.so.1,Xdmcp.so.6,Xext.so.6,\
Xfixes.so.3,Xinerama.so.1,Xi.so.6,xml2.so.2,Xmu.so.6,Xrender.so.1,Xt.so.6,z.so.1}

find . -name "*~" -exec rm -f '{}' ';'

rm -rf ./data/locales/common/.svn \
       ./data/missions/mission1/.svn \
       ./data/missions/missionmenu/.svn \
       ./data/missions/missionx/.svn \
       ./data/models/effects/.svn \
       ./data/models/items/.svn \
       ./data/models/pointers/.svn \
       ./data/scripts/humans/.svn \
       ./data/scripts/items/.svn \
       ./data/sounds/ambient/.svn \
       ./data/sounds/physics/.svn \
       ./data/sounds/weapons/.svn \
       ./data/textures/projective_lights/.svn


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=Jack Claw Beta
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
#
# We need to make sure some files exist for Jack Claw to at least work
#
if [ -d "\${HOME}" ] ; then
    if [ ! -d "\${HOME}/.frozenbyte/claw" ] ; then
        mkdir -p "\${HOME}/.frozenbyte/claw"
    fi

    if [ ! -d "\${HOME}/.frozenbyte/claw/config" ] ; then
        cp -a %{_datadir}/%{name}/config \${HOME}/.frozenbyte/claw/
    fi

    if [ ! -d "\${HOME}/.frozenbyte/claw/profiles" ] ; then
        cp -a %{_datadir}/%{name}/profiles \${HOME}/.frozenbyte/claw/
    fi

    pushd "%{_datadir}/%{name}" > /dev/null
    ./%{name} "\$@"
    popd > /dev/null

else
    echo "Could not find your homespace. Quitting..."
fi
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{name} \
         %{buildroot}%{_datadir}/applications

cp -a animation_clips config data lib32 profiles %{buildroot}%{_datadir}/%{name}
install -p -m0755 claw-bin %{buildroot}%{_datadir}/%{name}/%{name}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

# Install the wrapper
install -p -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}

# Create Icon
convert data/pictures/faces/joseferrer_icon.tga -resize 48x48\! %{buildroot}%{_datadir}/%{name}/%{name}.png


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{house}-%{name}.desktop


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Mon Jan 06 2014 RPMBuilder <> 0.7-3_beta3_1
- Modernize dependency filters
- Various minor cleanups

* Fri Mar 29 2013 RPMBuilder <> 0.7-2_beta3_1
- Clean up some permissions
- Remove some extraneous dirs (quieten rpmlint)
- Fix some EOL encodings (quieten rpmlint)
- Use bundled libSDL_sound-1.0.so.1 to fix segfault
- Some minor SPEC clean ups

* Sun Mar 25 2012 RPMBuilder <> 0.7-1_beta3_1
- Disable building a debuginfo package under any circumstances
- Convert defines to globals
- Added house global
- Fixed argument passing for the wrapper script. Was being filtered by RPM

* Sun Nov 27 2011 RPMBuilder <> 0.7-0_beta3_1
- Initial RPM Release
