# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure this RPM is not a dependency provider, as we do not want to any bundled
# items to provide dependencies, although we remove bundles where possible
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to filter some requires
%global __requires_exclude ^libsteam_api\\.so

# This package contains mixed binaries so set up some macros
%ifarch x86_64
%global namearch %{name}64
%else
%global namearch %{name}32
%endif

# The software house
%global house finalform


Name:           jamestown
Version:        1.0.2
Release:        2
Summary:        Neo-classical top-down shooter
Group:          Amusements/Games
License:        Commercial
URL:            http://www.finalformgames.com/jamestown/
# dcfb4348aba89f0f26bf5b4c7e05d936  JamestownLinux_1_0_2.zip
Source0:        JamestownLinux_1_0_2.zip
Source1:        %{name}_libsteam_api.so
NoSource:       0
BuildRequires:  chrpath
BuildRequires:  desktop-file-utils
Requires:       libXcursor%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686 x86_64

%description
Jamestown is a neo-classical top-down shooter for up to four players set on
17th-century British Colonial Mars.
* Blast your way through historic Mars with a crack team of up to 4 friends
* Marvel and rejoice at vast expanses of lovingly handcrafted pixels
* Brave the hostile Martian frontier armed with 1619’s finest steam-punk
  weaponry
* Master innovative co-op mechanics paired with classical top-down shooter
  game-play
* Climb the online leader boards in single-player classic arcade mode


%prep
%setup -qcn %{name}-%{version}
echo "YOU CAN INGORE THE WARNING: extra bytes at beginning or within zipfile"
true `unzip -qq JamestownInstaller_1_0_2-bin`

# Strip the rpath. We still continue even if it fails because partly it's
# not critical but also because building the 32bit RPM on a 64bit system
# only has access to the 64bit version of chrpath, we cannot strip 32bit
# binaries. But in all other scenarios it should work without issue
%ifarch x86_64
chrpath -d data/Jamestown-amd64 || :
%else
chrpath -d data/Jamestown-x86 || :
%endif

# Delete the following bundled libraries and extraneous files
rm -rf data/{amd64,x86}

# Move these for later
mv data/{Distribution.txt,Jamestown_EULA.txt,LICENSES.TXT,README-linux.txt,README-linux-generic.txt,steam_appid.txt} .

# Fix some text files
sed -i 's/\r//' LICENSES.TXT
iconv -f iso8859-1 -t utf8 LICENSES.TXT > LICENSES.TXT.conv
mv LICENSES.TXT.conv LICENSES.TXT


%build
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
%ifarch x86_64
Name=Jamestown (64bit)
%else
Name=Jamestown (32bit)
%endif
Comment=%{summary}
Exec=%{namearch}
Icon=%{_datadir}/%{namearch}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ArcadeGame;
EOF

# Create the wrapper for /usr/bin
cat >%{namearch}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
# Technically only needed for 32bit version for libsteam_api.so
export LD_LIBRARY_PATH=\$LD_LIBRARY_PATH:%{_datadir}/%{namearch}/%{_lib}

pushd %{_datadir}/%{namearch} >/dev/null
./%{namearch} "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{namearch} \
         %{buildroot}%{_datadir}/applications

cp -a data/{Archives,%{name}.png} %{buildroot}%{_datadir}/%{namearch}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

install -p -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}

%ifarch x86_64
install -p -m0755 data/Jamestown-amd64 %{buildroot}%{_datadir}/%{namearch}/%{namearch}
%else
install -p -m0755 data/Jamestown-x86 %{buildroot}%{_datadir}/%{namearch}/%{namearch}
mkdir -p %{buildroot}%{_datadir}/%{namearch}/%{_lib}
install -p -m0755 %{SOURCE1} %{buildroot}%{_datadir}/%{namearch}/%{_lib}/libsteam_api.so
%endif


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{house}-%{namearch}.desktop


%files
%defattr(-,root,root,-)
%doc Distribution.txt Jamestown_EULA.txt LICENSES.TXT README-linux.txt README-linux-generic.txt
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/%{house}-%{namearch}.desktop


%changelog
* Tue Jan 07 2014 RPMBuilder <> 1.0.2-2
- Modernize dependency filters
- Various minor cleanups

* Mon Sep 23 2013 RPMBuilder <> 1.0.2-1
- Upgraded to 1.0.2
- Filterered libsteam_api requirement
- Bundle libsteam_api.so (only needed for 32bit version)

* Sat Jun 03 2012 RPMBuilder <> 1.0.1-2
- Dropped disttag

* Tue Feb 28 2012 RPMBuilder <> 1.0.1-1
- Initial Release
