# You are only entitled to install this RPM if you bought the game

# Ensure this RPM is not a dependency provider, as we do not want to any bundled
# items to provide dependencies, although we remove bundles where possible
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# This package contains mixed binaries so set up some macros
%ifarch x86_64
%global namearch %{name}64
%else
%global namearch %{name}32
%endif

# The software house
%global house finalform


Name:           jamestown
Version:        1.0.1
Release:        2
Summary:        Neo-classical top-down shooter
Group:          Amusements/Games
License:        Commercial
URL:            http://www.finalformgames.com/jamestown/
# cc8ae55f3231ff7659c3e2ffbb524b7b  jtownlinux_1_0_1_1324610248.zip
Source0:        jtownlinux_1_0_1_1324610248.zip
NoSource:       0
BuildRequires:  chrpath
BuildRequires:  desktop-file-utils
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686 x86_64


%description
Jamestown is a neo-classical top-down shooter for up to four players set on
17th-century British Colonial Mars.
* Blast your way through historic Mars with a crack team of up to 4 friends
* Marvel and rejoice at vast expanses of lovingly handcrafted pixels
* Brave the hostile Martian frontier armed with 1619’s finest steam-punk
  weaponry
* Master innovative co-op mechanics paired with classical top-down shooter
  game-play
* Climb the online leader boards in single-player classic arcade mode


%prep
%setup -qcn %{name}-%{version}

# We are actually unpacking a mojo setup binary here. We need to force a true
# result so rpm does not fail as zip warns about superfluous data at the
# start and returns a non-zero result. That warning can be ignored.
echo "YOU CAN INGORE THE WARNING: extra bytes at beginning or within zipfile"
true `unzip -qq JamestownInstaller_1_0_1-bin`

# Strip the rpath. We still continue even if it fails because partly it's
# not critical but also because building the 32bit RPM on a 64bit system
# only has access to the 64bit version of chrpath, we cannot strip 32bit
# binaries. But in all other scenarios it should work without issue
%ifarch x86_64
chrpath -d data/Jamestown-amd64 || :
%else
chrpath -d data/Jamestown-x86 || :
%endif

# Delete the following bundled libraries and extraneous files
rm -rf data/{amd64,x86}

# Move these for later
mv data/{Distribution.txt,Jamestown_EULA.txt,LICENSES.TXT,README-linux.txt,README-linux-generic.txt} .

# Fix some text files
sed -i 's/\r//' LICENSES.TXT
iconv -f iso8859-1 -t utf8 LICENSES.TXT > LICENSES.TXT.conv
mv LICENSES.TXT.conv LICENSES.TXT


%build
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
%ifarch x86_64
Name=Jamestown (64bit)
%else
Name=Jamestown (32bit)
%endif
Comment=%{summary}
Exec=%{namearch}
Icon=%{_datadir}/%{namearch}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ArcadeGame;
EOF

# Create the wrapper for /usr/bin
cat >%{namearch}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{namearch} >/dev/null
./%{namearch} "\$@"
popd >/dev/null
EOF


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{namearch} \
         %{buildroot}%{_datadir}/applications

cp -a data/{Archives,%{name}.png} %{buildroot}%{_datadir}/%{namearch}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

install -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}

%ifarch x86_64
install -m0755 data/Jamestown-amd64 %{buildroot}%{_datadir}/%{namearch}/%{namearch}
%else
install -m0755 data/Jamestown-x86 %{buildroot}%{_datadir}/%{namearch}/%{namearch}
%endif


%files
%defattr(-,root,root,-)
%doc Distribution.txt Jamestown_EULA.txt LICENSES.TXT README-linux.txt README-linux-generic.txt
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/%{house}-%{namearch}.desktop


%changelog
* Sat Jun 03 2012 RPMBuilder <> - 1.0.1-2
- Dropped disttag

* Tue Feb 28 2012 RPMBuilder <> - 1.0.1-1
- Initial Release
