# You are only entitled to install this RPM if you bought the game

# Ensure this RPM is not a dependency provider, as we do not want to any bundled
# items to provide dependencies, although we remove bundles where possible
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# The software house
%global house lexaloffle


Name:           jaspers-journeys
Version:        2.15
Release:        1
Summary:        2D Platform Game
Group:          Amusements/Games
License:        Commercial
URL:            http://www.lexaloffle.com/jasper.php
# 155d4e69fd6fbd182b8b1bf546727014  jaspers-journeys_2.15_i386.tar.gz
Source0:        %{name}_%{version}_i386.tar.gz
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686

%description
Jasper's cat has been nabbed by a nasty witch who intends to use him as an
ingredient for her incredibly evil potion! Make your way through a world of
magic and monsters to reach the witch's castle and save Orlando. Jasper's
Journeys offers a mixture of thoughtful exploration, tricky jumps, and frantic
monster pummeling action.


%prep
%setup -qcn %{name}-%{version}

# Fix some EOL encodings
sed -i 's/\r//' %{name}/{license.txt,%{name}.txt}


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Jasper's Journeys
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF


# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{name} >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/applications \
         %{buildroot}%{_datadir}/%{name}

install -m0755 %{name}/jasper %{buildroot}%{_datadir}/%{name}/%{name}
install -m0644 %{name}/lexaloffle-jasper.png %{buildroot}%{_datadir}/%{name}/%{name}.png
install -m0644 %{name}/jasper.dat %{buildroot}%{_datadir}/%{name}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -m 0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%files
%defattr(-,root,root,-)
%doc %{name}/{license.txt,%{name}.txt}
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Wed Mar 28 2012 RPMBuilder <> 2.15-1
- Initial Release
