# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# We don't want this RPM to be a provider for anything it's bundled with
AutoProv: no

# Disable any chance of generating a debuginfo package
%global debug_package %{nil}

# Disable rpath checking. Little we can do with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to exclude some requires as they are bundled.
%global __requires_exclude ^libmono-\\.so

# This package contains mixed binaries so set up some macros
%ifarch x86_64
%global namearch %{name}64
%else
%global namearch %{name}32
%endif

# The software house
%global house necrophonegames


Name:           jazzpunk
Version:        0.0
Release:        1
Summary:        Comedy adventure game
Group:          Amusements/Games
License:        Commercial
URL:            http://www.jazzpunk.net
# 50ad5722cafe16dc384e83a4a4e19480  Jazzpunk-July6-2014-Linux.zip
Source0:        Jazzpunk-July6-2014-Linux.zip
Source1:        %{name}.png
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686 x86_64

%description
Jazzpunk is a comedy adventure set in an alternate reality: a Cold War World,
plagued with corporate espionage, CyberCrime and sentient martinis. Gameplay
is inspired by spoof comedy films and cartoons of yesteryear with a focus on
weird gadgets, exotic locales and open-world style exploration.


%prep
%setup -qcn %{name}-%{version}
find Jazzpunk_Data -type d -exec chmod 0755 {} \;
find Jazzpunk_Data -type f -exec chmod 0644 {} \;

%ifarch x86_64
rm -rf Jazzpunk_Data/Mono/x86
chmod 0755 Jazzpunk_Data/Mono/x86_64/*
%else
rm -rf Jazzpunk_Data/Mono/x86_64
chmod 0755 Jazzpunk_Data/Mono/x86/*
%endif


%build
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
%ifarch x86_64
Name=Jazzpunk (64bit)
%else
Name=Jazzpunk (32bit)
%endif
Comment=%{summary}
Exec=%{namearch}
Icon=%{_datadir}/%{namearch}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;AdventureGame;
EOF

cat >%{namearch}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{namearch} >/dev/null
%ifarch x86_64
./Jazzpunk.x86_64 "\$@"
%else
./Jazzpunk.x86 "\$@"
%endif
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/applications \
         %{buildroot}%{_datadir}/%{namearch}

cp -a Jazzpunk_Data %{buildroot}%{_datadir}/%{namearch}
install -p -m0644 %{SOURCE1} %{buildroot}%{_datadir}/%{namearch}

%ifarch x86_64
install -p -m0755 Jazzpunk.x86_64 %{buildroot}%{_datadir}/%{namearch}
%else
install -p -m0755 Jazzpunk.x86 %{buildroot}%{_datadir}/%{namearch}
%endif

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

install -p -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{house}-%{namearch}.desktop


%files
%defattr(-,root,root,-)
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/%{house}-%{namearch}.desktop


%changelog
* Tue Nov 04 2014 RPMBuilder <> 0.0-1
- Initial Release