# You are only entitled to install this RPM if you bought the game

# We don't want this RPM to be a provider for anything it's bundled with,
# although we remove bundles where practical
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. Little we can do with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to filter some requires
%global    _use_internal_dependency_generator 0
%global    __find_requires %{_builddir}/%{name}-%{version}/filter-requires-%{name}.sh

# This package contains mixed binaries so set up some macros
%ifarch x86_64
%global namearch %{name}64
%else
%global namearch %{name}32
%endif

# The software house
%global house almosthuman


Name:           legend-of-grimrock
Version:        1.3.6
Release:        1
Summary:        Dungeon crawling RPG
Group:          Amusements/Games
License:        Commercial
URL:            http://www.grimrock.net
# 4e9cd1cb6a57a1f130bc008698f99cf2  LegendOfGrimrock-Linux-2012-12-22.sh
Source0:        LegendOfGrimrock-Linux-2012-12-22.sh
NoSource:       0
BuildRequires:  desktop-file-utils
BuildRequires:  xz-lzma-compat
Requires:       mesa-libGL%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686 x86_64

%description
A group of prisoners are sentenced to certain death by exile to the secluded
Mount Grimrock for vile crimes they may or may not have committed. Unbeknownst
to their captors, the mountain is riddled with ancient tunnels, dungeons and
tombs built by crumbled civilizations long perished now. If they ever wish to
see daylight again and reclaim their freedom, the ragtag group of prisoners
must form a team and descend through the mountain, level by level.


%prep
%setup -Tqcn %{name}-%{version}
mkdir %{name} misc

# Rip the contents from the nixinstaller package
sh %{SOURCE0} --tar x --to-stdout ./instarchive_all | tar x --lzma -C %{name}
sh %{SOURCE0} --tar x --to-stdout ./subarch | tar x --lzma -C misc

# Rip the arch dependent binaries from the nixinstaller package
%ifarch x86_64
sh %{SOURCE0} --tar x --to-stdout ./instarchive_linux_x86_64 | tar x --lzma -C %{name}
cat misc/deps/SDL2/SDL2_files_linux_x86_64 | tar x --lzma -C %{name}
%else
sh %{SOURCE0} --tar x --to-stdout ./instarchive_linux_x86 | tar x --lzma -C %{name}
cat misc/deps/SDL2/SDL2_files_linux_x86 | tar x --lzma -C %{name}
%endif


%build
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
%ifarch x86_64
Name=Legend of Grimrock (64bit)
%else
Name=Legend of Grimrock (32bit)
%endif
Comment=%{summary}
Exec=%{_bindir}/%{namearch}
Icon=%{_datadir}/%{namearch}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;RolePlaying;
EOF

# Create the wrapper for /usr/bin
cat >%{namearch}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{namearch} >/dev/null
%ifarch x86_64
./%{name} "\$@"
%else
./%{name} "\$@"
%endif
popd >/dev/null
EOF

cat >filter-requires-%{name}.sh <<EOF
#!/bin/sh
# Filter requires for libraries that are bundled

if [ -x /usr/lib/rpm/redhat/find-requires ] ; then
    FINDREQ=/usr/lib/rpm/redhat/find-requires
else
    FINDREQ=/usr/lib/rpm/find-requires
fi

\$FINDREQ \$* | sed -e '/libSDL2-2.0.so/d'
EOF

chmod 0755 filter-requires-%{name}.sh


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/applications \
         %{buildroot}%{_datadir}/%{namearch}

cp -a %{name}/%{_lib} %{buildroot}%{_datadir}/%{namearch}
install -m0644 %{name}/grimrock.dat %{buildroot}%{_datadir}/%{namearch}
install -m0644 %{name}/grimrock.png %{buildroot}%{_datadir}/%{namearch}/%{name}.png
# Game also expects grimrock.png to be present
install -m0644 %{name}/grimrock.png %{buildroot}%{_datadir}/%{namearch}

%ifarch x86_64
install -m0755 %{name}/Grimrock.bin.x86_64 %{buildroot}%{_datadir}/%{namearch}/%{name}
%else
install -m0755 %{name}/Grimrock.bin.x86 %{buildroot}%{_datadir}/%{namearch}/%{name}
%endif

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

install -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}


%files
%defattr(-,root,root,-)
%doc %{name}/README.linux
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/%{house}-%{namearch}.desktop


%changelog
* Wed Feb 13 2013 RPMBuilder <> 1.3.6-1
- Initial Release