# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# We don't want this RPM to be a provider for anything it's bundled with,
# although we remove bundles where practical
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. Little we can do with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# This package contains mixed binaries so set up some macros
%ifarch x86_64
%global namearch %{name}64
%else
%global namearch %{name}32
%endif

# The software house
%global house almosthuman


Name:           legend-of-grimrock
Version:        1.3.7
Release:        3
Summary:        Dungeon crawling RPG
Group:          Amusements/Games
License:        Commercial
URL:            http://www.grimrock.net
# ad2ed672d38fafc650d6509b23257402  LegendOfGrimrock-Linux-2013-05-15.sh
Source0:        LegendOfGrimrock-Linux-2013-05-15.sh
NoSource:       0
BuildRequires:  chrpath
BuildRequires:  desktop-file-utils
BuildRequires:  xz-lzma-compat
Requires:       libXcursor%{?_isa}
Requires:       libXinerama%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       libXScrnSaver%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       mesa-libGL%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686 x86_64

%description
A group of prisoners are sentenced to certain death by exile to the secluded
Mount Grimrock for vile crimes they may or may not have committed. Unbeknownst
to their captors, the mountain is riddled with ancient tunnels, dungeons and
tombs built by crumbled civilizations long perished now. If they ever wish to
see daylight again and reclaim their freedom, the ragtag group of prisoners
must form a team and descend through the mountain, level by level.


%prep
%setup -Tqcn %{name}-%{version}
mkdir %{name} misc

# Rip the contents from the nixinstaller package
sh %{SOURCE0} --tar x --to-stdout ./instarchive_all | tar x --lzma -C %{name}
sh %{SOURCE0} --tar x --to-stdout ./subarch | tar x --lzma -C misc

# Rip the arch dependent binaries from the nixinstaller package
%ifarch x86_64
sh %{SOURCE0} --tar x --to-stdout ./instarchive_linux_x86_64 | tar x --lzma -C %{name}
%else
sh %{SOURCE0} --tar x --to-stdout ./instarchive_linux_x86 | tar x --lzma -C %{name}
%endif

# Strip the rpath. We still continue even if it fails because partly it's
# not critical but also because building the 32bit RPM on a 64bit system
# only has access to the 64bit version of chrpath, we cannot strip 32bit
# binaries. But in all other scenarios it should work without issue
%ifarch x86_64
chrpath -d %{name}/Grimrock.bin.x86_64 || :
%else
chrpath -d %{name}/Grimrock.bin.x86 || :
%endif


%build
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
%ifarch x86_64
Name=Legend of Grimrock (64bit)
%else
Name=Legend of Grimrock (32bit)
%endif
Comment=%{summary}
Exec=%{namearch}
Icon=%{_datadir}/%{namearch}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;RolePlaying;
EOF

# Create the wrapper for /usr/bin
cat >%{namearch}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{namearch} >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/applications \
         %{buildroot}%{_datadir}/%{namearch}

install -p -m0644 %{name}/grimrock.dat %{buildroot}%{_datadir}/%{namearch}
install -p -m0644 %{name}/grimrock.png %{buildroot}%{_datadir}/%{namearch}/%{name}.png
# Game also expects grimrock.png to be present
install -p -m0644 %{name}/grimrock.png %{buildroot}%{_datadir}/%{namearch}

%ifarch x86_64
install -p -m0755 %{name}/Grimrock.bin.x86_64 %{buildroot}%{_datadir}/%{namearch}/%{name}
%else
install -p -m0755 %{name}/Grimrock.bin.x86 %{buildroot}%{_datadir}/%{namearch}/%{name}
%endif

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

install -p -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{house}-%{namearch}.desktop


%files
%defattr(-,root,root,-)
%doc %{name}/README.linux
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/%{house}-%{namearch}.desktop


%changelog
* Tue Jan 07 2014 RPMBuilder <> 1.3.7-3
- Modernize dependency filters
- Various minor cleanups
- Unbundle SDL2

* Wed Sep 25 2013 RPMBuilder <> 1.3.7-2
- Added additional deps to fix hang on quit issue

* Tue Jun 04 2013 RPMBuilder <> 1.3.7-1
- Upgraded to latest release

* Wed Feb 13 2013 RPMBuilder <> 1.3.6-1
- Initial Release