# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# We don't want this RPM to be a provider for anything
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. Little we can do with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# The software house
%global house tomorrowcorporation


Name:           little-inferno
Version:        0.0
Release:        1
Summary:        Flammable pyromaniac puzzle game
Group:          Amusements/Games
License:        Commercial
URL:            http://tomorrowcorporation.com/littleinferno
# 8646e6ac53e6a7c16f869c1bbc246826  LittleInferno-20130509.sh
Source0:        LittleInferno-20130509.sh
NoSource:       0
BuildRequires:  chrpath
BuildRequires:  desktop-file-utils
BuildRequires:  xz-lzma-compat
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686

%description
Cloaked under the simple gameplay, Little Inferno is a thoughtful and clever
satire on casual games. Channel your inner pyromaniac in this charming and
witty sandbox puzzler. Park yourself in front of your new Little Inferno
Entertainment Fireplace as you burn your worldly possessions to stay warm.
Don't worry if you run out though, as burning things will yield coins, which
can be used to purchase and unlock catalogs of more things to burn. Light up
screaming Marshmallows or an explosive Blowfish, or burn things together to
create new combinations and unlock further ignitables.


%prep
%setup -Tqcn %{name}-%{version}
mkdir %{name}

# Rip the contents from the nixinstaller package
sh %{SOURCE0} --tar x --to-stdout ./instarchive_all | tar x --lzma -C %{name}
sh %{SOURCE0} --tar x --to-stdout ./instarchive_linux_all | tar x --lzma -C %{name}

# Remove bundled libs
rm -rf %{name}/lib

# Some permission fixes
find %{name} -type d -exec chmod 0755 {} \;
find %{name} -type f -exec chmod 0644 {} \;
chmod 0755 %{name}/LittleInferno.bin.x86

# Strip the rpath. We still continue even if it fails because partly it's
# not critical but also because building the 32bit RPM on a 64bit system
# only has access to the 64bit version of chrpath, we cannot strip 32bit
# binaries. But in all other scenarios it should work without issue
chrpath -d %{name}/LittleInferno.bin.x86 || :


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=Little Inferno
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;LogicGame;
EOF

# Create the wrappers for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{name} >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/applications \
         %{buildroot}%{_datadir}/%{name}

cp -a %{name}/shaders %{buildroot}%{_datadir}/%{name}
install -p -m0644 %{name}/*.pak %{buildroot}%{_datadir}/%{name}
install -p -m0644 %{name}/LittleInferno.png %{buildroot}%{_datadir}/%{name}/%{name}.png
install -p -m0755 %{name}/LittleInferno.bin.x86 %{buildroot}%{_datadir}/%{name}/%{name}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -p -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{house}-%{name}.desktop


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Sun Jun 09 2013 RPMBuilder <> 0.0-1
- Initial Release
