# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure this RPM is not a dependency provider, as we do not want to any bundled
# items to provide dependencies, although we remove bundles where possible
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to filter some requires
#%%global __requires_exclude ^libsteam_api\\.so

# This package contains mixed binaries so set up some macros
%ifarch x86_64
%global namearch %{name}64
%else
%global namearch %{name}32
%endif

# The software house
%global house vlambeer


Name:           luftrausers
Version:        0.0
Release:        1
Summary:        Military arcade shooter
Group:          Amusements/Games
License:        Commercial
URL:            http://www.luftrausers.com
# 41ea0b6e30bbc569a5907c47856f058a  LUFTRAUSER_LINUX_1395159852.zip
Source0:        LUFTRAUSER_LINUX_1395159852.zip
Source1:        %{name}.png
NoSource:       0
BuildRequires:  chrpath
BuildRequires:  desktop-file-utils
Requires:       libXcursor%{?_isa}
Requires:       libXinerama%{?_isa}
Requires:       libXScrnSaver%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686 x86_64

%description
The skies will be set aflame and the seas will overflow with wreckage in
Vlambeer's stylish arcade shooter LUFTRAUSERS! Select from over 125
combinations of weapons, bodies, and propulsion systems and take to the skies
to battle enemy fighter planes, battleships, submarines, and rival aces for
glory, honor, and high scores. Bravely volunteer for one of over 100 daring
missions to unlock new Rauser combinations and vibrant color variations and
become the most legendary Rauser pilot of all time!


%prep
%setup -qcn %{name}-%{version}
# Some permission fixes
find luftrausers-nodrm -type d -exec chmod 0755 {} \;
find luftrausers-nodrm -type f -exec chmod 0644 {} \;

sed -i 's/\r//' luftrausers-nodrm/licenses/glew.txt
iconv -f iso8859-1 -t utf8  luftrausers-nodrm/licenses/FTL.TXT > luftrausers-nodrm/licenses/FTL.TXT.conv
mv luftrausers-nodrm/licenses/FTL.TXT.conv luftrausers-nodrm/licenses/FTL.TXT

%ifarch x86_64
rm -rf luftrausers-nodrm/i686
%else
rm -rf luftrausers-nodrm/x86-64
%endif


%build
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
%ifarch x86_64
Name=Luftrausers (64bit)
%else
Name=Luftrausers (32bit)
%endif
Comment=%{summary}
Exec=%{namearch}
Icon=%{_datadir}/%{namearch}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ArcadeGame;
EOF

# Create the wrapper for /usr/bin
cat >%{namearch}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
%ifarch x86_64
pushd %{_datadir}/%{namearch}/x86-64 >/dev/null
%else
pushd %{_datadir}/%{namearch}/i686 >/dev/null
%endif
./%{name} "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{namearch} \
         %{buildroot}%{_datadir}/applications

cp -a luftrausers-nodrm/data %{buildroot}%{_datadir}/%{namearch}

%ifarch x86_64
mkdir -p %{buildroot}%{_datadir}/%{namearch}/x86-64
install -p -m0755 luftrausers-nodrm/x86-64/%{name} %{buildroot}%{_datadir}/%{namearch}/x86-64
%else
mkdir -p %{buildroot}%{_datadir}/%{namearch}/i686
install -p -m0755 luftrausers-nodrm/i686/%{name} %{buildroot}%{_datadir}/%{namearch}/i686
%endif

install -p -m0644 %{SOURCE1} %{buildroot}%{_datadir}/%{namearch}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

install -p -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{house}-%{namearch}.desktop


%files
%defattr(-,root,root,-)
%doc luftrausers-nodrm/licenses/*
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/%{house}-%{namearch}.desktop


%changelog
* Sat Sep 27 2014 RPMBuilder <> 0.0-1
- Initial Release
