# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# We don't want this RPM to be a provider for anything it's bundled with,
# although we remove bundles where practical
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. Little we can do with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# The software house
%global house wolfire


Name:           lugaru
Version:        1.0c
Release:        6
Summary:        3D Kung-Fu Action Rabbit Game
Group:          Amusements/Games
License:        Commercial
URL:            http://www.wolfire.com/lugaru
# 513d14d563285ba7354ae6e2006b79fb  lugaru-linux-08042013-bin
Source0:        %{name}-linux-08042013-bin
NoSource:       0
BuildRequires:  desktop-file-utils
BuildRequires:  prelink
Requires:       libXcursor%{?_isa}
Requires:       libXinerama%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       libXScrnSaver%{?_isa}
Requires:       mesa-libGL%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
Requires:       xdg-utils
ExclusiveArch:  i686

%description
Lugaru (pronounced Loo-GAH-roo) is the predecessor to Overgrowth. It is a
DRM-free, third-person action game available for Mac, Windows, and Linux.
The main character, Turner, is an anthropomorphic rebel bunny rabbit with
impressive combat skills. In his quest to find those responsible for
slaughtering his village, he uncovers a far-reaching conspiracy involving the
corrupt leaders of the rabbit republic and the starving wolves from a nearby
den. Turner takes it upon himself to fight against their plot and save his
fellow rabbits from slavery.


%prep
%setup -Tqcn %{name}-%{version}

# We are actually unpacking a mojo setup binary here. We need to force a true
# result so rpm does not fail as zip warns about superfluous data at the
# start and returns a non-zero result. That warning can be ignored.
echo "YOU CAN INGORE THE WARNING: extra bytes at beginning or within zipfile"
true `unzip -qq %{SOURCE0}`

# Delete the following bundled libraries and extraneous files
rm -f data/{libopenal.so.1,xdg-open,libSDL2-2.0.so.0}

# Move these for later
mv data/{README-linux.txt,Readme.txt,Troubleshooting.txt} .


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=Lugaru
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{name} >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{name} \
         %{buildroot}%{_datadir}/applications

cp -a data/* %{buildroot}%{_datadir}/%{name}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -p -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{house}-%{name}.desktop


%files
%defattr(-,root,root,-)
%doc README-linux.txt Readme.txt Troubleshooting.txt
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Sat Dec 28 2013 RPMBuilder <> 1.0c-6
- Various minor cleanups
- Unbunble SDL2 as its now in F19+

* Tue Aug 13 2013 RPMBuilder <> 1.0c-5
- Updated to latest binary release
- This version now uses SDL 2 which we need to bundle, so drop the chrpath BR
- Added filters for bundled SDL2

* Mon Nov 19 2012 RPMBuilder <> 1.0c-4
- Added explicit dependency on libGL.so.1

* Sun Mar 25 2012 RPMBuilder <> 1.0c-3
- Disable building a debuginfo package under any circumstances
- Convert defines to globals
- Added house global
- Fixed argument passing for the wrapper script. Was being filtered by RPM
- Drop use of padsp, seems it's not needed
- Use chrpath if possible

* Mon Nov 07 2011 RPMBuilder <> 1.0c-2
- Use NoSource tag

* Sun Nov 06 2011 RPMBuilder <> 1.0c-1
- Initial RPM Release
