# You are only entitled to install this RPM if you bought the game

# We don't want this RPM to be a provider for anything it's bundled with,
# although we remove bundles where practical
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. Little we can do with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# The software house
%global house wolfire


Name:           lugaru
Version:        1.0c
Release:        4
Summary:        3D Kung-Fu Action Rabbit Game
Group:          Amusements/Games
License:        Commercial
URL:		http://www.wolfire.com/lugaru
# 41ea2e41fe42c40b5ad017ae1afb45c7  lugaru-full-linux-x86-1.0c.bin
Source0:        %{name}-full-linux-x86-%{version}.bin
NoSource:       0
BuildRequires:  chrpath
BuildRequires:  desktop-file-utils
BuildRequires:  prelink
Requires:       mesa-libGL%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
Requires:       xdg-utils
ExclusiveArch:  i686

%description
Lugaru (pronounced Loo-GAH-roo) is the predecessor to Overgrowth. It is a
DRM-free, third-person action game available for Mac, Windows, and Linux.
The main character, Turner, is an anthropomorphic rebel bunny rabbit with
impressive combat skills. In his quest to find those responsible for
slaughtering his village, he uncovers a far-reaching conspiracy involving the
corrupt leaders of the rabbit republic and the starving wolves from a nearby
den. Turner takes it upon himself to fight against their plot and save his
fellow rabbits from slavery.


%prep
%setup -Tqcn %{name}-%{version}

# We are actually unpacking a mojo setup binary here. We need to force a true
# result so rpm does not fail as zip warns about superfluous data at the
# start and returns a non-zero result. That warning can be ignored.
echo "YOU CAN INGORE THE WARNING: extra bytes at beginning or within zipfile"
true `unzip -qq %{SOURCE0}`

# Delete the following bundled libraries and extraneous files
rm -f data/lib{gcc_s.so.1,openal.so.1,SDL-1.2.so.0,stdc++.so.6} data/xdg-open

# Move these for later
mv data/{README-linux.txt,Readme.txt,Troubleshooting.txt} .

# Strip the rpath. We still continue even if it fails because partly it's
# not critical but also because building the 32bit RPM on a 64bit system
# only has access to the 64bit version of chrpath, we cannot strip 32bit
# binaries. But in all other scenarios it should work without issue
chrpath -d data/%{name} || :


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Lugaru
Comment=%{summary}
Exec=%{_bindir}/%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{name} >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{name} \
         %{buildroot}%{_datadir}/applications

cp -a data/* %{buildroot}%{_datadir}/%{name}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

# Mark exe as needing an executable stack.
execstack -s %{buildroot}%{_datadir}/%{name}/%{name}

install -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%files
%defattr(-,root,root,-)
%doc README-linux.txt Readme.txt Troubleshooting.txt
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Mon Nov 19 2012 RPMBuilder <> 1.0c-4
- Added explicit dependency on libGL.so.1

* Sun Mar 25 2012 RPMBuilder <> 1.0c-3
- Disable building a debuginfo package under any circumstances
- Convert defines to globals
- Added house global
- Fixed argument passing for the wrapper script. Was being filtered by RPM
- Drop use of padsp, seems it's not needed
- Use chrpath if possible

* Mon Nov 07 2011 RPMBuilder <> 1.0c-2
- Use NoSource tag

* Sun Nov 06 2011 RPMBuilder <> 1.0c-1
- Initial RPM Release
