# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# CAUTION: BUILDING THIS RPM REQUIRES A LARGE AMOUNT OF STORAGE. ENSURE YOU
# HAVE AT LEAST 6GB FREE WHERE YOUR RPMBUILD DIRECTORIES ARE LOCATED

# Ensure we do not become a provider of anything bundled in this RPM
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to exclude some requires as they are bundled.
%global __requires_exclude ^libfmode.*\\.so

# This package contains mixed binaries so set up some macros
%ifarch x86_64
%global namearch %{name}64
%else
%global namearch %{name}32
%endif

# The software house
%global house klei


Name:           mark-of-the-ninja
Version:        0.0
Release:        2
Summary:        Side-scrolling stealth game
Group:          Amusements/Games
License:        Commercial
URL:            http://www.markoftheninja.com
# 7871a48068ef43e93916325eedd6913e  markoftheninja_linux38_1380755375.zip
Source0:        markoftheninja_linux38_1380755375.zip
NoSource:       0
BuildRequires:  desktop-file-utils
BuildRequires:  ImageMagick
Requires:       libXcursor%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686 x86_64

%description
Test your ninja stealth skills in Mark of the Ninja, a side-scrolling stealth
game where the possibilities are endless. Learn new techniques and arm yourself
with distraction and attack items, like darts, noise makers, and grappling
hooks, that will help you distract and sneak by the guards. Choose how you want
to play - will you slay all the guards or use your stealth to just sneak by
undetected?


%prep
%setup -qcn %{name}-%{version}

# Fix some permissions
find data -type d -exec chmod 0755 '{}' \;
find data -type f -exec chmod 0644 '{}' \;
find data-pc -type d -exec chmod 0755 '{}' \;
find data-pc -type f -exec chmod 0644 '{}' \;
chmod 0755 bin/lib64/* bin/lib32/*
rm -f bin/lib32/libSDL* bin/lib64/libSDL*

# Fix EOL encodings
sed -i 's/\r//' bin/motn_readme.txt


%build
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
%ifarch x86_64
Name=Mark of the Ninja (64bit)
%else
Name=Mark of the Ninja (32bit)
%endif
Comment=%{summary}
Exec=%{namearch}
Icon=%{_datadir}/%{namearch}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ArcadeGame;
EOF

# Create the wrapper for /usr/bin
cat >%{namearch}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
%ifarch x86_64
export LD_LIBRARY_PATH=\$LD_LIBRARY_PATH:%{_datadir}/%{namearch}/bin/lib64
%else
export LD_LIBRARY_PATH=\$LD_LIBRARY_PATH:%{_datadir}/%{namearch}/bin/lib32
%endif
# Game must be launched from the cwd
pushd %{_datadir}/%{namearch}/bin >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{namearch}/bin \
         %{buildroot}%{_datadir}/applications

cp -a data data-pc %{buildroot}%{_datadir}/%{namearch}

%ifarch x86_64
install -m0755 bin/ninja-bin64 %{buildroot}%{_datadir}/%{namearch}/bin/%{name}
cp -a bin/lib64 %{buildroot}%{_datadir}/%{namearch}/bin
%else
install -m0755 bin/ninja-bin32 %{buildroot}%{_datadir}/%{namearch}/bin/%{name}
cp -a bin/lib32  %{buildroot}%{_datadir}/%{namearch}/bin
%endif

install -m0644 bin/motn_icon.xpm %{buildroot}%{_datadir}/%{namearch}/bin
convert bin/motn_icon.xpm %{buildroot}%{_datadir}/%{namearch}/%{name}.png

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

install -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{house}-%{namearch}.desktop


%files
%defattr(-,root,root,-)
%doc bin/motn_readme.txt
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/%{house}-%{namearch}.desktop


%changelog
* Sat Oct 05 2013 RPMBuilder <> - 0.0-2
- Updated to latest binary release
- Added libXrandr and libXcursor deps
- Fixed empty readme file

* Sun Sep 22 2013 RPMBuilder <> - 0.0-1
- Initial Release
