# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure this RPM is not a dependency provider
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# This package contains mixed binaries so set up some macros
%ifarch x86_64
%global namearch %{name}64
%else
%global namearch %{name}32
%endif

# The software house
%global house snk


Name:           metal-slug3
Version:        0.0
Release:        1
Summary:        A run and gun shooting game
Group:          Amusements/Games
License:        Commercial
URL:            http://www.snkplaymore.co.jp/us/games/
# a8a3aee4e3438d2d6d5bab23236e43a3  MetalSlug3-Linux-2014-06-09.sh
Source0:        MetalSlug3-Linux-2014-06-09.sh
NoSource:       0
BuildRequires:  chrpath
BuildRequires:  desktop-file-utils
Requires:       libmodplug%{?_isa}
Requires:       libXcursor%{?_isa}
Requires:       libXinerama%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       libXScrnSaver%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686 x86_64

%description
Several years ago, the evil General Mordern was foiled in his attempted coup
d'état against the worlds' governments by the Peregrine Falcon Strike Force.
After forming an alliance with an alien race in an attempt to stage another
coup, Mordern was betrayed and taken prisoner by his new found allies. His
rebels troops then formed an ad hoc alliance with the Strike Force and
ultimately, the aliens were defeated, although Mordern himself was apparently
killed. Instrumental in defeating Morden during the first coup were Cpt. Marco
Rossi and Lt. Tarma Roving. Rossi (now a Major) and Roving (now a Captain) also
led the fight against the Mordern during the second coup, this time joined by
two members of the Intelligence Agency's Special Ops Squad S.P.A.R.R.O.W.S.;
Sgt. Eri Kasamoto and Sgt. 1st Class Fiolina Germi. Several years have passed
since that time, and Mordern is officially listed as missing by his surviving
followers. Determined to wipe out every remnant of Mordern's powerbase, the
army send Rossi and Roving to destroy all remaining rebel strongholds, one by
one. During the fighting, however, Rossi and Roving come to the conclusion that
the enemy is too well organized, and perhaps Mordern is not as dead as was
initially thought. Meanwhile, the S.P.A.R.R.O.W.S. come across a series of
strange events which lead the army to conclude that the aliens with whom
Mordern once allied himself have returned. The Peregrine Falcon Strike Force
and S.P.A.R.R.O.W.S. are once again united, and sent to defeat this new threat.
After various battles against Mordern's forces, the heroes are shocked to face
off against Mordern himself. However, after defeating him, it is revealed that
it was really an alien in disguise, and the real Morden has (once again) been
taken prisoner by the aliens. The aliens then abduct the player character and
leave Earth. At this point, another character takes the player character's
place. Once again, an ad hoc alliance is formed between the Strike Force and
Mordern's troops so as to save their captured comrades. The rebels launch an
armada of rocket ships to attack the alien mother ship, Rugname. After a long
battle through the ship's interior, the Rugname starts to collapse due to the
amount of damage it has sustained. After destroying the ship's core, the
Strike Force must fight their way through armies of clones of their captured
team mate, some of whom have turned into zombies. Eventually, both the
captured member of the Strike Force and Mordern are freed. As they escape,
however, they are confronted by the aliens' leader, Rootmars. A battle ensues
in Earth's atmosphere, which is won by the Strike Force, who leave Rootmar's
body in the ocean. Upon seeing Morden and his men celebrating, the player 
character throws his/her weapon into the water in disgust.


%prep
%setup -Tqcn %{name}-%{version}
echo "YOU CAN INGORE THE WARNING: extra bytes at beginning or within zipfile"
true `unzip -qq %{SOURCE0}`

# Strip the rpath. We still continue even if it fails because 
# building the 32bit RPM on a 64bit system only has access to the 
# 64bit version of chrpath
%ifarch x86_64
chrpath -d data/x86_64/MetalSlug3.bin.x86_64 || :
%else
chrpath -d data/x86/MetalSlug3.bin.x86 || :
%endif

find data -type f -exec chmod 0644 {} \;
find data -type d -exec chmod 0755 {} \;

# Move for later
mv data/noarch/{icon.png,README.linux,ARPHICPL.TXT,LICENSES.txt} .


%build
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
%ifarch x86_64
Name=Metal Slug 3 (64bit)
%else
Name=Metal Slug 3 (32bit)
%endif
Comment=%{summary}
Exec=%{namearch}
Icon=%{_datadir}/%{namearch}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF

# Create the wrapper for /usr/bin
cat >%{namearch}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{namearch} >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{namearch} \
         %{buildroot}%{_datadir}/applications

cp -a data/noarch/*  %{buildroot}%{_datadir}/%{namearch}
install -p -m0644 icon.png %{buildroot}%{_datadir}/%{namearch}/%{name}.png

%ifarch x86_64
install -p -m0755 data/x86_64/MetalSlug3.bin.x86_64 %{buildroot}%{_datadir}/%{namearch}/%{name}
%else
install -p -m0755 data/x86/MetalSlug3.bin.x86 %{buildroot}%{_datadir}/%{namearch}/%{name}
%endif

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

install -p -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{house}-%{namearch}.desktop


%files
%defattr(-,root,root,-)
%doc README.linux ARPHICPL.TXT LICENSES.txt
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/%{house}-%{namearch}.desktop


%changelog
* Fri Aug 01 2014 RPMBuilder <> 0.0-1
- Initial Release
