# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure this RPM is not a dependency provider, as we do not want to any bundled
# items to provide dependencies, although we remove bundles where possible
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# The software house
%global house introversion

# Regularised name
%global rname multiwinia


Name:           multiwinia32
Version:        1.3.1
Release:        1
Summary:        Successor to the game Darwinia
Group:          Amusements/Games
License:        Commercial
URL:            http://introversion.co.uk/multiwinia
# bbc7d907431f15065a0f38f6623c4217  multiwinia_1.3.1-1_i386.tar.gz
Source0:        %{rname}_%{version}-1_i386.tar.gz
NoSource:       0
BuildRequires:  chrpath
BuildRequires:  desktop-file-utils
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686

%description
“Long ago a computer scientist called Dr Sepulveda created a beautiful digital
world existing entirely within a computer network of his own invention. This
world was called Darwinia and it was inhabited by a peaceful, law-abiding
digital life-form called the Darwinians.

As the years wore on however the Darwinians became ever more aggressive and
autonomous. They divided into factions, squabbling over Darwinia’s limited
natural resources. Tribes began to roam the fractal voids hell bent on each
other’s destruction, drunk on power and unswerving in the pursuit of world
supremacy.

Far and wide, they became known as the Multiwinians….”

Welcome to Multiwinia: Survival of the Flattest – the ultimate retro-arcade
multiplayer experience! Choose from a selection of six hilariously fun,
action-packed game modes, set in one of the most beautiful game environs you
will ever set eyes on.

Challenge your opponent to a game of stick-man slaughter, and watch digital-war
unfold, as your Multiwinian army struggles to complete a chosen task faster and
better than your rival’s. It’s fast, it’s furious, and only the flattest will
survive!


%prep
%setup -qcn %{name}-%{version}

# Strip the rpath. We still continue even if it fails because partly it's
# not critical but also because building the 32bit RPM on a 64bit system
# only has access to the 64bit version of chrpath, we cannot strip 32bit
# binaries. But in all other scenarios it should work without issue
chrpath -d %{rname}/%{rname}.bin.x86 || :


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Multiwinia (32bit)
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;StrategyGame;
EOF


# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{name} >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/applications \
         %{buildroot}%{_datadir}/%{name}

install -m0755 %{rname}/%{rname}.bin.x86 %{buildroot}%{_datadir}/%{name}/%{name}
install -m0644 %{rname}/%{rname}.png %{buildroot}%{_datadir}/%{name}/%{name}.png
install -m0644 %{rname}/*.dat %{buildroot}%{_datadir}/%{name}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -m 0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%files
%defattr(-,root,root,-)
%doc %{rname}/docs/*
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Mon Mar 26 2012 RPMBuilder <> 1.3.1-1
- Initial Release
