# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure this RPM is not a dependency provider, as we do not want to any bundled
# items to provide dependencies, although we remove bundles where possible
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# Disable stripping as the comment note fields are (mis)used
%global __os_install_post %{nil}

# The software house
%global house kpulv


Name:           offspring-fling
Version:        1.1.3
Release:        2
Summary:        A cutesy action puzzle platformer
Group:          Amusements/Games
License:        Commercial
URL:            http://offspringfling.com
# 4665383fbc82e18b8fb1ea93659a4e20  offspring_fling-linux-1.1.3.tar.gz
Source0:        offspring_fling-linux-%{version}.tar.gz
Source1:        %{name}.png
Source2:        %{name}.html
NoSource:       0
BuildRequires:  desktop-file-utils
# Ensure at least one browser is installed. This game also requires a flash
# plugin but there's many ways to get flash so we leave it up to the
# browser to warn.
Requires:       webclient
Requires:       xdg-utils
BuildArch:      noarch

%description
Offspring Fling is a game about a poor forest creature that has misplaced all
of her children. She'll have to fight her way through over 100 levels of action
puzzle platforming to get them all back home. There's danger around every
corner, but she won't rest until her family is safe again.


%prep
%setup -qcn %{name}-%{version}


%build
# Sane desktop file
cat >%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Offspring Fling
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;LogicGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
#
# Launch the game in a browser. We use xdg-open so it uses the preferred
# browser. This can be overridden for this game by placing a variable in
# the file \${HOME}/.%{name}-browser of the form
# export BROWSER=<mybrowser>

if [ -f "\${HOME}/.%{name}-browser" ] ; then
    source "\${HOME}/.%{name}-browser"
fi

if [ -n "\${BROWSER}" ] ; then
    \${BROWSER} %{_datadir}/%{name}/%{name}.html &
else
    xdg-open %{_datadir}/%{name}/%{name}.html &
fi
EOF


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{name} \
         %{buildroot}%{_datadir}/applications

install -m0644 Offspring\ Fling\ Linux/data/OffspringFling.swf %{buildroot}%{_datadir}/%{name}
install -m0644 %{SOURCE1} %{buildroot}%{_datadir}/%{name}
install -m0644 %{SOURCE2} %{buildroot}%{_datadir}/%{name}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%files
%defattr(-,root,root,-)
%doc "Offspring Fling Linux/Linux Fullscreen.txt"
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Wed Jul 16 2013 RPMBuilder <> 1.1.3-2
- Fixed for F19. RPM changed the way spaces were handled in filenames

* Sat Feb 09 2013 RPMBuilder <> 1.1.3-1
- Initial RPM Release
