# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# CAUTION: BUILDING THIS RPM REQUIRES A LARGE AMOUNT OF STORAGE. ENSURE YOU
# HAVE AT LEAST 5GB FREE WHERE YOUR RPMBUILD DIRECTORIES ARE LOCATED

# We don't want this RPM to be a provider for anything it's bundled with,
# although we remove bundles where practical
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. Little we can do with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# This package contains mixed binaries so set up some macros
%ifarch x86_64
%global namearch %{name}64
%else
%global namearch %{name}32
%endif

# We need to filter some requires
%global __requires_exclude ^libQt.*Unigine.*|^libUnigine_.*|^libRakNet_.*

# The software house
%global house uniginecorp


Name:           oilrush
Version:        1.35
Release:        2
Summary:        Naval strategy game
Group:          Amusements/Games
License:        Commercial
URL:            http://oilrush-game.com
# 5a38d0545a64e0d21ddfe4afc15253a8  OilRush_1.35_Linux_1370041755.run
Source0:        OilRush_%{version}_Linux_1370041755.run
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       libXcursor%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       mesa-libGL%{?_isa}
Requires:       openal-soft%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686 x86_64

%description
In a world where oil is in high demand and there's a short supply, you must
capture oil platforms in order to harvest precious resources. Undertake 16
missions in a single-player campaign mode and battle across 15 maps in
multiplayer mode. You'll need to balance sending out fleets to capture new
oil platforms and keeping fleets to defend your current platforms in Oil Rush,
a naval strategy game that channels Kevin Costner's post-apocalyptic
Waterworld.


%prep
%setup -Tqcn %{name}-%{version}
# Rip the contents from the makeself. Note, the offset (ibs) may change with new packages.
# A --target might be enough instead. Will need to verify
dd if=%{SOURCE0} ibs=9718 skip=1 obs=1024 conv=sync | tar -xzf - -C ./


%build
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
%ifarch x86_64
Name=Oil Rush (64bit)
%else
Name=Oil Rush (32bit)
%endif
Comment=%{summary}
Exec=%{namearch}
Icon=%{_datadir}/%{namearch}/data/launcher/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;StrategyGame;
EOF

# Create the wrapper for /usr/bin
cat >%{namearch}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
export LD_LIBRARY_PATH=%{_datadir}/%{namearch}/bin/:\${LD_LIBRARY_PATH}
unset LIBGL_ALWAYS_INDIRECT
unset QT_PLUGIN_PATH
pushd %{_datadir}/%{namearch}/bin >/dev/null
./launcher -config ../data/launcher/launcher.xml "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/applications \
         %{buildroot}%{_datadir}/%{namearch}/bin

cp -a data %{buildroot}%{_datadir}/%{namearch}
install -p -m0644 oilrush.cfg %{buildroot}%{_datadir}/%{namearch}

%ifarch x86_64 
install -p -m0755 bin/*x64.so* %{buildroot}%{_datadir}/%{namearch}/bin
install -p -m0755 bin/launcher_x64 %{buildroot}%{_datadir}/%{namearch}/bin/launcher
install -p -m0755 bin/OilRush_x64 %{buildroot}%{_datadir}/%{namearch}/bin/%{name}
%else
install -p -m0755 bin/*x86.so* %{buildroot}%{_datadir}/%{namearch}/bin
install -p -m0755 bin/launcher_x86 %{buildroot}%{_datadir}/%{namearch}/bin/launcher
install -p -m0755 bin/OilRush_x86 %{buildroot}%{_datadir}/%{namearch}/bin/%{name}
%endif

# This is hacky - but the launcher tries to detect the arch, which isn't that great
# when you're trying to run a 32bit app on a 64bit machine
pushd %{buildroot}%{_datadir}/%{namearch}/bin >/dev/null
ln -s %{name} OilRush_x64
ln -s %{name} OilRush_x86
popd

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

install -p -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}


%files
%defattr(-,root,root,-)
%doc documentation/user_manual.pdf
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/%{house}-%{namearch}.desktop


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{house}-%{namearch}.desktop


%changelog
* Sun Jan 12 2014 RPMBuilder <> 1.35-2
- Modernized dependency filters
- Various minor cleanups

* Fri Jun 14 2013 RPMBuilder <> 1.35-1
- Initial Release
