# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# We don't want this RPM to be a provider for anything it's bundled with
AutoProv: no

# Disable any chance of generating a debuginfo package
%global debug_package %{nil}

# Disable rpath checking. Little we can do with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to exclude some requires as they are bundled.
%global __requires_exclude ^libmono-\\.so

# This package contains mixed binaries so set up some macros
%ifarch x86_64
%global namearch %{name}64
%else
%global namearch %{name}32
%endif

# The software house
%global house menwhowearhats


Name:           organ-trail
Version:        0.0
Release:        1
Summary:        Retro zombie survival game
Group:          Amusements/Games
License:        Commercial
URL:            http://www.hatsproductions.com/organtraildc/
# 089396dd1b7a4ec9ee1f1b5898038bb3  OrganTrail_Linux_1366135254.tar.gz
Source0:        OrganTrail_Linux_1366135254.tar.gz
Source1:        %{name}.png
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686 x86_64

%description
The retro zombie survival game Organ Trail: Director's Cut is a parody of
Oregon Trail. While a zombie apocalypse doesn't seem to be on the horizon now,
you can finally test your zombie survival skills for when that day comes. Pile
in a car with four other friends and embark on a journey across the US in a
beat-up station wagon. You'll contract dysentery, run into hordes of
brain-hungry zombies and possibly have to put down your bitten bestie Gary.
But that's how all zombie survival stories go, right?


%prep
%setup -qcn %{name}-%{version}
# Some permission fixes
find OrganTrail/OrganTrailLinux_Data -type d -exec chmod 0755 {} \;
find OrganTrail/OrganTrailLinux_Data -type f -exec chmod 0644 {} \;
find OrganTrail/OrganTrailLinux_Data -name "*.DS_Store" -exec rm -f '{}' \;

# Some clean ups
%ifarch x86_64
rm -rf OrganTrail/OrganTrailLinux_Data/Mono/x86
chmod 0755 OrganTrail/OrganTrailLinux_Data/Mono/x86_64/*
%else
rm -rf OrganTrail/OrganTrailLinux_Data/Mono/x86_64
chmod 0755 OrganTrail/OrganTrailLinux_Data/Mono/x86/*
%endif


%build
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
%ifarch x86_64
Name=Organ Trail (64bit)
%else
Name=Organ Trail (32bit)
%endif
Comment=%{summary}
Exec=%{namearch}
Icon=%{_datadir}/%{namearch}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF

cat >%{namearch}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{namearch} >/dev/null
%ifarch x86_64
./OrganTrailLinux.x86_64 "\$@"
%else
./OrganTrailLinux.x86 "\$@"
%endif
popd >/dev/null
EOF


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/applications \
         %{buildroot}%{_datadir}/%{namearch}

cp -a OrganTrail/OrganTrailLinux_Data %{buildroot}%{_datadir}/%{namearch}
install -m0644 %{SOURCE1} %{buildroot}%{_datadir}/%{namearch}

%ifarch x86_64
install -m0755 OrganTrail/OrganTrailLinux.x86_64 %{buildroot}%{_datadir}/%{namearch}
%else
install -m0755 OrganTrail/OrganTrailLinux.x86 %{buildroot}%{_datadir}/%{namearch}
%endif

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

install -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{house}-%{namearch}.desktop


%files
%defattr(-,root,root,-)
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/%{house}-%{namearch}.desktop


%changelog
* Sat Oct 26 2013 RPMBuilder <> 0.0-1
- Initial Release