# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# CAUTION: BUILDING THIS RPM REQUIRES A LARGE AMOUNT OF STORAGE. ENSURE YOU
# HAVE AT LEAST 5GB FREE WHERE YOUR RPMBUILD DIRECTORIES ARE LOCATED

# We don't want this RPM to be a provider for anything its bundled with
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. Little we can do with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# The software house
%global house frictionalgames


Name:           penumbra-blackplague
Version:        1.1.1
Release:        1
Summary:        First Person Horror Adventure
Group:          Amusements/Games
License:        Commercial
URL:            http://www.penumbragame.com
# afb1fdc4155967a014214f92d30cf973  PenumbraCollection-SDL2-1.1.1-4.sh
Source0:        PenumbraCollection-SDL2-1.1.1-4.sh
NoSource:       0
BuildRequires:  chrpath
BuildRequires:  desktop-file-utils
Requires:       libXcursor%{?_isa}
Requires:       libXinerama%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       libXScrnSaver%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
Requires:       webclient
Requires:       xdg-utils
ExclusiveArch:  i686

%description
The sequel to Penumbra: Overture. Black Plague is an exploration-based survival
horror game that takes place from a first-person perspective. The game's
survival horror aspect mostly consists of avoiding various enemies which seek
to injure or otherwise harm the protagonist. Compared to the previous game
Overture, combat has been heavily deemphasized, with the player no longer able
to make weapons or create makeshift traps to fight enemies with. Instead, the
emphasis is on the use of stealth tactics and fleeing to avoid attacks by enemy
creatures. Gameplay features a mixture of exploration and solving physical
puzzles. Puzzles vary between traditional inventory puzzles often found in
similar games of the survival horror genre and primarily physics based puzzles,
such as grabbing and stacking boxes in order to build a rudimentary stairway in
order to get past a laser tripwire, or placing boards in order to cross an
environmental obstruction such as a pit. Unlike in the previous episode, the
player must also frequently interact with the bases computer and security
systems by acquiring passwords, retrieving biometric data or keycards and
repairing or overriding certain electronic or mechanical devices. Information
is scattered around the base in the form of written notes, recorded messages,
saved documents and various videos and emails that can be found on computers.
The protagonist also comes into contact with several survivors which can
provide more information and often direct the player to new missions or
puzzles. A notebook kept by the protagonist helps keep this information in
order and lists the player's current objectives. The protagonist must also
overcome distortions to his vision and auditory systems due to his infection,
which can cause him to hear or see things that are not there, have distorted
sight, or lose some control over his own body. The player must try to overcome
these challenges in order to progress through the game.


%prep
%setup -Tqcn %{name}-%{version}
echo "YOU CAN INGORE THE WARNING: extra bytes at beginning or within zipfile"
true `unzip -qq %{SOURCE0}`

chrpath -d data/BlackPlague/blackplague.bin 2>/dev/null || : 
find data/BlackPlague -type d -exec chmod 0755 '{}' \;
find data/BlackPlague -type f -exec chmod 0644 '{}' \;
find data/BlackPlague -iname "Thumbs.db" -exec rm -f '{}' \; 
mv data/BlackPlague/{eng_license.rtf,Manual.pdf,README.linux} .


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=Penumbra: Black Plague
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/penumbra.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;AdventureGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{name} >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{name} \
         %{buildroot}%{_datadir}/applications

cp -a data/BlackPlague/{billboards,config,core,fonts,graphics,gui,interfaces,lights} \
      %{buildroot}%{_datadir}/%{name}

cp -a data/BlackPlague/{maps,models,music,particles,secret,soundenvs,sounds,textures} \
      %{buildroot}%{_datadir}/%{name}

install -p -m0755 data/BlackPlague/blackplague.bin %{buildroot}%{_datadir}/%{name}/%{name}
install -p -m0755 data/BlackPlague/openurl.sh %{buildroot}%{_datadir}/%{name}
install -p -m0644 data/BlackPlague/{resources.cfg,materials.cfg,penumbra.png} %{buildroot}%{_datadir}/%{name}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -p -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{house}-%{name}.desktop


%files
%defattr(-,root,root,-)
%doc data/readme.txt eng_license.rtf Manual.pdf README.linux
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Mon Dec 22 2014 RPMBuilder <> 1.1.1-1
- Initial RPM Release
