# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# CAUTION: BUILDING THIS RPM REQUIRES A LARGE AMOUNT OF STORAGE. ENSURE YOU
# HAVE AT LEAST 5GB FREE WHERE YOUR RPMBUILD DIRECTORIES ARE LOCATED

# We don't want this RPM to be a provider for anything its bundled with
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. Little we can do with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# The software house
%global house frictionalgames


Name:           penumbra-overture
Version:        1.1.1
Release:        1
Summary:        First Person Horror Adventure
Group:          Amusements/Games
License:        Commercial
URL:            http://www.penumbragame.com/game.php
# afb1fdc4155967a014214f92d30cf973  PenumbraCollection-SDL2-1.1.1-4.sh
Source0:        PenumbraCollection-SDL2-1.1.1-4.sh
NoSource:       0
BuildRequires:  chrpath
BuildRequires:  desktop-file-utils
Requires:       libXcursor%{?_isa}
Requires:       libXinerama%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       libXScrnSaver%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
Requires:       webclient
Requires:       xdg-utils
ExclusiveArch:  i686

%description
Penumbra is a first person horror adventure focusing on story, immersion and
puzzle solving. Violence and combat is hardly an option - the player has to use
wits to guide Philip through his final test, and this makes the series unique
in offering a truly dangerous and terrifying experience. Played from a first
person perspective and powered by a 3D engine utilizing cutting edge
technology, Penumbra is a true advancement to the adventure genre. The unique
physics system allows for true environmental interaction: The player can open
drawers, pull levers, pick up objects and manipulate those objects in 3D space
all using natural mouse movements, creating a highly interactive and immersive
game world. The Penumbra series' central character, Philip, is realistically
vulnerable, while enemies are fierce and intelligent. Any object can be picked
up and thrown in defense, but the end result might only be to buy some time, or
more likely, anger enemies further. Avoiding, outwitting and sneaking past
enemies entirely provide the best chance of survival.


%prep
%setup -Tqcn %{name}-%{version}
echo "YOU CAN INGORE THE WARNING: extra bytes at beginning or within zipfile"
true `unzip -qq %{SOURCE0}`

chrpath -d data/Overture/penumbra.bin 2>/dev/null || : 

find data/Overture -type d -exec chmod 0755 '{}' \;
find data/Overture -type f -exec chmod 0644 '{}' \;

sed -i 's/\r//' data/Overture/CHANGELOG.txt
mv data/Overture/{CHANGELOG.txt,eng_license.rtf,Manual.pdf,README.linux} .


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=Penumbra: Overture
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/penumbra.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;AdventureGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{name} >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{name} \
         %{buildroot}%{_datadir}/applications

cp -a data/Overture/{billboards,config,core,fonts,graphics,lights} \
      %{buildroot}%{_datadir}/%{name}

cp -a data/Overture/{maps,models,music,particles,sounds,textures} \
      %{buildroot}%{_datadir}/%{name}

install -p -m0755 data/Overture/penumbra.bin %{buildroot}%{_datadir}/%{name}/%{name}
install -p -m0755 data/Overture/openurl.sh %{buildroot}%{_datadir}/%{name}
install -p -m0644 data/Overture/{resources.cfg,materials.cfg,penumbra.png} %{buildroot}%{_datadir}/%{name}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -p -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{house}-%{name}.desktop


%files
%defattr(-,root,root,-)
%doc data/readme.txt CHANGELOG.txt eng_license.rtf Manual.pdf README.linux
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Mon Dec 22 2014 RPMBuilder <> 1.1.1-1
- Upgraded to latest binary release

* Fri Dec 27 2013 RPMBuilder <> 1.1-4
- Modenize dependency filters
- Various minor cleanups
- Renamed to penumbra-overture from PenumbraOverture

* Sun Mar 25 2012 RPMBuilder <> 1.1-3
- Disable building a debuginfo package under any circumstances
- Convert defines to globals
- Added house global
- Fixed argument passing for the wrapper script. Was being filtered by RPMBuilder
- Dropped padsp - seems its not required

* Mon Nov 07 2011 RPMBuilder <> 1.1-2
- Use NoSource tag

* Sun Nov 06 2011 RPMBuilder <> 1.1-1
- Initial RPM Release
