# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# CAUTION: BUILDING THIS RPM REQUIRES A LARGE AMOUNT OF STORAGE. ENSURE YOU
# HAVE AT LEAST 7GB FREE WHERE YOUR RPMBUILD DIRECTORIES ARE LOCATED

# We don't want this RPM to be a provider for anything its bundled with
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. Little we can do with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to exclude some requires as they are bundled.
%global __requires_exclude ^libfltk\\.so|libCgGL\\.so|libCg\\.so

# The software house
%global house frictionalgames

# Regularised name
%global rname PenumbraOverture


Name:           penumbra-overture
Version:        1.1
Release:        4
Summary:        First Person Horror Adventure
Group:          Amusements/Games
License:        Commercial
URL:            http://www.penumbragame.com/game.php
# 539567b590cf53e65a8e8f1b2bc728b3  penumbra_overture_1.1.sh
Source0:        penumbra_overture_%{version}.sh
NoSource:       0
Obsoletes:      PenumbraOverture
BuildRequires:  desktop-file-utils
BuildRequires:  xz-lzma-compat
Requires:       libCg%{?_isa}
Requires:       libXcursor%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686

%description
Penumbra is a first person horror adventure focusing on story, immersion and
puzzle solving. Violence and combat is hardly an option - the player has to use
wits to guide Philip through his final test, and this makes the series unique
in offering a truly dangerous and terrifying experience. Played from a first
person perspective and powered by a 3D engine utilizing cutting edge
technology, Penumbra is a true advancement to the adventure genre. The unique
physics system allows for true environmental interaction: The player can open
drawers, pull levers, pick up objects and manipulate those objects in 3D space
all using natural mouse movements, creating a highly interactive and immersive
game world. The Penumbra series' central character, Philip, is realistically
vulnerable, while enemies are fierce and intelligent. Any object can be picked
up and thrown in defense, but the end result might only be to buy some time, or
more likely, anger enemies further. Avoiding, outwitting and sneaking past
enemies entirely provide the best chance of survival.


%prep
%setup -Tqcn %{name}-%{version}
echo "NOTE: IT IS SAFE TO IGNORE THE TAR BUG : Not found in archive"
sh %{SOURCE0} --tar --to-stdout -x ./subarch | \
   tar --to-stdout --lzma -x instarchive_all | \
   tar --lzma -x

# Delete the following bundled libraries as we do not need them
pushd %{rname}/%{_lib}
ls -1 | grep -v libfltk.so.1.1 | xargs rm -f
popd
rm -f %{rname}/penumbra

# Move these for later
mv %{rname}/{CHANGELOG.txt,eng_license.rtf,Manual.pdf,README.donation,README.linux} .
chmod 0644 CHANGELOG.txt eng_license.rtf Manual.pdf README.donation README.linux
sed -i 's/\r//' CHANGELOG.txt


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=Penumbra: Overture
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/penumbra.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;AdventureGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
gamepath=%{_datadir}/%{name}
pushd \${gamepath} >/dev/null
export LD_LIBRARY_PATH=./%{_lib}
./penumbra.bin "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{name} \
         %{buildroot}%{_datadir}/applications

cp -a %{rname}/* %{buildroot}%{_datadir}/%{name}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -p -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{house}-%{name}.desktop


%files
%defattr(-,root,root,-)
%doc CHANGELOG.txt eng_license.rtf Manual.pdf README.donation README.linux
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Fri Dec 27 2013 RPMBuilder <> 1.1-4
- Modenize dependency filters
- Various minor cleanups
- Renamed to penumbra-overture from PenumbraOverture

* Sun Mar 25 2012 RPMBuilder <> 1.1-3
- Disable building a debuginfo package under any circumstances
- Convert defines to globals
- Added house global
- Fixed argument passing for the wrapper script. Was being filtered by RPMBuilder
- Dropped padsp - seems its not required

* Mon Nov 07 2011 RPMBuilder <> 1.1-2
- Use NoSource tag

* Sun Nov 06 2011 RPMBuilder <> 1.1-1
- Initial RPM Release
