# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure this RPM is not a dependency provider
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# This package contains mixed binaries so set up some macros
%ifarch x86_64
%global namearch %{name}64
%else
%global namearch %{name}32
%endif

# The software house
%global house introversion

# Source base and exe name
%global sbase prisonarchitect-alpha30a-linux


Name:           prison-architect
Version:        0.0
Release:        2
Summary:        Private prison construction game
Group:          Amusements/Games
License:        Commercial
URL:            http://introversion.co.uk/prisonarchitect/
# ebaea3c1ad3088ede365bfb92953e69c  prisonarchitect-alpha30a-linux.tar.gz
Source0:        prisonarchitect-alpha30a-linux.tar.gz
Source1:        %{name}.png
Patch0:         %{name}32.patch
Patch1:         %{name}64.patch
NoSource:       0
BuildRequires:  chrpath
BuildRequires:  desktop-file-utils
Requires:       libXcursor%{?_isa}
Requires:       libXinerama%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       libXScrnSaver%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
Requires:       xdg-utils
Requires:       xorg-x11-server-utils
ExclusiveArch:  i686 x86_64

%description
The game is a top-down 2D construction and management simulation where the
player takes control of building and running a prison. The player is
responsible for managing various aspects of their prison including building
cells and facilities, planning and connecting utilities, hiring and assigning
staff, including a warden, guards, workers, and more. The player needs to
recruit staff to unlock more aspects of the game. The player is also
responsible for the finance, and keeping their inmates content. The player's
role is of both architect and governor with sandbox micromanagement themes such
as choosing where to put lights, drains and how they connect together. The
player is also able to add workshops to the prison as well as reform programs
that reduce the specific prisoner's repeat-offender rate. The player tells the
prisoners what to do indirectly by setting their schedule.


%prep
%setup -qcn %{name}-%{version}
%ifarch x86_64
%patch1 -p0
%else
%patch0 -p0
%endif 

# Strip the rpath. We still continue even if it fails because partly it's
# not critical but also because building the 32bit RPM on a 64bit system
# only has access to the 64bit version of chrpath, we cannot strip 32bit
# binaries. But in all other scenarios it should work without issue
%ifarch x86_64
chrpath -d %{sbase}/PrisonArchitect.x86_64 || :
%else
chrpath -d %{sbase}/PrisonArchitect.i686 || :
%endif


%build
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
%ifarch x86_64
Name=Prison Architect (64bit)
%else
Name=Prison Architect (32bit)
%endif
Comment=%{summary}
Exec=%{namearch}
Icon=%{_datadir}/%{namearch}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;Simulation;
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/applications \
         %{buildroot}%{_datadir}/%{namearch}

%ifarch x86_64
install -p -m0755 %{sbase}/PrisonArchitect.x86_64 %{buildroot}%{_datadir}/%{namearch}/%{name}
%else
install -p -m0755 %{sbase}/PrisonArchitect.i686 %{buildroot}%{_datadir}/%{namearch}/%{name}
%endif

# These .dat files are just RAR files if you want to take a look.
install -p -m0644 %{sbase}/{main.dat,sounds.dat} %{buildroot}%{_datadir}/%{namearch}
install -p -m0644 %{SOURCE1} %{buildroot}%{_datadir}/%{namearch}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

install -p -m0755 %{sbase}/PrisonArchitect %{buildroot}%{_bindir}/%{namearch}


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{house}-%{namearch}.desktop


%files
%defattr(-,root,root,-)
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/%{house}-%{namearch}.desktop


%changelog
* Mon Mar 23 2015 RPMBuilder <> 0.0-2
- Upgraded to latest binary release

* Sun Sep 28 2014 RPMBuilder <> 0.0-1
- Initial Release
