# You are only entitled to install this RPM if you bought the game
# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.

# Ensure this RPM is not a dependency provider, as we do not want to any bundled
# items to provide dependencies, although we remove bundles where possible
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# Don't require bundled libraries
%global __requires_exclude ^libmono-2\\.0\\.so\\.1

# This package contains mixed binaries so set up some macros
%ifarch x86_64
%global namearch %{name}64
%else
%global namearch %{name}32
%endif

# The software house
%global house keykanaga

# There's another package in fedora called Proteus, so use this instead
%global rname proteus


Name:           proteus-game
Version:        0.0
Release:        4
Summary:        Explore mysterious random generated landscapes
Group:          Amusements/Games
License:        Commercial
URL:            http://www.visitproteus.com
# 8a5911751382bcfb91483f52f781e283  proteus-05162014-bin
Source0:        %{rname}-05162014-bin
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       gtk2%{?_isa}
Requires:       libgdiplus%{?_isa}
Requires:       libXScrnSaver%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       mesa-libGLU%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
Requires:       SDL2_image%{?_isa}
Requires:       SDL2_mixer%{?_isa}
ExclusiveArch:  i686 x86_64

%description
Proteus is a game of audio-visual exploration and discovery that has you
wandering an exotic, mysterious island. Frolic across the landscape, revel in
the changing seasons, lose yourself in the ambient sounds. Every world is
randomly generated, so each play is just as refreshing and wondrous as the
first. As you explore the island and discover its secrets, Proteus is sure to
inspire a childlike wonder and delight.


%prep
%setup -Tqcn %{name}-%{version}
echo "YOU CAN INGORE THE WARNING: extra bytes at beginning or within zipfile"
true `unzip -qq %{SOURCE0}`

# Fix non standard dir permissions
find data -type d -exec chmod 0755 {} \;
find data -type f -exec chmod 0644 {} \;
chmod 0755 data/Proteus.bin.x86 data/lib/*
chmod 0755 data/Proteus.bin.x86_64 data/lib64/* 

# Move for later
mv data/Linux.README .


%build
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
%ifarch x86_64
Name=Proteus (64bit)
%else
Name=Proteus (32bit)
%endif
Comment=%{summary}
Exec=%{namearch}
Icon=%{_datadir}/%{namearch}/Proteus.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;AdventureGame;
EOF

# Create the wrapper for /usr/bin
cat >%{namearch}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{namearch} >/dev/null
%ifarch x86_64
./Proteus.bin.x86_64 "\$@"
%else
./Proteus.bin.x86 "\$@"
%endif
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{namearch} \
         %{buildroot}%{_datadir}/applications

%ifarch x86_64
rm -rf data/{Proteus,Proteus.bin.x86,lib}
%else
rm -rf data/{Proteus,Proteus.bin.x86_64,lib64}
%endif

cp -a data/*  %{buildroot}%{_datadir}/%{namearch}
rm -f %{buildroot}%{_datadir}/%{namearch}/%{_lib}/*
install -p -m0755 data/%{_lib}/libmono-2.0.so.1 %{buildroot}%{_datadir}/%{namearch}/%{_lib}/

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

install -p -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{house}-%{namearch}.desktop


%files
%defattr(-,root,root,-)
%doc Linux.README
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/%{house}-%{namearch}.desktop


%changelog
* Fri Jul 25 2014 RPMBuilder <> - 0.0-4
- Upgraded to latest binary release

* Tue Dec 24 2013 RPMBuilder <> - 0.0-3
- Upgraded to latest binary release

* Fri Jun 14 2013 RPMBuilder <> - 0.0-2
- Upgraded to latest binary release
- Package renamed to avoid a name conflict in Fedora

* Sun Jun 09 2013 RPMBuilder <> - 0.0-1
- Initial Release
