# You are only entitled to install this RPM if you bought the game
# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.

# Ensure this RPM is not a dependency provider, as we do not want to any bundled
# items to provide dependencies, although we remove bundles where possible
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# Don't require bundled libraries
%global __requires_exclude ^libmono-2\\.0\\.so\\.1

# The software house
%global house keykanaga

# There's another package in fedora called Proteus, so use this instead
%global rname proteus


Name:           proteus-game
Version:        0.0
Release:        3
Summary:        Explore mysterious random generated landscapes
Group:          Amusements/Games
License:        Commercial
URL:            http://www.visitproteus.com
# ddcd9373542ffa5877646a6b224db282  proteus-12092013-bin.zip
Source0:        %{rname}-12092013-bin.zip
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       gtk2%{?_isa}
Requires:       libgdiplus%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       mesa-libGLU%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
Requires:       SDL%{?_isa}
Requires:       SDL_gfx%{?_isa}
Requires:       SDL_image%{?_isa}
Requires:       SDL_mixer%{?_isa}
ExclusiveArch:  i686

%description
Proteus is a game of audio-visual exploration and discovery that has you
wandering an exotic, mysterious island. Frolic across the landscape, revel in
the changing seasons, lose yourself in the ambient sounds. Every world is
randomly generated, so each play is just as refreshing and wondrous as the
first. As you explore the island and discover its secrets, Proteus is sure to
inspire a childlike wonder and delight.


%prep
%setup -qcn %{name}-%{version}

# We are actually unpacking a mojo setup binary here. We need to force a true
# result so rpm does not fail as zip warns about superfluous data at the
# start and returns a non-zero result. That warning can be ignored.
echo "YOU CAN INGORE THE WARNING: extra bytes at beginning or within zipfile"
true `unzip -qq %{rname}-12092013-bin`

# Fix non standard dir permissions
find data -type d -exec chmod 0755 {} \;
find data -type f -exec chmod 0644 {} \;
chmod 0755 data/Proteus.bin.x86 data/%{_lib}/* 

# Move for later
mv data/Linux.README .


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=Proteus
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/Proteus.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;AdventureGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
export SDL_VIDEO_X11_DGAMOUSE=0
pushd %{_datadir}/%{name} >/dev/null
./Proteus.bin.x86 "\$@"
popd >/dev/null
EOF


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{name} \
         %{buildroot}%{_datadir}/applications

cp -a data/*  %{buildroot}%{_datadir}/%{name}
rm -f %{buildroot}%{_datadir}/%{name}/%{_lib}/*
install -p -m0755 data/%{_lib}/libmono-2.0.so.1 %{buildroot}%{_datadir}/%{name}/%{_lib}/

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -p -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%files
%defattr(-,root,root,-)
%doc Linux.README
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Tue Dec 24 2013 RPMBuilder <> - 0.0-3
- Upgraded to latest binary release

* Fri Jun 14 2013 RPMBuilder <> - 0.0-2
- Upgraded to latest binary release
- Package renamed to avoid a name conflict in Fedora

* Sun Jun 09 2013 RPMBuilder <> - 0.0-1
- Initial Release
