# You are only entitled to install this RPM if you bought the game
# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.

# Ensure this RPM is not a dependency provider
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to exclude some requires as they are bundled.
%global __requires_exclude ^libGLEW\\.so\\.1\\.10

# This package contains mixed binaries so set up some macros
%ifarch x86_64
%global namearch %{name}64
%else
%global namearch %{name}32
%endif

# The software house
%global house davidamador


Name:           quest-of-dungeons
Version:        1.1.0
Release:        1
Summary:        A turn based dungeon crawler game
Group:          Amusements/Games
License:        Commercial
URL:            http://www.questofdungeons.com
# e36fe29b119b3bb60ed9091408de4c3e  QuestofDungeons_linux_1.1.0.zip
Source0:        QuestofDungeons_linux_%{version}.zip
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       libXcursor%{?_isa}
Requires:       libXinerama%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       libXScrnSaver%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       mesa-libGLU%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686 x86_64

%description
An evil Dark Lord has stolen all the light, so your mission is to enter his
lair and defeat him. The dungeons layout is procedural so you won't find items
and enemies in the same place each time you play.


%prep
%setup -qcn %{name}-%{version}
find QuestofDungeons -type f -exec chmod 0644 {} \;
find QuestofDungeons -type d -exec chmod 0755 {} \;


%build
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
%ifarch x86_64
Name=Quest of Dungeons (64bit)
%else
Name=Quest of Dungeons (32bit)
%endif
Comment=%{summary}
Exec=%{namearch}
Icon=%{_datadir}/%{namearch}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;RolePlaying;
EOF

# Create the wrapper for /usr/bin
cat >%{namearch}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{namearch} >/dev/null
%ifarch x86_64
export LD_LIBRARY_PATH=\$LD_LIBRARY_PATH:%{_datadir}/%{namearch}/amd64/libs
./amd64/%{name} "\$@"
%else
export LD_LIBRARY_PATH=\$LD_LIBRARY_PATH:%{_datadir}/%{namearch}/x86/libs
./x86/%{name} "\$@"
%endif
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{namearch} \
         %{buildroot}%{_datadir}/applications

%ifarch x86_64
mkdir -p %{buildroot}%{_datadir}/%{namearch}/amd64/libs
install -p -m0755 QuestofDungeons/amd64/libs/libGLEW.so.1.10 %{buildroot}%{_datadir}/%{namearch}/amd64/libs
install -p -m0755 QuestofDungeons/amd64/QuestofDungeons %{buildroot}%{_datadir}/%{namearch}/amd64/%{name}
%else
mkdir -p %{buildroot}%{_datadir}/%{namearch}/x86/libs
install -p -m0755 QuestofDungeons/x86/libs/libGLEW.so.1.10 %{buildroot}%{_datadir}/%{namearch}/x86/libs
install -p -m0755 QuestofDungeons/x86/QuestofDungeons %{buildroot}%{_datadir}/%{namearch}/x86/%{name}
%endif

install -p -m0644 QuestofDungeons/GameResources/gui/minimap_shop.png %{buildroot}%{_datadir}/%{namearch}/%{name}.png
cp -a QuestofDungeons/GameResources %{buildroot}%{_datadir}/%{namearch}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

install -p -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{house}-%{namearch}.desktop


%files
%defattr(-,root,root,-)
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/%{house}-%{namearch}.desktop


%changelog
* Sun Nov 02 2014 RPMBuilder <> 1.1.0-1
- Initial Release
