# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# We don't want this RPM to be a provider for anything it's bundled with
AutoProv: no

# Disable any chance of generating a debuginfo package
%global debug_package %{nil}

# Disable rpath checking. Little we can do with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to exclude some requires as they are bundled.
%global __requires_exclude ^libmono-\\.so

# The software house
%global house flippfly


Name:           race-the-sun
Version:        1.441
Release:        1
Summary:        Fly and race the sun
Group:          Amusements/Games
License:        Commercial
URL:            http://flippfly.com/racethesun/
# a7dfaf830e005a024d2d524e9a256331  RaceTheSunLINUX_1.441.zip
Source0:        RaceTheSunLINUX_%{version}.zip
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686

%description
Race The Sun is a high-speed game that uses simple controls and is set in a
procedurally generated world. The goal is to get the highest possible score by
racing into the sunset, avoiding obstacles and enemies, and collecting speed
boosts and other power-ups to help you along the way. You fly a solar-powered
craft, and the game ends at sundown, if you can make it that far!


%prep
%setup -qcn %{name}-%{version}
# Some permission fixes
find RaceTheSunLINUX_%{version}/RaceTheSun_Data -type d -exec chmod 0755 {} \;
find RaceTheSunLINUX_%{version}/RaceTheSun_Data -type f -exec chmod 0644 {} \;
chmod 0755 RaceTheSunLINUX_%{version}/RaceTheSun_Data/Mono/x86/*


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=Race The Sun
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF

cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{name} >/dev/null
./RaceTheSun.x86 "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/applications \
         %{buildroot}%{_datadir}/%{name}

cp -a RaceTheSunLINUX_%{version}/RaceTheSun_Data %{buildroot}%{_datadir}/%{name}
install -p -m0644 RaceTheSunLINUX_%{version}/RaceTheSun_Data/Resources/UnityPlayer.png \
                  %{buildroot}%{_datadir}/%{name}/%{name}.png

install -p -m0755 RaceTheSunLINUX_%{version}/RaceTheSun.x86 %{buildroot}%{_datadir}/%{name}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -p -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{house}-%{name}.desktop


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Sun Mar 22 2015 RPMBuilder <> 1.441-1
- Upgraded to latest binary release

* Sat Oct 04 2014 RPMBuilder <> 1.42-1
- Upgraded to latest binary release

* Sun Sep 28 2014 RPMBuilder <> 1.10-1
- Initial Release