# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# We don't want this RPM to be a provider for anything it's bundled with
AutoProv: no

# Disable any chance of generating a debuginfo package
%global debug_package %{nil}

# Disable rpath checking. Little we can do with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to exclude some requires as they are bundled.
%global __requires_exclude ^libmono-\\.so

# This package contains mixed binaries so set up some macros
%ifarch x86_64
%global namearch %{name}64
%else
%global namearch %{name}32
%endif

# The software house
%global house flippfly


Name:           race-the-sun
Version:        1.10
Release:        1
Summary:        Race the sun
Group:          Amusements/Games
License:        Commercial
URL:            http://flippfly.com/racethesun/
# de791d7438bfc09c7549be0f554c6a10  RaceTheSun_1.10_LINUX.zip
Source0:        RaceTheSun_1.10_LINUX.zip
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686 x86_64

%description
Race The Sun is a high-speed game that uses simple controls and is set in a
procedurally generated world. The goal is to get the highest possible score by
racing into the sunset, avoiding obstacles and enemies, and collecting speed
boosts and other powerups to help you along the way. You fly a solar-powered
craft, and the game ends at sundown, if you can make it that far!


%prep
%setup -qcn %{name}-%{version}
# Some permission fixes
find RaceTheSun_1.10_LINUX/RaceTheSun_Data -type d -exec chmod 0755 {} \;
find RaceTheSun_1.10_LINUX/RaceTheSun_Data -type f -exec chmod 0644 {} \;

# Some clean ups
%ifarch x86_64
rm -rf RaceTheSun_1.10_LINUX/RaceTheSun_Data/Mono/x86
chmod 0755 RaceTheSun_1.10_LINUX/RaceTheSun_Data/Mono/x86_64/*
%else
rm -rf RaceTheSun_1.10_LINUX/RaceTheSun_Data/Mono/x86_64
chmod 0755 RaceTheSun_1.10_LINUX/RaceTheSun_Data/Mono/x86/*
%endif


%build
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
%ifarch x86_64
Name=Race The Sun (64bit)
%else
Name=Race The Sun (32bit)
%endif
Comment=%{summary}
Exec=%{namearch}
Icon=%{_datadir}/%{namearch}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF

cat >%{namearch}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{namearch} >/dev/null
%ifarch x86_64
./RaceTheSun.x86_64 "\$@"
%else
./RaceTheSun.x86 "\$@"
%endif
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/applications \
         %{buildroot}%{_datadir}/%{namearch}

cp -a RaceTheSun_1.10_LINUX/RaceTheSun_Data %{buildroot}%{_datadir}/%{namearch}
install -p -m0644 RaceTheSun_1.10_LINUX/RaceTheSun_Data/Resources/UnityPlayer.png \
                  %{buildroot}%{_datadir}/%{namearch}/%{name}.png

%ifarch x86_64
install -p -m0755 RaceTheSun_1.10_LINUX/RaceTheSun.x86_64 %{buildroot}%{_datadir}/%{namearch}
%else
install -p -m0755 RaceTheSun_1.10_LINUX/RaceTheSun.x86 %{buildroot}%{_datadir}/%{namearch}
%endif

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

install -p -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{house}-%{namearch}.desktop


%files
%defattr(-,root,root,-)
%doc RaceTheSun_1.10_LINUX/{EULA.rtf,Readme.txt}
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/%{house}-%{namearch}.desktop


%changelog
* Sun Sep 28 2014 RPMBuilder <> 1.10-1
- Initial Release