# You are only entitled to install this RPM if you bought the game
# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.

# Ensure this RPM is not a dependency provider
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to exclude some requires as they are bundled.
%global __requires_exclude ^libfmode.*|^libFontNative\\.so|^libmono-2\\.0\\.so\\.1|^libtheoraplay\\.so

# This package contains mixed binaries so set up some macros
%ifarch x86_64
%global namearch %{name}64
%else
%global namearch %{name}32
%endif

# The software house
%global house abbey


Name:           reus
Version:        0.0
Release:        2
Summary:        A god game - rule over the people
Group:          Amusements/Games
License:        Commercial
URL:            http://www.reusgame.com
# 9914e7fcb5f3b761941169ae13ec205c  reus_linux_1389636757-bin
Source0:        %{name}_linux_1389636757-bin
NoSource:       0
BuildRequires:  desktop-file-utils
BuildRequires:  ImageMagick
Requires:       freetype%{?_isa}
Requires:       libtheora%{?_isa}
Requires:       libXcursor%{?_isa}
Requires:       libXinerama%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       libXScrnSaver%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       mesa-libGL%{?_isa}
Requires:       openal-soft%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
Requires:       SDL2%{?_isa}
Requires:       xdg-utils
ExclusiveArch:  i686 x86_64

%description
Play as one of four friendly giants who have the unimaginable power of
controlling mother earth. Reus gives you the ability to shape the planet and
then lets your creations unfold organically. Once the earth is rendered into a
habitable region, mankind will flock to it, but as they grow in size so will
their greed. The humans will wage wars too, but it's up to you to find a
harmony and balance for your region before you're thrown into the chaos as
well.


%prep
%setup -Tqcn %{name}-%{version}
echo "YOU CAN INGORE THE WARNING: extra bytes at beginning or within zipfile"
true `unzip -qq %{SOURCE0}`

find data -type f -exec chmod 0644 {} \;
find data -type d -exec chmod 0755 {} \;

rm -f data/%{_lib}/lib{SDL2-2.0.so.0,freetype.so.6,openal.so.1,ogg.so.0,theoradec.so.1,theora.so.0,vorbis.so.0}
chmod 0755 data/%{_lib}/*

%ifarch x86_64
rm -fr data/{Reus,Reus.bin.x86} data/lib
chmod 0755 data/Reus.bin.x86_64
%else
rm -rf data/{Reus,Reus.bin.x86_64} data/lib64
chmod 0755 data/Reus.bin.x86
%endif

# Move for later
mv data/Linux.README .


%build
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
%ifarch x86_64
Name=Reus (64bit)
%else
Name=Reus (32bit)
%endif
Comment=%{summary}
Exec=%{namearch}
Icon=%{_datadir}/%{namearch}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;StrategyGame;
EOF

# Create the wrapper for /usr/bin
cat >%{namearch}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{namearch} >/dev/null
%ifarch x86_64
./Reus.bin.x86_64 "\$@"
%else
./Reus.bin.x86 "\$@"
%endif
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{namearch} \
         %{buildroot}%{_datadir}/applications

cp -a data/*  %{buildroot}%{_datadir}/%{namearch}
convert data/Reus.bmp %{buildroot}%{_datadir}/%{namearch}/%{name}.png

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

install -p -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{house}-%{namearch}.desktop


%files
%defattr(-,root,root,-)
%doc Linux.README
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/%{house}-%{namearch}.desktop


%changelog
* Fri Jan 17 2014 RPMBuilder <> 0.0-2
- Updated to latest binary release

* Sat Jan 11 2014 RPMBuilder <> 0.0-1
- Initial Release
