# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# We don't want this RPM to be a provider for anything 
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. Little we can do with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# This package contains mixed binaries so set up some macros
%ifarch x86_64
%global namearch %{name}64
%else
%global namearch %{name}32
%endif

# The software house
%global house puppygames

# Regularised name
%global rname RevengeOfTheTitans


Name:           revengeofthetitans
Version:        1.80.20
Release:        4
Summary:        A construction and warfare game
Group:          Amusements/Games
License:        Commercial
URL:            http://www.puppygames.net/revenge-of-the-titans
# a26a71c73e322bcff3372b2122abd749  RevengeOfTheTitans_Linux_1392311641.tar.gz
Source0:        %{rname}_Linux_1392311641.tar.gz
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       java >= 1.7.0
Requires:       mesa-dri-drivers%{?_isa}
Requires:       mesa-libGL%{?_isa}
Requires:       libXcursor%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
Requires:       webclient
Requires:       xdg-utils
ExclusiveArch:  i686 x86_64

%description
At first they came from the skies. In the ensuing war, Earth was laid waste,
but we had won...
But that was just the first strike - now the invasion has landed! Defeat the
returning Titan horde in a series of epic ground battles, save the Earth,
again, and command the counter-strike against their home-world!
Construct and command your ground defenses in a series of increasingly massive
battles across the solar system, in our frenetic arcade mash-up of Real Time
Strategy and Tower Defence!
Take a visit to R&D to discover the latest technology, then build a network of
blaster turrets, rocket launchers and laser cannon, explosives, barricades and
shield generators, refineries and reactors, and send forth your own droid army
to battle the invading alien forces!


%prep
%setup -qcn %{name}-%{version}
find revenge -type d -exec chmod 0755 '{}' \;
find revenge -type f -exec chmod 0644 '{}' \;


%build
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
%ifarch x86_64
Name=Revenge of the Titans (64bit)
%else
Name=Revenge of the Titans (32bit)
%endif
Comment=%{summary}
Exec=%{namearch}
Icon=%{_datadir}/%{namearch}/revenge.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF

# Create the wrapper for /usr/bin
cat >%{namearch}.wrapper <<EOF
#!/bin/bash
#
# Wrapper script for %{name}
#
%ifarch x86_64
export JAVAOPTS="java -d64"
%else
export JAVAOPTS="java -d32"
%endif
export GAMEDIR="\${HOME}/.revenge_of_the_titans"
export LOGFILE="\${GAMEDIR}/revenge.log"
export LD_LIBRARY_PATH=\$LD_LIBRARY_PATH:"%{_datadir}/%{namearch}"
export PATH=\$PATH:"%{_datadir}/%{namearch}"
mkdir -p \${GAMEDIR}
pushd "%{_datadir}/%{namearch}" > /dev/null
\$JAVAOPTS \
    -server \
    -Djava.library.path="%{_datadir}/%{namearch}" \
    -Dorg.lwjgl.librarypath="%{_datadir}/%{namearch}" \
    -Dorg.lwjgl.util.NoChecks=false \
    -Djava.net.preferIPv4Stack=true \
    -Dnet.puppygames.applet.Launcher.resources=resources-hib.dat \
    -Dnet.puppygames.applet.Game.gameResource=game.hib \
    -XX:MaxGCPauseMillis=3 \
    -XX:+TieredCompilation \
    -XX:Tier2CompileThreshold=70000 \
    -XX:+DoEscapeAnalysis \
    -Xms64m \
    -Xmx384m \
    -Xincgc \
    -cp RevengeOfTheTitans.jar:music.jar:fx-mono.jar:fx-stereo.jar:images.jar:gfx.jar:fonts.jar:data-hib.jar:common-cp-java6.jar:common.jar:spgl-lite.jar:lwjgl.jar:lwjgl_util.jar:gson.jar:jinput.jar:ogg.jar:gamecommerce.jar:steampuppy-public.jar:remote.jar \
    net.puppygames.applet.Launcher \
    "\$@" 
popd > /dev/null
EOF

# Create browser wrapper
cat >sensible-browser <<EOF
#!/bin/sh
xdg-open http://\$@
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{namearch} \
         %{buildroot}%{_datadir}/applications

install -p -m0644 revenge/{*.jar,*.png} %{buildroot}%{_datadir}/%{namearch}
install -p -m0755 sensible-browser %{buildroot}%{_datadir}/%{namearch}

%ifarch x86_64
install -p -m0755 revenge/{libjinput-linux64.so,liblwjgl64.so,libopenal64.so} %{buildroot}%{_datadir}/%{namearch}
%else
install -p -m0755 revenge/{libjinput-linux.so,liblwjgl.so,libopenal.so} %{buildroot}%{_datadir}/%{namearch}
%endif

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

# Install the wrapper
install -p -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{house}-%{namearch}.desktop


%files
%defattr(-,root,root,-)
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/%{house}-%{namearch}.desktop


%changelog
* Sat Dec 20 2014 RPMBuilder <> 1.80.20-4
- Upgraded to latest binary release

* Fri Jan 03 2014 RPMBuilder <> 1.80.20-3
- Fixes for Fedora 19/20 (Thanks to Karl Latiss)

* Thu Jul 18 2013 RPMBuilder <> 1.80.20-2
- Drop the 'isa' portion of the openjdk dependency

* Tue Feb 05 2013 RPMBuilder <> 1.80.20-1
- Upgraded to 1.80.20
- Replaced pulseaudio-utils dep with pulseaudio-libs
- Added dep on libXcursor, libXrandr and libGL

* Sun Dec 16 2012 RPMBuilder <> 1.80.19-1
- Upgraded to 1.80.19

* Sun Dec 02 2012 RPMBuilder <> 1.80.18-1
- Upgraded to the latest version
- Replace BuildArch with ExclusiveArch
- Dropped GenericName from the .desktop file
- Added xdg-utils dep

* Sun Mar 25 2012 RPMBuilder <> 1.80.15-2
- Disable building a debuginfo package under any circumstances
- Convert defines to globals
- Added house global
- Fixed argument passing for the wrapper script. Was being filtered by RPMBuilder
- Fixed a bug with the openjdk isa

* Sun Feb 19 2012 RPMBuilder <> 1.80.15-1
- Upgrade to 1.80.15

* Sun Nov 27 2011 RPMBuilder <> 1.80.13-1
- Initial RPM Release
