# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# CAUTION: BUILDING THIS RPM REQUIRES A LARGE AMOUNT OF STORAGE. ENSURE YOU
# HAVE AT LEAST 3GB FREE WHERE YOUR RPMBUILD DIRECTORIES ARE LOCATED

# Ensure this RPM is not a dependency provider, as we do not want to any bundled
# items to provide dependencies, although we remove bundles where possible
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# The software house
%global house recoilgames

# Source named
%global sname Rochard


Name:           rochard32
Version:        1.42
Release:        1
Summary:        3D Platform game
Group:          Amusements/Games
License:        Commercial
URL:            http://www.rochardthegame.com
# bf1939c719eccef9cb04745aec5c0387  Rochard_v1.42_Linux_x86_1371746493.tar.gz
Source0:        %{sname}_v%{version}_Linux_x86_1371746493.tar.gz
Source1:        %{name}.png
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686

%description
Rochard is a PSN-exclusive game where manipulating gravity and using the
G-Lifter (a gravity device used to easily move weighty objects around) are
crucial elements for success. With the help of his sci-fi mining tools and
taking advantage of the laws of physics, the protagonist John Rochard will
carry you through a game packed with puzzles, action, humor, great music,
excellent level design and a story rich of twists.
John Rochard, leader of the lowest producing team of astro-miners the Skyrig
Corporation ever employed, accidentally discovers an ancient alien structure
hidden deep in an asteroid, thus proving mankind isn’t alone in the universe.
Soon afterwards, John’s team goes missing without a trace and he finds himself
stranded on the asteroid and under attack by space bandits. John quickly
realizes that dangerous forces are at work, determined to use the discovery for
their own sinister means…


%prep
%setup -qcn %{name}-%{version}

# Some Encoding Fixes
iconv -f iso8859-1 -t utf8 Rochard_x86/README.txt > Rochard_x86/README.conv
mv Rochard_x86/README.conv Rochard_x86/README.txt


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Rochard (32bit)
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF


# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{name} >/dev/null
./%{sname} "\$@"
popd >/dev/null
EOF


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/applications \
         %{buildroot}%{_datadir}/%{name}

cp -a Rochard_x86/{%{sname},%{sname}_Data} %{buildroot}%{_datadir}/%{name}
install -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/%{name}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -m 0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%files
%defattr(-,root,root,-)
%doc Rochard_x86/changelog.txt Rochard_x86/EULA.rtf Rochard_x86/README.txt
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Sun Jun 30 2013 RPMBuilder <> 1.42-1
- Updated to 1.42

* Wed Oct 17 2012 RPMBuilder <> 1.32-1
- Updated to 1.32

* Sat Sep 29 2012 RPMBuilder <> 1.31-1
- Updated to 1.31

* Wed Sep 26 2012 RPMBuilder <> 1.24-1
- Initial Release
