# You are only entitled to install this RPM if you bought the game
# The "source" actually includes pre-built 64bit binaries

# CAUTION: BUILDING THIS RPM REQUIRES A LARGE AMOUNT OF STORAGE. ENSURE YOU
# HAVE AT LEAST 3GB FREE WHERE YOUR RPMBUILD DIRECTORIES ARE LOCATED

# Ensure this RPM is not a dependency provider, as we do not want to any bundled
# items to provide dependencies, although we remove bundles where possible
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# The software house
%global house recoilgames


Name:           rochard64
Version:        1.24
Release:        1
Summary:        3D Platform game
Group:          Amusements/Games
License:        Commercial
URL:            http://www.rochardthegame.com
# f0d6e972e69874c8a2e8788aff7b0c7e  rochard-linux-1347958759-124rc6-64bit.tar.gz
Source0:        rochard-linux-1347958759-124rc6-64bit.tar.gz
Source1:        %{name}.png
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       pulseaudio-utils%{?_isa}
BuildArch:      x86_64

%description
Rochard is a PSN-exclusive game where manipulating gravity and using the
G-Lifter (a gravity device used to easily move weighty objects around) are
crucial elements for success. With the help of his sci-fi mining tools and
taking advantage of the laws of physics, the protagonist John Rochard will
carry you through a game packed with puzzles, action, humor, great music,
excellent level design and a story rich of twists.
John Rochard, leader of the lowest producing team of astro-miners the Skyrig
Corporation ever employed, accidentally discovers an ancient alien structure
hidden deep in an asteroid, thus proving mankind isn’t alone in the universe.
Soon afterwards, John’s team goes missing without a trace and he finds himself
stranded on the asteroid and under attack by space bandits. John quickly
realizes that dangerous forces are at work, determined to use the discovery for
their own sinister means…


%prep
%setup -qcn %{name}-%{version}

# Some clean ups
rm -f ROCHARD_LINUX_64_DRMFREE/Rochard_Data/output_log.txt


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Rochard (64bit)
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF


# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{name} >/dev/null
./Rochard.app "\$@"
popd >/dev/null
EOF


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/%{name}

cp -a ROCHARD_LINUX_64_DRMFREE/* %{buildroot}%{_datadir}/%{name}
install -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/%{name}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -m 0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Wed Sep 26 2012 RPMBuilder <> 1.24-1
- Initial Release
