# IMPORTANT NOTES
#
# 1. You are only entitled to install this RPM if you bought the game
# 2. The "source" is arch independent flash files

# We don't want this RPM to be a provider for anything it's bundled with,
# although we remove bundles where practical
AutoProv: no

# Disable rpath checking. Little we can do with closed source
%define __arch_install_post /usr/lib/rpm/check-buildroot


Name:           samorost2
Version:        0
Release:        0_unknown_0%{?dist}
Summary:        Point and click adventure game
Group:          Amusements/Games
License:        Commercial
URL:            http://amanita-design.net/samorost-2/
# 6cd3b70717ee172376e042038797e7ae  samorost2_linux.zip
Source0:        %{name}_linux.zip
Source1:        %{name}.png
NoSource:       0
BuildRequires:  desktop-file-utils
# Ensure at least one browser is installed. This game also requires a flash
# plugin but there's many ways to get flash so we leave it up to the
# browser to warn.
Requires:       webclient
Requires:       xdg-utils
BuildArch:      noarch


%description
A point and click adventure game from the makers of Machinarium written in
flash


%prep
%setup -qcn %{name}-%{version}


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Samorost 2
GenericName=Point and Click Adventure
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;AdventureGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
#
# Launch the game in a browser. We use xdg-open so it uses the preferred
# browser. This can be overridden for this game by placing a variable in
# the file \${HOME}/.{%name}-browser of the form
# export BROWSER=<mybrowser>

if [ -f "\${HOME}/.%{name}-browser" ] ; then
    source "\${HOME}/.%{name}-browser"
fi

if [ -n "\${BROWSER}" ] ; then
    \${BROWSER} %{_datadir}/%{name}/Samorost2.html &
else
    xdg-open %{_datadir}/%{name}/Samorost2.html &
fi
EOF


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/{%{name},applications}

install -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/%{name}
install -m 0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}
rm -f %{name}.wrapper

cp -a * %{buildroot}%{_datadir}/%{name}

desktop-file-install --vendor amanita \
    --dir %{buildroot}%{_datadir}/applications \
    %{name}.desktop


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/amanita-%{name}.desktop


%changelog
* Sat Nov 12 2011 RPMBuilder <> 0-0_unknown_0%{?dist}
- Initial Release
