# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# CAUTION: BUILDING THIS RPM REQUIRES A LARGE AMOUNT OF STORAGE. ENSURE YOU
# HAVE AT LEAST 7GB FREE WHERE YOUR RPMBUILD DIRECTORIES ARE LOCATED

# Ensure this RPM is not a dependency provider, as we do not want to any bundled
# items to provide dependencies, although we remove bundles where possible
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to exclude some requires as they are bundled.
%global __requires_exclude ^libboost_.*|^libPhysX.*|^libav.*|^libicu.*|libGLEW\\.so|NxCharacter\\.so|NxCooking\\.so

# The software house
%global house frozenbyte


Name:           shadowgrounds
Version:        1.5
Release:        5_update_1
Summary:        Top-down perspective 3D FPS
Group:          Amusements/Games
License:        Commercial
URL:            http://shadowgroundsgame.com
# 7c9913f754168742973edfeb66ba8f1c  shadowgroundsUpdate1.run
Source0:        %{name}Update1.run
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686

%description
Shadowgrounds is an epic action experience combining modern technology with
addictive playability. Devastating weapons and extensive weapon upgrades.
Realistic lighting effects. 11 exciting missions taking place on various
battlegrounds. Thrilling sound effects and acclaimed soundtrack


%prep
%setup -Tqcn %{name}-%{version}
# We are actually unpacking a mojo setup binary here. We need to force a true
# result so rpm does not fail as zip warns about superfluous data at the
# start and returns a non-zero result. That warning can be ignored.
echo "YOU CAN INGORE THE WARNING: extra bytes at beginning or within zipfile"
true `unzip -qq %{SOURCE0}`

# Fix some permissions
find . -type d -exec chmod 0755 '{}' \;
find . -type f -exec chmod 0644 '{}' \;
chmod 0755 shadowgrounds-{bin,launcher} lib32/*

# Remove bundled libraries and extraneous files
rm -f lib32/lib{asound_module_pcm_pulse.so,asound.so.2,direct-1.0.so.0,directfb-1.0.so.0,expat.so.1,FLAC.so.8,\
fusion-1.0.so.0,gcc_s.so.1,gdbm.so.3,gmodule-2.0.so.0,gomp.so.1,ICE.so.6,jpeg.so.62,mikmod.so.2,m.so.6,ogg.so.0,\
openal.so.1,pcre.so.3,png12.so.0,rt.so.1,SDL-1.2.so.0,SDL_image-1.2.so.0,SDL_sound-1.0.so.1,SDL_ttf-2.0.so.0,\
selinux.so.1,smpeg-0.4.so.0,SM.so.6,speex.so.1,stdc++.so.6,tiff.so.4,vga.so.1,vorbisfile.so.3,vorbis.so.0,X11.so.6,\
x86.so.1,Xau.so.6,xcb-render.so.0,xcb-render-util.so.0,xcb.so.1,xcb-xlib.so.0,Xcomposite.so.1,Xcursor.so.1,Xdamage.so.1,\
Xdmcp.so.6,Xext.so.6,Xfixes.so.3,Xinerama.so.1,Xi.so.6,xml2.so.2,Xmu.so.6,Xrender.so.1,Xt.so.6,z.so.1}

rm -f createShortcuts.sh removeShortcuts.sh


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=Shadowgrounds
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/Shadowgrounds.xpm
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{name} >/dev/null
./%{name}-launcher "\$@"
popd >/dev/null
EOF


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{name} \
         %{buildroot}%{_datadir}/applications

cp -a Config data data1.fbz lib32 Profiles shadowgrounds-* Shadowgrounds.xpm \
      %{buildroot}%{_datadir}/%{name}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -p -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{house}-%{name}.desktop


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Fri Dec 27 2013 RPMBuilder <> 1.5-5_update_1
- Modenize dependency filters
- Various minor cleanups

* Fri Mar 02 2012 RPMBuilder <> 1.5-4_update_1
- Disable building a debuginfo package under any circumstances
- Convert defines to globals
- Added house global
- Fixed argument passing for the wrapper script. Was being filtered by RPM
- Drop use of padsp, seems it's not needed

* Fri Nov 11 2011 RPMBuilder <> 1.5-3_update_1
- Update to Update 1
- Don't remove NxCharacter.so, NxCooking.so libs

* Mon Nov 07 2011 RPMBuilder <> 0-2_beta_12
- Minor updates for Fedora 16

* Mon Apr 18 2011 RPMBuilder <> 0-1_beta_12
- Initial RPM Release