# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# CAUTION: BUILDING THIS RPM REQUIRES A LARGE AMOUNT OF STORAGE. ENSURE YOU
# HAVE AT LEAST 3GB FREE WHERE YOUR RPMBUILD DIRECTORIES ARE LOCATED

# Ensure we do not become a provider of anything bundled in this RPM
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to exclude some requires as they are bundled.
%global __requires_exclude ^libmono\\.so

# The software house
%global house harebrainedschemes


Name:           shadowrun-returns
Version:        1.2.7
Release:        1
Summary:        Where machines meet magic
Group:          Amusements/Games
License:        Commercial
URL:            http://harebrained-schemes.com/shadowrun/
# ff3146b1ad046f81bf8f3deba277e472  shadowrun-returns-linux127.tar.gz
Source0:        %{name}-linux127.tar.gz
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       GConf2%{_isa}
Requires:       gtk2%{?_isa}
Requires:       libicu%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
Requires:       webclient
ExclusiveArch:  i686

%description
The year is 2054. Magic has returned to the world, awakening powerful creatures
of myth and legend. Technology merges with flesh and consciousness. Elves,
trolls, orks and dwarves walk among us, while ruthless corporations bleed the
world dry.


%prep
%setup -qcn %{name}-%{version}
find Shadowrun\ Returns -type d -exec chmod 0755 '{}' \;
find Shadowrun\ Returns -type f -exec chmod 0644 '{}' \;
chmod 0755 Shadowrun\ Returns/Shadowrun_Data/Mono/x86/*


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=Shadowrun Returns
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;RolePlaying;
EOF

cat >%{name}-editor.desktop <<EOF
[Desktop Entry]
Name=Shadowrun Returns: Editor
Comment=Shadowrun Game Editor
Exec=%{name}-editor
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;AdventureGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
if [ -d "\${HOME}" ] ; then
    if [ ! -e "\${HOME}/.config/unity3d/Harebrained Schemes/Shadowrun" ] ; then
        mkdir -p "\${HOME}/.config/unity3d/Harebrained Schemes/Shadowrun"
    fi
fi

pushd %{_datadir}/%{name} >/dev/null
./Shadowrun -logFile ~/.config/unity3d/Harebrained\ Schemes/Shadowrun/output.log "\$@"
popd >/dev/null
EOF

# Create the wrapper for /usr/bin
cat >%{name}-editor.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name} Editor
#
# Game must be launched from the cwd
pushd %{_datadir}/%{name} >/dev/null
./ShadowrunEditor "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{name} \
         %{buildroot}%{_datadir}/applications

cp -a Shadowrun\ Returns/Shadowrun_Data %{buildroot}%{_datadir}/%{name}
install -p -m0755 Shadowrun\ Returns/{ShadowrunEditor,Shadowrun} %{buildroot}%{_datadir}/%{name}
install -p -m0644 Shadowrun\ Returns/Shadowrun_Data/Resources/UnityPlayer.png \
                  %{buildroot}%{_datadir}/%{name}/%{name}.png

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}-editor.desktop

install -p -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}
install -p -m0755 %{name}-editor.wrapper %{buildroot}%{_bindir}/%{name}-editor


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{house}-%{name}.desktop
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{house}-%{name}-editor.desktop


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_bindir}/%{name}-editor
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop
%{_datadir}/applications/%{house}-%{name}-editor.desktop


%changelog
* Sun Nov 16 2014 RPMBuilder <> 1.2.7-1
- Initial Release
