# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# CAUTION: BUILDING THIS RPM REQUIRES A LARGE AMOUNT OF STORAGE. ENSURE YOU
# HAVE AT LEAST 6GB FREE WHERE YOUR RPMBUILD DIRECTORIES ARE LOCATED

# Ensure this RPM is not a dependency provider
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to filter some requires
%global __requires_exclude ^libfmode.*|^libGLEW\\.so\\.1\\.5

# This package contains mixed binaries so set up some macros
%ifarch x86_64
%global namearch %{name}64
%else
%global namearch %{name}32
%endif

# The software house
%global house klei


Name:           shank2
Version:        0.0
Release:        2
Summary:        2D Cinematic brawler
Group:          Amusements/Games
License:        Commercial
URL:            http://www.shankgame.com
# 9f094de86c40c902aa90c9609575fc49  shank2-linux-update7.tgz
Source0:        %{name}-linux-update7.tgz
NoSource:       0
BuildRequires:  desktop-file-utils
BuildRequires:  ImageMagick
Requires:       systemd-libs%{?_isa}
Requires:       libXcursor%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686 x86_64

%description
Ex-mob hit man Shank is back in Shank 2, the fantastic sequel to the beloved
original 2D side-scrolling brawler. When those closest to Shank are under
attack, get ready to bust out your handguns, shotguns, automatic weapons,
chainsaws, machetes, grenades and more to bring the hurt against those
responsible. Shank 2 features a new combat system and retains its amazing
comic book-style visuals, guaranteeing the ultimate slug fest.


%prep
%setup -qcn %{name}-%{version}


%build
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
%ifarch x86_64
Name=Shank2 (64bit)
%else
Name=Shank2 (32bit)
%endif
Comment=%{summary}
Exec=%{namearch}
Icon=%{_datadir}/%{namearch}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF

# Create the wrapper for /usr/bin
cat >%{namearch}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{namearch}/bin >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{namearch}/bin \
         %{buildroot}%{_datadir}/applications

cp -a data %{buildroot}%{_datadir}/%{namearch}
cp -a data-pc %{buildroot}%{_datadir}/%{namearch}

%ifarch x86_64
mkdir -p %{buildroot}%{_datadir}/%{namearch}/bin/lib64
install -p -m0755 bin/lib64/libfmode* bin/lib64/libGLEW.so.1.5 %{buildroot}%{_datadir}/%{namearch}/bin/lib64
install -p -m0755 bin/shank2-bin64 %{buildroot}%{_datadir}/%{namearch}/bin/%{name}
%else
mkdir -p %{buildroot}%{_datadir}/%{namearch}/bin/lib32
install -p -m0755 bin/lib32/libfmode* bin/lib32/libGLEW.so.1.5 %{buildroot}%{_datadir}/%{namearch}/bin/lib32
install -p -m0755 bin/shank2-bin32 %{buildroot}%{_datadir}/%{namearch}/bin/%{name}
%endif

# Create Icon
convert Shank2.xpm %{buildroot}%{_datadir}/%{namearch}/%{name}.png

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

# Install the wrapper
install -p -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{house}-%{namearch}.desktop


%files
%defattr(-,root,root,-)
%doc release_notes.txt
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/%{house}-%{namearch}.desktop


%changelog
* Wed Jan 08 2014 RPMBuilder <> 0.0-2
- Modernize dependency filters
- Various minor cleanups
- Added missing dependencies

* Mon Feb 18 2013 RPMBuilder <> 0.0-1
- Initial Release
