# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# We don't want this RPM to be a provider for anything it's bundled with,
# although we remove bundles where practical
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. Little we can do with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to filter some requires
%global    _use_internal_dependency_generator 0
%global    __find_requires %{_builddir}/%{name}-%{version}/filter-requires-%{name}.sh

# The software house
%global house sidhe


Name:           shatter
Version:        1.0
Release:        1347954459
Summary:        Modern take on the classic game breakout
Group:          Amusements/Games
License:        Commercial
URL:            http://www.shattergame.com
# 6e9ba377b121126e2b6fe3e3dbbf1dc2  shatter-linux-1347954459.sh
Source0:        %{name}-linux-1347954459.sh
NoSource:       0
BuildRequires:  desktop-file-utils
BuildRequires:  xz-lzma-compat
Requires:       mesa-libGL%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686

%description
Shatter is a modern take on the classic game of Breakout


%prep
%setup -Tqcn %{name}-%{version}

mkdir %{name}

# Rip the contents from the nixinstaller package
sh %{SOURCE0} --tar x --to-stdout ./instarchive_all | tar x --lzma -C %{name}
sh %{SOURCE0} --tar x --to-stdout ./instarchive_linux_all | tar x --lzma -C %{name}

# Move this for later
mv %{name}/README.linux .

# Remove some bundled libs
rm -f %{name}/lib/lib{CgGL.so,Cg.so,SDL-1.2.so.0}


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Shatter
Comment=%{summary}
Exec=%{_bindir}/%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF

cat >%{name}-settings.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Shatter: Settings
Comment=Settings Editor for Shatter
Exec=%{_bindir}/%{name}-settings
Icon=%{_datadir}/%{name}/%{name}-settings.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF

# Create the wrappers for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#

pushd %{_datadir}/%{name} >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF

cat >%{name}-settings.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch the settings editor for %{name}
#

pushd %{_datadir}/%{name} >/dev/null
./%{name}-settings
popd >/dev/null
EOF

cat >filter-requires-%{name}.sh <<EOF
#!/bin/sh
# Filter requires for libraries that are bundled

if [ -x /usr/lib/rpm/redhat/find-requires ] ; then
    FINDREQ=/usr/lib/rpm/redhat/find-requires
else
    FINDREQ=/usr/lib/rpm/find-requires
fi

\$FINDREQ \$* | sed -e '/libfmodevent-4.36.21.so/d' | sed -e '/libfmodeventnet-4.36.21.so/d' | \
                sed -e '/libfmodex-4.36.21.so/d'
EOF

chmod 0755 filter-requires-%{name}.sh


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/applications \
         %{buildroot}%{_datadir}/%{name}

cp -a %{name}/{data,pkcmn.pak,lib} %{buildroot}%{_datadir}/%{name}
install -m0644 %{name}/Shatter.png %{buildroot}%{_datadir}/%{name}/%{name}.png
install -m0644 %{name}/Settings.png %{buildroot}%{_datadir}/%{name}/%{name}-settings.png
install -m0755 %{name}/Shatter.bin.x86 %{buildroot}%{_datadir}/%{name}/%{name}
install -m0755 %{name}/SettingsEditor.bin.x86 %{buildroot}%{_datadir}/%{name}/%{name}-settings
pushd %{buildroot}%{_datadir}/%{name}
ln -s %{name} Shatter.bin.x86
popd

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}-settings.desktop

install -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}
install -m0755 %{name}-settings.wrapper %{buildroot}%{_bindir}/%{name}-settings


%files
%defattr(-,root,root,-)
%doc README.linux
%{_bindir}/%{name}
%{_bindir}/%{name}-settings
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop
%{_datadir}/applications/%{house}-%{name}-settings.desktop


%changelog
* Tue Sep 25 2012 RPMBuilder <> 1.0-1347954459
- Initial Release
