# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# We don't want this RPM to be a provider for anything
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. Little we can do with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to filter some requires
%global __requires_exclude ^libfmode.*|^libsteam_api\\.so

# The software house
%global house sidhe


Name:           shatter
Version:        1.02
Release:        2
Summary:        Modern take on the classic game breakout
Group:          Amusements/Games
License:        Commercial
URL:            http://www.shattergame.com
# 0c787b00292593ad91711c0df56ded0c  Shatter-Release-2013-06-09.sh
Source0:        Shatter-Release-2013-06-09.sh
NoSource:       0
BuildRequires:  desktop-file-utils
BuildRequires:  xz-lzma-compat
Requires:       systemd-libs%{?_isa}
Requires:       libXcursor%{?_isa}
Requires:       libXinerama%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       libXScrnSaver%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       mesa-libGL%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686

%description
Shatter is a modern take on the classic game of Breakout


%prep
%setup -Tqcn %{name}-%{version}
echo "NOTE: IT IS SAFE TO IGNORE THE TAR BUG : Not found in archive"
mkdir %{name}

# Rip the contents from the nixinstaller package
sh %{SOURCE0} --tar x --to-stdout ./instarchive_all | tar x --lzma -C %{name}
sh %{SOURCE0} --tar x --to-stdout ./instarchive_linux_all | tar x --lzma -C %{name}
mv %{name}/README.linux .
rm -f %{name}/lib/lib{CgGL.so,Cg.so,SDL2-2.0.so.0}
chmod 0755 %{name}/lib/*


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=Shatter
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF

cat >%{name}-settings.desktop <<EOF
[Desktop Entry]
Name=Shatter: Settings
Comment=Settings Editor for Shatter
Exec=%{name}-settings
Icon=%{_datadir}/%{name}/%{name}-settings.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF

# Create the wrappers for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#

pushd %{_datadir}/%{name} >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF

cat >%{name}-settings.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch the settings editor for %{name}
#

pushd %{_datadir}/%{name} >/dev/null
./%{name}-settings "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/applications \
         %{buildroot}%{_datadir}/%{name}

cp -a %{name}/{data,pkcmn.pak,lib} %{buildroot}%{_datadir}/%{name}
install -p -m0644 %{name}/Shatter.png %{buildroot}%{_datadir}/%{name}/%{name}.png
install -p -m0644 %{name}/Settings.png %{buildroot}%{_datadir}/%{name}/%{name}-settings.png
install -p -m0755 %{name}/Shatter.bin.x86 %{buildroot}%{_datadir}/%{name}/%{name}
install -p -m0755 %{name}/SettingsEditor.bin.x86 %{buildroot}%{_datadir}/%{name}/%{name}-settings
pushd %{buildroot}%{_datadir}/%{name}
ln -s %{name} Shatter.bin.x86
popd

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}-settings.desktop

install -p -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}
install -p -m0755 %{name}-settings.wrapper %{buildroot}%{_bindir}/%{name}-settings


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{house}-%{name}.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/%{house}-%{name}-settings.desktop


%files
%defattr(-,root,root,-)
%doc README.linux
%{_bindir}/%{name}
%{_bindir}/%{name}-settings
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop
%{_datadir}/applications/%{house}-%{name}-settings.desktop


%changelog
* Thu Jan 09 2014 RPMBuilder <> 1.02-2
- Modernized dependency filters
- Various minor cleanups
- Unbundled SDL2

* Mon Jul 15 2013 RPMBuilder <> 1.02-1
- Updated to latest binary release
- This versions use SDL2 and Steam. Handle libraries accordingly

* Tue Sep 25 2012 RPMBuilder <> 1.0-1347954459
- Initial Release
