# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# SPEC Notes
# 1. Must use bundled libopenal or sound won't work
# 2. Game icon is jpg as converting to PNG fails

# Ensure this RPM is not a dependency provider
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# Don't require bundled libraries
%global __requires_exclude ^libmono-2\\.0\\.so\\.1|^libtheoraplay\\.so|^libopenal\\.so\\.1

# This package contains mixed binaries so set up some macros
%ifarch x86_64
%global namearch %{name}64
%else
%global namearch %{name}32
%endif

# The software house
%global house 17bit


Name:           skulls-of-the-shogun
Version:        1.1.0.0
Release:        1
Summary:        Fast paced, turn based strategy game
Group:          Amusements/Games
License:        Commercial
URL:            http://skullsoftheshogun.com
# 4c5e989f9f360b7aef59d3d4361528b4  Skullsoftheshogun-06042014-bin
Source0:        Skullsoftheshogun-06042014-bin
NoSource:       0
BuildRequires:  desktop-file-utils
BuildRequires:  ImageMagick
Requires:       libXcursor%{?_isa}
Requires:       libXinerama%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       libXScrnSaver%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       mesa-libGLU%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
Requires:       SDL2_image%{?_isa}
Requires:       SDL2_mixer%{?_isa}
ExclusiveArch:  i686 x86_64

%description
Skulls of the Shogun is a fast-paced-turn based strategy game where players
meet and join forces with vibrant ghost-samurai warriors, magical
animal-monks and mustachioed samurai generals on the way to capture the Skulls
of the Shogun.


%prep
%setup -Tqcn %{name}-%{version}
echo "YOU CAN INGORE THE WARNING: extra bytes at beginning or within zipfile"
true `unzip -qq %{SOURCE0}`

# Fix non standard dir permissions
find data -type d -exec chmod 0755 {} \;
find data -type f -exec chmod 0644 {} \;

rm -f data/%{_lib}/lib{ogg.so.0,SDL2-2.0.so.0,theoradec.so.1,theora.so.0,vorbis.so.0}

%ifarch x86_64
rm -rf data/{SkullsOfTheShogun,SkullsOfTheShogun.bin.x86,lib}
chmod 0755 data/{SkullsOfTheShogun.bin.x86_64,%{_lib}/*}
%else
rm -rf data/{SkullsOfTheShogun,SkullsOfTheShogun.bin.x86_64,lib64}
chmod 0755 data/{SkullsOfTheShogun.bin.x86,%{_lib}/*}
%endif

# Move for later
mv data/Linux.README .


%build
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
%ifarch x86_64
Name=Skulls Of The Shogun (64bit)
%else
Name=Skulls Of The Shogun (32bit)
%endif
Comment=%{summary}
Exec=%{namearch}
Icon=%{_datadir}/%{namearch}/%{name}.jpg
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;StrategyGame;
EOF

# Create the wrapper for /usr/bin
cat >%{namearch}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{namearch} >/dev/null
%ifarch x86_64
./SkullsOfTheShogun.bin.x86_64 "\$@"
%else
./SkullsOfTheShogun.bin.x86 "\$@"
%endif
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{namearch} \
         %{buildroot}%{_datadir}/applications

cp -a data/*  %{buildroot}%{_datadir}/%{namearch}
convert data/Skulls\ of\ the\ Shogun.bmp %{buildroot}%{_datadir}/%{namearch}/%{name}.jpg

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

install -p -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{house}-%{namearch}.desktop


%files
%defattr(-,root,root,-)
%doc Linux.README
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/%{house}-%{namearch}.desktop


%changelog
* Sun Aug 03 2014 RPMBuilder <> - 1.1.0.0-1
- Initial Release
