# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure this RPM is not a dependency provider, as we do not want to any bundled
# items to provide dependencies, although we remove bundles where possible
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to filter some requires
%global __requires_exclude ^liblua5\\.1\\.so\\.0

# The software house
%global house retroaffect

# Regularised name
%global rname snapshot


Name:           snapshot64
Version:        2.8
Release:        2
Summary:        A game about robots, photos and adventure
Group:          Amusements/Games
License:        Commercial
URL:            http://www.retroaffect.com/games/1/snapshot/
# a9e6bb953e5d443fdb63901d89f65e78  Snapshot-linux-v28-x64.tar.gz
Source0:        Snapshot-linux-v28-x64.tar.gz
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       libXcursor%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  x86_64

%description
A platform game about robots, photos and adventure


%prep
%setup -qcn %{name}-%{version}
# Some EOL fixes
find resources -iname "*.lua" | xargs sed -i 's/\r//'
find resources -iname "*.lvl" | xargs sed -i 's/\r//'
find resources -iname "*.go" | xargs sed -i 's/\r//'

# Some Permission fixes
find resources -type d -exec chmod 0755 {} \;
find resources -type f -exec chmod 0644 {} \;


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=Snapshot (64bit)
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;LogicGame;
EOF

# Create the wrappers for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#

pushd %{_datadir}/%{name} >/dev/null
export LD_LIBRARY_PATH=\$LD_LIBRARY_PATH:%{_datadir}/%{name}/%{_lib}
./%{name} "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/applications \
         %{buildroot}%{_datadir}/%{name}/%{_lib}

install -p -m0755 %{rname}.bin %{buildroot}%{_datadir}/%{name}/%{name}
install -p -m0755 liblua5.1.so.0 %{buildroot}%{_datadir}/%{name}/%{_lib}
install -p -m0644 resources/art/engine/pic_icon.png %{buildroot}%{_datadir}/%{name}/%{name}.png
cp -a resources %{buildroot}%{_datadir}/%{name}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -p -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{house}-%{name}.desktop


%files
# Seems to ignore "resources/config/*" so we won't mark them as configs
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Thu Jan 09 2014 RPMBuilder <> 2.8-2
- Modernized dependency filters
- Various minor clean ups

* Tue Mar 19 2013 RPMBuilder <> 2.8-1
- Initial Release
