# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# SPEC Notes
# 1. The LD_LIBRARY_PATH seems strange but is required or game will segfault
# 2. Do not unpack the vfs.zip or the game will fail.
# 3. The exe must be launched from the parent directory
# 4. Disable stripping otherwise CPIO fails to unpack RPM on F20

# Ensure this RPM is not a dependency provider, as we do not want to any bundled
# items to provide dependencies, although we remove bundles where possible
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# Disable stripping as the comment note fields are (mis)used
%global __os_install_post %{nil}

# The software house
%global house firebrandgames

# Source base
%global sbase Solar\\ Flux\\ Linux


Name:           solar-flux
Version:        0.0
Release:        1
Summary:        Space puzzle and strategy game
Group:          Amusements/Games
License:        Commercial
URL:            http://www.solarfluxgame.com
#  9e2faa973a4affef9ddb1205f5f82019  SolarFluxLinux.zip
Source0:        SolarFluxLinux.zip
NoSource:       0
BuildRequires:  desktop-file-utils
BuildRequires:  ImageMagick
Requires:       alsa-lib%{?_isa}
Requires:       libXcursor%{?_isa}
Requires:       libXinerama%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686

%description
Travel across the universe and save dying suns from extinction in this unique
and challenging puzzle strategy game. You are the last hope to bring salvation
to a perishing universe as you collect and deliver fragments of plasma using
your omni-directional ship. Solar flares, asteroids, supernovas and force
fields are just some of the challenges you will face as you pilot your ship
through the intense heat of the imploding stars.


%prep
%setup -qcn %{name}-%{version}
rm -f %{sbase}/runme.sh
find %{sbase} -type d -exec chmod 0755 '{}' \;
find %{sbase} -type f -exec chmod 0644 '{}' \;


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=Solar Flux
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;StrategyGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
export LD_LIBRARY_PATH=\$LD_LIBRARY_PATH:%{_datadir}/%{name}/bin

# Executable MUST be launched from parent directory
pushd %{_datadir}/%{name} >/dev/null
./bin/%{name} "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{name}/bin \
         %{buildroot}%{_datadir}/applications

cp -a %{sbase}/data %{buildroot}%{_datadir}/%{name}
install -p -m0755 %{sbase}/%{_lib}/solarflux %{buildroot}%{_datadir}/%{name}/bin/%{name}
convert %{sbase}/data/icon.bmp %{buildroot}%{_datadir}/%{name}/%{name}.png

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -p -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{house}-%{name}.desktop


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Fri Mar 27 2015 RPMBuilder <> 0.0-1
- Initial Release
