# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure this RPM is not a dependency provider
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to exclude some requires as they are bundled.
%global __requires_exclude ^libmono-2\\.0\\.so\\.1|^libmikmod\\.so\\..*|^libSDL_mixer-1\\.2\\.so\\..*|^libmad\\.so\\.0.*

# The software house
%global house murudai


Name:           solar2
Version:        1.10
Release:        4
Summary:        An open-world, sandbox game set in an infinite abstract universe
Group:          Amusements/Games
License:        Commercial
URL:            http://murudai.com/solar/
# 243918907eea486fdc820b7cac0c260b  solar2-linux-1.10.tar.gz
Source0:        %{name}-linux-%{version}.tar.gz
Source1:        %{name}.png
NoSource:       0
BuildRequires:  chrpath
BuildRequires:  desktop-file-utils
Requires:       libXcursor%{?_isa}
Requires:       libXinerama%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       mesa-libGL%{?_isa}
Requires:       openal-soft%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686

%description
In most games you see stars in the background, you shoot asteroids or you live
on planets. But in Solar 2 you ARE these objects! Enter a universe where you
must prove yourself to the resident god-like figure by doing its many bizarre
and varied tasks. Or just ignore it and see how big you can grow! Solar 2 is an
open-world, sandbox game set in an infinite abstract universe. Play
constructively: grow your system, nurture life on your planets and attack enemy
life in huge space battles. Play destructively: crash into other objects and
cause chaos, use your orbiting objects like wrecking balls and steal planets
from other systems.


%prep
%setup -qcn %{name}-%{version}
# Strip the rpath. We still continue even if it fails because partly it's
# not critical but also because building the 32bit RPM on a 64bit system
# only has access to the 64bit version of chrpath, we cannot strip 32bit
# binaries. But in all other scenarios it should work without issue
chrpath -d Solar2/Solar2.bin.x86 || :
find Solar2 -type d -exec chmod 0755 '{}' \;
find Solar2 -type f -exec chmod 0644 '{}' \;


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=Solar 2
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;StrategyGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
export LD_LIBRARY_PATH=\$LD_LIBRARY_PATH:%{_datadir}/%{name}/%{_lib}
pushd %{_datadir}/%{name} >/dev/null
./Solar2.bin.x86 "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/applications \
         %{buildroot}%{_datadir}/%{name}/%{_lib}

cp -a Solar2/{Languages,MonoContent,mono} %{buildroot}%{_datadir}/%{name}
install -p -m0644 %{SOURCE1} %{buildroot}%{_datadir}/%{name}
install -p -m0644 Solar2/{*.dll,*.config,*.txt} %{buildroot}%{_datadir}/%{name}
install -p -m0755 Solar2/Solar2.bin.x86 %{buildroot}%{_datadir}/%{name}
install -p -m0644 Solar2/Solar2.exe %{buildroot}%{_datadir}/%{name}
# Must use the bundled mixer or the game won't work
install -p -m0755 Solar2/%{_lib}/{libmono*,libmikmod*,libSDL_mixer*,libmad*} %{buildroot}%{_datadir}/%{name}/%{_lib}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -p -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{house}-%{name}.desktop


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Tue Dec 16 2014 RPMBuilder <> 1.10-4
- Fixed for Fedora 21

* Thu Dec 26 2013 RPMBuilder <> 1.10-3
- Modernize filter method
- Various minor clean ups

* Sun Sep 22 2013 RPMBuilder <> 1.10-2
- Added some missing deps

* Sat Mar 23 2013 RPMBuilder <> 1.10-1
- Initial Release
