# You are only entitled to install this RPM if you bought the game

# Ensure this RPM is not a dependency provider, as we do not want to any bundled
# items to provide dependencies, although we remove bundles where possible
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# This package contains mixed binaries so set up some macros
%ifarch x86_64
%global namearch %{name}64
Obsoletes:      Splice64
%else
%global namearch %{name}32
Obsoletes:      Splice32
%endif

# The software house
%global house cipherprimestudios


Name:           splice
Version:        1.0
Release:        2
Summary:        Microbial puzzle game
Group:          Amusements/Games
License:        Commercial
URL:            http://www.cipherprime.com/games/splice
# a62a60160e890b8324146d5f12ca2efb  splice-linux-1353389454.tar.gz
Source0:        %{name}-linux-1353389454.tar.gz
Source1:        %{name}.png
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686 x86_64

%description
Enter a microbial miniverse where exploration and experimentation are key and
where structural awareness is crucial. Resequence, mutate, and splice your way
through this unique puzzler experience.


%prep
%setup -qcn %{name}-%{version}


%build
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
%ifarch x86_64
Name=Splice (64bit)
%else
Name=Splice (32bit)
%endif
Comment=%{summary}
Exec=%{namearch}
Icon=%{_datadir}/%{namearch}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;StrategyGame;
EOF


# Create the wrapper for /usr/bin
cat >%{namearch}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{namearch}
#
pushd %{_datadir}/%{namearch} >/dev/null
%ifarch x86_64
./Splice.x86_64 "\$@"
%else
./Splice.x86
%endif
popd >/dev/null
EOF


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/applications \
         %{buildroot}%{_datadir}/%{namearch}

cp -a Linux/Splice_Data %{buildroot}%{_datadir}/%{namearch}

%ifarch x86_64
install -m0755 Linux/Splice.x86_64 %{buildroot}%{_datadir}/%{namearch}
%else
install -m0755 Linux/Splice.x86 %{buildroot}%{_datadir}/%{namearch}
%endif

install -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/%{namearch}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

install -m 0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}


%files
%defattr(-,root,root,-)
%doc Linux/README
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/%{house}-%{namearch}.desktop


%changelog
* Sun Dec 02 2012 RPMBuilder <> 1.0-2
- Upgraded to the latest version
- Replaced BuildArch with ExclusiveArch

* Sun Nov 11 2012 RPMBuilder <> 1.0-1
- Initial Release
