# You are only entitled to install this RPM if you bought the game
# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.

# CAUTION: BUILDING THIS RPM REQUIRES A LARGE AMOUNT OF STORAGE. ENSURE YOU
# HAVE AT LEAST 4.5GB FREE WHERE YOUR RPMBUILD DIRECTORIES ARE LOCATED

# Ensure this RPM is not a dependency provider, as we do not want to any bundled
# items to provide dependencies, although we remove bundles where possible
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to filter some requires
%global __requires_exclude ^libfmode.*

# The software house
%global house doublefine


Name:           stacking
Version:        0.0
Release:        3
Summary:        Russian stacking dolls adventure game
Group:          Amusements/Games
License:        Commercial
URL:            http://www.stackingvideogame.com
# 4194bb869d537d40da7ad7f65b1102ed  Stacking-Linux-2013-06-04-setup.bin
Source0:        Stacking-Linux-2013-06-04-setup.bin
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       systemd-libs%{?_isa}
Requires:       libXcursor%{?_isa}
Requires:       libXinerama%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       libXScrnSaver%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       mesa-libGL%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686

%description
Explore a vintage world inhabited by living Russian stacking dolls as you jump
into more than 100 unique dolls and use their special abilities to solve a
wide variety of puzzles and challenges. This imaginative 3rd person puzzle
adventure game will you on on a journey from a bustling Royal Train Station to
a high flying Zeppelin as you collect unique dolls and matched stacking sets
to display in your secret hideout


%prep
%setup -Tqcn %{name}-%{version}
echo "YOU CAN INGORE THE WARNING: extra bytes at beginning or within zipfile"
true `unzip -qq %{SOURCE0}`

find data -type d -exec chmod 0755 {} \;
find data -type f -exec chmod 0644 {} \;
rm -f data/lib/libSDL2-2.0.so.0
chmod 0755 data/lib/*


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=Stacking
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;AdventureGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{name} >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{name} \
         %{buildroot}%{_datadir}/applications

cp -a data/{Data,DFCONFIG,lib,Linux,OGL,Win} \
      %{buildroot}%{_datadir}/%{name}

install -p -m0755 data/Stack.bin.x86 %{buildroot}%{_datadir}/%{name}/%{name}
install -p -m0644 data/Stack.png %{buildroot}%{_datadir}/%{name}/%{name}.png

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -p -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{house}-%{name}.desktop


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Sun Jan 12 2014 RPMBuilder <> 0.0-3
- Modernized dependency filters
- Various minor clean ups
- Unbundled SDL2

* Sun Jun 30 2013 RPMBuilder <> 0.0-2
- Updated to latest binary release

* Sun Jun 02 2013 RPMBuilder <> 0.0-1
- Initial Release
