# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure this RPM is not a dependency provider
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# The software house
%global house imageform


Name:           steamworld-dig
Version:        1.10
Release:        1
Summary:        A platform mining adventure with strong Metroidvanian influences
Group:          Amusements/Games
License:        Commercial
URL:            http://steamworldgames.com/dig/
# de6ff6273c4e397413d852472d51e788  SteamWorldDig_linux_1393468453.tar.gz
Source0:        SteamWorldDig_linux_1393468453.tar.gz
NoSource:       0
BuildRequires:  chrpath
BuildRequires:  desktop-file-utils
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686

%description
SteamWorld Dig is a platform mining adventure with strong Metroidvanian
influences. Take the role of Rusty, a lone mining steambot, as he arrives at an
old mining town in great need. Dig your way through the old earth, gaining
riches while uncovering the ancient threat that lurks below...


%prep
%setup -qcn %{name}-%{version}
# Some permission fixes
find SteamWorldDig -type d -exec chmod 0755 {} \;
find SteamWorldDig -type f -exec chmod 0644 {} \;

# Strip the rpath. We still continue even if it fails because partly it's
# not critical but also because building the 32bit RPM on a 64bit system
# only has access to the 64bit version of chrpath, we cannot strip 32bit
# binaries. But in all other scenarios it should work without issue
chrpath -d SteamWorldDig/SteamWorldDig || :

# Fix some EOL encodings
sed -i 's/\r//' SteamWorldDig/readme.txt SteamWorldDig/Licenses/{pugixml.txt,SDL.txt,zlib.txt}


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=SteamWorld Dig
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;AdventureGame;
EOF


# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{name} >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/applications \
         %{buildroot}%{_datadir}/%{name}

cp -a SteamWorldDig/BundlePC %{buildroot}%{_datadir}/%{name}
install -p -m0755 SteamWorldDig/SteamWorldDig %{buildroot}%{_datadir}/%{name}/%{name}
install -p -m0644 SteamWorldDig/icon.png %{buildroot}%{_datadir}/%{name}/%{name}.png

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -p -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{house}-%{name}.desktop


%files
%defattr(-,root,root,-)
%doc SteamWorldDig/readme.txt SteamWorldDig/Licenses/*
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Sun Sep 28 2014 RPMBuilder <> 1.10-1
- Initial Release
