# IMPORTANT NOTES
#
# 1. You are only entitled to install this RPM if you bought the game
# 2. The "source" actually includes pre-built 32bit and 64bit binaries
# 3. rpmbuild -bb <specfile>

# CAUTION: BUILDING THIS RPM REQUIRES A LARGE AMOUNT OF STORAGE. ENSURE YOU
# HAVE AT LEAST 7GB FREE WHERE YOUR RPMBUILD DIRECTORIES ARE LOCATED

# We don't want this RPM to be a provider for anything it's bundled with,
# although we remove bundles where practical
AutoProv: no

# Disable rpath checking. Little we can do with closed source
%define __arch_install_post /usr/lib/rpm/check-buildroot

%ifarch x86_64
%define namearch %{name}64
%else
%define namearch %{name}
%endif

Name:           steelstorm
Version:        2.00.02818
Release:        1%{?dist}
Summary:        3D warfare shooter
Group:          Amusements/Games
License:        Commercial
URL:            http://www.steel-storm.com/
# dc3e88ac4efd12e88037af140aa803ca  steelstorm-br-2.00.02818-release.tar.gz
Source0:        %{name}-br-%{version}-release.tar.gz
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       pulseaudio-utils%{?_isa}
Provides:       config(%{name}) = %{version}-%{release}
BuildArch:      i686 x86_64


%description
Steel Storm is an old school top down arcade shooter with score oriented
competitive game-play, and is designed for people who like fast paced action
and have limited amounts of time to play computer games.

The events take place in an alternative universe where you control an advanced
hover-tank, packed with the most advanced and sophisticated weapons. Your task
is simple, but, nevertheless, is not trivial. In the fight with presumed
extraterrestrial invaders, you must prevail!


%prep
%setup -qcn %{name}-%{version}

# Move for later
mv steelstorm/{license.txt,gpl-2.txt} .

# Clean up
%ifarch x86_64
rm -f %{name}/{engine_source.zip,%{name},%{name}-dedicated}
%else
rm -f %{name}/{engine_source.zip,%{name}64,%{name}64-dedicated}
%endif


%build
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
%ifarch x86_64
Name=SteelStorm: Burning Retribution (64bit)
%else
Name=SteelStorm: Burning Retribution (32bit)
%endif
Comment=%{summary}
Exec=%{namearch}
Icon=%{_datadir}/%{namearch}/icons/ss_ep2_icon_48.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF

# Create the wrapper script for the game
cat >%{namearch}.wrapper <<EOF
#!/bin/bash
# Wrapper script to launch the game
pushd %{_datadir}/%{namearch} >/dev/null
./%{namearch} $*
popd >/dev/null
EOF

# Create the wrapper script for the dedicated server
cat >%{namearch}-dedicated.wrapper <<EOF
#!/bin/bash
# Wrapper script to launch the dedicated server
pushd %{_datadir}/%{namearch} >/dev/null
./%{namearch}-dedicated $*
popd >/dev/null
EOF


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/%{namearch}
mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_sysconfdir}/%{name}
mv %{name}/gamedata/*.cfg %{buildroot}%{_sysconfdir}/%{name}
cp -a %{name}/* %{buildroot}%{_datadir}/%{namearch}

pushd %{buildroot}%{_datadir}/%{namearch}/gamedata >/dev/null
ln -s ../../../../%{_sysconfdir}/%{name}/server.cfg
ln -s ../../../../%{_sysconfdir}/%{name}/server_ctf.cfg
ln -s ../../../../%{_sysconfdir}/%{name}/server_dm.cfg
popd

desktop-file-install --vendor kot \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

install -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}
install -m0755 %{namearch}-dedicated.wrapper %{buildroot}%{_bindir}/%{namearch}-dedicated


%files
%defattr(-,root,root,-)
%doc license.txt gpl-2.txt
%{_bindir}/%{namearch}
%{_bindir}/%{namearch}-dedicated
%{_datadir}/%{namearch}/
%{_datadir}/applications/kot-%{namearch}.desktop
%config(noreplace) %{_sysconfdir}/%{name}


%changelog
* Tue Nov 29 2011 RPMBuilder <> 2.01-1%{?dist}
- Initial Release
