# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# CAUTION: BUILDING THIS RPM REQUIRES A LARGE AMOUNT OF STORAGE. ENSURE YOU
# HAVE AT LEAST 5GB FREE WHERE YOUR RPMBUILD DIRECTORIES ARE LOCATED

# Ensure this RPM is not a dependency provider, as we do not want to any bundled
# items to provide dependencies, although we remove bundles where possible
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# This package contains mixed binaries so set up some macros
%ifarch x86_64
%global namearch %{name}64
%else
%global namearch %{name}
%endif

# The software house
%global house kot


Name:           steelstorm
Version:        2.00.02818
Release:        3
Summary:        3D warfare shooter
Group:          Amusements/Games
License:        Commercial
URL:            http://www.steel-storm.com
# dc3e88ac4efd12e88037af140aa803ca  steelstorm-br-2.00.02818-release.tar.gz
Source0:        %{name}-br-%{version}-release.tar.gz
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       libcurl%{?_isa}
Requires:       mesa-libGL%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
Provides:       config(%{name}) = %{version}-%{release}
ExclusiveArch:  i686 x86_64

%description
Steel Storm is an old school top down arcade shooter with score oriented
competitive game-play, and is designed for people who like fast paced action
and have limited amounts of time to play computer games.

The events take place in an alternative universe where you control an advanced
hover-tank, packed with the most advanced and sophisticated weapons. Your task
is simple, but, nevertheless, is not trivial. In the fight with presumed
extraterrestrial invaders, you must prevail!


%prep
%setup -qcn %{name}-%{version}

# Move for later
mv %{name}/{license.txt,gpl-2.txt} .

# Clean up
%ifarch x86_64
rm -f %{name}/{engine_source.zip,%{name},%{name}-dedicated}
%else
rm -f %{name}/{engine_source.zip,%{name}64,%{name}64-dedicated}
%endif


%build
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
%ifarch x86_64
Name=SteelStorm: Burning Retribution (64bit)
%else
Name=SteelStorm: Burning Retribution (32bit)
%endif
Comment=%{summary}
Exec=%{namearch}
Icon=%{_datadir}/%{namearch}/icons/ss_ep2_icon_48.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF


# Create the wrapper for /usr/bin
cat >%{namearch}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{namearch} >/dev/null
./%{namearch} "\$@"
popd >/dev/null
EOF


# Create the wrapper script for the dedicated server
cat >%{namearch}-dedicated.wrapper <<EOF
#!/bin/bash
# Wrapper script to launch the dedicated server
pushd %{_datadir}/%{namearch} >/dev/null
./%{namearch}-dedicated "\$@"
popd >/dev/null
EOF


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{namearch} \
         %{buildroot}%{_datadir}/applications \
         %{buildroot}%{_sysconfdir}/%{name}

mv %{name}/gamedata/*.cfg %{buildroot}%{_sysconfdir}/%{name}
cp -a %{name}/* %{buildroot}%{_datadir}/%{namearch}

pushd %{buildroot}%{_datadir}/%{namearch}/gamedata >/dev/null
ln -s ../../../../%{_sysconfdir}/%{name}/server.cfg
ln -s ../../../../%{_sysconfdir}/%{name}/server_ctf.cfg
ln -s ../../../../%{_sysconfdir}/%{name}/server_dm.cfg
popd

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

install -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}
install -m0755 %{namearch}-dedicated.wrapper %{buildroot}%{_bindir}/%{namearch}-dedicated


%files
%defattr(-,root,root,-)
%doc license.txt gpl-2.txt
%{_bindir}/%{namearch}
%{_bindir}/%{namearch}-dedicated
%{_datadir}/%{namearch}/
%{_datadir}/applications/%{house}-%{namearch}.desktop
%config(noreplace) %{_sysconfdir}/%{name}


%changelog
* Sun Apr 01 2013 RPMBuilder <> 2.00.02818-3
- Added missing dependency on mesa-libGL
- Added missing dependency on libcurl

* Fri Mar 02 2012 RPMBuilder <> 2.00.02818-2
- Disable building a debuginfo package under any circumstances
- Convert defines to globals
- Added house global
- Fixed argument passing for the wrapper script. Was being filtered by RPM

* Tue Nov 29 2011 RPMBuilder <> 2.00.02818-1
- Initial Release
