# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# SPEC Notes
# 1. Icon must be present and called 'SuperHexagon.png' or game will crash
# 2. libGLEW.so.1.6 must be un-prelinked are RPM will fail to install

# Ensure this RPM is not a dependency provider
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to filter some requires
%global __requires_exclude ^libGLEW\\.so\\.1\\.6

# This package contains mixed binaries so set up some macros
%ifarch x86_64
%global namearch %{name}64
%else
%global namearch %{name}32
%endif

# The software house
%global house tcavanagh


Name:           super-hexagon
Version:        1.5
Release:        4
Summary:        A minimal action game
Group:          Amusements/Games
License:        Commercial
URL:            http://www.superhexagon.com
# 70905a7a091e0f6237d1eea82a82df19  superhexagon-10272014-bin
Source0:        superhexagon-10272014-bin
NoSource:       0
BuildRequires:  desktop-file-utils
BuildRequires:  prelink
Requires:       libXcursor%{?_isa}
Requires:       libXinerama%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       libXScrnSaver%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686 x86_64

%description
A minimal action game and IGF 2013 finalist


%prep
%setup -Tqcn %{name}-%{version}
echo "YOU CAN INGORE THE WARNING: extra bytes at beginning or within zipfile"
true `unzip -qq %{SOURCE0}`

find data -type d -exec chmod 0755 '{}' \;
find data -type f -exec chmod 0644 '{}' \;

# Move for later and fix some encodings
mv data/data/license.txt .
sed -i 's/\r//' license.txt


%build
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
%ifarch x86_64
Name=Super Hexagon (64bit)
%else
Name=Super Hexagon (32bit)
%endif
Comment=%{summary}
Exec=%{namearch}
Icon=%{_datadir}/%{namearch}/SuperHexagon.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF

# Create the wrapper for /usr/bin
cat >%{namearch}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{namearch}/ >/dev/null

# Binary must be called from parent dir, or it will crash
%ifarch x86_64
export LD_LIBRARY_PATH=%{_datadir}/%{namearch}/x86_64
./x86_64/%{name} "\$@"
%else
export LD_LIBRARY_PATH=%{_datadir}/%{namearch}/x86
./x86/%{name} "\$@"
%endif
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{namearch} \
         %{buildroot}%{_datadir}/applications 

cp -a data/data %{buildroot}%{_datadir}/%{namearch}
# Icon must have this exact name or game will crash
install -p -m0644 data/SuperHexagon.png %{buildroot}%{_datadir}/%{namearch}

%ifarch x86_64
mkdir -p %{buildroot}%{_datadir}/%{namearch}/x86_64
install -p -m0755 data/x86_64/superhexagon.x86_64 %{buildroot}%{_datadir}/%{namearch}/x86_64/%{name}
prelink -u data/x86_64/libGLEW.so.1.6
install -p -m0755 data/x86_64/libGLEW.so.1.6 %{buildroot}%{_datadir}/%{namearch}/x86_64
%else
mkdir -p %{buildroot}%{_datadir}/%{namearch}/x86
install -p -m0755 data/x86/superhexagon.x86 %{buildroot}%{_datadir}/%{namearch}/x86/%{name}
prelink -u data/x86/libGLEW.so.1.6
install -p -m0755 data/x86/libGLEW.so.1.6 %{buildroot}%{_datadir}/%{namearch}/x86
%endif

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

install -p -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{house}-%{namearch}.desktop


%files
%defattr(-,root,root,-)
%doc data/Linux.README license.txt
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/%{house}-%{namearch}.desktop


%changelog
* Mon Nov 10 2014 RPMBuilder <> 1.5-4
- Upgraded to latest binary release

* Sun Jul 27 2014 RPMBuilder <> 1.5-3
- Upgraded to latest binary release

* Sat Jan 11 2014 RPMBuilder <> 1.5-2
- Modernize dependency filters
- Various minor cleanups

* Fri Mar 22 2013 RPMBuilder <> 1.5-1
- Initial Release
