# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure this RPM is not a dependency provider
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to filter some requires
%global __requires_exclude ^libGLEW\\.so\\.1\\.6

# This package contains mixed binaries so set up some macros
%ifarch x86_64
%global namearch %{name}64
%else
%global namearch %{name}32
%endif

# The software house
%global house tcavanagh


Name:           super-hexagon
Version:        1.5
Release:        2
Summary:        A minimal action game
Group:          Amusements/Games
License:        Commercial
URL:            http://www.superhexagon.com
# 88d3e9a08622b2edc419ae485c71742d  super-hexagon-linux-15-bin
Source0:        %{name}-linux-15-bin
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       libXcursor%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
BuildRequires:  prelink
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686 x86_64

%description
A minimal action game and IGF 2013 finalist


%prep
%setup -Tqcn %{name}-%{version}
echo "YOU CAN INGORE THE WARNING: extra bytes at beginning or within zipfile"
true `unzip -qq %{SOURCE0}`

# Move for later and fix some encodings
mv data/data/license.txt .
sed -i 's/\r//' license.txt


%build
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
%ifarch x86_64
Name=Super Hexagon (64bit)
%else
Name=Super Hexagon (32bit)
%endif
Comment=%{summary}
Exec=%{namearch}
Icon=%{_datadir}/%{namearch}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF

# Create the wrapper for /usr/bin
cat >%{namearch}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
export LD_LIBRARY_PATH=%{_datadir}/%{namearch}/%{_lib}
pushd %{_datadir}/%{namearch} >/dev/null
./%{namearch} "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{namearch}/%{_lib} \
         %{buildroot}%{_datadir}/applications

%ifarch x86_64
install -p -m0755 data/x86_64/superhexagon.x86_64 %{buildroot}%{_datadir}/%{namearch}/%{namearch}
prelink -u data/x86_64/libGLEW.so.1.6
install -p -m0755 data/x86_64/libGLEW.so.1.6 %{buildroot}%{_datadir}/%{namearch}/%{_lib}
%else
install -p -m0755 data/x86/superhexagon.x86 %{buildroot}%{_datadir}/%{namearch}/%{namearch}
prelink -u data/x86/libGLEW.so.1.6
install -p -m0755 data/x86/libGLEW.so.1.6 %{buildroot}%{_datadir}/%{namearch}/%{_lib}
%endif

install -p -m0644 data/SuperHexagon.png %{buildroot}%{_datadir}/%{namearch}/%{name}.png
cp -a data/data %{buildroot}%{_datadir}/%{namearch}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

install -p -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{house}-%{namearch}.desktop


%files
%defattr(-,root,root,-)
%doc data/Linux.README license.txt
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/%{house}-%{namearch}.desktop


%changelog
* Sat Jan 11 2014 RPMBuilder <> 1.5-2
- Modernize dependency filters
- Various minor cleanups

* Fri Mar 22 2013 RPMBuilder <> 1.5-1
- Initial Release
