# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure this RPM is not a dependency provider
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# This package contains mixed binaries so set up some macros
%ifarch x86_64
%global namearch %{name}64
%else
%global namearch %{name}32
%endif

%global __requires_exclude ^libSDL2-2\\.0\\.so\\.0|^libsteam_api\\.so|^libmariadb\\.so\\.1

# The software house
%global house teammeat


Name:           super-meat-boy
Version:        11112013
Release:        1
Epoch:          1
Summary:        Brutally difficult twitch reflex platformer
Group:          Amusements/Games
License:        Commercial
URL:            http://www.supermeatboy.com
# fc024d757395eebfdee342571671332b  supermeatboy-linux-11112013-bin
Source0:        supermeatboy-linux-%{version}-bin
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       libXcursor%{?_isa}
Requires:       libXinerama%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       libXScrnSaver%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       mesa-libGL%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686 x86_64

%description
Super Meat Boy is a tough as nails platformer where you play as an animated cube
of meat who's trying to save his girlfriend (who happens to be made of
bandages) from an evil fetus in a jar wearing a tux. Our meaty hero will leap
from walls, over seas of buzz saws, through crumbling caves and pools of old
needles. Sacrificing his own well being to save his damsel in distress.


%prep
%setup -Tqcn %{name}-%{version}
# We are actually unpacking a mojo setup binary here. We need to force a true
# result so rpm does not fail as zip warns about superfluous data at the
# start and returns a non-zero result. That warning can be ignored.
echo "YOU CAN INGORE THE WARNING: extra bytes at beginning or within zipfile"
true `unzip -qq %{SOURCE0}`


%build
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
%ifarch x86_64
Name=Super Meat Boy (64bit)
%else
Name=Super Meat Boy (32bit)
%endif
Comment=%{summary}
Exec=%{namearch}
Icon=%{_datadir}/%{namearch}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ArcadeGame;
EOF

# Create the wrapper for /usr/bin
cat >%{namearch}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{namearch}/bin >/dev/null
./%{namearch} "\$@"
popd >/dev/null
EOF


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{house}-%{namearch}.desktop


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{namearch}/bin \
         %{buildroot}%{_datadir}/applications

%ifarch x86_64
install -m0755 data/amd64/SuperMeatBoy %{buildroot}%{_datadir}/%{namearch}/bin/%{namearch}
install -m0755 data/amd64/lib{mariadb.so.1,SDL2-2.0.so.0,steam_api.so} %{buildroot}%{_datadir}/%{namearch}/bin
%else
install -m0755 data/x86/SuperMeatBoy %{buildroot}%{_datadir}/%{namearch}/bin/%{namearch}
install -m0755 data/x86/lib{mariadb.so.1,SDL2-2.0.so.0,steam_api.so} %{buildroot}%{_datadir}/%{namearch}/bin
%endif

install -m0644 data/{buttonmap.cfg,gameaudio.dat,gamedata.dat,locdb.txt} %{buildroot}%{_datadir}/%{namearch}
install -m0644 data/supermeatboy.png %{buildroot}%{_datadir}/%{namearch}/%{name}.png
cp -a data/{Levels,resources} %{buildroot}%{_datadir}/%{namearch}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

install -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}


%files
%defattr(-,root,root,-)
%doc data/README-linux.txt
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/%{house}-%{namearch}.desktop


%changelog
* Sun Nov 17 2013 RPMBuilder <> - 1:11112013-1
- Upgrade to latest binary release
- Major changes to SPEC as now built against SDL2

* Sat Sep 22 2012 RPMBuilder <> - 1:06072012-1
- Upgrade to new upstream bin package
- Unfortunately had to use epoch due to upstream naming
- Strip rpath

* Tue Jun 05 2012 RPMBuilder <> - 12132011b-1
- Initial Release
