# You are only entitled to install this RPM if you bought the game

# Ensure this RPM is not a dependency provider, as we do not want to any bundled
# items to provide dependencies, although we remove bundles where possible
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# This package contains mixed binaries so set up some macros
%ifarch x86_64
%global namearch %{name}64
%else
%global namearch %{name}32
%endif

# The software house
%global house teammeat


Name:           super-meat-boy
Version:        06072012
Release:        1
Epoch:          1
Summary:        Brutally difficult twitch reflex platformer
Group:          Amusements/Games
License:        Commercial
URL:            http://www.supermeatboy.com
# 90a563ff103b4610b41af5fd2bccb21a  supermeatboy-linux-06072012-bin
Source0:        supermeatboy-linux-%{version}-bin
NoSource:       0
BuildRequires:  chrpath
BuildRequires:  desktop-file-utils
Requires:       mesa-libGL%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686 x86_64

%description
Super Meat Boy is a tough as nails platformer where you play as an animated cube
of meat who's trying to save his girlfriend (who happens to be made of
bandages) from an evil fetus in a jar wearing a tux.

Our meaty hero will leap from walls, over seas of buzz saws, through crumbling
caves and pools of old needles. Sacrificing his own well being to save his
damsel in distress.


%prep
%setup -Tqcn %{name}-%{version}

# We are actually unpacking a mojo setup binary here. We need to force a true
# result so rpm does not fail as zip warns about superfluous data at the
# start and returns a non-zero result. That warning can be ignored.
echo "YOU CAN INGORE THE WARNING: extra bytes at beginning or within zipfile"
true `unzip -qq %{SOURCE0}`

# Strip the rpath. We still continue even if it fails because partly it's
# not critical but also because building the 32bit RPM on a 64bit system
# only has access to the 64bit version of chrpath, we cannot strip 32bit
# binaries. But in all other scenarios it should work without issue
%ifarch x86_64
chrpath -d data/amd64/SuperMeatBoy-amd64 || :
%else
chrpath -d data/x86/SuperMeatBoy-x86 || :
%endif


%build
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
%ifarch x86_64
Name=Super Meat Boy (64bit)
%else
Name=Super Meat Boy (32bit)
%endif
Comment=%{summary}
Exec=%{namearch}
Icon=%{_datadir}/%{namearch}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ArcadeGame;
EOF

# Create the wrapper for /usr/bin
cat >%{namearch}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{namearch} >/dev/null
./%{namearch} "\$@"
popd >/dev/null
EOF


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{namearch} \
         %{buildroot}%{_datadir}/applications

%ifarch x86_64
install -m0755 data/amd64/SuperMeatBoy-amd64 %{buildroot}%{_datadir}/%{namearch}/%{namearch}
%else
install -m0755 data/x86/SuperMeatBoy-x86 %{buildroot}%{_datadir}/%{namearch}/%{namearch}
%endif

install -m0644 data/{buttonmap.cfg,gameaudio.dat,gamedata.dat,locdb.txt} %{buildroot}%{_datadir}/%{namearch}
install -m0644 data/supermeatboy.png %{buildroot}%{_datadir}/%{namearch}/%{name}.png
cp -a data/{Levels,resources} %{buildroot}%{_datadir}/%{namearch}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

install -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}


%files
%defattr(-,root,root,-)
%doc data/README-linux.txt
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/%{house}-%{namearch}.desktop


%changelog
* Sat Sep 22 2012 RPMBuilder <> - 1:06072012-1
- Upgrade to new upstream bin package
- Unfortunately had to use epoch due to upstream naming
- Strip rpath

* Tue Jun 05 2012 RPMBuilder <> - 12132011b-1
- Initial Release
