# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# We don't want this RPM to be a provider for anything it's bundled with
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. Little we can do with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to exclude some requires as they are bundled.
%global __requires_exclude ^libfmode.*|^libcurl\\.so|liblua5\\.1\\.so

# The software house
%global house superbrothers


Name:           swordandsworcery
Version:        1.02
Release:        2
Summary:        Exploratory action adventure game
Group:          Amusements/Games
License:        Commercial
URL:            http://www.swordandsworcery.com
# 2ede02c0552baeb12979bf9a68fdf399  swordandsworcery_1.02.tar.gz
Source0:        %{name}_%{version}.tar.gz
Source1:        %{name}.png
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       libcurl-devel%{?_isa}
Requires:       libXcursor%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       mesa-libGL%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686

%description
Sword & Sworcery EP is an exploratory action adventure with an emphasis on
audiovisual style. Traverse a mythic little realm, use a sword to do battle and
evoke sworcery to solve mystical musical mysteries. Co-operate with friends via
Twitter, experience a videogame world that is affected by moon phases and help
a wandering warrior monk complete her woeful errand.


%prep
%setup -qcn %{name}-%{version}
# Remove some bundled libs
rm -f %{_lib}/lib{curl.so,SDL-1.2.so.0,stdc++.so.6,stdc++.so.6.0.16}


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=Sword & Sworcery
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF

# Create the wrappers for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
# Game requires log directory to exist
if [ -d "\${HOME}" ] ; then
    if [ ! -e "\${HOME}/.capy/SwordAndSworcery" ] ; then
        mkdir -p "\${HOME}/.capy/SwordAndSworcery"
    fi
fi

# Choose a display for multi monitor setups
export SDL_VIDEO_FULLSCREEN_DISPLAY=0

# Needs this to find its own libraries
export LD_LIBRARY_PATH="%{_datadir}/%{name}/lib":"\$LD_LIBRARY_PATH"

pushd %{_datadir}/%{name}/bin >/dev/null
./%{name} "\$@" 2>&1 | tee -a "\${HOME}/.capy/SwordAndSworcery/log.txt"
popd >/dev/null
EOF


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{house}-%{name}.desktop


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/applications \
         %{buildroot}%{_datadir}/%{name}

cp -a bin %{_lib} res %{buildroot}%{_datadir}/%{name}
install -p -m0644 %{SOURCE1} %{buildroot}%{_datadir}/%{name}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -p -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%files
%defattr(-,root,root,-)
%doc eula.txt lgpl-3.0.txt README.html
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Sat Dec 28 2013 RPMBuilder <> 1.02-2
- Modernized RPM filters
- Various minor cleanups
- Bundle liblua as newer Fedoras have a different version

* Sat Sep 29 2012 RPMBuilder <> 1.02-1
- Initial Release
