# * You are only entitled to install this RPM if you bought the game

# Ensure this RPM is not a dependency provider, as we do not want to any bundled
# items to provide dependencies, although we remove bundles where possible
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# The software house
%global house ronimo

# Regularised name
%global rname swordsandsoldiers


Name:           swordsandsoldiers32
Version:        20120325
Release:        1
Summary:        Highly entertaining strategy game
Group:          Amusements/Games
License:        Commercial
URL:            http://www.swordsandsoldiers.com
# 52fe87a6fa6bb331eed057f0ebf73da5  swordsandsoldiers-20120325-i386.tar.gz
Source0:        %{rname}-%{version}-i386.tar.gz
NoSource:       0
BuildRequires:  chrpath
BuildRequires:  desktop-file-utils
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686

%description
Strategic fun like you've never seen before!
Command Aztecs, Vikings and Chinese in 30 missions!
Compete in ruthless online multi player matches!
Endlessly challenging single player skirmish battles!
Vibrant HD graphics!


%prep
%setup -qcn %{name}-%{version}

# Strip the rpath. We still continue even if it fails because partly it's
# not critical but also because building the 32bit RPM on a 64bit system
# only has access to the 64bit version of chrpath, we cannot strip 32bit
# binaries. But in all other scenarios it should work without issue
chrpath -d %{rname}/SwordsAndSoldiers.bin || :
chrpath -d %{rname}/SwordsAndSoldiersSetup.bin || :


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Swords & Soldiers (32bit)
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;StrategyGame;
EOF

cat >%{name}setup.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Swords & Soldiers Setup (32bit)
Comment=Setup Swords & Soldiers configuration
Exec=%{name}setup
Icon=%{_datadir}/%{name}/%{name}setup.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;StrategyGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{name} >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF

# Create the setup wrapper for /usr/bin
cat >%{name}setup.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{name} >/dev/null
./%{name}setup "\$@"
popd >/dev/null
EOF


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/applications \
         %{buildroot}%{_datadir}/%{name}

install -m0755 %{rname}/SwordsAndSoldiers.bin %{buildroot}%{_datadir}/%{name}/%{name}
install -m0755 %{rname}/SwordsAndSoldiersSetup.bin %{buildroot}%{_datadir}/%{name}/%{name}setup
install -m0644 %{rname}/SwordsAndSoldiers.png %{buildroot}%{_datadir}/%{name}/%{name}.png
install -m0644 %{rname}/SwordsAndSoldiersSetup.png %{buildroot}%{_datadir}/%{name}/%{name}setup.png
cp -a %{rname}/Data %{buildroot}%{_datadir}/%{name}

pushd %{buildroot}%{_datadir}/%{name} >/dev/null
ln -s %{name} SwordsAndSoldiers.bin.x86
ln -s %{name}setup Setup.bin.x86
popd >/dev/null

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}setup.desktop

install -m 0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}
install -m 0755 %{name}setup.wrapper %{buildroot}%{_bindir}/%{name}setup


%files
%defattr(-,root,root,-)
%doc %{rname}/README.linux
%{_bindir}/%{name}
%{_bindir}/%{name}setup
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop
%{_datadir}/applications/%{house}-%{name}setup.desktop


%changelog
* Sat Mar 31 2012 RPMBuilder <> 20120325-1
- Initial Release
