# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure this RPM is not a dependency provider
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# Don't require bundled libraries
%global __requires_exclude ^libmono-2\\.0\\.so\\.1|^libfmodex-4\\.44\\.20\\.so

# This package contains mixed binaries so set up some macros
%ifarch x86_64
%global namearch %{name}64
%else
%global namearch %{name}32
%endif

# The software house
%global house emptyclip


Name:           symphony
Version:        0.0
Release:        1
Summary:        Your music creates the game
Group:          Amusements/Games
License:        Commercial
URL:            http://www.symphonygame.com
# 9218c0b803baf90c34bed2ac1501efa6  Symphony-Linux-2014-07-15.sh
Source0:        Symphony-Linux-2014-07-15.sh
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       libXcursor%{?_isa}
Requires:       libXinerama%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       libXScrnSaver%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686 x86_64

%description
Every song has a unique emotion, sound and rhythm and we wanted the gameplay to
capture that as fully as possible. When your music gets intense or calmer, so
does the gameplay. Enemies appear and shoot on the beat of the music. Some
weapons are music-driven. Each song has its personality and it directly
translates into gameplay. In Symphony, each song in your collection not only
becomes a unique level, but also provides you with an item you can equip and
challenges you with score targets to reach. As you progress through the game,
you unlock new difficulty levels, new items and abilities! This means you have
many reasons to play your favorite song over and over.


%prep
%setup -Tqcn %{name}-%{version}
echo "YOU CAN INGORE THE WARNING: extra bytes at beginning or within zipfile"
true `unzip -qq %{SOURCE0}`

# Fix non standard dir permissions
find data -type d -exec chmod 0755 {} \;
find data -type f -exec chmod 0644 {} \;

%ifarch x86_64
rm -rf data/{x86,x86_64/%{_lib}/libSDL2-2.0.so.0}
chmod 0755 data/x86_64/{Symphony.bin.x86_64,%{_lib}/libfmodex-4.44.20.so}
%else
rm -rf data/{x86_64,x86/%{_lib}/libSDL2-2.0.so.0}
chmod 0755 data/x86/{Symphony.bin.x86,%{_lib}/libfmodex-4.44.20.so}
%endif

# Move for later
mv data/noarch/README.linux .


%build
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
%ifarch x86_64
Name=Symphony (64bit)
%else
Name=Symphony (32bit)
%endif
Comment=%{summary}
Exec=%{namearch}
Icon=%{_datadir}/%{namearch}/Symphony.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF

# Create the wrapper for /usr/bin
cat >%{namearch}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{namearch} >/dev/null
%ifarch x86_64
./Symphony.bin.x86_64 "\$@"
%else
./Symphony.bin.x86 "\$@"
%endif
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{namearch} \
         %{buildroot}%{_datadir}/applications

cp -a data/noarch/*  %{buildroot}%{_datadir}/%{namearch}

%ifarch x86_64
cp -a data/x86_64/* %{buildroot}%{_datadir}/%{namearch}
%else
cp -a data/x86/* %{buildroot}%{_datadir}/%{namearch}
%endif

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

install -p -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{house}-%{namearch}.desktop


%files
%defattr(-,root,root,-)
%doc README.linux
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/%{house}-%{namearch}.desktop


%changelog
* Sun Aug 03 2014 RPMBuilder <> - 0.0-1
- Initial Release
