# You are only entitled to install this RPM if you bought the game

# CAUTION: BUILDING THIS RPM REQUIRES A LARGE AMOUNT OF STORAGE. ENSURE YOU
# HAVE AT LEAST 5GB FREE WHERE YOUR RPMBUILD DIRECTORIES ARE LOCATED

# Ensure this RPM is not a dependency provider, as we do not want to any bundled
# items to provide dependencies, although we remove bundles where possible
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# Disable stripping as the comment note fields are (mis)used
%global __os_install_post %{nil}

# The software house
%global house edflo


Name:           the-basement-collection
Version:        0.0
Release:        1
Summary:        Compilation of 9 indie games by Edmund McMillen
Group:          Amusements/Games
License:        Commercial
URL:            http://store.steampowered.com/app/214790/
# d409e8ac872b34ccfb5810c3a62d78cb  the_basement_collection-linux.tar.gz
Source0:        the_basement_collection-linux.tar.gz
Source1:        %{name}.png
NoSource:       0
BuildRequires:  desktop-file-utils
# Ensure at least one browser is installed. This game also requires a flash
# plugin but there's many ways to get flash so we leave it up to the
# browser to warn.
Requires:       webclient
Requires:       xdg-utils
BuildArch:      noarch

%description
The Basement Collection is a compilation of 9 award winning indie games by
Edmund McMillen, creator of Super Meat Boy and The Binding of Isaac. All of the
games featured in the collection have been revamped and updated, featuring
bonus chapters, new music, art and other extras.


%prep
%setup -qcn %{name}-%{version}


%build
# Sane desktop file
cat >%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=The Basement Collection
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;LogicGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
#
# Launch the game in a browser. We use xdg-open so it uses the preferred
# browser. This can be overridden for this game by placing a variable in
# the file \${HOME}/.%{name}-browser of the form
# export BROWSER=<mybrowser>

if [ -f "\${HOME}/.%{name}-browser" ] ; then
    source "\${HOME}/.%{name}-browser"
fi

if [ -n "\${BROWSER}" ] ; then
    \${BROWSER} %{_datadir}/%{name}/BasementCollection.html &
else
    xdg-open %{_datadir}/%{name}/BasementCollection.html &
fi
EOF


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{name} \
         %{buildroot}%{_datadir}/applications

cp -a The\ Basement\ Collection/* %{buildroot}%{_datadir}/%{name}
install -m0644 %{SOURCE1} %{buildroot}%{_datadir}/%{name}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Mon Feb 11 2013 RPMBuilder <> 0.0-1
- Initial RPM Release
