# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure we do not become a provider of anything bundled in this RPM
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to exclude some requires as they are bundled.
%global __requires_exclude ^libmono\\.so

# The software house
%global house quantumastro


Name:           the-bridge
Version:        0.0
Release:        1
Summary:        2D Logic puzzle game
Group:          Amusements/Games
License:        Commercial
URL:            http://thebridgeisblackandwhite.com
# 6d3f5e7ff8d10d47f04ffabb8b9a031e  TheBridgeLinux_1410196636.zip
Source0:        TheBridgeLinux_1410196636.zip
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686

%description
The Bridge is a 2D logic puzzle game that forces the player to reevaluate their
preconceptions of physics and perspective. It is Isaac Newton meets
M. C. Escher. Manipulate gravity to redefine the ceiling as the floor while
venturing through impossible architectures. Explore increasingly difficult
worlds, each uniquely detailed and designed to leave the player with a
pronounced sense of intellectual accomplishment. The Bridge exemplifies games
as an art form, with beautifully hand-drawn art in the style of a
black-and-white lithograph. 


%prep
%setup -qcn %{name}-%{version}
find TheBridgeLinux/TheBridge/TheBridge_Data -type d -exec chmod 0755 '{}' \;
find TheBridgeLinux/TheBridge/TheBridge_Data -type f -exec chmod 0644 '{}' \;
chmod 0755 TheBridgeLinux/TheBridge/TheBridge.x86 TheBridgeLinux/TheBridge/TheBridge_Data/{Plugins/x86/*.so,Mono/x86/libmono.so}


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=The Bridge
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;LogicGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
# Game must be launched from the cwd
pushd %{_datadir}/%{name} >/dev/null
./TheBridge.x86 "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{name} \
         %{buildroot}%{_datadir}/applications

cp -a TheBridgeLinux/TheBridge/TheBridge_Data %{buildroot}%{_datadir}/%{name}
install -p -m0755 TheBridgeLinux/TheBridge/TheBridge.x86 %{buildroot}%{_datadir}/%{name}
install -p -m0644 TheBridgeLinux/TheBridge/TheBridge_Data/Resources/UnityPlayer.png \
                  %{buildroot}%{_datadir}/%{name}/%{name}.png

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -p -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{house}-%{name}.desktop


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Sun Sep 28 2014 RPMBuilder <> 0.0-1
- Initial Release
