# You are only entitled to install this RPM if you bought the game
# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.

# Ensure this RPM is not a dependency provider, as we do not want to any bundled
# items to provide dependencies, although we remove bundles where possible
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# The software house
%global house mikebithell


Name:           thomas-was-alone
Version:        0.0
Release:        1
Summary:        A puzzle platformer with a fondness for parallelograms
Group:          Amusements/Games
License:        Commercial
URL:            http://www.thomaswasalone.com
# e7f8e766188718e16880b1137c430f35  thomaswasalone-linux-1369349552.tar
Source0:        thomaswasalone-linux-1369349552.tar
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686

%description
It's hip to be a square (or any other kind of parallelogram) in Thomas Was
Alone, a minimalistic puzzle platformer. Start out as Thomas, a red rectangle,
then fall and jump through 100 levels as you discover new friends along the
way. You'll run into John, a tall, lanky, and helpful yellow rectangle, Sarah,
a pint-sized curious purple rectangle with a powerful double jump and more, as
you fall in love with the characters in this simple but endearing game of
quadrilaterals.


%prep
%setup -qcn %{name}-%{version}

# Fix non standard dir permissions
find thomasLinuxStandalone -type d -exec chmod 0755 {} \;


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Thomas Was Alone
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;LogicGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{name} >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{name} \
         %{buildroot}%{_datadir}/applications

cp -a thomasLinuxStandalone/thomasWasAlone_Data \
      %{buildroot}%{_datadir}/%{name}/%{name}_Data

install -m 0755 thomasLinuxStandalone/thomasWasAlone %{buildroot}%{_datadir}/%{name}/%{name}
install -m 0644 thomasLinuxStandalone/thomasWasAlone_Data/Resources/UnityPlayer.png \
                %{buildroot}%{_datadir}/%{name}/%{name}.png

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Thu Jun 13 2013 RPMBuilder <> - 0.0-1
- Initial Release
