# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# CAUTION: BUILDING THIS RPM REQUIRES A LARGE AMOUNT OF STORAGE. ENSURE YOU
# HAVE AT LEAST 4.5GB FREE WHERE YOUR RPMBUILD DIRECTORIES ARE LOCATED

# We don't want this RPM to be a provider for anything it's bundled with,
# although we remove bundles where practical
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. Little we can do with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# This package contains mixed binaries so set up some macros
%ifarch x86_64
%global namearch %{name}64
%else
%global namearch %{name}32
%endif

# We need to filter some requires
%global    _use_internal_dependency_generator 0
%global    __find_requires %{_builddir}/%{name}-%{version}/filter-requires-%{name}.sh

# The software house
%global house blackpants


Name:           tinyandbig
Version:        1.4
Release:        1
Summary:        Neat little 3D platformer
Group:          Amusements/Games
License:        Commercial
URL:            http://www.tinyandbig.com
# 3e0aaec8a33508704735a4063a4fccfb  TinyAndBig_1.4_Linux_1370288461.tar.bz2
Source0:        TinyAndBig_%{version}_Linux_1370288461.tar.bz2
Source1:        %{name}.png
Source2:        tinyandbig32_SDL
Source3:        tinyandbig64_SDL
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686 x86_64

%description
Tiny & Big in Grandpa's Leftovers packs a whole lot of character into a neat
little 3D platformer. Play as Tiny, who's on a mission to get his magical
underpants back from the bully Big. With a grappling hook, rocket launcher and
laser gun at your disposal, you can manipulate the environment to find your way
to Big. This physics driven slice-and-dice game features unique hand-drawn
graphics and a good dose of offbeat humor to top it all off


%prep
%setup -qcn %{name}-%{version}

# Fix some EOL encodings
sed -i 's/\r//' %{name}/{license.txt,readme.txt}


%build
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
%ifarch x86_64
Name=Tiny and Big (64bit)
%else
Name=Tiny and Big (32bit)
%endif
Comment=%{summary}
Exec=%{_bindir}/%{namearch}
Icon=%{_datadir}/%{namearch}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF

# Create the wrapper for /usr/bin
cat >%{namearch}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{namearch} >/dev/null
%ifarch x86_64
./bin64/%{name} "\$@"
%else
./bin32/%{name} "\$@"
%endif
popd >/dev/null
EOF

cat >filter-requires-%{name}.sh <<EOF
#!/bin/sh
# Filter requires for libraries that are bundled

if [ -x /usr/lib/rpm/redhat/find-requires ] ; then
    FINDREQ=/usr/lib/rpm/redhat/find-requires
else
    FINDREQ=/usr/lib/rpm/find-requires
fi

\$FINDREQ \$* | sed -e '/libcal3d.so/d' | \
                sed -e '/libCgGL.so/d' | \
                sed -e '/libCg.so/d'
EOF

chmod 0755 filter-requires-%{name}.sh


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/applications \
         %{buildroot}%{_datadir}/%{namearch}

cp -a %{name}/assets %{buildroot}%{_datadir}/%{namearch}
install -m0644 %{SOURCE1} %{buildroot}%{_datadir}/%{namearch}

# Must use the bundle libraries (compiled differently to Fedoras)
%ifarch x86_64
mkdir %{buildroot}%{_datadir}/%{namearch}/bin64
install -m0755 %{name}/bin64/* %{buildroot}%{_datadir}/%{namearch}/bin64
install -m0755 %{SOURCE3} %{buildroot}%{_datadir}/%{namearch}/bin64/libSDL2.so
%else
mkdir %{buildroot}%{_datadir}/%{namearch}/bin32
install -m0755 %{name}/bin32/* %{buildroot}%{_datadir}/%{namearch}/bin32
install -m0755 %{SOURCE2} %{buildroot}%{_datadir}/%{namearch}/bin32/libSDL2.so
%endif

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

install -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}


%files
%defattr(-,root,root,-)
%doc %{name}/license.txt %{name}/readme.txt
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/%{house}-%{namearch}.desktop


%changelog
* Thu Jun 13 2013 RPMBuilder <> 1.4-1
- Initial Release