# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# CAUTION: BUILDING THIS RPM REQUIRES A LARGE AMOUNT OF STORAGE. ENSURE YOU
# HAVE AT LEAST 4.5GB FREE WHERE YOUR RPMBUILD DIRECTORIES ARE LOCATED

# We don't want this RPM to be a provider for anything it's bundled with,
# although we remove bundles where practical
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. Little we can do with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to filter some requires
%global __requires_exclude ^libcal3d\\.so

# This package contains mixed binaries so set up some macros
%ifarch x86_64
%global namearch %{name}64
%else
%global namearch %{name}32
%endif

# The software house
%global house blackpants


Name:           tinyandbig
Version:        1.4.1
Release:        2
Summary:        Neat little 3D platformer
Group:          Amusements/Games
License:        Commercial
URL:            http://www.tinyandbig.com
# c6c2bc286f11e4a232211c5176105890  tinyandbig_grandpasleftovers-retail-linux-1.4.1_1370968537.tar.bz2
Source0:        %{name}_grandpasleftovers-retail-linux-%{version}_1370968537.tar.bz2
Source1:        %{name}.png
Source2:        tinyandbig32_SDL
Source3:        tinyandbig64_SDL
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       libXcursor%{?_isa}
Requires:       libXinerama%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686 x86_64

%description
Tiny & Big in Grandpa's Leftovers packs a whole lot of character into a neat
little 3D platformer. Play as Tiny, who's on a mission to get his magical
underpants back from the bully Big. With a grappling hook, rocket launcher and
laser gun at your disposal, you can manipulate the environment to find your way
to Big. This physics driven slice-and-dice game features unique hand-drawn
graphics and a good dose of offbeat humor to top it all off


%prep
%setup -qcn %{name}-%{version}
sed -i 's/\r//' %{name}/{license.txt,readme.txt}
rm -f %{name}/bin32/libCg* %{name}/bin64/libCg*


%build
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
%ifarch x86_64
Name=Tiny and Big (64bit)
%else
Name=Tiny and Big (32bit)
%endif
Comment=%{summary}
Exec=%{namearch}
Icon=%{_datadir}/%{namearch}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF

# Create the wrapper for /usr/bin
cat >%{namearch}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{namearch} >/dev/null
%ifarch x86_64
./bin64/%{name} "\$@"
%else
./bin32/%{name} "\$@"
%endif
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/applications \
         %{buildroot}%{_datadir}/%{namearch}

cp -a %{name}/assets %{buildroot}%{_datadir}/%{namearch}
install -p -m0644 %{SOURCE1} %{buildroot}%{_datadir}/%{namearch}

# Must use the bundle libraries (compiled differently to Fedoras)
%ifarch x86_64
mkdir %{buildroot}%{_datadir}/%{namearch}/bin64
install -p -m0755 %{name}/bin64/* %{buildroot}%{_datadir}/%{namearch}/bin64
install -p -m0755 %{SOURCE3} %{buildroot}%{_datadir}/%{namearch}/bin64/libSDL2.so
%else
mkdir %{buildroot}%{_datadir}/%{namearch}/bin32
install -p -m0755 %{name}/bin32/* %{buildroot}%{_datadir}/%{namearch}/bin32
install -p -m0755 %{SOURCE2} %{buildroot}%{_datadir}/%{namearch}/bin32/libSDL2.so
%endif

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

install -p -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{house}-%{namearch}.desktop


%files
%defattr(-,root,root,-)
%doc %{name}/license.txt %{name}/readme.txt
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/%{house}-%{namearch}.desktop


%changelog
* Sat Jan 11 2014 RPMBuilder <> 1.4.1-2
- Modernize dependency filters
- Various minor cleanups

* Fri Jun 14 2013 RPMBuilder <> 1.4.1-1
- Updated to latest binary release

* Thu Jun 13 2013 RPMBuilder <> 1.4-1
- Initial Release