# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# We don't want this RPM to be a provider for anything 
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. Little we can do with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# This package contains mixed binaries so set up some macros
%ifarch x86_64
%global namearch %{name}64
%else
%global namearch %{name}32
%endif

# The software house
%global house puppygames

# Regularised name
%global sbase titanattacks


Name:           titan-attacks
Version:        2.01
Release:        1
Summary:        A retro-style space shooter
Group:          Amusements/Games
License:        Commercial
URL:            http://www.puppygames.net/titan-attacks
# 398c7db2bbd3ad5c27abadddcf29cadc  TitanAttacks_linux_1392311641.tar.gz
Source0:        TitanAttacks_linux_1392311641.tar.gz
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       java >= 1.7.0
Requires:       mesa-dri-drivers%{?_isa}
Requires:       mesa-libGL%{?_isa}
Requires:       libXcursor%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
Requires:       webclient
Requires:       xdg-utils
ExclusiveArch:  i686 x86_64

%description
As the last surviving tank commander on Earth, single-handedly turn back the
evil invading alien army, drive back the Titans across the Solar System and
defeat them on their homeworld. That'll show 'em!


%prep
%setup -qcn %{name}-%{version}
find %{sbase} -type d -exec chmod 0755 '{}' \;
find %{sbase} -type f -exec chmod 0644 '{}' \;


%build
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
%ifarch x86_64
Name=Titan Attacks (64bit)
%else
Name=Titan Attacks (32bit)
%endif
Comment=%{summary}
Exec=%{namearch}
Icon=%{_datadir}/%{namearch}/titanattacks.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF

# Create the wrapper for /usr/bin
cat >%{namearch}.wrapper <<EOF
#!/bin/bash
#
# Wrapper script for %{name}
#
%ifarch x86_64
export JAVAOPTS="java -d64"
%else
export JAVAOPTS="java -d32"
%endif
export GAMEDIR="\${HOME}/.titan_attacks_2.01"
export LOGFILE="\${GAMEDIR}/titan.log"
export LD_LIBRARY_PATH=\$LD_LIBRARY_PATH:"%{_datadir}/%{namearch}"
export PATH=\$PATH:"%{_datadir}/%{namearch}"
mkdir -p \${GAMEDIR}
pushd "%{_datadir}/%{namearch}" > /dev/null
\$JAVAOPTS \
    -server \
    -Djava.library.path="%{_datadir}/%{namearch}" \
    -Dorg.lwjgl.librarypath="%{_datadir}/%{namearch}" \
    -Dorg.lwjgl.util.NoChecks=false \
    -Djava.net.preferIPv4Stack=true \
    -Dnet.puppygames.applet.Launcher.resources=resources-hib.dat \
    -Dnet.puppygames.applet.Game.gameResource=game.hib \
    -XX:MaxGCPauseMillis=3 \
    -XX:+TieredCompilation \
    -XX:Tier2CompileThreshold=70000 \
    -XX:+DoEscapeAnalysis \
    -Xms64m \
    -Xmx384m \
    -Xincgc \
    -cp TitanAttacks.jar:music.jar:fx-mono.jar:fx-stereo.jar:images.jar:gfx.jar:fonts.jar:data-hib.jar:common-cp-java6.jar:common.jar:spgl-lite.jar:lwjgl.jar:lwjgl_util.jar:gson.jar:jinput.jar:ogg.jar:gamecommerce.jar:steampuppy-public.jar:remote.jar \
    net.puppygames.applet.Launcher \
    "\$@" 
popd > /dev/null
EOF

# Create browser wrapper
cat >sensible-browser <<EOF
#!/bin/sh
xdg-open http://\$@
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{namearch} \
         %{buildroot}%{_datadir}/applications

install -p -m0644 %{sbase}/{*.jar,*.png} %{buildroot}%{_datadir}/%{namearch}
install -p -m0755 sensible-browser %{buildroot}%{_datadir}/%{namearch}

%ifarch x86_64
install -p -m0755 %{sbase}/{libjinput-linux64.so,liblwjgl64.so,libopenal64.so} %{buildroot}%{_datadir}/%{namearch}
%else
install -p -m0755 %{sbase}/{libjinput-linux.so,liblwjgl.so,libopenal.so} %{buildroot}%{_datadir}/%{namearch}
%endif

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

# Install the wrapper
install -p -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{house}-%{namearch}.desktop


%files
%defattr(-,root,root,-)
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/%{house}-%{namearch}.desktop


%changelog
* Sat Apr 04 2015 RPMBuilder <> 2.01-1
- Initial RPM Release
