# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# SPEC Issues
# 1. Must use the bundle libphysfs and libSDL_sound
# 2. libfluidsynth may be requested but is not needed by the game, it will 
#    just lead to installing a lot of unneeded deps
# 3. Use bundled libruby as this version is not avail for F20 (but F21+)

# Ensure we do not become a provider of anything bundled in this RPM
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to exclude some requires as they are bundled.
%global __requires_exclude ^libSDL_sound-1\\.0\\.so\\.1|^libphysfs\\.so\\.1|^libruby\\.so\\.2\\.1

# This package contains mixed binaries so set up some macros
%ifarch x86_64
%global namearch %{name}64
%else
%global namearch %{name}32
%endif

# The software house
%global house freebird


Name:           to-the-moon-minisode1
Version:        0.0
Release:        1
Summary:        A hybrid RPG and adventure game
Group:          Amusements/Games
License:        Commercial
URL:            http://freebirdgames.com/to_the_moon/
# a2efcc005390adc1ad6f0c97f9dfe0f7  ToTheMoonMinisode1.sh
Source0:        ToTheMoonMinisode1.sh
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       systemd-libs%{?_isa}
Requires:       libXcursor%{?_isa}
Requires:       libXinerama%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       libXScrnSaver%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       mesa-libGL%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
Requires:       SDL2_ttf%{?_isa}
ExclusiveArch:  i686 x86_64

%description
The minisode is just about 20 minutes long, and is meant to be played
front-to-end in a little marathon, as there is no save feature (or menus, for
that matter). It takes place around the holiday season, at the local branch of
Sigmund Corp where Eva & Neil are employed.


%prep
%setup -Tqcn %{name}-%{version}
echo "YOU CAN INGORE THE WARNING: extra bytes at beginning or within zipfile"
true `unzip -qq %{SOURCE0}`
find data/noarch -type d -exec chmod 0755 '{}' \;
find data/noarch -type f -exec chmod 0644 '{}' \;
sed -i 's/\r//' data/noarch/legal/*.txt
iconv -f iso8859-1 -t utf8 data/noarch/legal/COPYING-FTL.txt \
                         > data/noarch/legal/COPYING-FTL.txt.conv
mv data/noarch/legal/COPYING-FTL.txt.conv data/noarch/legal/COPYING-FTL.txt


%build
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
%ifarch x86_64
Name=To The Moon Minisode 1 (64bit)
%else
Name=To The Moon Minisode 1 (32bit)
%endif
Comment=%{summary}
Exec=%{namearch}
Icon=%{_datadir}/%{namearch}/icon.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;AdventureGame;
EOF

# Create the wrapper for /usr/bin
cat >%{namearch}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{namearch} >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{namearch}/%{_lib} \
         %{buildroot}%{_datadir}/applications

cp -a data/noarch/{Audio.dat,Game.ini,Game.rgssad,icon.png,mkxp.conf,preload} \
      %{buildroot}%{_datadir}/%{namearch}

%ifarch x86_64
install -p -m0755 data/x86_64/SigCorp.amd64 %{buildroot}%{_datadir}/%{namearch}/%{name}
install -p -m0755 data/x86_64/%{_lib}/libphysfs.so.1 %{buildroot}%{_datadir}/%{namearch}/%{_lib}
install -p -m0755 data/x86_64/%{_lib}/libSDL_sound-1.0.so.1 %{buildroot}%{_datadir}/%{namearch}/%{_lib}
install -p -m0755 data/x86_64/%{_lib}/libruby.so.2.1 %{buildroot}%{_datadir}/%{namearch}/%{_lib}
%else
install -p -m0755 data/x86/SigCorp.x86 %{buildroot}%{_datadir}/%{namearch}/%{name}
install -p -m0755 data/x86/%{_lib}/libphysfs.so.1 %{buildroot}%{_datadir}/%{namearch}/%{_lib}
install -p -m0755 data/x86/%{_lib}/libSDL_sound-1.0.so.1 %{buildroot}%{_datadir}/%{namearch}/%{_lib}
install -p -m0755 data/x86/%{_lib}/libruby.so.2.1 %{buildroot}%{_datadir}/%{namearch}/%{_lib}
%endif

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

install -p -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{house}-%{namearch}.desktop


%files
%defattr(-,root,root,-)
%doc data/noarch/LICENSE.txt data/noarch/legal/*
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/%{house}-%{namearch}.desktop


%changelog
* Sat Apr 04 2015 RPMBuilder <> 0.0-1
- Initial Release
