# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure we do not become a provider of anything bundled in this RPM
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to exclude some requires as they are bundled.
# Must use bundled libSDL_sound. libSDL2_ttf not in repos yet
%global __requires_exclude ^libSDL2_ttf-2\\.0\\.so\\.0|^libSDL_sound-1\.0\\.so\\.1

# This package contains mixed binaries so set up some macros
%ifarch x86_64
%global namearch %{name}64
%else
%global namearch %{name}32
%endif

%global house freebird

%global rname ToTheMoon


Name:           to-the-moon
Version:        0.0
Release:        1
Summary:        A hybrid RPG and adventure game
Group:          Amusements/Games
License:        Commercial
URL:            http://freebirdgames.com/to_the_moon/
# 706a5c9467328438d412370ffb1454de  ToTheMoon_linux_1389114090.sh
Source0:        %{rname}_linux_1389114090.sh
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       systemd-libs%{?_isa}
Requires:       libXcursor%{?_isa}
Requires:       libXinerama%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       libXScrnSaver%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686 x86_64

%description
Dr. Watts and Dr. Rosalene practice a rare and unique medicine that allows them
to create and artificially insert memories into a person's mind. Their newest
patient, Johnny, has an unusual wish to travel to the moon and the curious
doctors are puzzled by his request. As they delve deeper and deeper into his
memories, his extraordinary story unfolds in front of them. To the Moon is a
special hybrid of RPG with adventure elements that features a one-of-a-kind and
heartwarming story. Told in 16-bit graphics and a killer soundtrack, To the
Moon will reel you in and keep you hooked in no time!


%prep
%setup -Tqcn %{name}-%{version}
echo "YOU CAN INGORE THE WARNING: extra bytes at beginning or within zipfile"
true `unzip -qq %{SOURCE0}`

find data/noarch -type d -exec chmod 0755 '{}' \;
find data/noarch -type f -exec chmod 0644 '{}' \;

sed -i 's/\r//' data/noarch/*.txt


%build
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
%ifarch x86_64
Name=To The Moon (64bit)
%else
Name=To The Moon (32bit)
%endif
Comment=%{summary}
Exec=%{namearch}
Icon=%{_datadir}/%{namearch}/%{rname}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;AdventureGame;
EOF

# Create the wrapper for /usr/bin
cat >%{namearch}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
# Game must be launched from the cwd
pushd %{_datadir}/%{namearch} >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{namearch}/%{_lib} \
         %{buildroot}%{_datadir}/applications

cp -a data/noarch/{Audio,Data,Fonts,Graphics} %{buildroot}%{_datadir}/%{namearch}
install -p -m0644 data/noarch/{Game.ini,mkxp.conf,%{rname}.png} %{buildroot}%{_datadir}/%{namearch}

%ifarch x86_64
install -p -m0755 data/x86_64/%{rname}.bin.x86_64 %{buildroot}%{_datadir}/%{namearch}/%{name}
install -p -m0755 data/x86_64/%{_lib}/libSDL2_ttf-2.0.so.0 %{buildroot}%{_datadir}/%{namearch}/%{_lib}
install -p -m0755 data/x86_64/%{_lib}/libSDL_sound-1.0.so.1 %{buildroot}%{_datadir}/%{namearch}/%{_lib}
%else
install -p -m0755 data/x86/%{rname}.bin.x86 %{buildroot}%{_datadir}/%{namearch}/%{name}
install -p -m0755 data/x86/%{_lib}/libSDL2_ttf-2.0.so.0 %{buildroot}%{_datadir}/%{namearch}/%{_lib}
install -p -m0755 data/x86/%{_lib}/libSDL_sound-1.0.so.1 %{buildroot}%{_datadir}/%{namearch}/%{_lib}
%endif

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

install -p -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{house}-%{namearch}.desktop


%files
%defattr(-,root,root,-)
%doc data/noarch/{COPYING-*,LICENSE.txt}
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/%{house}-%{namearch}.desktop


%changelog
* Fri Jan 10 2014 RPMBuilder <> - 0.0-1
- Initial Release
