# You are only entitled to install this RPM if you bought the game
# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.

# Ensure this RPM is not a dependency provider
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# This package contains mixed binaries so set up some macros
%ifarch x86_64
%global namearch %{name}64
%else
%global namearch %{name}32
%endif

# The software house
%global house twotribes


Name:           toki-tori2+
Version:        0.0
Release:        2
Summary:        A puzzle adventure game
Group:          Amusements/Games
License:        Commercial
URL:            http://twotribes.com/message/toki-tori-2/=
# 9c403e2b27e43496e44a3be47611b965  TokiTori2-Linux-2014-06-16.sh
Source0:        TokiTori2-Linux-2014-06-16.sh
NoSource:       0
BuildRequires:  chrpath
BuildRequires:  desktop-file-utils
Requires:       libXcursor%{?_isa}
Requires:       libXinerama%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       libXScrnSaver%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686 x86_64

%description
Exploration and experimentation are the only tools you'll need for the highly
anticipated puzzle game, Toki Tori 2+. Launched into a lush and vibrant world,
you'll have to investigate the vast, green forest that lies before you as a
cute yellow bird. Armed with just a whistle and a stomp move, you'll have to be
creative to solve the puzzles and survive the creepy critters coming your way.
Have fun adventuring in this colorful puzzle masterpiece that is sure to put
your thinking skills to the test!


%prep
%setup -Tqcn %{name}-%{version}
echo "YOU CAN INGORE THE WARNING: extra bytes at beginning or within zipfile"
true `unzip -qq %{SOURCE0}`

# Strip the rpath. We still continue even if it fails because 
# building the 32bit RPM on a 64bit system only has access to the 
# 64bit version of chrpath
%ifarch x86_64
chrpath -d data/x86_64/TokiTori2.bin.x86_64 || :
%else
chrpath -d data/x86/TokiTori2.bin.x86 || :
%endif

rm -f data/noarch/userlevels/readme.txt
rm -f data/noarch/levels_unsavedchanges/readme.txt

find data -type f -exec chmod 0644 {} \;
find data -type d -exec chmod 0755 {} \;

sed -i 's/\r//' data/noarch/namespace.txt

# Move for later
mv data/noarch/{icon.png,README.linux} .


%build
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
%ifarch x86_64
Name=Toki Tori 2+ (64bit)
%else
Name=Toki Tori 2+ (32bit)
%endif
Comment=%{summary}
Exec=%{namearch}
Icon=%{_datadir}/%{namearch}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;AdventureGame;
EOF

# Create the wrapper for /usr/bin
cat >%{namearch}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{namearch} >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{namearch} \
         %{buildroot}%{_datadir}/applications

cp -a data/noarch/*  %{buildroot}%{_datadir}/%{namearch}
install -p -m0644 icon.png %{buildroot}%{_datadir}/%{namearch}/%{name}.png

%ifarch x86_64
install -p -m0755 data/x86_64/TokiTori2.bin.x86_64 %{buildroot}%{_datadir}/%{namearch}/%{name}
%else
install -p -m0755 data/x86/TokiTori2.bin.x86 %{buildroot}%{_datadir}/%{namearch}/%{name}
%endif

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

install -p -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{house}-%{namearch}.desktop


%files
%defattr(-,root,root,-)
%doc README.linux
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/%{house}-%{namearch}.desktop


%changelog
* Sat Jul 26 2014 RPMBuilder <> 0.0-2
- Upgraded to latest binary release

* Sat Jan 18 2014 RPMBuilder <> 0.0-1
- Initial Release
