# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# SPEC Notes
# 1. Bundled SDL2 Mixer must be used to avoid a symbol resolution error

# Ensure we do not become a provider of anything bundled in this RPM
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to exclude some requires as they are bundled.
%global __requires_exclude ^libPhysXCo.*|^libsteam_api\\.so|^libtcmalloc\\.so\\.0|^libSDL2_mixer-2\\.0\\.so\\.0

# The software house
%global house terribleposturegames


Name:           tower-of-guns
Version:        0.0
Release:        1
Summary:        Fast paced first person shooter
Group:          Amusements/Games
License:        Commercial
URL:            http://www.towerofguns.com
# 44878e651e2e06461262ce5cac5e8d12  TowerOfGuns_Linux_1414520623.sh
Source0:        TowerOfGuns_Linux_1414520623.sh
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       libXcursor%{?_isa}
Requires:       libXinerama%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       libXScrnSaver%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686

%description
Tower of Guns is a fast paced randomized FPS for the twitch gamer, a short
burst "Lunch Break FPS" not unlike Binding of Isaac mixed with Doom 2.
If you're gonna win, you're gonna do it within an hour. That's a big if though…
it won't be easy. With random enemies, random power ups, random bosses, tons of
unlockable items and weapons and even random-level compositing, you never know
what to expect! So grab a rocket-launcher, slap a shotgun-modifier on it, pick
up a hundred stackable 'double jumps' and get to conquering the Tower of guns!


%prep
%setup -Tqcn %{name}-%{version}
echo "YOU CAN INGORE THE WARNING: extra bytes at beginning or within zipfile"
true `unzip -qq %{SOURCE0}`

# Fix some permissions
find data -type d -exec chmod 0755 '{}' \;
find data -type f -exec chmod 0644 '{}' \;

sed -i 's/\r//' data/noarch/{README.linux,UpdateLog.txt}


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=Tower of Guns
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/TowerOfGunsIcon.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
# Game must be launched from the cwd
pushd %{_datadir}/%{name}/Binaries/Linux >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{name}/Binaries/Linux/%{_lib} \
         %{buildroot}%{_datadir}/applications

install -p -m0755 data/x86/Binaries/Linux/UDKGame-Linux \
                  %{buildroot}%{_datadir}/%{name}/Binaries/Linux/%{name}
install -p -m0644 data/x86/Binaries/Linux/steam_appid.txt \
                  %{buildroot}%{_datadir}/%{name}/Binaries/Linux
install -p -m0755 data/x86/Binaries/Linux/%{_lib}/libPhysX* \
                  %{buildroot}%{_datadir}/%{name}/Binaries/Linux/%{_lib}
install -p -m0755 data/x86/Binaries/Linux/%{_lib}/lib{steam_api.so,tcmalloc.so.0,SDL2_mixer-2.0.so.0} \
                  %{buildroot}%{_datadir}/%{name}/Binaries/Linux/%{_lib}
install -p -m0644 data/noarch/{ToGIcon.bmp,TowerOfGunsIcon.png} \
                  %{buildroot}%{_datadir}/%{name}
cp -a data/noarch/{Engine,UDKGame}  %{buildroot}%{_datadir}/%{name}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{house}-%{name}.desktop


%files
%defattr(-,root,root,-)
%doc data/noarch/{BuildVersion.txt,README.linux,UpdateLog.txt}
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Sat Nov 08 2014 RPMBuilder <> - 0.0-1
- Initial Release
