# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# CAUTION: BUILDING THIS RPM REQUIRES A LARGE AMOUNT OF STORAGE. ENSURE YOU
# HAVE AT LEAST 9GB FREE WHERE YOUR RPMBUILD DIRECTORIES ARE LOCATED

# Ensure this RPM is not a dependency provider
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to filter some requires
%global __requires_exclude ^libPhysX.*|^libSDL-1\\.3\\.so\\.0

# The software house
%global house frozenbyte


Name:           trine2
Version:        2.01
Release:        1
Summary:        A 3D fantasy platform game with puzzles
Group:          Amusements/Games
License:        Commercial
URL:            http://trine2.com
# 82049b65c1bce6841335935bc05139c8  trine2_complete_story_v2_01_build_425_humble_linux_full.zip
Source0:        %{name}_complete_story_v2_01_build_425_humble_linux_full.zip
NoSource:       0
Patch0:         trine2-patch1.patch
BuildRequires:  desktop-file-utils
Requires:       alsa-plugins-pulseaudio%{?_isa}
Requires:       libXScrnSaver%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
Requires:       /usr/bin/xwininfo
ExclusiveArch:  i686

%description
Trine 2 is a side-scrolling game of action, puzzles and platforming. You play
as one of the Three Heroes who make their way through dangers untold in a
fantastical fairy tale world. Physics based puzzles with fire, water, gravity
and magic; Wicked Goblins; Climb the tallest trees and towers in the enchanted
forest!


%prep
%setup -qcn %{name}-%{version}
%patch0 -p1

find . -type d -exec chmod 0755 '{}' \;
find . -type f -exec chmod 0644 '{}' \;
sed -i 's/\r//' readme_changelog.txt


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=Trine 2
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;AdventureGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
if [ -d "\${HOME}" ] ; then
    if [ ! -e "\${HOME}/.frozenbyte/Trine2" ] ; then
        mkdir -p "\${HOME}/.frozenbyte/Trine2"
    fi
fi

# Use some bundle libraries
export LD_LIBRARY_PATH=\$LD_LIBRARY_PATH:%{_datadir}/%{name}/%{_lib}
pushd %{_datadir}/%{name} >/dev/null
%{_datadir}/%{name}/bin/trine2_linux_launcher_32bit "\$@" &
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{name}/bin \
         %{buildroot}%{_datadir}/%{name}/%{_lib} \
         %{buildroot}%{_datadir}/applications

install -p -m0644 *.fbq %{buildroot}%{_datadir}/%{name}
install -p -m0755 bin/* %{buildroot}%{_datadir}/%{name}/bin
install -p -m0755 %{_lib}/lib32/libPhysX* %{buildroot}%{_datadir}/%{name}/%{_lib}
install -p -m0755 %{_lib}/lib32/libSDL-1.3.so.0 %{buildroot}%{_datadir}/%{name}/%{_lib}
install -p -m0644 %{name}.png %{buildroot}%{_datadir}/%{name}
cp -a data %{buildroot}%{_datadir}/%{name}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -p -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{house}-%{name}.desktop


%files
%defattr(-,root,root,-)
%doc readme/* readme_changelog.txt
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Sat Nov 15 2014 RPMBuilder <> 2.01-1
- Upgraded to latest binary release

* Sat Jan 11 2014 RPMBuilder <> 2.00-2
- Modernize dependency filters
- Various minor cleanups

* Sat Sep 21 2013 RPMBuilder <> 2.00-1
- Initial RPM Release
