# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# CAUTION: BUILDING THIS RPM REQUIRES A LARGE AMOUNT OF STORAGE. ENSURE YOU
# HAVE AT LEAST 9GB FREE WHERE YOUR RPMBUILD DIRECTORIES ARE LOCATED

# Ensure this RPM is not a dependency provider, as we do not want to any bundled
# items to provide dependencies, although we remove bundles where possible
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to filter some requires
%global __requires_exclude ^libPhysX.*|^libjpeg\\.so\\.8|^libSDL-1\\.3\\.so\\.0

# The software house
%global house frozenbyte


Name:           trine2
Version:        2.00
Release:        2
Summary:        A 3D fantasy platform game with puzzles
Group:          Amusements/Games
License:        Commercial
URL:            http://trine2.com
# 783cde05d588435a352aaca1daa29f9e  trine2_linux.tar.gz
Source0:        %{name}_linux.tar.gz
Source1:        %{name}_libjpeg.so.8
NoSource:       0
Patch0:         trine2-patch1.patch
BuildRequires:  desktop-file-utils
Requires:       alsa-plugins-pulseaudio%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
Requires:       /usr/bin/xwininfo
ExclusiveArch:  i686

%description
Trine 2 is a side-scrolling game of action, puzzles and platforming. You play
as one of the Three Heroes who make their way through dangers untold in a
fantastical fairy tale world. Physics based puzzles with fire, water, gravity
and magic; Wicked Goblins; Climb the tallest trees and towers in the enchanted
forest!


%prep
%setup -qcn %{name}-%{version}
%patch0 -p0
rm -f %{name}_linux/%{name}.sh %{name}_linux/lib/lib32/libCg*
mv %{name}_linux/lib/lib32 %{name}_linux
rm -rf %{name}_linux/lib
chmod 0755 %{name}_linux/lib32/*

# Move this for later
mv %{name}_linux/readme .


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=Trine2
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;AdventureGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
if [ -d "\${HOME}" ] ; then
    if [ ! -e "\${HOME}/.frozenbyte/Trine2" ] ; then
        mkdir -p "\${HOME}/.frozenbyte/Trine2"
    fi
fi

# Use some bundle libraries
export LD_LIBRARY_PATH=\$LD_LIBRARY_PATH:%{_datadir}/%{name}/lib32
pushd %{_datadir}/%{name} >/dev/null
%{_datadir}/%{name}/bin/trine2_linux_launcher_32bit "\$@" &
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{name} \
         %{buildroot}%{_datadir}/applications

cp -a %{name}_linux/* %{buildroot}%{_datadir}/%{name}
install -p -m0755 %{SOURCE1} %{buildroot}%{_datadir}/%{name}/lib32/libjpeg.so.8

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

# Install the fixed launcher to push sound through pulseaudio
install -p -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{house}-%{name}.desktop


%files
%defattr(-,root,root,-)
%doc readme/*
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Sat Jan 11 2014 RPMBuilder <> 2.00-2
- Modernize dependency filters
- Various minor cleanups

* Sat Sep 21 2013 RPMBuilder <> 2.00-1
- Initial RPM Release
