# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# CAUTION: BUILDING THIS RPM REQUIRES A LARGE AMOUNT OF STORAGE. ENSURE YOU
# HAVE AT LEAST 3GB FREE WHERE YOUR RPMBUILD DIRECTORIES ARE LOCATED

# Ensure this RPM is not a dependency provider, as we do not want to any bundled
# items to provide dependencies, although we remove bundles where possible
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to filter some requires
%global __requires_exclude ^libboost_.*|^libPhysX.*|^libav.*|^libGLEW.so|^libicu.*|^libcv\\.so|^libcxcore\\.so|^libswscale\\.so|^NxCharacter\\.so|^NxCooking\\.so

# The software house
%global house frozenbyte


Name:           trine32
Version:        1.08
Release:        5
Summary:        A 3D fantasy platform game with puzzles
Group:          Amusements/Games
License:        Commercial
URL:            http://trine-thegame.com
# 7c84061f9f74052a45d15c35df18d143  TrineUpdate4.32.run
Source0:        TrineUpdate4.32.run
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       libgomp%{?_isa}
Requires:       libXmu%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
Requires:       libCg%{?_isa}
ExclusiveArch:  i686

%description
Trine is a physics-based action game where three characters allow clever
solutions to challenges created by hazardous puzzles and threatening enemies.
The game play is based on fully interactive physics - each character's
different abilities and tactics can be used to invent new ways to overcome
obstacles and save the kingdom!


%prep
%setup -Tqcn %{name}-%{version}
mkdir unpacked

# We are actually unpacking a mojo setup binary here. We need to force a true
# result so rpm does not fail as zip warns about superfluous data at the
# start and returns a non-zero result. That warning can be ignored.
echo "YOU CAN INGORE THE WARNING: extra bytes at beginning or within zipfile"
true `unzip -qq %{SOURCE0} -d unpacked`

# Fix some permissions
find unpacked/data -type d -exec chmod 0755 '{}' \;
find unpacked/data -type f -exec chmod 0644 '{}' \;
chmod 0644 unpacked/Trine_Manual_linux.pdf

# Remove bundled libraries and extraneous files
rm -f unpacked/lib32/lib{asound_module_pcm_pulse.so,asound.so.2,direct-1.0.so.0,CgGL.so,Cg.so,directfb-1.0.so.0,expat.so.1,\
FLAC.so.8,fusion-1.0.so.0,gcc_s.so.1,gdbm.so.3,gmodule-2.0.so.0,gomp.so.1,ICE.so.6,jpeg.so.62,mikmod.so.2,m.so.6,ogg.so.0,\
openal.so.1,pcre.so.3,png12.so.0,rt.so.1,SDL-1.2.so.0,SDL_image-1.2.so.0,SDL_sound-1.0.so.1,SDL_ttf-2.0.so.0,selinux.so.1,\
smpeg-0.4.so.0,SM.so.6,speex.so.1,stdc++.so.6,tiff.so.4,vga.so.1,vorbisfile.so.3,vorbis.so.0,X11.so.6,x86.so.1,Xau.so.6,\
xcb-render.so.0,xcb-render-util.so.0,xcb.so.1,xcb-xlib.so.0,Xcomposite.so.1,Xcursor.so.1,Xdamage.so.1,Xdmcp.so.6,Xext.so.6,\
Xfixes.so.3,Xinerama.so.1,Xi.so.6,xml2.so.2,Xmu.so.6,Xrender.so.1,Xt.so.6,z.so.1}

rm -f unpacked/{createShortcuts.sh,removeShortcuts.sh,trine-bin,trine-bin64,trine-launcher,trine-launcher64}
rm -rf unpacked/lib64

# Move for later
mv unpacked/{Trine_Manual_linux.pdf,Trine_updates.txt} .
sed -i 's/\r//' Trine_updates.txt


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=Trine (32bit)
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/Trine.xpm
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;AdventureGame;
EOF


# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{name} >/dev/null
./trine-launcher32 "\$@"
popd >/dev/null
EOF


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{house}-%{name}.desktop


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{name} \
         %{buildroot}%{_datadir}/applications

cp -a unpacked/* %{buildroot}%{_datadir}/%{name}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -p -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}

pushd %{buildroot}%{_datadir}/%{name} > /dev/null
ln -s trine-bin32 trine-bin
popd > /dev/null


%files
%defattr(-,root,root,-)
%doc Trine_Manual_linux.pdf Trine_updates.txt
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Thu Dec 26 2013 RPMBuilder <> 1.08-5
- Modernize filter method
- Various minor clean ups
- Added libgomp, libXmu deps

* Mon Jun 04 2012 RPMBuilder <> 1.08-4
- Drop disttag

* Thu Mar 01 2012 RPMBuilder <> 1.08-3
- Disable building a debuginfo package under any circumstances
- Convert defines to globals
- Added house global
- Fixed argument passing for the wrapper script. Was being filtered by RPM
- Drop use of padsp, seems it's not needed
- Fixed a bug in the dependency filter

* Thu Nov 10 2011 RPMBuilder <> 1.08-2
- Updated to 1.08 build 4
- Don't remove NxCharacter.so, NxCooking.so libs

* Mon Nov 07 2011 RPMBuilder <> 1.08-1
- Initial RPM Release
