# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure this RPM is not a dependency provider, as we do not want to any bundled
# items to provide dependencies, although we remove bundles where possible
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to filter some requires
%global __requires_exclude ^libSDL_mixer-1\\.2\\.so|^libmikmod\\.so\\.2|libtiff\\.so\\.3

# The software house
%global house introversion

# Regularised name
%global rname uplink


Name:           uplink32
Version:        1.6
Release:        3
Summary:        High tech computer crime and corporate espionage
Group:          Amusements/Games
License:        Commercial
URL:            http://introversion.co.uk/uplink
# db4f1b9506cff9e348dd52709f6a8ad7  uplink_1.6-1_i386.tar.gz
Source0:        %{rname}_%{version}-1_i386.tar.gz
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       libXcursor%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686

%description
You play an Uplink Agent who makes a living by performing jobs for major
corporations. Your tasks involve hacking into rival computer systems, stealing
research data, sabotaging other companies, laundering money, erasing evidence,
or framing innocent people.

You use the money you earn to upgrade your computer systems, and to buy new
software and tools. As your experience level increases you find more dangerous
and profitable missions become available. You can speculate on a fully working
stock market (and even influence its outcome). You can modify peoples academic
or criminal records. You can divert money from bank transfers into your own
accounts. You can even take part in the construction of the most deadly
computer virus ever designed.


%prep
%setup -qcn %{name}-%{version}
# Fix some EOL encodings
sed -i 's/\r//' %{rname}-x86/{changes.txt,readme.txt}

# Some encoding fixes
iconv -f iso8859-1 -t utf8 %{rname}-x86/changes.txt > %{rname}-x86/changes.txt.conv
mv %{rname}-x86/changes.txt.conv %{rname}-x86/changes.txt

# Remove certain bundled libraries
# NOTE: Even though the version of libSDL_mixer that is bundled, is the same as supplied with Fedora we cannot
# unbundle it because it's built against an older libmikmod and will crash otherwise
rm -f %{rname}-x86/%{_lib}/lib{jpeg.so.62,jpeg.so.62.0.0,SDL-1.2.so.0,SDL-1.2.so.0.11.3}


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=Uplink (32bit)
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;StrategyGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{name} >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{house}-%{name}.desktop


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/applications \
         %{buildroot}%{_datadir}/%{name}/%{_lib}

install -p -m0755 %{rname}-x86/%{rname}.bin.x86 %{buildroot}%{_datadir}/%{name}/%{name}
install -p -m0644 %{rname}-x86/%{rname}.png %{buildroot}%{_datadir}/%{name}/%{name}.png
install -p -m0644 %{rname}-x86/*.dat %{buildroot}%{_datadir}/%{name}
install -p -m0755 %{rname}-x86/%{_lib}/* %{buildroot}%{_datadir}/%{name}/%{_lib}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -p -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%files
%defattr(-,root,root,-)
%doc %{rname}-x86/{changes.txt,license.txt,mods.txt,readme.txt}
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Thu Dec 26 2013 RPMBuilder <> 1.6-3
- Modernize filter method
- Various minor clean ups

* Sat Feb 09 2013 RPMBuilder <> 1.6-2
- Fixes for Fedora 18

* Tue Mar 27 2012 RPMBuilder <> 1.6-1
- Initial Release
