# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure this RPM is not a dependency provider, as we do not want to any bundled
# items to provide dependencies, although we remove bundles where possible
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to filter some requires
%global __requires_exclude ^libfmodevent-4\\.42\\.06\\.so|^libfmodex-4\\.42\\.06\\.so

# The software house
%global house strangeloop


Name:           vessel
Version:        1.0
Release:        2
Summary:        Futuristic platformer
Group:          Amusements/Games
License:        Commercial
URL:            http://www.strangeloopgames.com
# 2e25cafed61eaa1a1b758eb53fa6b2f6  vessel-02222013-bin
Source0:        %{name}-02222013-bin
NoSource:       0
BuildRequires:  chrpath
BuildRequires:  desktop-file-utils
BuildRequires:  ImageMagick
Requires:       libXcursor%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       mesa-libGL%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686

%description
Living liquid machines have overrun this world of unstoppable progress and it
is the role of their inventor, Arkwright, to stop the chaos they are causing.
Vessel is a game about a man with the power to bring ordinary matter to life
and all the consequences that ensue.


%prep
%setup -Tqcn %{name}-%{version}
# We are actually unpacking a mojo setup binary here. We need to force a true
# result so rpm does not fail as zip warns about superfluous data at the
# start and returns a non-zero result. That warning can be ignored.
echo "YOU CAN INGORE THE WARNING: extra bytes at beginning or within zipfile"
true `unzip -qq %{SOURCE0}`

# Strip the rpath. We still continue even if it fails because partly it's
# not critical but also because building the 32bit RPM on a 64bit system
# only has access to the 64bit version of chrpath, we cannot strip 32bit
# binaries. But in all other scenarios it should work without issue
chrpath -d data/x86/vessel.x86 || :


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=Vessel
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ArcadeGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
export LD_LIBRARY_PATH=\$LD_LIBRARY_PATH:%{_datadir}/%{name}/%{_lib}
pushd %{_datadir}/%{name} >/dev/null
./bin/%{name} "\$@"
popd >/dev/null
EOF


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{house}-%{name}.desktop


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{name}/bin \
         %{buildroot}%{_datadir}/%{name}/%{_lib} \
         %{buildroot}%{_datadir}/applications

install -p -m0755 data/x86/vessel.x86 %{buildroot}%{_datadir}/%{name}/bin/%{name}
install -p -m0755 data/x86/libfmode* %{buildroot}%{_datadir}/%{name}/%{_lib}
cp -a data/Data %{buildroot}%{_datadir}/%{name}
convert data/Vessel.bmp %{buildroot}%{_datadir}/%{name}/%{name}.png

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -p -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%files
%defattr(-,root,root,-)
%doc data/Linux.README
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Thu Dec 26 2013 RPMBuilder <> 1.0-2
- Modernize filter method
- Various minor clean ups

* Mon Mar 18 2013 RPMBuilder <> 1.0-1
- Initial Release
