# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure this RPM is not a dependency provider, as we do not want to any bundled
# items to provide dependencies, although we remove bundles where possible
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# The software house
%global house lexaloffle


Name:           voxatron
Version:        0.2.10
Release:        1
Summary:        Voxel landscape 3D platformer
Group:          Amusements/Games
License:        Commercial
URL:            http://www.lexaloffle.com/voxatron.php
# a33bdccb96bd0f1a4c5bd5fa7fc33493  voxatron_0.2.10_i386.tar.gz
Source0:        %{name}_%{version}_i386.tar.gz
NoSource:       0
BuildRequires:  chrpath
BuildRequires:  desktop-file-utils
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686

%description
Voxatron is an action/adventure game set in a world completely made of tiny
cubes that can be built, blasted to smithereens and collapse in per-voxel
detail. Watch voxel snow settle on the scene perfectly, shoot the voxel leaves
off a voxel tree or cut through the trunk and watch the whole thing collapse
into voxels. There are lots of voxels in this game.

Voxatron comes with a fancy voxel designer and level mapping tools. Create
whatever your heart fancies and share it online! Or just enjoy playing the
rapidly increasing collection of creative levels made by other players.


%prep
%setup -qcn %{name}-%{version}
# Strip the rpath. We still continue even if it fails because partly it's
# not critical but also because building the 32bit RPM on a 64bit system
# only has access to the 64bit version of chrpath, we cannot strip 32bit
# binaries. But in all other scenarios it should work without issue
chrpath -d %{name}/vox || :

# Fix some EOL encodings
sed -i 's/\r//' %{name}/%{name}.txt


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=Voxatron
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF


# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{name} >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/applications \
         %{buildroot}%{_datadir}/%{name}

install -m0755 %{name}/vox %{buildroot}%{_datadir}/%{name}/%{name}
install -m0644 %{name}/lexaloffle-vox.png %{buildroot}%{_datadir}/%{name}/%{name}.png
install -m0644 %{name}/vox.dat %{buildroot}%{_datadir}/%{name}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -m 0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%files
%defattr(-,root,root,-)
%doc %{name}/{license.txt,%{name}.txt}
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Sat Mar 29 2014 RPMBuilder <> 0.2.10-1
- Upgraded to 0.2.10

* Fri Sep 20 2013 RPMBuilder <> 0.2.9-1
- Upgraded to 0.2.9

* Tue Aug 13 2013 RPMBuilder <> 0.2.7-1
- Upgraded to 0.2.7 

* Sat Mar 23 2013 RPMBuilder <> 0.2.5-1
- Upgraded to 0.2.5

* Sun Dec 16 2012 RPMBuilder <> 0.2.2-1
- Upgraded to 0.2.2
- Changed buildarch to exclusivearch

* Fri Sep 21 2012 RPMBuilder <> 0.2.1-1
- Upgraded to 0.2.1

* Sun Apr 22 2012 RPMBuilder <> 0.2.0-1
- Upgraded to 0.2.0

* Tue Mar 27 2012 RPMBuilder <> 0.1.8-1
- Initial Release
