# * You are only entitled to install this RPM if you bought the game
# * The "source" actually includes pre-built 32bit binaries

# Ensure this RPM is not a dependency provider, as we do not want to any bundled
# items to provide dependencies, although we remove bundles where possible
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# The software house
%global house lexaloffle


Name:           voxatron
Version:        0.1.8
Release:        1
Summary:        Voxel landscape 3D platformer
Group:          Amusements/Games
License:        Commercial
URL:            http://www.lexaloffle.com/voxatron.php
# 4c3df5e04481a43d8127bca137df1f6f  VoxatronLinux_0.1.8_i386.tar.gz
Source0:        VoxatronLinux_%{version}_i386.tar.gz
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       pulseaudio-utils%{?_isa}
BuildArch:      i686

%description
Voxatron is an action/adventure game set in a world completely made of tiny
cubes that can be built, blasted to smithereens and collapse in per-voxel
detail. Watch voxel snow settle on the scene perfectly, shoot the voxel leaves
off a voxel tree or cut through the trunk and watch the whole thing collapse
into voxels. There are lots of voxels in this game.

Voxatron comes with a fancy voxel designer and level mapping tools. Create
whatever your heart fancies and share it online! Or just enjoy playing the
rapidly increasing collection of creative levels made by other players.


%prep
%setup -qcn %{name}-%{version}

# Fix some EOL encodings
sed -i 's/\r//' %{name}/{license.txt,vox.txt}


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Voxatron
GenericName=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF


# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{name} >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/%{name}

install -m0755 %{name}/vox %{buildroot}%{_datadir}/%{name}/%{name}
install -m0644 %{name}/lexaloffle-vox.png %{buildroot}%{_datadir}/%{name}/%{name}.png
install -m0644 %{name}/vox.dat %{buildroot}%{_datadir}/%{name}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -m 0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%files
%defattr(-,root,root,-)
%doc %{name}/{license.txt,vox.txt}
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Tue Mar 27 2012 RPMBuilder <> 0.1.8-1
- Initial Release
