# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure this RPM is not a dependency provider
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# This package contains mixed binaries so set up some macros
%ifarch x86_64
%global namearch %{name}64
%else
%global namearch %{name}32
%endif

# The software house
%global house distractionware


Name:           vvvvvv
Version:        2.2
Release:        1
Summary:        2D Platform Game
Group:          Amusements/Games
License:        Commercial
URL:            http://thelettervsixtim.es
# 65312dd3b51c700927b1086ba045ece1  vvvvvv-06182014-bin
Source0:        %{name}-06182014-bin
NoSource:       0
BuildRequires:  chrpath
BuildRequires:  desktop-file-utils
Requires:       systemd-libs%{?_isa}
Requires:       libXcursor%{?_isa}
Requires:       libXinerama%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       libXScrnSaver%{?_isa}
Requires:       libXxf86vm%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686 x86_64
Obsoletes:      VVVVVV

%description
A retro-style 2D platform game with Commodore 64 style graphics and sound


%prep
%setup -Tqcn %{name}-%{version}
echo "YOU CAN INGORE THE WARNING: extra bytes at beginning or within zipfile"
true `unzip -qq %{SOURCE0}`

# Strip the rpath. We still continue even if it fails because 
# building the 32bit RPM on a 64bit system only has access to the 
# 64bit version of chrpath
%ifarch x86_64
chrpath -d data/x86_64/vvvvvv.x86_64 || :
%else
chrpath -d data/x86/vvvvvv.x86 || :
%endif


%build
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
%ifarch x86_64
Name=VVVVVV (64bit)
%else
Name=VVVVVV (32bit)
%endif
Comment=%{summary}
Exec=%{namearch}
Icon=%{_datadir}/%{namearch}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF

# Create the wrapper for /usr/bin
cat >%{namearch}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{namearch}/ >/dev/null

# Binary must be called from parent dir, or it will crash
%ifarch x86_64
./x86_64/%{name} "\$@"
%else
./x86/%{name} "\$@"
%endif
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{namearch} \
         %{buildroot}%{_datadir}/applications

install -p -m0644 data/data.zip %{buildroot}%{_datadir}/%{namearch}
install -p -m0644 data/VVVVVV.png %{buildroot}%{_datadir}/%{namearch}/%{name}.png

%ifarch x86_64
mkdir -p %{buildroot}%{_datadir}/%{namearch}/x86_64
install -p -m0755 data/x86_64/%{name}.x86_64 %{buildroot}%{_datadir}/%{namearch}/x86_64/%{name}
%else
mkdir -p %{buildroot}%{_datadir}/%{namearch}/x86
install -p -m0755 data/x86/%{name}.x86 %{buildroot}%{_datadir}/%{namearch}/x86/%{name}
%endif

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

install -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{house}-%{namearch}.desktop


%files
%defattr(-,root,root,-)
%doc data/Linux.README
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/%{house}-%{namearch}.desktop


%changelog
* Tue Jul 22 2014 RPMBuilder <> 2.2-1
- Update to v2.2

* Sat Jun 03 2012 RPMBuilder <> 2.01-3
- Drop disttag

* Wed Feb 29 2012 RPMBuilder <> 2.01-2
- Disable building a debuginfo package under any circumstances
- Convert defines to globals
- Added house global
- Fixed argument passing for the wrapper script. Was being filtered by RPM

* Mon Nov 28 2011 RPMBuilder <> 2.01-1
- Initial Release
