# You are only entitled to install this RPM if you bought the game
# The "source" actually includes pre-built 32bit binaries

# Ensure this RPM is not a dependency provider, as we do not want to any bundled
# items to provide dependencies, although we remove bundles where possible
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to filter some requires
%global    _use_internal_dependency_generator 0
%global    __find_requires %{_builddir}/%{rname}-%{version}-Linux/filter-requires-%{name}.sh

# The software house
%global house tigerstylegames

# Regularised name
%global rname WakingMars


Name:           wakingmars
Version:        1.0.4
Release:        1
Summary:        Platform game based on subterranean Mars
Group:          Amusements/Games
License:        Commercial
URL:            http://www.tigerstylegames.com/wakingmars
# 73e428e2c6edb1b76b53f7900c1ab1b1  WakingMars-1.0.4-Linux.tar.gz
Source0:        %{rname}-%{version}-Linux.tar.gz
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       pulseaudio-utils%{?_isa}
BuildArch:      i686

%description
WAKING MARS is a one-of-a-kind adventure in which you jetpack through
subterranean Mars encountering a host of extraordinary alien lifeforms that
operate as a living, breathing ecosystem. Learn and master the behaviors of
these creatures to create ecosystems of your own design if you are to survive
and discover the secrets of Mars’ past. In 2097, life is discovered on Mars.
When your mission of first contact becomes trapped by a cave-in, you must
master the alien ecosystem to survive. Soon you stumble upon more than anyone
expected and with time running out, you will make a decision that determines
the fate of a lost planet.


%prep
%setup -qn %{rname}-%{version}-Linux

# Some EOL fixes
sed -i 's/\r//' Licenses/{SDL.txt,vorbis.txt}

# Char encoding fixes
iconv -f iso8859-1 -t utf8 Licenses/freetype.txt > Licenses/freetype.txt.conv
mv -f Licenses/freetype.txt.conv Licenses/freetype.txt

# Remove some bundled libs
rm -f %{name}/lib/lib{alut*,freeimage*,openal*,boost_filesystem.so.1.42.0}


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Waking Mars
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{name} >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF

cat >filter-requires-%{name}.sh <<EOF
#!/bin/sh
# Filter requires for libraries that are bundled

if [ -x /usr/lib/rpm/redhat/find-requires ] ; then
    FINDREQ=/usr/lib/rpm/redhat/find-requires
else
    FINDREQ=/usr/lib/rpm/find-requires
fi

\$FINDREQ \$* | sed -e '/libboost/d' | \
                sed -e '/libchipmunk/d'
EOF

chmod 0755 filter-requires-%{name}.sh


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/applications \
         %{buildroot}%{_datadir}/%{name}

cp -a %{name}/GameData %{buildroot}%{_datadir}/%{name}
cp -a %{name}/lib %{buildroot}%{_datadir}/%{name}
install -m0755 %{name}/%{name} %{buildroot}%{_datadir}/%{name}
install -m0644 %{name}/%{name}.png %{buildroot}%{_datadir}/%{name}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -m 0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%files
%defattr(-,root,root,-)
%doc README.txt Licenses/*
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Mon Nov 12 2012 RPMBuilder <> 1.0.4-1
- Initial Release
