# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure this RPM is not a dependency provider, as we do not want to any bundled
# items to provide dependencies, although we remove bundles where possible
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to filter some requires
%global __requires_exclude ^libboost.*|^libchipmunk.*|^libsteam.*|^libtier0_s\\.so|^libvstdlib_s\\.so

# The software house
%global house tigerstylegames

# Regularised name
%global rname WakingMars


Name:           wakingmars
Version:        1.2.1
Release:        2
Summary:        Platform game based on subterranean Mars
Group:          Amusements/Games
License:        Commercial
URL:            http://www.tigerstylegames.com/wakingmars
# 526010897806564fd699907d0ece1e3c  WakingMars-1.2.1-Linux.tar.gz
Source0:        %{rname}-%{version}-Linux.tar.gz
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       libXcursor%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686

%description
WAKING MARS is a one-of-a-kind adventure in which you jetpack through
subterranean Mars encountering a host of extraordinary alien lifeforms that
operate as a living, breathing ecosystem. Learn and master the behaviors of
these creatures to create ecosystems of your own design if you are to survive
and discover the secrets of Mars’ past. In 2097, life is discovered on Mars.
When your mission of first contact becomes trapped by a cave-in, you must
master the alien ecosystem to survive. Soon you stumble upon more than anyone
expected and with time running out, you will make a decision that determines
the fate of a lost planet.


%prep
%setup -qn %{rname}-%{version}-Linux
# Some EOL fixes
sed -i 's/\r//' Licenses/{SDL.txt,vorbis.txt}

# Char encoding fixes
iconv -f iso8859-1 -t utf8 Licenses/freetype.txt > Licenses/freetype.txt.conv
mv -f Licenses/freetype.txt.conv Licenses/freetype.txt

# Remove some bundled libs
rm -f %{name}/%{_lib}/lib{alut*,freeimage*,openal*,boost_filesystem.so.1.42.0}
chmod 0755  %{name}/%{_lib}/*


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=Waking Mars
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{name} >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{house}-%{name}.desktop


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/applications \
         %{buildroot}%{_datadir}/%{name}

cp -a %{name}/GameData %{buildroot}%{_datadir}/%{name}
cp -a %{name}/lib %{buildroot}%{_datadir}/%{name}
install -p -m0755 %{name}/%{name} %{buildroot}%{_datadir}/%{name}
install -p -m0644 %{name}/%{name}.png %{buildroot}%{_datadir}/%{name}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -p -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%files
%defattr(-,root,root,-)
%doc README.txt Licenses/*
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Thu Dec 26 2013 RPMBuilder <> 1.2.1-2
- Modernize filter method
- Various minor clean ups

* Tue Feb 05 2013 RPMBuilder <> 1.2.1-1
- Upgraded to version 1.2.1-1
- Replaced pulseaudio utils with pulseaudio libs
- Added libsteam_api and libtier0_s to filter

* Mon Nov 12 2012 RPMBuilder <> 1.0.4-1
- Initial Release
