# You are only entitled to install this RPM if you bought the game

# Ensure this RPM is not a dependency provider, as we do not want to any bundled
# items to provide dependencies, although we remove bundles where possible
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# Disable stripping as the comment note fields are (mis)used
%global __os_install_post %{nil}

# The software house
%global house vectorpark


Name:           windosill
Version:        1.0.7
Release:        2
Summary:        Guide a toy truck through a series of landscapes
Group:          Amusements/Games
License:        Commercial
URL:            http://windosill.com
# 1d40831641e31956e47b77d5ada95514  Windosill-linux-1.0.7-1334787847
Source0:        Windosill-linux-%{version}-1334787847
Source1:        %{name}.png
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       libcurl%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686

%description
Guide a toy truck through a series of interactive landscapes, full of strange
creatures and surreal details


%prep
#Intentionally Empty


%build
# Sane desktop file
cat >%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Windosill
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;LogicGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{name} >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{name} \
         %{buildroot}%{_datadir}/applications

install -m0755 %{SOURCE0} %{buildroot}%{_datadir}/%{name}/%{name}
install -m0644 %{SOURCE1} %{buildroot}%{_datadir}/%{name}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Wed Feb 06 2013 RPMBuilder <> 1.0.7-2
- Added libcurl dep

* Mon May 21 2012 RPMBuilder <> 1.0.7-1
- Initial RPM Release
