# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure this RPM is not a dependency provider
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# This package contains mixed binaries so set up some macros
%ifarch x86_64
%global namearch %{name}64
%else
%global namearch %{name}32
%endif

# The software house
%global house 2dboy

# Alt name
%global aname WorldOfGoo


Name:           world-of-goo
Version:        1.41
Release:        1
Summary:        Physics based puzzle game with Goo
Group:          Amusements/Games
License:        Commercial
URL:            http://2dboy.com/games.php
# f5afa40893d0fbcc37885191404f6d8c  WorldOfGooSetup.1.41.tar.gz
Source0:        WorldOfGooSetup.%{version}.tar.gz
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686 x86_64

%description
World of Goo is a physics based puzzle and construction game. The millions of
Goo Balls who live in the beautiful World of Goo don't know that they are in a
game or that they are extremely delicious.


%prep
%setup -qcn %{name}-%{version}

# Fix some EOL chars
sed -i 's/\r//' %{aname}/{eula.txt,linux-issues.txt,readme.html}


%build
# Sane desktop file
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
%ifarch x86_64
Name=World of Goo (64bit)
%else
Name=World of Goo (32bit)
%endif
Comment=%{summary}
Exec=%{namearch}
Icon=%{namearch}
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;LogicGame;
EOF

# Create the wrapper for /usr/bin
cat >%{namearch}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{namearch} >/dev/null
./%{namearch} "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{namearch} \
         %{buildroot}%{_datadir}/applications \
         %{buildroot}%{_datadir}/icons/hicolor/{16x16,22x22,32x32,48x48,64x64,128x128,scalable}/apps

%ifarch x86_64
install -m0755 %{aname}/%{aname}.bin64 %{buildroot}%{_datadir}/%{namearch}/%{namearch}
%else
install -m0755 %{aname}/%{aname}.bin32 %{buildroot}%{_datadir}/%{namearch}/%{namearch}
%endif

cp -a %{aname}/{properties,res} %{buildroot}%{_datadir}/%{namearch}
install -m 0644 %{aname}/icons/16x16.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/%{namearch}.png
install -m 0644 %{aname}/icons/22x22.png %{buildroot}%{_datadir}/icons/hicolor/22x22/apps/%{namearch}.png
install -m 0644 %{aname}/icons/32x32.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{namearch}.png
install -m 0644 %{aname}/icons/48x48.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{namearch}.png
install -m 0644 %{aname}/icons/64x64.png %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/%{namearch}.png
install -m 0644 %{aname}/icons/128x128.png %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/%{namearch}.png
install -m 0644 %{aname}/icons/scalable.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/%{namearch}.svg

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

install -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}


%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%defattr(-,root,root,-)
%doc %{aname}/{eula.txt,linux-issues.txt,readme.html}
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/%{house}-%{namearch}.desktop
%{_datadir}/icons/hicolor/16x16/apps/%{namearch}.png
%{_datadir}/icons/hicolor/22x22/apps/%{namearch}.png
%{_datadir}/icons/hicolor/32x32/apps/%{namearch}.png
%{_datadir}/icons/hicolor/48x48/apps/%{namearch}.png
%{_datadir}/icons/hicolor/64x64/apps/%{namearch}.png
%{_datadir}/icons/hicolor/128x128/apps/%{namearch}.png
%{_datadir}/icons/hicolor/scalable/apps/%{namearch}.svg


%changelog
* Tue Jun 05 2012 RPMBuilder <> 1.41-1
- Initial RPM Release
