# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# CAUTION: BUILDING THIS RPM REQUIRES A LARGE AMOUNT OF STORAGE. ENSURE YOU
# HAVE AT LEAST 2.5GB FREE WHERE YOUR RPMBUILD DIRECTORIES ARE LOCATED

# Ensure we do not become a provider of anything bundled in this RPM
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to exclude some requires as they are bundled.
%global __requires_exclude ^libSDL2-2\\.0\\.so\\.0

# The software house
%global house team17


Name:           worms-reloaded
Version:        0.0
Release:        1
Summary:        Artillery strategy game
Group:          Amusements/Games
License:        Commercial
URL:            http://www.team17.com/games/worms/worms-reloaded
# 1c27190ba668601030d49a1027dd9389  WormsReloaded_Linux_1381858841.sh
Source0:        WormsReloaded_Linux_1381858841.sh
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       libXcursor%{?_isa}
Requires:       libXinerama%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       libXScrnSaver%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       openal-soft%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
Requires:       xdg-utils
ExclusiveArch:  i686

%description
Command a team of worms in the artillery strategy game Worms: Reloaded. Guide
your troop across a destructible 2-D landscape and use your arsenal of wacky
weapons, such as the Super Sheep or a Holy Hand Grenade, to blow your opponents
sky-high. Take a baseball bat to another worm to send them plunging into the
water and instant death.


%prep
%setup -Tqcn %{name}-%{version}
# We are actually unpacking a mojo setup binary here. We need to force a true
# result so rpm does not fail as zip warns about superfluous data at the
# start and returns a non-zero result. That warning can be ignored.
echo "YOU CAN INGORE THE WARNING: extra bytes at beginning or within zipfile"
true `unzip -qq %{SOURCE0}`

# Fix some permissions
find data/noarch -type d -exec chmod 0755 '{}' \;
find data/noarch -type f -exec chmod 0644 '{}' \;

# Move for later
mv data/noarch/README.linux .


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=Worms Reloaded
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;StrategyGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
# Game must be launched from the cwd
pushd %{_datadir}/%{name} >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{name}/lib \
         %{buildroot}%{_datadir}/applications

cp -a data/noarch/* %{buildroot}%{_datadir}/%{name}
install -m0755 data/x86/lib/libSDL2-2.0.so.0 %{buildroot}%{_datadir}/%{name}/lib
install -m0755 data/x86/WormsReloaded.bin.x86 %{buildroot}%{_datadir}/%{name}/%{name}
install -m0644 data/x86/WormsReloaded.png %{buildroot}%{_datadir}/%{name}
install -m0644 data/x86/WormsReloaded.png %{buildroot}%{_datadir}/%{name}/%{name}.png

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{house}-%{name}.desktop


%files
%defattr(-,root,root,-)
%doc README.linux
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Sat Oct 26 2013 RPMBuilder <> - 0.0-1
- Initial Release
