# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure this RPM is not a dependency provider
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# The software house
%global house lexaloffle


Name:           zen-puzzle-garden
Version:        1.3
Release:        2
Summary:        Zen garden puzzle game
Group:          Amusements/Games
License:        Commercial
URL:            http://www.lexaloffle.com/zen.php
# f13784e8a570bdc7e364089c85affe3e  zen-puzzle-garden_1.3_i386.tar.gz
Source0:        %{name}_%{version}_i386.tar.gz
NoSource:       0
BuildRequires:  chrpath
BuildRequires:  desktop-file-utils
Requires:       pulseaudio-libs%{?_isa}
Requires:       xdg-utils
ExclusiveArch:  i686

%description
If you thought that you could never reach enlightenment by playing a computer
game.. well... you're probably right. You can, however, fry your brain by
trying to solve seemingly impossible puzzles that take place in a tranquil zen
garden.

Use the cursor keys to move the monk around. When you step onto the sand, the
monk will rake in a straight line until he either steps off the sand or bumps
into something. The puzzle is completed when all of the sand has been raked
and the monk has stepped off the sand.

The monk can not walk over sand he has already raked, so be careful not to rake
yourself into a corner! There is no time limit, and you can restart the puzzle
or undo a move whenever you want, so don't be afraid to experiment with
different raking patterns.


%prep
%setup -qcn %{name}-%{version}
# Strip the rpath. We still continue even if it fails because partly it's
# not critical but also because building the 32bit RPM on a 64bit system
# only has access to the 64bit version of chrpath, we cannot strip 32bit
# binaries. But in all other scenarios it should work without issue
chrpath -d %{name}/zen || :

# Fix some EOL encodings
sed -i 's/\r//' %{name}/{license.txt,zen-puzzle-garden.txt}


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=Zen Puzzle Garden
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;LogicGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{name} >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/applications \
         %{buildroot}%{_datadir}/%{name} \

install -m0755 %{name}/zen %{buildroot}%{_datadir}/%{name}/%{name}
install -m0644 %{name}/lexaloffle-zen.png %{buildroot}%{_datadir}/%{name}/%{name}.png
install -m0644 %{name}/zen.dat %{buildroot}%{_datadir}/%{name}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -m 0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%files
%defattr(-,root,root,-)
%doc %{name}/{license.txt,zen-puzzle-garden.txt}
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Mon Oct 01 2012 RPMBuilder <> 1.3-2
- Adding missing dependency on xdg-utils
- Drop generic name, add comment
- Strip rpath, at least on 32bits

* Tue Mar 27 2012 RPMBuilder <> 1.3-1
- Initial Release
