# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure this RPM is not a dependency provider, as we do not want to any bundled
# items to provide dependencies, although we remove bundles where possible
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# The software house
%global house secretexit

# Regularised name
%global rname zenbound2


Name:           zenbound2-64
Version:        20120325
Release:        2
Summary:        Meditative puzzle game of wrapping rope around wooden sculptures
Group:          Amusements/Games
License:        Commercial
URL:            http://zenbound.com/
# a9de765573750498f7d4e1de749c4122  zenbound2-20120325-amd64.tar.gz
Source0:        %{rname}-%{version}-amd64.tar.gz
NoSource:       0
BuildRequires:  chrpath
BuildRequires:  desktop-file-utils
Requires:       pulseaudio-libs%{?_isa}
Requires:       webclient
Requires:       xdg-utils
ExclusiveArch:  x86_64

%description
Zen Bound 2 is a meditative puzzle game of wrapping rope around wooden
sculptures. It is a tactile game, with a focus on making wood and stone look
and feel real and believable.

The highlights of Zen Bound 2 are its controls and its atmosphere. The game
takes full advantage of tilt and multitouch and feels natural and comfortable
to play. The dusty and soothing atmosphere is a combination of beautiful
visuals and a unique soundtrack by 'Ghost Monkey'.


%prep
%setup -qcn %{name}-%{version}

# Strip the rpath. We still continue even if it fails because partly it's
# not critical but also because building the 32bit RPM on a 64bit system
# only has access to the 64bit version of chrpath, we cannot strip 32bit
# binaries. But in all other scenarios it should work without issue
chrpath -d %{rname}/ZenBound2.bin || :


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Zen Bound 2 (64bit)
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;LogicGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#

# Starting up in fullscreen mode sometimes craps out gnome so we make the
# default window mode. The user can always change this in the game.
if [ -d "\${HOME}" ] ; then
    if [ ! -e "\${HOME}/.ZenBound2/zb2config.ini" ] ; then
        mkdir -p "\${HOME}/.ZenBound2"
        echo '[startup_config]' > "\${HOME}/.ZenBound2/zb2config.ini"
        echo 'fullscreen = false' >> "\${HOME}/.ZenBound2/zb2config.ini"
    fi
fi

pushd %{_datadir}/%{name} >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/applications \
         %{buildroot}%{_datadir}/%{name}

install -m0755 %{rname}/ZenBound2.bin %{buildroot}%{_datadir}/%{name}/%{name}
install -m0644 %{rname}/ZenBound2.png %{buildroot}%{_datadir}/%{name}/%{name}.png
cp -a %{rname}/{data_common,data_desktop} %{buildroot}%{_datadir}/%{name}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -m 0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%files
%defattr(-,root,root,-)
%doc %{rname}/{README,README.linux}
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Sun Apr 01 2013 RPMBuilder <> 20120325-2
- Added dependency on webclient
- Added dependency on xdg-utils

* Sat May 19 2012 RPMBuilder <> 20120325-1
- Initial Release
