# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure this RPM is not a dependency provider, as we do not want to any bundled
# items to provide dependencies, although we remove bundles where possible
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to filter some requires
%global    _use_internal_dependency_generator 0
%global    __find_requires %{_builddir}/%{name}-%{version}/filter-requires-%{namearch}.sh

# This package contains mixed binaries so set up some macros
%ifarch x86_64
%global namearch %{name}64
%else
%global namearch %{name}32
%endif

# The software house
%global house misfitsattic


Name:           a-virus-named-tom
Version:        0.0
Release:        1
Summary:        An action puzzler game
Group:          Amusements/Games
License:        Commercial
URL:            http://www.avirusnamedtom.com
# 85d11d3f05ad966a06a7e2f77e2fee45  avnt-09172013-bin
Source0:        avnt-09172013-bin
NoSource:       0
BuildRequires:  desktop-file-utils
BuildRequires:  ImageMagick
Requires:       libtheora%{?_isa}
Requires:       libXcursor%{?_isa}
Requires:       libXinerama%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       mesa-libGL%{?_isa}
Requires:       openal-soft%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686 x86_64

%description
A perfect place. A city without traffic. A dog that doesn't poop. All products
of the brilliant mind of Dr. X, but hell hath no fury like a mad scientist
fired by a giant corporation. In this unique action-puzzler you take control of
TOM, a virus created for one purpose: revenge. Hack your way through brain
scrambling puzzles while maneuvering through a thumb cramping maze of enemies.
Team up through over 50 cooperative levels in what MMGN is calling "The most
addictive co-op game we've played since Portal 2." And if the over 100 levels
aren't enough, you and your friends can destroy each other again and again in
battle mode to determine just who is the supreme virus.


%prep
%setup -Tqcn %{name}-%{version}
# We are actually unpacking a mojo setup binary here. We need to force a true
# result so rpm does not fail as zip warns about superfluous data at the
# start and returns a non-zero result. That warning can be ignored.
echo "YOU CAN INGORE THE WARNING: extra bytes at beginning or within zipfile"
true `unzip -qq %{SOURCE0}`

# Some cleanups
rm -f data/%{_lib}/lib{ogg.so.0,openal.so.1,theoradec.so.1,theora.so.0,vorbis.so.0} \
      data/AVirusNamedTOM

# Move more later
mv data/Linux.README .


%build
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
%ifarch x86_64
Name=A Virus Named TOM (64bit)
%else
Name=A Virus Named TOM (32bit)
%endif
Comment=%{summary}
Exec=%{namearch}
Icon=%{_datadir}/%{namearch}/%{name}.jpg
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ArcadeGame;
EOF

# Create the wrapper for /usr/bin
cat >%{namearch}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
# Game must be launched from the cwd
pushd %{_datadir}/%{namearch} >/dev/null
%ifarch x86_64
./CircuitGame.bin.x86_64 "\$@"
%else
./CircuitGame.bin.x86 "\$@"
%endif
popd >/dev/null
EOF

cat >filter-requires-%{namearch}.sh <<EOF
#!/bin/sh
# Filter requires for libraries that are bundled

if [ -x /usr/lib/rpm/redhat/find-requires ] ; then
    FINDREQ=/usr/lib/rpm/redhat/find-requires
else
    FINDREQ=/usr/lib/rpm/find-requires
fi

\$FINDREQ \$* | sed -e '/libmono-2.0.so.1/d' | \
                sed -e '/libSDL2-2.0.so.0/d' | \
                sed -e '/libtheoraplay.so/d'
EOF

chmod 0755 filter-requires-%{namearch}.sh


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{namearch} \
         %{buildroot}%{_datadir}/applications

cp -a data/* %{buildroot}%{_datadir}/%{namearch}

%ifarch x86_64
rm -rf %{buildroot}%{_datadir}/%{namearch}/CircuitGame.bin.x86 \
       %{buildroot}%{_datadir}/%{namearch}/lib
%else
rm -rf %{buildroot}%{_datadir}/%{namearch}/CircuitGame.bin.x86_64 \
       %{buildroot}%{_datadir}/%{namearch}/lib64
%endif

# Conversion to png didn't work so try jpg
convert data/A\ Virus\ Named\ TOM.bmp %{buildroot}%{_datadir}/%{namearch}/%{name}.jpg

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

install -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}


%files
%defattr(-,root,root,-)
%doc Linux.README
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/%{house}-%{namearch}.desktop


%changelog
* Sun Sep 22 2013 RPMBuilder <> - 0.0-1
- Initial Release
