# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# SPEC Notes
# 1. Game icon is jpg as converting to PNG fails

# Ensure this RPM is not a dependency provider
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to exclude some requires as they are bundled.
%global __requires_exclude ^libmono-2\\.0\\.so\\.1|^libtheoraplay\\.so

# This package contains mixed binaries so set up some macros
%ifarch x86_64
%global namearch %{name}64
%else
%global namearch %{name}32
%endif

# The software house
%global house misfitsattic


Name:           a-virus-named-tom
Version:        0.0
Release:        5
Summary:        An action puzzler game
Group:          Amusements/Games
License:        Commercial
URL:            http://www.avirusnamedtom.com
# 4431412ea1ec5164ab63924161c8b4b4  avnt-10192013-bin
Source0:        avnt-10192013-bin
NoSource:       0
BuildRequires:  desktop-file-utils
BuildRequires:  ImageMagick
Requires:       libtheora%{?_isa}
Requires:       libXcursor%{?_isa}
Requires:       libXinerama%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       libXScrnSaver%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       mesa-libGLU%{?_isa}
Requires:       openal-soft%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
Requires:       SDL2%{?_isa}
Requires:       SDL2_mixer%{?_isa}
ExclusiveArch:  i686 x86_64

%description
A perfect place. A city without traffic. A dog that doesn't poop. All products
of the brilliant mind of Dr. X, but hell hath no fury like a mad scientist
fired by a giant corporation. In this unique action-puzzler you take control of
TOM, a virus created for one purpose: revenge. Hack your way through brain
scrambling puzzles while maneuvering through a thumb cramping maze of enemies.
Team up through over 50 cooperative levels in what MMGN is calling "The most
addictive co-op game we've played since Portal 2." And if the over 100 levels
aren't enough, you and your friends can destroy each other again and again in
battle mode to determine just who is the supreme virus.


%prep
%setup -Tqcn %{name}-%{version}
echo "YOU CAN INGORE THE WARNING: extra bytes at beginning or within zipfile"
true `unzip -qq %{SOURCE0}`

# Fix non standard dir permissions
find data -type d -exec chmod 0755 {} \;
find data -type f -exec chmod 0644 {} \;

rm -f data/%{_lib}/lib{ogg.so.0,openal.so.1,theoradec.so.1,theora.so.0,vorbis.so.0,SDL2-2.0.so.0} \
      data/AVirusNamedTOM

%ifarch x86_64
rm -rf data/{lib,CircuitGame.bin.x86}
chmod 0755 data/{%{_lib},CircuitGame.bin.x86_64}
%else
rm -rf data/{lib64,CircuitGame.bin.x86_64}
chmod 0755 data/{%{_lib},CircuitGame.bin.x86}
%endif

# Move more later
mv data/Linux.README .


%build
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
%ifarch x86_64
Name=A Virus Named TOM (64bit)
%else
Name=A Virus Named TOM (32bit)
%endif
Comment=%{summary}
Exec=%{namearch}
Icon=%{_datadir}/%{namearch}/%{name}.jpg
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ArcadeGame;
EOF

# Create the wrapper for /usr/bin
cat >%{namearch}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{namearch} >/dev/null
%ifarch x86_64
./CircuitGame.bin.x86_64 "\$@"
%else
./CircuitGame.bin.x86 "\$@"
%endif
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{namearch} \
         %{buildroot}%{_datadir}/applications

cp -a data/* %{buildroot}%{_datadir}/%{namearch}

# Conversion to png didn't work so try jpg
convert data/A\ Virus\ Named\ TOM.bmp %{buildroot}%{_datadir}/%{namearch}/%{name}.jpg

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

install -p -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{house}-%{namearch}.desktop


%files
%defattr(-,root,root,-)
%doc Linux.README
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/%{house}-%{namearch}.desktop


%changelog
* Sun Aug 03 2014 RPMBuilder <> 0.0-5
- Upgraded to latest binary release

* Wed Dec 25 2013 RPMBuilder <> 0.0-4
- Unbundle SDL2, now provided in F19/F20
- Added libXScrnSaver, libudev deps for unbundled SDL2

* Tue Oct 22 2013 RPMBuilder <> 0.0-3
- Updated to latest binary release
- Some SPEC clean ups

* Tue Sep 24 2013 RPMBuilder <> 0.0-2
- Updated to latest binary release

* Sun Sep 22 2013 RPMBuilder <> 0.0-1
- Initial Release
