# You are only entitled to install this RPM if you bought the game
# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.

# CAUTION: BUILDING THIS RPM REQUIRES A LARGE AMOUNT OF STORAGE. ENSURE YOU
# HAVE AT LEAST 15GB FREE WHERE YOUR RPMBUILD DIRECTORIES ARE LOCATED

# Ensure this RPM is not a dependency provider, as we do not want to any bundled
# items to provide dependencies, although we remove bundles where possible
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# The software house
%global house doublefine


Name:           psychonauts
Version:        1.04
Release:        4
Summary:        3D platform with storytelling and adventure
Group:          Amusements/Games
License:        Commercial
URL:            http://www.doublefine.com
# cd207acda0613cf06bc153b4b85dceb3  psychonauts-linux-05062013-bin
Source0:        %{name}-linux-05062013-bin
NoSource:       0
BuildRequires:  chrpath
BuildRequires:  desktop-file-utils
Requires:       pulseaudio-libs%{?_isa}
Requires:       mesa-libGL%{?_isa}
ExclusiveArch:  i686

%description
Psychonauts is based on the exploits of Raz, a young boy gifted with psychic
abilities who runs away from the circus to try to sneak into a summer camp for
those with similar powers in order to become a "Psychonaut". He finds that
there is a sinister plot occurring at the camp that only he can stop. The game
is centered on the widely strange and imaginative minds of various characters
that Raz enters as a Psychonaut-in-training/"Psycadet" in order to help them
overcome their fears or memories of their past, so as to gain their help and
progress in the game. Raz gains use of several psychic abilities during the
game that are used for both attacking foes and solving puzzles.


%prep
%setup -Tqcn %{name}-%{version}

# We are actually unpacking a mojo setup binary here. We need to force a true
# result so rpm does not fail as zip warns about superfluous data at the
# start and returns a non-zero result. That warning can be ignored.
echo "YOU CAN INGORE THE WARNING: extra bytes at beginning or within zipfile"
true `unzip -qq %{SOURCE0}`

# Fix non standard dir permissions
find data -type d -exec chmod 0755 {} \;

# Strip the rpath. We still continue even if it fails because partly it's
# not critical but also because building the 32bit RPM on a 64bit system
# only has access to the 64bit version of chrpath, we cannot strip 32bit
# binaries. But in all other scenarios it should work without issue
chrpath -d data/Psychonauts || :

# Delete the following bundled libraries and extraneous files
rm -f data/{libSDL-1.2.so.0,libopenal.so.1}

# Move these for later
mv data/{Documents,Psychonauts\ Manual\ Win.pdf,README-linux.txt} .

# Fix some text files
sed -i 's/\r//' Documents/Readmes/{Leeme.txt,LeggiMe.txt,LiesMich.txt,LisezMoi.txt,ReadMe.txt}
iconv -f iso8859-1 -t utf8 Documents/Readmes/Leeme.txt > Documents/Readmes/Leeme.txt.conv
iconv -f iso8859-1 -t utf8 Documents/Readmes/LisezMoi.txt > Documents/Readmes/LisezMoi.txt.conv
iconv -f windows-1252 -t utf8 Documents/Readmes/LeggiMe.txt > Documents/Readmes/LeggiMe.txt.conv
iconv -f windows-1252 -t utf8 Documents/Readmes/LiesMich.txt > Documents/Readmes/LiesMich.txt.conv
mv Documents/Readmes/Leeme.txt.conv Documents/Readmes/Leeme.txt
mv Documents/Readmes/LisezMoi.txt.conv Documents/Readmes/LisezMoi.txt
mv Documents/Readmes/LeggiMe.txt.conv Documents/Readmes/LeggiMe.txt
mv Documents/Readmes/LiesMich.txt.conv Documents/Readmes/LiesMich.txt


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Psychonauts
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;AdventureGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{name} >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{name} \
         %{buildroot}%{_datadir}/applications

cp -a data/{WorkResource,DisplaySettings.ini,PsychonautsData2.pkg,%{name}.png} \
      %{buildroot}%{_datadir}/%{name}

install -m 0755 data/Psychonauts %{buildroot}%{_datadir}/%{name}/%{name}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%files
%defattr(-,root,root,-)
%doc Documents/EULAs Documents/Readmes "Psychonauts Manual Win.pdf"
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Wed Jul 17 2013 RPMBUILDER <> - 1.04-4
- Fixed for F19. RPM changed the way spaces were handled in filenames

* Sun May 12 2013 RPMBuilder <> - 1.04-3
- Upgraded to the latest binary release

* Tue Feb 05 2013 RPMBuilder <> - 1.04-2
- Upgraded to the latest binary release
- Replaced pulseaudio-utils dep with pulseaudio-libs

* Sat Sep 22 2012 RPMBuilder <> - 1.04-1
- Initial Release
